/* Generated automatically by the program `genoutput'
   from the machine description file `md'.  */

#define IN_TARGET_CODE 1
#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "tree.h"
#include "rtl.h"
#include "flags.h"
#include "alias.h"
#include "varasm.h"
#include "stor-layout.h"
#include "calls.h"
#include "insn-config.h"
#include "expmed.h"
#include "dojump.h"
#include "explow.h"
#include "memmodel.h"
#include "emit-rtl.h"
#include "stmt.h"
#include "expr.h"
#include "insn-codes.h"
#include "tm_p.h"
#include "regs.h"
#include "conditions.h"
#include "insn-attr.h"

#include "recog.h"

#include "diagnostic-core.h"
#include "output.h"
#include "target.h"
#include "tm-constrs.h"

static const char *
output_1 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 479 "../../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("br\t%0", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char * const output_3[] = {
  "ccmp\t%w2, %w3, %k5, %m4",
  "ccmp\t%w2, %3, %k5, %m4",
  "ccmn\t%w2, #%n3, %k5, %m4",
};

static const char * const output_4[] = {
  "ccmp\t%x2, %x3, %k5, %m4",
  "ccmp\t%x2, %3, %k5, %m4",
  "ccmn\t%x2, #%n3, %k5, %m4",
};

static const char * const output_9[] = {
  "ccmp\t%w2, %w3, %k5, %M4",
  "ccmp\t%w2, %3, %k5, %M4",
  "ccmn\t%w2, #%n3, %k5, %M4",
};

static const char * const output_10[] = {
  "ccmp\t%x2, %x3, %k5, %M4",
  "ccmp\t%x2, %3, %k5, %M4",
  "ccmn\t%x2, #%n3, %k5, %M4",
};

static const char *
output_15 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 668 "../../../gcc/config/aarch64/aarch64.md"
{
    /* GCC's traditional style has been to use "beq" instead of "b.eq", etc.,
       but the "." is required for SVE conditions.  */
    bool use_dot_p = GET_MODE (operands[1]) == CC_NZCmode;
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 2, "Lbcond",
				     use_dot_p ? "b.%M0\t" : "b%M0\t");
    else
      return use_dot_p ? "b.%m0\t%l2" : "b%m0\t%l2";
  }
}

static const char *
output_24 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 799 "../../../gcc/config/aarch64/aarch64.md"

  return aarch64_output_casesi (operands);
  
}

static const char *
output_26 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../../gcc/config/aarch64/aarch64.md"
{
    const char * pftype[2][4] =
    {
      {"prfm\tPLDL1STRM, %0",
       "prfm\tPLDL3KEEP, %0",
       "prfm\tPLDL2KEEP, %0",
       "prfm\tPLDL1KEEP, %0"},
      {"prfm\tPSTL1STRM, %0",
       "prfm\tPSTL3KEEP, %0",
       "prfm\tPSTL2KEEP, %0",
       "prfm\tPSTL1KEEP, %0"},
    };

    int locality = INTVAL (operands[2]);

    gcc_assert (IN_RANGE (locality, 0, 3));

    /* PRFM accepts the same addresses as a 64-bit LDR so wrap
       the address into a DImode MEM so that aarch64_print_operand knows
       how to print it.  */
    operands[0] = gen_rtx_MEM (DImode, operands[0]);
    return pftype[INTVAL(operands[1])][locality];
  }
}

static const char *
output_28 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 880 "../../../gcc/config/aarch64/aarch64.md"
{
    const char *ret = NULL;
    if (aarch64_return_address_signing_enabled ()
	&& (TARGET_PAUTH)
	&& !crtl->calls_eh_return)
      {
	if (aarch64_ra_sign_key == AARCH64_KEY_B)
	  ret = "retab";
	else
	  ret = "retaa";
      }
    else
      ret = "ret";
    output_asm_insn (ret, operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_29 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 909 "../../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("ret", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_30 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 923 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%w0, ");
    else
      return "cbz\t%w0, %l1";
  }
}

static const char *
output_31 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 923 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%w0, ");
    else
      return "cbnz\t%w0, %l1";
  }
}

static const char *
output_32 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 923 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%x0, ");
    else
      return "cbz\t%x0, %l1";
  }
}

static const char *
output_33 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 923 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%x0, ");
    else
      return "cbnz\t%x0, %l1";
  }
}

static const char *
output_34 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 953 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_35 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 953 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_36 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 953 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_37 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 953 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_38 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #7, %l1";
  }
}

static const char *
output_39 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #7, %l1";
  }
}

static const char *
output_40 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #15, %l1";
  }
}

static const char *
output_41 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #15, %l1";
  }
}

static const char *
output_42 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #31, %l1";
  }
}

static const char *
output_43 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #31, %l1";
  }
}

static const char *
output_44 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%x0, #63, %l1";
  }
}

static const char *
output_45 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 989 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%x0, #63, %l1";
  }
}

static const char *
output_46 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[0]);
    case 1: return "bl\t%c0";
      default: gcc_unreachable ();
    }
}

static const char *
output_47 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[1]);
    case 1: return "bl\t%c1";
      default: gcc_unreachable ();
    }
}

static const char *
output_48 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1111 "../../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%0", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c0";
  }
}

static const char *
output_49 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1131 "../../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%1", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c1";
  }
}

static const char *
output_50 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1197 "../../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							QImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrb\t%w0, %1";
     case 5:
       return "ldr\t%b0, %1";
     case 6:
       return "strb\t%w1, %0";
     case 7:
       return "str\t%b1, %0";
     case 8:
       return "umov\t%w0, %1.b[0]";
     case 9:
       return "dup\t%0.8b, %w1";
     case 10:
       return "dup\t%b0, %1.b[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_51 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1197 "../../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							HImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrh\t%w0, %1";
     case 5:
       return "ldr\t%h0, %1";
     case 6:
       return "strh\t%w1, %0";
     case 7:
       return "str\t%h1, %0";
     case 8:
       return "umov\t%w0, %1.h[0]";
     case 9:
       return "dup\t%0.4h, %w1";
     case 10:
       return "dup\t%h0, %1.h[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_52 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%w0, %w1";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %w1";
    case 3: return "mov\t%w0, %1";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 6: return "ldr\t%w0, %1";
    case 7: return "ldr\t%s0, %1";
    case 8: return "str\t%w1, %0";
    case 9: return "str\t%s1, %0";
    case 10: return "adr\t%x0, %c1";
    case 11: return "adrp\t%x0, %A1";
    case 12: return "fmov\t%s0, %w1";
    case 13: return "fmov\t%w0, %s1";
    case 14: return "fmov\t%s0, %s1";
    case 15:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
      default: gcc_unreachable ();
    }
}

static const char *
output_53 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%x0, %x1";
    case 1: return "mov\t%0, %x1";
    case 2: return "mov\t%x0, %1";
    case 3: return "mov\t%x0, %1";
    case 4: return "mov\t%w0, %1";
    case 5: return "#";
    case 6:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 7: return "ldr\t%x0, %1";
    case 8: return "ldr\t%d0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "str\t%d1, %0";
    case 11: return "adr\t%x0, %c1";
    case 12: return "adrp\t%x0, %A1";
    case 13: return "fmov\t%d0, %x1";
    case 14: return "fmov\t%x0, %d1";
    case 15: return "fmov\t%d0, %d1";
    case 16:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
      default: gcc_unreachable ();
    }
}

static const char *
output_56 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1357 "../../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], SImode),
				    rtx_mode_t (operands[3], SImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%w0, #%X2, lsl %3";
  }
}

static const char *
output_57 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1357 "../../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], DImode),
				    rtx_mode_t (operands[3], DImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%x0, #%X2, lsl %3";
  }
}

static const char * const output_58[] = {
  "#",
  "movi\t%0.2d, #0",
  "#",
  "#",
  "mov\t%0.16b, %1.16b",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
};

static const char *
output_59 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "umov\t%w0, %1.h[0]";
    case 4: return "mov\t%0.h[0], %1.h[0]";
    case 5: return "fmov\t%h0, %1";
    case 6:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 7: return "ldr\t%h0, %1";
    case 8: return "str\t%h1, %0";
    case 9: return "ldrh\t%w0, %1";
    case 10: return "strh\t%w1, %0";
    case 11: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_60 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "umov\t%w0, %1.h[0]";
    case 4: return "mov\t%0.h[0], %1.h[0]";
    case 5: return "fmov\t%h0, %1";
    case 6:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 7: return "ldr\t%h0, %1";
    case 8: return "str\t%h1, %0";
    case 9: return "ldrh\t%w0, %1";
    case 10: return "strh\t%w1, %0";
    case 11: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_61 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_62 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11: return "mov\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char * const output_63[] = {
  "mov\t%0.16b, %1.16b",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_64[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_65[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_66[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_67[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_68[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_69[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_70[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_71[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_73[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_74[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_75[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_76[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_77[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_78[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_79[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_80[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_110[] = {
  "sxtw\t%0, %w1",
  "ldrsw\t%0, %1",
};

static const char * const output_112[] = {
  "uxtw\t%0, %w1",
  "ldr\t%w0, %1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
  "fmov\t%w0, %s1",
  "fmov\t%s0, %s1",
};

static const char * const output_113[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_114[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_115[] = {
  "sxth\t%w0, %w1",
  "ldrsh\t%w0, %1",
};

static const char * const output_116[] = {
  "sxtb\t%x0, %w1",
  "ldrsb\t%x0, %1",
};

static const char * const output_117[] = {
  "sxth\t%x0, %w1",
  "ldrsh\t%x0, %1",
};

static const char * const output_118[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_119[] = {
  "and\t%w0, %w1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_120[] = {
  "and\t%x0, %x1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_121[] = {
  "and\t%x0, %x1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_122[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_123[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
};

static const char *
output_124 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "add\t%0.2s, %1.2s, %2.2s";
    case 3: return "sub\t%w0, %w1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char *
output_125 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "add\t%d0, %d1, %d2";
    case 3: return "sub\t%x0, %x1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char * const output_126[] = {
  "add\t%w0, %w1, %2",
  "add\t%w0, %w1, %w2",
  "sub\t%w0, %w1, #%n2",
  "#",
};

static const char *
output_127 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "sub\t%w0, %w1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_128 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "sub\t%x0, %x1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_129[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_130[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_131[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_132[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_133[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_134[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_135[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_136[] = {
  "cmn\t%w0, %w1",
  "cmp\t%w0, #%n1",
};

static const char * const output_137[] = {
  "cmn\t%x0, %x1",
  "cmp\t%x0, #%n1",
};

static const char * const output_140[] = {
  "adds\t%w0, %w1, %w2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_141[] = {
  "adds\t%x0, %x1, %x2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_204[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_205[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char *
output_266 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_267 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_268 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2755 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_271[] = {
  "sub\t%x0, %x1, %x2",
  "sub\t%d0, %d1, %d2",
};

static const char * const output_274[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_275[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char * const output_280[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_281[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_287[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_288[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char *
output_351 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3442 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_352 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3442 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_353 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3459 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_354[] = {
  "neg\t%w0, %w1",
  "neg\t%0.2s, %1.2s",
};

static const char * const output_355[] = {
  "neg\t%x0, %x1",
  "neg\t%d0, %d1",
};

static const char * const output_407[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmn\t%w0, #%n1",
};

static const char * const output_408[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmn\t%x0, #%n1",
};

static const char * const output_409[] = {
  "fcmp\t%s0, #0.0",
  "fcmp\t%s0, %s1",
};

static const char * const output_410[] = {
  "fcmp\t%d0, #0.0",
  "fcmp\t%d0, %d1",
};

static const char * const output_411[] = {
  "fcmpe\t%s0, #0.0",
  "fcmpe\t%s0, %s1",
};

static const char * const output_412[] = {
  "fcmpe\t%d0, #0.0",
  "fcmpe\t%d0, %d1",
};

static const char * const output_457[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_458[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_459[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_460[] = {
  "csel\t%x0, %x3, %x4, %m1",
  "csinv\t%x0, %x3, xzr, %m1",
  "csinv\t%x0, %x4, xzr, %M1",
  "csinc\t%x0, %x3, xzr, %m1",
  "csinc\t%x0, %x4, xzr, %M1",
  "mov\t%x0, -1",
  "mov\t%x0, 1",
};

static const char * const output_461[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char *
output_465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32b\t%w0, %w1, %x2";
    else
      return "crc32b\t%w0, %w1, %w2";
  }
}

static const char *
output_466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32h\t%w0, %w1, %x2";
    else
      return "crc32h\t%w0, %w1, %w2";
  }
}

static const char *
output_467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32w\t%w0, %w1, %x2";
    else
      return "crc32w\t%w0, %w1, %w2";
  }
}

static const char *
output_468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32x\t%w0, %w1, %x2";
    else
      return "crc32x\t%w0, %w1, %w2";
  }
}

static const char *
output_469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32cb\t%w0, %w1, %x2";
    else
      return "crc32cb\t%w0, %w1, %w2";
  }
}

static const char *
output_470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32ch\t%w0, %w1, %x2";
    else
      return "crc32ch\t%w0, %w1, %w2";
  }
}

static const char *
output_471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32cw\t%w0, %w1, %x2";
    else
      return "crc32cw\t%w0, %w1, %w2";
  }
}

static const char *
output_472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4166 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32cx\t%w0, %w1, %x2";
    else
      return "crc32cx\t%w0, %w1, %w2";
  }
}

static const char *
output_488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4320 "../../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%w0", operands[2]);
  }
}

static const char *
output_489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4320 "../../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%x0", operands[2]);
  }
}

static const char * const output_492[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_493[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_494[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_495[] = {
  "and\t%x0, %x1, %x2",
  "and\t%x0, %x1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_496[] = {
  "orr\t%x0, %x1, %x2",
  "orr\t%x0, %x1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_497[] = {
  "eor\t%x0, %x1, %x2",
  "eor\t%x0, %x1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_498[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
};

static const char * const output_499[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
};

static const char * const output_500[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
};

static const char * const output_501[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_502[] = {
  "ands\t%x0, %x1, %x2",
  "ands\t%x0, %x1, %2",
};

static const char * const output_503[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_561[] = {
  "mvn\t%w0, %w1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_562[] = {
  "mvn\t%x0, %x1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_572[] = {
  "bic\t%w0, %w2, %w1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_573[] = {
  "orn\t%w0, %w2, %w1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_574[] = {
  "bic\t%x0, %x2, %x1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_575[] = {
  "orn\t%x0, %x2, %x1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_579[] = {
  "eon\t%w0, %w1, %w2",
  "#",
};

static const char * const output_580[] = {
  "eon\t%x0, %x1, %x2",
  "#",
};

static const char * const output_656[] = {
  "tst\t%w0, %w1",
  "tst\t%w0, %1",
};

static const char * const output_657[] = {
  "tst\t%x0, %x1",
  "tst\t%x0, %1",
};

static const char *
output_658 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4904 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%w0, %1";
  }
}

static const char *
output_659 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4904 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%x0, %1";
  }
}

static const char *
output_686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5108 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsl\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5108 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("asr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5108 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5108 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char * const output_696[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
  "shl\t%0.2s, %1.2s, %2",
  "ushl\t%0.2s, %1.2s, %2.2s",
};

static const char * const output_697[] = {
  "lsl\t%x0, %x1, %2",
  "lsl\t%x0, %x1, %x2",
  "shl\t%d0, %d1, %2",
  "ushl\t%d0, %d1, %d2",
};

static const char * const output_698[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
  "ushr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_699[] = {
  "lsr\t%x0, %x1, %2",
  "lsr\t%x0, %x1, %x2",
  "ushr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_700[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
  "sshr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_701[] = {
  "asr\t%x0, %x1, %2",
  "asr\t%x0, %x1, %x2",
  "sshr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_707[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char * const output_708[] = {
  "ror\t%x0, %x1, %2",
  "ror\t%x0, %x1, %x2",
};

static const char * const output_709[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
};

static const char * const output_710[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
};

static const char * const output_711[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
};

static const char * const output_712[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char *
output_713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_717 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_718 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5422 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5422 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ror\t%x0, %x1, %3";
}
}

static const char *
output_728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5436 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_735 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_736 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5449 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_737 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5462 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_738 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5462 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_739 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5462 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5462 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5475 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5475 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5475 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5475 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_761 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5636 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[4]));
  return "bfi\t%w0, %w3, %4, %5";
}
}

static const char *
output_762 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5636 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[4]));
  return "bfi\t%x0, %x3, %4, %5";
}
}

static const char *
output_763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5653 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[2]));
  return "bfi\t%w0, %w1, %2, %5";
}
}

static const char *
output_764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5653 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[2]));
  return "bfi\t%x0, %x1, %2, %5";
}
}

static const char *
output_774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_777 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5740 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_796 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5840 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_797 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5840 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%x0, %x1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%x0, %x2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_798 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5867 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_885 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_886 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_887 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_888 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_889 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_890 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_891 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_892 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5961 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_911[] = {
  "fcvtzs\t%s0, %s1",
  "fcvtzs\t%w0, %s1",
};

static const char * const output_912[] = {
  "fcvtzu\t%s0, %s1",
  "fcvtzu\t%w0, %s1",
};

static const char * const output_913[] = {
  "fcvtzs\t%d0, %d1",
  "fcvtzs\t%x0, %d1",
};

static const char * const output_914[] = {
  "fcvtzu\t%d0, %d1",
  "fcvtzu\t%x0, %d1",
};

static const char *
output_925 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6166 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%s0, %s1, #%2";
      case 1:
	return "scvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_926 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6166 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%s0, %s1, #%2";
      case 1:
	return "ucvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_927 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6166 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%d0, %d1, #%2";
      case 1:
	return "scvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_928 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6166 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%d0, %d1, #%2";
      case 1:
	return "ucvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_929 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6189 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_930 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6189 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_931 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6189 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%d0, %w1, #%2";
  }
}

static const char *
output_932 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6189 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%d0, %w1, #%2";
  }
}

static const char * const output_933[] = {
  "scvtf\t%s0, %s1",
  "scvtf\t%s0, %w1",
};

static const char * const output_934[] = {
  "ucvtf\t%s0, %s1",
  "ucvtf\t%s0, %w1",
};

static const char * const output_935[] = {
  "scvtf\t%d0, %d1",
  "scvtf\t%d0, %x1",
};

static const char * const output_936[] = {
  "ucvtf\t%d0, %d1",
  "ucvtf\t%d0, %x1",
};

static const char * const output_945[] = {
  "fcvtzs\t%w0, %s1, #%2",
  "fcvtzs\t%s0, %s1, #%2",
};

static const char * const output_946[] = {
  "fcvtzu\t%w0, %s1, #%2",
  "fcvtzu\t%s0, %s1, #%2",
};

static const char * const output_947[] = {
  "fcvtzs\t%x0, %d1, #%2",
  "fcvtzs\t%d0, %d1, #%2",
};

static const char * const output_948[] = {
  "fcvtzu\t%x0, %d1, #%2",
  "fcvtzu\t%d0, %d1, #%2",
};

static const char * const output_949[] = {
  "scvtf\t%s0, %w1, #%2",
  "scvtf\t%s0, %s1, #%2",
};

static const char * const output_950[] = {
  "ucvtf\t%s0, %w1, #%2",
  "ucvtf\t%s0, %s1, #%2",
};

static const char * const output_951[] = {
  "scvtf\t%d0, %x1, #%2",
  "scvtf\t%d0, %d1, #%2",
};

static const char * const output_952[] = {
  "ucvtf\t%d0, %x1, #%2",
  "ucvtf\t%d0, %d1, #%2",
};

static const char * const output_1006[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%w0, %w1, #0, #31",
};

static const char * const output_1007[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%x0, %x1, #0, #63",
};

static const char *
output_1061 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7020 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_stack_range (operands[0], operands[2]);
}
}

static const char *
output_1062 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7038 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1063 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7038 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1064 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7088 "../../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%w0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1065 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7088 "../../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%x0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1078 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7215 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %m0", operands);
    return "";
  }
}

static const char *
output_1079 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7229 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %M0", operands);
    return "";
  }
}

static const char *
output_1085 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7315 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1086 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7315 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1087 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7315 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1088 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7315 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%x0, %x1, %x2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1089 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7335 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn
      ("cmp\t%3, #0\n\tcsel\t%0, %1, %2, ne\n\tcsel\t%H0, %H1, %H2, ne\n\thint\t0x14 // csdb",
       operands);
    return "";
  }
}

static const char *
output_1127 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7532 "../../../gcc/config/aarch64/aarch64.md"
{
  aarch64_output_patchable_area (INTVAL (operands[0]),
			         INTVAL (operands[1]) != 0);
  return "";
}
}

static const char * const output_1128[] = {
  "dup\t%0.8b, %1.b[0]",
  "dup\t%0.8b, %w1",
};

static const char * const output_1129[] = {
  "dup\t%0.16b, %1.b[0]",
  "dup\t%0.16b, %w1",
};

static const char * const output_1130[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1131[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1132[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1133[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1134[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char *
output_1142 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1143 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1144 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1145 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1146 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1147 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1148 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1149 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1150 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1151 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1154 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1155 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 93 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1156 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1157 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1158 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1159 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1160 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1161 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1162 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1163 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1164 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1165 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1166 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1167 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1168 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1170 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1171 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1172 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1173 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1174 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1175 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1176 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1177 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1178 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1179 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char * const output_1394[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1395[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1396[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1397[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1398[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1399[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1400[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1401[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1402[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1403[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1404[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1405[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char *
output_1477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #0";
}
}

static const char *
output_1494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #90";
}
}

static const char *
output_1495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #180";
}
}

static const char *
output_1496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 513 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #270";
}
}

static const char *
output_1497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1502 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 676 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 676 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 676 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 676 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 694 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "fmul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "fmul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 746 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 746 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 746 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 746 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 746 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 746 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 807 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1662 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 996 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1663 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 996 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1664 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 996 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1665 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 996 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1666 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 996 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 996 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 996 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1017 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1017 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1671 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1017 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1017 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1017 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1017 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1675 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1017 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %<vwcore>1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %<vwcore>1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1057 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1717 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1718 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1719 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1720 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1721 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1722 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1107 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1787 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1788 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1789 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1796 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1427 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1797 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1427 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1798 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1427 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1799 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1427 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1800 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1445 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1801 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1445 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1802 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1445 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1445 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1486 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1815 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1486 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1816 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1486 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1817 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1486 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1818 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1504 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1504 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1504 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1504 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char * const output_1894[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1895[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1896[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1897[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1898[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1899[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1900[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1901[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1902[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1903[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1904[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1905[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1906[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1907[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1908[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1909[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1910[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1911[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1912[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1913[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1914[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1915[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1916[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1917[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1918[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1919[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1920[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1921[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1922[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1923[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1924[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1925[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char *
output_1953 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1910 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.8b, %2.8h\n\txtn2\t%0.16b, %1.8h";
   else
     return "xtn\t%0.8b, %1.8h\n\txtn2\t%0.16b, %2.8h";
 }
}

static const char *
output_1954 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1910 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.4h, %2.4s\n\txtn2\t%0.8h, %1.4s";
   else
     return "xtn\t%0.4h, %1.4s\n\txtn2\t%0.8h, %2.4s";
 }
}

static const char *
output_1955 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1910 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.2s, %2.2d\n\txtn2\t%0.4s, %1.2d";
   else
     return "xtn\t%0.2s, %1.2d\n\txtn2\t%0.4s, %2.2d";
 }
}

static const char *
output_2038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2041 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2042 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2043 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2256 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2274 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2274 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2048 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2274 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2049 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2274 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2050 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2306 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2306 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2306 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2306 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2062 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2063 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2064 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2065 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2066 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2067 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2068 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2069 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2381 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2070 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2401 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "smlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2071 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2401 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "umlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2072 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2401 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "smlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2073 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2401 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "umlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2074 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2436 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "smlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2075 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2436 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "umlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2076 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2436 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "smlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2077 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2436 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "umlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2078 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2079 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2080 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2081 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2082 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2083 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2084 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2085 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2471 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2086 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2492 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "smlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2087 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2492 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "umlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2088 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2492 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "smlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2089 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2492 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "umlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2090 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "smlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2091 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "umlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2092 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "smlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2093 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "umlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2129 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2659 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2130 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2659 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2131 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2659 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2132 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2676 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2133 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2676 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2143 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2704 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2149 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2150 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2151 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2751 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2751 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2163 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2781 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2847 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2847 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2265 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2847 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2266 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2847 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2267 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2847 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2268 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2847 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_2433[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2434[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2435[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2436[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2437[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2438[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2439[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2440[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2441[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2442[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2443[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2444[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2445[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2446[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2447[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
  "#",
};

static const char * const output_2448[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
  "#",
};

static const char *
output_2449 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2450 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2451 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2452 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2453 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2455 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2456 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3888 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2457 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2458 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%<vwcore>0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%<vwcore>0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3922 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char * const output_2487[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2488[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2489[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2490[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2491[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2492[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2493[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2494[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2495[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2496[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2497[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2498[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2499[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2500[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2501[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2502[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2503[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2504[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2505[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2506[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2507[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2508[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2509[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2510[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char *
output_2653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4436 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2654 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4436 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2655 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4455 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2656 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4455 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2657 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4455 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_2663 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4489 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2664 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4489 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2665 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4489 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%d0, %d1, %2.d[%3]";
  }
}

static const char *
output_2802 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4653 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2810 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2811 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2812 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2813 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2815 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2816 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2817 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4668 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2818 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4683 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4683 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4683 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4683 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4698 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2823 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4698 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2824 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4698 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2825 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4698 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2838 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2841 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2843 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2844 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2845 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4730 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2846 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4748 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2847 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4748 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2848 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4748 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2849 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4748 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2850 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2851 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2852 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2853 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2854 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2855 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2856 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2857 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4768 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2858 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4786 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2859 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4786 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2860 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4786 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2861 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4786 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2870 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2871 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4846 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2872 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2873 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2874 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4895 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2875 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4895 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2876 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4919 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2877 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4919 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2878 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2879 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2880 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4966 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2881 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4966 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2882 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4990 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2883 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4990 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2884 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5013 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2885 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5013 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2894 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5146 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2895 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5146 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2896 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5146 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2897 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5146 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2898 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5172 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2899 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5172 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2900 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5172 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2901 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5172 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2910 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5319 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2911 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5319 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2912 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2913 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5340 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2914 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5360 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2915 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5360 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2916 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2917 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2922 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5458 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2923 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5458 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2924 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5481 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2925 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5481 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_3004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5616 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll\t%0.8h, %1.8b, %3";
    else
      return "sshll\t%0.8h, %1.8b, %3";
  }
}

static const char *
output_3005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5616 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll\t%0.8h, %1.8b, %3";
    else
      return "ushll\t%0.8h, %1.8b, %3";
  }
}

static const char *
output_3006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5616 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll\t%0.4s, %1.4h, %3";
    else
      return "sshll\t%0.4s, %1.4h, %3";
  }
}

static const char *
output_3007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5616 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll\t%0.4s, %1.4h, %3";
    else
      return "ushll\t%0.4s, %1.4h, %3";
  }
}

static const char *
output_3008 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5616 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll\t%0.2d, %1.2s, %3";
    else
      return "sshll\t%0.2d, %1.2s, %3";
  }
}

static const char *
output_3009 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5616 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll\t%0.2d, %1.2s, %3";
    else
      return "ushll\t%0.2d, %1.2s, %3";
  }
}

static const char *
output_3010 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5634 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %3";
    else
      return "sshll2\t%0.8h, %1.16b, %3";
  }
}

static const char *
output_3011 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5634 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %3";
    else
      return "ushll2\t%0.8h, %1.16b, %3";
  }
}

static const char *
output_3012 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5634 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %3";
    else
      return "sshll2\t%0.4s, %1.8h, %3";
  }
}

static const char *
output_3013 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5634 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %3";
    else
      return "ushll2\t%0.4s, %1.8h, %3";
  }
}

static const char *
output_3014 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5634 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %3";
    else
      return "sshll2\t%0.2d, %1.4s, %3";
  }
}

static const char *
output_3015 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5634 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %3";
    else
      return "ushll2\t%0.2d, %1.4s, %3";
  }
}

static const char *
output_3016 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5650 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "sshll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_3017 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5650 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "ushll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_3018 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5650 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "sshll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_3019 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5650 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "ushll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_3020 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5650 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "sshll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_3021 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5650 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "ushll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_3022 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "sshll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_3023 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "ushll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_3024 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "sshll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_3025 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "ushll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_3026 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "sshll2\t%0.2d, %1.4s, %2";
  }
}

static const char *
output_3027 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "ushll2\t%0.2d, %1.4s, %2";
  }
}

static const char * const output_3195[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_3196[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_3197[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_3198[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_3199[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_3200[] = {
  "cmgt\t%0.16b, %2.16b, %1.16b",
  "cmlt\t%0.16b, %1.16b, #0",
};

static const char * const output_3201[] = {
  "cmge\t%0.16b, %2.16b, %1.16b",
  "cmle\t%0.16b, %1.16b, #0",
};

static const char * const output_3202[] = {
  "cmeq\t%0.16b, %1.16b, %2.16b",
  "cmeq\t%0.16b, %1.16b, #0",
};

static const char * const output_3203[] = {
  "cmge\t%0.16b, %1.16b, %2.16b",
  "cmge\t%0.16b, %1.16b, #0",
};

static const char * const output_3204[] = {
  "cmgt\t%0.16b, %1.16b, %2.16b",
  "cmgt\t%0.16b, %1.16b, #0",
};

static const char * const output_3205[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_3206[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_3207[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_3208[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_3209[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_3210[] = {
  "cmgt\t%0.8h, %2.8h, %1.8h",
  "cmlt\t%0.8h, %1.8h, #0",
};

static const char * const output_3211[] = {
  "cmge\t%0.8h, %2.8h, %1.8h",
  "cmle\t%0.8h, %1.8h, #0",
};

static const char * const output_3212[] = {
  "cmeq\t%0.8h, %1.8h, %2.8h",
  "cmeq\t%0.8h, %1.8h, #0",
};

static const char * const output_3213[] = {
  "cmge\t%0.8h, %1.8h, %2.8h",
  "cmge\t%0.8h, %1.8h, #0",
};

static const char * const output_3214[] = {
  "cmgt\t%0.8h, %1.8h, %2.8h",
  "cmgt\t%0.8h, %1.8h, #0",
};

static const char * const output_3215[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_3216[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_3217[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_3218[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_3219[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_3220[] = {
  "cmgt\t%0.4s, %2.4s, %1.4s",
  "cmlt\t%0.4s, %1.4s, #0",
};

static const char * const output_3221[] = {
  "cmge\t%0.4s, %2.4s, %1.4s",
  "cmle\t%0.4s, %1.4s, #0",
};

static const char * const output_3222[] = {
  "cmeq\t%0.4s, %1.4s, %2.4s",
  "cmeq\t%0.4s, %1.4s, #0",
};

static const char * const output_3223[] = {
  "cmge\t%0.4s, %1.4s, %2.4s",
  "cmge\t%0.4s, %1.4s, #0",
};

static const char * const output_3224[] = {
  "cmgt\t%0.4s, %1.4s, %2.4s",
  "cmgt\t%0.4s, %1.4s, #0",
};

static const char * const output_3225[] = {
  "cmgt\t%0.2d, %2.2d, %1.2d",
  "cmlt\t%0.2d, %1.2d, #0",
};

static const char * const output_3226[] = {
  "cmge\t%0.2d, %2.2d, %1.2d",
  "cmle\t%0.2d, %1.2d, #0",
};

static const char * const output_3227[] = {
  "cmeq\t%0.2d, %1.2d, %2.2d",
  "cmeq\t%0.2d, %1.2d, #0",
};

static const char * const output_3228[] = {
  "cmge\t%0.2d, %1.2d, %2.2d",
  "cmge\t%0.2d, %1.2d, #0",
};

static const char * const output_3229[] = {
  "cmgt\t%0.2d, %1.2d, %2.2d",
  "cmgt\t%0.2d, %1.2d, #0",
};

static const char * const output_3235[] = {
  "cmgt\t%d0, %d2, %d1",
  "cmlt\t%d0, %d1, #0",
};

static const char * const output_3236[] = {
  "cmge\t%d0, %d2, %d1",
  "cmle\t%d0, %d1, #0",
};

static const char * const output_3237[] = {
  "cmeq\t%d0, %d1, %d2",
  "cmeq\t%d0, %d1, #0",
};

static const char * const output_3238[] = {
  "cmge\t%d0, %d1, %d2",
  "cmge\t%d0, %d1, #0",
};

static const char * const output_3239[] = {
  "cmgt\t%d0, %d1, %d2",
  "cmgt\t%d0, %d1, #0",
};

static const char * const output_3285[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_3286[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_3287[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_3288[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_3289[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_3290[] = {
  "fcmgt\t%0.8h, %2.8h, %1.8h",
  "fcmlt\t%0.8h, %1.8h, 0",
};

static const char * const output_3291[] = {
  "fcmge\t%0.8h, %2.8h, %1.8h",
  "fcmle\t%0.8h, %1.8h, 0",
};

static const char * const output_3292[] = {
  "fcmeq\t%0.8h, %1.8h, %2.8h",
  "fcmeq\t%0.8h, %1.8h, 0",
};

static const char * const output_3293[] = {
  "fcmge\t%0.8h, %1.8h, %2.8h",
  "fcmge\t%0.8h, %1.8h, 0",
};

static const char * const output_3294[] = {
  "fcmgt\t%0.8h, %1.8h, %2.8h",
  "fcmgt\t%0.8h, %1.8h, 0",
};

static const char * const output_3295[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_3296[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_3297[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_3298[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_3299[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_3300[] = {
  "fcmgt\t%0.4s, %2.4s, %1.4s",
  "fcmlt\t%0.4s, %1.4s, 0",
};

static const char * const output_3301[] = {
  "fcmge\t%0.4s, %2.4s, %1.4s",
  "fcmle\t%0.4s, %1.4s, 0",
};

static const char * const output_3302[] = {
  "fcmeq\t%0.4s, %1.4s, %2.4s",
  "fcmeq\t%0.4s, %1.4s, 0",
};

static const char * const output_3303[] = {
  "fcmge\t%0.4s, %1.4s, %2.4s",
  "fcmge\t%0.4s, %1.4s, 0",
};

static const char * const output_3304[] = {
  "fcmgt\t%0.4s, %1.4s, %2.4s",
  "fcmgt\t%0.4s, %1.4s, 0",
};

static const char * const output_3305[] = {
  "fcmgt\t%0.2d, %2.2d, %1.2d",
  "fcmlt\t%0.2d, %1.2d, 0",
};

static const char * const output_3306[] = {
  "fcmge\t%0.2d, %2.2d, %1.2d",
  "fcmle\t%0.2d, %1.2d, 0",
};

static const char * const output_3307[] = {
  "fcmeq\t%0.2d, %1.2d, %2.2d",
  "fcmeq\t%0.2d, %1.2d, 0",
};

static const char * const output_3308[] = {
  "fcmge\t%0.2d, %1.2d, %2.2d",
  "fcmge\t%0.2d, %1.2d, 0",
};

static const char * const output_3309[] = {
  "fcmgt\t%0.2d, %1.2d, %2.2d",
  "fcmgt\t%0.2d, %1.2d, 0",
};

static const char * const output_3310[] = {
  "fcmgt\t%h0, %h2, %h1",
  "fcmlt\t%h0, %h1, 0",
};

static const char * const output_3311[] = {
  "fcmge\t%h0, %h2, %h1",
  "fcmle\t%h0, %h1, 0",
};

static const char * const output_3312[] = {
  "fcmeq\t%h0, %h1, %h2",
  "fcmeq\t%h0, %h1, 0",
};

static const char * const output_3313[] = {
  "fcmge\t%h0, %h1, %h2",
  "fcmge\t%h0, %h1, 0",
};

static const char * const output_3314[] = {
  "fcmgt\t%h0, %h1, %h2",
  "fcmgt\t%h0, %h1, 0",
};

static const char * const output_3315[] = {
  "fcmgt\t%s0, %s2, %s1",
  "fcmlt\t%s0, %s1, 0",
};

static const char * const output_3316[] = {
  "fcmge\t%s0, %s2, %s1",
  "fcmle\t%s0, %s1, 0",
};

static const char * const output_3317[] = {
  "fcmeq\t%s0, %s1, %s2",
  "fcmeq\t%s0, %s1, 0",
};

static const char * const output_3318[] = {
  "fcmge\t%s0, %s1, %s2",
  "fcmge\t%s0, %s1, 0",
};

static const char * const output_3319[] = {
  "fcmgt\t%s0, %s1, %s2",
  "fcmgt\t%s0, %s1, 0",
};

static const char * const output_3320[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_3321[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_3322[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_3323[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_3324[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char *
output_3390 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_3391 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_3392 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3393 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3394 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3395 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3396 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3397 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3398 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3399 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6064 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_3415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_3416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3418 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3419 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3420 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3421 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3422 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3423 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3424 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3425 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6108 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_3455 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_3456 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3457 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3458 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6162 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_3479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_3480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6206 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_3519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_3520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6260 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_3543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_3544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3550 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3551 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3552 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char * const output_3641[] = {
  "#",
  "st1\t{%S1.16b - %T1.16b}, %0",
  "ld1\t{%S0.16b - %T0.16b}, %1",
};

static const char * const output_3642[] = {
  "#",
  "st1\t{%S1.16b - %U1.16b}, %0",
  "ld1\t{%S0.16b - %U0.16b}, %1",
};

static const char * const output_3643[] = {
  "#",
  "st1\t{%S1.16b - %V1.16b}, %0",
  "ld1\t{%S0.16b - %V0.16b}, %1",
};

static const char * const output_3674[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char *
output_3801 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8QImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3802 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V16QImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3810 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4BFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3811 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8BFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3812 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3813 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_4016 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8235 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_4017 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8235 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_4018 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8235 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_4019 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8235 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_4023 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8297 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_4024 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8297 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_4025 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8297 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_4026 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8297 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_4043 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casb\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casab\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslb\t%w0, %w2, %1";
  else
    return "casalb\t%w0, %w2, %1";
}
}

static const char *
output_4044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cash\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casah\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslh\t%w0, %w2, %1";
  else
    return "casalh\t%w0, %w2, %1";
}
}

static const char *
output_4045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "casl\t%w0, %w2, %1";
  else
    return "casal\t%w0, %w2, %1";
}
}

static const char *
output_4046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%x0, %x2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%x0, %x2, %1";
  else if (is_mm_release (model))
    return "casl\t%x0, %x2, %1";
  else
    return "casal\t%x0, %x2, %1";
}
}

static const char *
output_4047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 173 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casp\t%0, %R0, %2, %R2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "caspa\t%0, %R0, %2, %R2, %1";
  else if (is_mm_release (model))
    return "caspl\t%0, %R0, %2, %R2, %1";
  else
    return "caspal\t%0, %R0, %2, %R2, %1";
}
}

static const char *
output_4052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swpb\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpab\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplb\t%w2, %w0, %1";
    else
      return "swpalb\t%w2, %w0, %1";
  }
}

static const char *
output_4053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swph\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpah\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplh\t%w2, %w0, %1";
    else
      return "swpalh\t%w2, %w0, %1";
  }
}

static const char *
output_4054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swpl\t%w2, %w0, %1";
    else
      return "swpal\t%w2, %w0, %1";
  }
}

static const char *
output_4055 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%x2, %x0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%x2, %x0, %1";
    else if (is_mm_release (model))
      return "swpl\t%x2, %x0, %1";
    else
      return "swpal\t%x2, %x0, %1";
  }
}

static const char *
output_4076 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w1, %w3, %0";
   else
     return "ldsetalb\t%w1, %w3, %0";
  }
}

static const char *
output_4077 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w1, %w3, %0";
   else
     return "ldclralb\t%w1, %w3, %0";
  }
}

static const char *
output_4078 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w1, %w3, %0";
   else
     return "ldeoralb\t%w1, %w3, %0";
  }
}

static const char *
output_4079 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w1, %w3, %0";
   else
     return "ldaddalb\t%w1, %w3, %0";
  }
}

static const char *
output_4080 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w1, %w3, %0";
   else
     return "ldsetalh\t%w1, %w3, %0";
  }
}

static const char *
output_4081 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w1, %w3, %0";
   else
     return "ldclralh\t%w1, %w3, %0";
  }
}

static const char *
output_4082 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w1, %w3, %0";
   else
     return "ldeoralh\t%w1, %w3, %0";
  }
}

static const char *
output_4083 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w1, %w3, %0";
   else
     return "ldaddalh\t%w1, %w3, %0";
  }
}

static const char *
output_4084 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w1, %w3, %0";
   else
     return "ldsetal\t%w1, %w3, %0";
  }
}

static const char *
output_4085 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w1, %w3, %0";
   else
     return "ldclral\t%w1, %w3, %0";
  }
}

static const char *
output_4086 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w1, %w3, %0";
   else
     return "ldeoral\t%w1, %w3, %0";
  }
}

static const char *
output_4087 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w1, %w3, %0";
   else
     return "ldaddal\t%w1, %w3, %0";
  }
}

static const char *
output_4088 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x1, %x3, %0";
   else
     return "ldsetal\t%x1, %x3, %0";
  }
}

static const char *
output_4089 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x1, %x3, %0";
   else
     return "ldclral\t%x1, %x3, %0";
  }
}

static const char *
output_4090 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x1, %x3, %0";
   else
     return "ldeoral\t%x1, %x3, %0";
  }
}

static const char *
output_4091 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x1, %x3, %0";
   else
     return "ldaddal\t%x1, %x3, %0";
  }
}

static const char *
output_4116 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlb\t%w2, %w0, %1";
   else
     return "ldsetalb\t%w2, %w0, %1";
  }
}

static const char *
output_4117 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlb\t%w2, %w0, %1";
   else
     return "ldclralb\t%w2, %w0, %1";
  }
}

static const char *
output_4118 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlb\t%w2, %w0, %1";
   else
     return "ldeoralb\t%w2, %w0, %1";
  }
}

static const char *
output_4119 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlb\t%w2, %w0, %1";
   else
     return "ldaddalb\t%w2, %w0, %1";
  }
}

static const char *
output_4120 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlh\t%w2, %w0, %1";
   else
     return "ldsetalh\t%w2, %w0, %1";
  }
}

static const char *
output_4121 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlh\t%w2, %w0, %1";
   else
     return "ldclralh\t%w2, %w0, %1";
  }
}

static const char *
output_4122 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlh\t%w2, %w0, %1";
   else
     return "ldeoralh\t%w2, %w0, %1";
  }
}

static const char *
output_4123 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlh\t%w2, %w0, %1";
   else
     return "ldaddalh\t%w2, %w0, %1";
  }
}

static const char *
output_4124 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%w2, %w0, %1";
   else
     return "ldsetal\t%w2, %w0, %1";
  }
}

static const char *
output_4125 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%w2, %w0, %1";
   else
     return "ldclral\t%w2, %w0, %1";
  }
}

static const char *
output_4126 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%w2, %w0, %1";
   else
     return "ldeoral\t%w2, %w0, %1";
  }
}

static const char *
output_4127 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%w2, %w0, %1";
   else
     return "ldaddal\t%w2, %w0, %1";
  }
}

static const char *
output_4128 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%x2, %x0, %1";
   else
     return "ldsetal\t%x2, %x0, %1";
  }
}

static const char *
output_4129 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%x2, %x0, %1";
   else
     return "ldclral\t%x2, %x0, %1";
  }
}

static const char *
output_4130 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%x2, %x0, %1";
   else
     return "ldeoral\t%x2, %x0, %1";
  }
}

static const char *
output_4131 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%x2, %x0, %1";
   else
     return "ldaddal\t%x2, %x0, %1";
  }
}

static const char *
output_4160 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_4161 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_4162 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_4163 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%x0, %1";
    else
      return "ldar\t%x0, %1";
  }
}

static const char *
output_4164 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strb\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrb\t%w1, %0";
    else
      return "stlurb\t%w1, %0";
  }
}

static const char *
output_4165 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strh\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrh\t%w1, %0";
    else
      return "stlurh\t%w1, %0";
  }
}

static const char *
output_4166 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%w1, %0";
    else if (which_alternative == 0)
      return "stlr\t%w1, %0";
    else
      return "stlur\t%w1, %0";
  }
}

static const char *
output_4167 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%x1, %0";
    else if (which_alternative == 0)
      return "stlr\t%x1, %0";
    else
      return "stlur\t%x1, %0";
  }
}

static const char *
output_4168 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrb\t%w0, %1";
    else
      return "ldaxrb\t%w0, %1";
  }
}

static const char *
output_4169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrh\t%w0, %1";
    else
      return "ldaxrh\t%w0, %1";
  }
}

static const char *
output_4170 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 702 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%w0, %1";
    else
      return "ldaxr\t%w0, %1";
  }
}

static const char *
output_4171 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 702 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%x0, %1";
    else
      return "ldaxr\t%x0, %1";
  }
}

static const char *
output_4172 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 720 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxp\t%0, %1, %2";
    else
      return "ldaxp\t%0, %1, %2";
  }
}

static const char *
output_4173 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrb\t%w0, %w2, %1";
    else
      return "stlxrb\t%w0, %w2, %1";
  }
}

static const char *
output_4174 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrh\t%w0, %w2, %1";
    else
      return "stlxrh\t%w0, %w2, %1";
  }
}

static const char *
output_4175 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %w2, %1";
    else
      return "stlxr\t%w0, %w2, %1";
  }
}

static const char *
output_4176 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %x2, %1";
    else
      return "stlxr\t%w0, %x2, %1";
  }
}

static const char *
output_4177 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 757 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[4]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxp\t%w0, %x2, %x3, %1";
    else
      return "stlxp\t%w0, %x2, %x3, %1";
  }
}

static const char *
output_4178 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 793 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[1]));
    if (is_mm_acquire (model))
      return "dmb\tishld";
    else
      return "dmb\tish";
  }
}

static const char *
output_4179 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4180 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4181 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4182 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4183 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4184 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4185 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4186 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4187 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4188 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4189 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4190 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4191 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4192 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4193 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4194 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4195 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4196 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4197 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4198 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4199 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4200 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4201 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4202 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4203 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4204 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char * const output_4205[] = {
  "#",
  "ld1b\t%0.b, %1/z, %2",
  "st1b\t%2.b, %1, %0",
};

static const char * const output_4206[] = {
  "#",
  "ld1b\t%0.h, %1/z, %2",
  "st1b\t%2.h, %1, %0",
};

static const char * const output_4207[] = {
  "#",
  "ld1b\t%0.s, %1/z, %2",
  "st1b\t%2.s, %1, %0",
};

static const char * const output_4208[] = {
  "#",
  "ld1b\t%0.d, %1/z, %2",
  "st1b\t%2.d, %1, %0",
};

static const char * const output_4209[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4210[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4211[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4212[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4213[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4214[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4215[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4216[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4217[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4218[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_4219[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_4220[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_4221[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_4222[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char * const output_4223[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char *
output_4334 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4335 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4336 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4337 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4338 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4339 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1032 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char * const output_4346[] = {
  "setffr",
  "wrffr\t%0.b",
};

static const char * const output_4483[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4484[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4485[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4486[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4487[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4488[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4489[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4490[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4491[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4492[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4493[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4494[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4495[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4496[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4497[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4498[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4499[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4500[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4501[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4502[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4503[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4504[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4505[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4506[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4507[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4508[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4509[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4510[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4511[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4512[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4513[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4514[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4515[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4516[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4517[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4518[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4519[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4520[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4521[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4522[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4523[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4524[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4525[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4526[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4527[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4528[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4529[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4530[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4531[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4532[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4533[] = {
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4534[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4535[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4536[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4537[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4538[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4539[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4540[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4541[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4542[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4543[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4544[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4545[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4546[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4547[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4548[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4549[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4550[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4551[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4552[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4553[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4554[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4555[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4556[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4557[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4558[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4559[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4560[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4561[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4562[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4563[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4564[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4565[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4566[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4567[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4568[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4569[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4570[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4571[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4572[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4573[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4574[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4575[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4576[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4577[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4578[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4579[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4580[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4581[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4582[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4583[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4584[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4585[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4586[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4587[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4588[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4589[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4590[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4591[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4592[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4593[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4594[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4595[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4596[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4597[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4598[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4599[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4600[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4601[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4602[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4603[] = {
  "ldff1sb\t%0.s, %5/z, [%2.s]",
  "ldff1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4604[] = {
  "ldff1b\t%0.s, %5/z, [%2.s]",
  "ldff1b\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4605[] = {
  "ldff1sh\t%0.s, %5/z, [%2.s]",
  "ldff1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4606[] = {
  "ldff1h\t%0.s, %5/z, [%2.s]",
  "ldff1h\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4607[] = {
  "ldff1sb\t%0.d, %5/z, [%2.d]",
  "ldff1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4608[] = {
  "ldff1b\t%0.d, %5/z, [%2.d]",
  "ldff1b\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4609[] = {
  "ldff1sh\t%0.d, %5/z, [%2.d]",
  "ldff1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4610[] = {
  "ldff1h\t%0.d, %5/z, [%2.d]",
  "ldff1h\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4611[] = {
  "ldff1sw\t%0.d, %5/z, [%2.d]",
  "ldff1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4612[] = {
  "ldff1w\t%0.d, %5/z, [%2.d]",
  "ldff1w\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4613[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4614[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4615[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4616[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4617[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4618[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4619[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4620[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4621[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4622[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4623[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4624[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char *
output_4625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx16QImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfb", operands[2], "%0, %1");
  }
}

static const char *
output_4626 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx8HImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfh", operands[2], "%0, %1");
  }
}

static const char *
output_4627 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx4SImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfw", operands[2], "%0, %1");
  }
}

static const char *
output_4628 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx2DImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfd", operands[2], "%0, %1");
  }
}

static const char *
output_4629 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.s]",
      "prfb", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfb", "%0, [%1, %2.s, sxtw %p4]",
      "prfb", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4630 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.s]",
      "prfh", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfh", "%0, [%1, %2.s, sxtw %p4]",
      "prfh", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4631 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.s]",
      "prfw", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfw", "%0, [%1, %2.s, sxtw %p4]",
      "prfw", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4632 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.s]",
      "prfd", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfd", "%0, [%1, %2.s, sxtw %p4]",
      "prfd", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4633 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.d]",
      "prfb", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfb", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4634 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.d]",
      "prfh", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfh", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.d]",
      "prfw", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfw", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4636 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.d]",
      "prfd", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfd", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4637 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfb", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4638 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfh", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfw", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfd", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4641 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfb", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4642 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfh", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4643 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfw", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4644 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfd", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char * const output_4702[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4703[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4704[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4705[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4706[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4707[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4708[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4709[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4710[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4711[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4712[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4713[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4714[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4715[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4716[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4717[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4718[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4719[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4720[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4721[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4722[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4723[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4724[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4725[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4726[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4727[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4728[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4729[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4730[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4731[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4732[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4733[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4734[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4735[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4736[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4737[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4738[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4739[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4740[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4741[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4742[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4743[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4744[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4745[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4746[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4747[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4748[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4749[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4750[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4751[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4752[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4753[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4754[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4755[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4756[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4757[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4758[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4759[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4760[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4761[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4762[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4763[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4764[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4765[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4766[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4767[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4768[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4769[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4770[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4771[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4772[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4773[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4774[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4775[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4776[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char * const output_4777[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char *
output_4778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4787 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4788 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4789 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4790 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4791 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4792 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4793 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4813 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rqb\t%0.b, %2/z, %1";
  }
}

static const char *
output_4814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4815 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_4816 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_4817 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4818 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_4820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_4821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rob\t%0.b, %2/z, %1";
  }
}

static const char *
output_4822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4823 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_4824 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char *
output_4825 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4826 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4827 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_4828 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char * const output_4829[] = {
  "insr\t%0.b, %w2",
  "insr\t%0.b, %b2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %b2",
};

static const char * const output_4830[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4831[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_4832[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_4833[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4834[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4835[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_4836[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_4837[] = {
  "index\t%0.b, #%1, %w2",
  "index\t%0.b, %w1, #%2",
  "index\t%0.b, %w1, %w2",
};

static const char * const output_4838[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_4839[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4840[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4841[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_4842[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4843[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4844[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4845[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4846[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char *
output_4847 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.b, %w1, #%2";
  }
}

static const char *
output_4848 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_4849 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4850 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4851 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_4852 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4853 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4854 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4855 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4856 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4857 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.b}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4858 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4859 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4860 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4861 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4862 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4863 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4864 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4865 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4866 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4867 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4868 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4869 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4870 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4871 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4872 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4873 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    return "dup\t%0.b, %1.b[%2]";
  }
}

static const char *
output_4874 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4875 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_4876 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_4877 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4878 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4879 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_4880 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_4881 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (QImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4882 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4883 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4884 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4885 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4886 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4887 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4888 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char * const output_4889[] = {
  "lasta\t%w0, %1, %2.b",
  "lasta\t%b0, %1, %2.b",
};

static const char * const output_4890[] = {
  "lastb\t%w0, %1, %2.b",
  "lastb\t%b0, %1, %2.b",
};

static const char * const output_4891[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4892[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4893[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_4894[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_4895[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_4896[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_4897[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4898[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4899[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4900[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4901[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_4902[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_4903[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_4904[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_4905[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4906[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4907[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4908[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4909[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4910[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4911[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4912[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4913[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4914[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4915[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4916[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4917[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4918[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4919[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4920[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4921[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4922[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4923[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4924[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4925[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4926[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4927[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4928[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4929[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4930[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4931[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4932[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4933[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4934[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4935[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4936[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4937[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4938[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4939[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4940[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4941[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4942[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4943[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4944[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4945[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4946[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4947[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4948[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4949[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4950[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4951[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4952[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4953[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4954[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4955[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4956[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4957[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4958[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4959[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4960[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4961[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4962[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4963[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4964[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4965[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4966[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4967[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4968[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4969[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4970[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4971[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4972[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4973[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4974[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4975[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4976[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4977[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4978[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4979[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4980[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_4981[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_4982[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_4983[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4984[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4985[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4986[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4987[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4988[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4989[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4990[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4991[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4992[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4993[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4994[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4995[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4996[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4997[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4998[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4999[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5000[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5001[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5002[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5003[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5004[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_5005[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_5006[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_5007[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5008[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5009[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5010[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5011[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5012[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_5013[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_5014[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_5015[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5016[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5017[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5018[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5019[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5020[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_5021[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_5022[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_5023[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5024[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5025[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5026[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5027[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5028[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_5029[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_5030[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_5031[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5032[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5033[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5034[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5035[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5036[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_5037[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_5038[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_5039[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5040[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5041[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5042[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5043[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5044[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_5045[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_5046[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_5047[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5048[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5049[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5050[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5051[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5052[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_5053[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_5054[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_5055[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5056[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5057[] = {
  "abs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5058[] = {
  "neg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5059[] = {
  "not\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5060[] = {
  "cls\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_5061[] = {
  "clz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_5062[] = {
  "cnt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_5063[] = {
  "sqabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5064[] = {
  "sqneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5065[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5066[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5067[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5068[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_5069[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_5070[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_5071[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5072[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5073[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5074[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5075[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5076[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_5077[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_5078[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_5079[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5080[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5081[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5082[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5083[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5084[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_5085[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_5086[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_5087[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5088[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5089[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5090[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5091[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5092[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_5093[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_5094[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_5095[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_5096[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_5097[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5098[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5099[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5100[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_5101[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_5102[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_5103[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5104[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5105[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5106[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5107[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5108[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_5109[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_5110[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_5111[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5112[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5113[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5114[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5115[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5116[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_5117[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_5118[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_5119[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5120[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5121[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5122[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5123[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5124[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_5125[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_5126[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_5127[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5128[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5129[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5130[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5131[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5132[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_5133[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_5134[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_5135[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5136[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5137[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5138[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5139[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5140[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_5141[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tclz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_5142[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_5143[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5144[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5145[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_5146[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_5147[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_5148[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_5149[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_5150[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5151[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_5152[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_5153[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5154[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5155[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_5156[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_5157[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5158[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5159[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5160[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5161[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_5162[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5163[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5164[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5165[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5166[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5167[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5168[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5169[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5170[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5171[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5172[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_5173[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_5174[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_5175[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_5176[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_5177[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5178[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_5179[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_5180[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5181[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5182[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5183[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5184[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5185[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5186[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5187[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5188[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5189[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5190[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5191[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5192[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5193[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5194[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5195[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5196[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5197[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5198[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5199[] = {
  "uxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5200[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5201[] = {
  "uxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5202[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5203[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5204[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5205[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5206[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5207[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5208[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5209[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5210[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5211[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5212[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5213[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5214[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5215[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5216[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5217[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5218[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5219[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5220[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5221[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5222[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5223[] = {
  "uxt%e3\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_5224[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5225[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5226[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5227[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5228[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5229[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5230[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5231[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5232[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5233[] = {
  "uxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_5244[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5245[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5246[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5247[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5248[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5249[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5250[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5251[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5252[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5253[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5254[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5255[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5256[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5257[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5258[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5259[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5260[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5261[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5262[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5263[] = {
  "cnot\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5264[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5265[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5266[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5267[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5268[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5269[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5270[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5271[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5272[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5273[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %6\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5283[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5284[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5285[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5286[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5287[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5288[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5289[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5290[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5291[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5292[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5293[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5294[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5295[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5296[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5297[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5298[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5299[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5300[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5301[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5302[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5303[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5304[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5305[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5306[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5307[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5308[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5309[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5310[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5311[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5312[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5313[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5314[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5315[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5316[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5317[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5318[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5319[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5320[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5321[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5322[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5323[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5324[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5325[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5326[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5327[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5328[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5329[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5330[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5331[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5332[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5333[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5334[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5335[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5336[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5337[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5338[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5339[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5340[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5341[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5342[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5343[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5344[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5345[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5346[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5347[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5348[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5349[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5350[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5351[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5352[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5353[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5354[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5355[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5356[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5357[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5358[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5359[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5360[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5361[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5362[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5363[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5364[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5365[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5366[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5367[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5368[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5369[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5370[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5371[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5372[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5373[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5374[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5375[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5376[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5377[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5378[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5379[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5380[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5381[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5382[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5383[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5384[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5385[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5386[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5387[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5388[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5389[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5390[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5391[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5392[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5393[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5394[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5395[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5396[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5397[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5398[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5399[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5400[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5401[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5402[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5403[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5404[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5405[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5406[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5407[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5408[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5409[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5410[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5411[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5412[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5413[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5414[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5415[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5416[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5417[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5418[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5419[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5420[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5421[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5422[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5423[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5424[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5425[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5426[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5427[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5428[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5429[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5430[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5431[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5432[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5433[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5434[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5435[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5436[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5437[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5438[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5439[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5440[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5441[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5442[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5443[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5444[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5445[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5446[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5447[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5452[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5453[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5454[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5455[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5456[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5457[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5458[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5459[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5460[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5461[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5462[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5463[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5464[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5465[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5466[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5467[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5468[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5469[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5470[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5471[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5472[] = {
  "#",
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5473[] = {
  "#",
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5474[] = {
  "#",
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5475[] = {
  "#",
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5476[] = {
  "#",
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5477[] = {
  "#",
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5478[] = {
  "#",
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5479[] = {
  "#",
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5480[] = {
  "#",
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5481[] = {
  "#",
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5482[] = {
  "#",
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5483[] = {
  "#",
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5484[] = {
  "#",
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5485[] = {
  "#",
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5486[] = {
  "#",
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5487[] = {
  "#",
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5488[] = {
  "#",
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5489[] = {
  "#",
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5490[] = {
  "#",
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5491[] = {
  "#",
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5492[] = {
  "#",
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5493[] = {
  "#",
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5494[] = {
  "#",
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5495[] = {
  "#",
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5496[] = {
  "#",
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5497[] = {
  "#",
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5498[] = {
  "#",
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5499[] = {
  "#",
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5500[] = {
  "#",
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5501[] = {
  "#",
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5502[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5503[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5504[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5505[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5506[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5507[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5508[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5509[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5510[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5511[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5512[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5513[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5514[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5515[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5516[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5517[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5518[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5519[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5520[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5521[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5522[] = {
  "mul\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.h, %0.h, #%2",
};

static const char * const output_5523[] = {
  "smax\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.h, %0.h, #%2",
};

static const char * const output_5524[] = {
  "smin\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.h, %0.h, #%2",
};

static const char * const output_5525[] = {
  "umax\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.h, %0.h, #%D2",
};

static const char * const output_5526[] = {
  "umin\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.h, %0.h, #%D2",
};

static const char * const output_5527[] = {
  "mul\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.h, %0.h, #%2",
};

static const char * const output_5528[] = {
  "smax\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.h, %0.h, #%2",
};

static const char * const output_5529[] = {
  "smin\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.h, %0.h, #%2",
};

static const char * const output_5530[] = {
  "umax\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.h, %0.h, #%D2",
};

static const char * const output_5531[] = {
  "umin\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.h, %0.h, #%D2",
};

static const char * const output_5532[] = {
  "mul\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.h, %0.h, #%2",
};

static const char * const output_5533[] = {
  "smax\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.h, %0.h, #%2",
};

static const char * const output_5534[] = {
  "smin\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.h, %0.h, #%2",
};

static const char * const output_5535[] = {
  "umax\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.h, %0.h, #%D2",
};

static const char * const output_5536[] = {
  "umin\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.h, %0.h, #%D2",
};

static const char * const output_5537[] = {
  "mul\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.s, %0.s, #%2",
};

static const char * const output_5538[] = {
  "smax\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.s, %0.s, #%2",
};

static const char * const output_5539[] = {
  "smin\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.s, %0.s, #%2",
};

static const char * const output_5540[] = {
  "umax\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.s, %0.s, #%D2",
};

static const char * const output_5541[] = {
  "umin\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.s, %0.s, #%D2",
};

static const char * const output_5542[] = {
  "mul\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.s, %0.s, #%2",
};

static const char * const output_5543[] = {
  "smax\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.s, %0.s, #%2",
};

static const char * const output_5544[] = {
  "smin\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.s, %0.s, #%2",
};

static const char * const output_5545[] = {
  "umax\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.s, %0.s, #%D2",
};

static const char * const output_5546[] = {
  "umin\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.s, %0.s, #%D2",
};

static const char * const output_5547[] = {
  "mul\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.d, %0.d, #%2",
};

static const char * const output_5548[] = {
  "smax\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.d, %0.d, #%2",
};

static const char * const output_5549[] = {
  "smin\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.d, %0.d, #%2",
};

static const char * const output_5550[] = {
  "umax\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.d, %0.d, #%D2",
};

static const char * const output_5551[] = {
  "umin\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.d, %0.d, #%D2",
};

static const char * const output_5552[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5553[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5554[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5555[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5556[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5557[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5558[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5559[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5560[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5561[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5562[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5563[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5564[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5565[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5566[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5567[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5568[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5569[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5570[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5571[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5572[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5573[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5574[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5575[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5576[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5577[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5578[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5579[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5580[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5581[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5582[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5583[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5584[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5585[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5586[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5587[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5588[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5589[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5590[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5591[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5592[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5593[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5594[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5595[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5596[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5597[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5598[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5599[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5600[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5601[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5602[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5603[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5604[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5605[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5606[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5607[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5608[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5609[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5610[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5611[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5612[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5613[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5614[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5615[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5616[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5617[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5618[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5619[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5620[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5621[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5622[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5623[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5624[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5625[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5626[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5627[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5628[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5629[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5630[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5631[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5632[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5633[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5634[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5635[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5636[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5637[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5638[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5639[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5640[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5641[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5642[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5643[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5644[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5645[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5646[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5647[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5648[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5649[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5650[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5651[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5652[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5653[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5654[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5655[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5656[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5657[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5658[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5659[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5660[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5661[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5662[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5663[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5664[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5665[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5666[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5667[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5668[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5669[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5670[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5671[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5672[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5673[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5674[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5675[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5676[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5677[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5678[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5679[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5680[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5681[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5682[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5683[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5684[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5685[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5686[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5687[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5688[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5689[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5690[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5691[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5692[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5693[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5694[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5695[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5696[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5697[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5698[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5699[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5700[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5701[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5702[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5703[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5704[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5705[] = {
  "add\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5706[] = {
  "sub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5707[] = {
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5708[] = {
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5709[] = {
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5710[] = {
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5711[] = {
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5712[] = {
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5713[] = {
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5714[] = {
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5715[] = {
  "and\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tand\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5716[] = {
  "orr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\torr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5717[] = {
  "eor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\teor\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5718[] = {
  "sqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5719[] = {
  "uqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5720[] = {
  "sqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5721[] = {
  "uqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5722[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5723[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5724[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5725[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5726[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5727[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5728[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5729[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5730[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5731[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5732[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5733[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5734[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5735[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5736[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5737[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5738[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5739[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5740[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5741[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5742[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5743[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5744[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5745[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5746[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5747[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5748[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5749[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5750[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5751[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5752[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5753[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5754[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5755[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5756[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5757[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5758[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5759[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5760[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5761[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5762[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5763[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5764[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5765[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5766[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5767[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5768[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5769[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5770[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5771[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5772[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5773[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5774[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5775[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5776[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5777[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5778[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5779[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5780[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5781[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5782[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5783[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5784[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5785[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5786[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5787[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5788[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5789[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5790[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5791[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5792[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5793[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5794[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5795[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5796[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5797[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5798[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5799[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5800[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5801[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5802[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5803[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5804[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5805[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5806[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5807[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5808[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5809[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5810[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5811[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5812[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5813[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5814[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5815[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5816[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5817[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5818[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5819[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5820[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5821[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5822[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5823[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5824[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5825[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5826[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5827[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5828[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5829[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5830[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5831[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5832[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5833[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5834[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5835[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5836[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5837[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5838[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5839[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5840[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5841[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5842[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5843[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5844[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5845[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5846[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5847[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5848[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5849[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5850[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5851[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5852[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5853[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5854[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5855[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5856[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5857[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5858[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5859[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5860[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5861[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5862[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5863[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5864[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5865[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5866[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5867[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5868[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5869[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5870[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5871[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5872[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5873[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5874[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5875[] = {
  "add\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5876[] = {
  "subr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5877[] = {
  "mul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5878[] = {
  "smax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5879[] = {
  "umax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5880[] = {
  "smin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5881[] = {
  "umin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5882[] = {
  "lslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5883[] = {
  "asrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5884[] = {
  "lsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5885[] = {
  "and\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tand\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5886[] = {
  "orr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\torr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5887[] = {
  "eor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\teor\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5888[] = {
  "sqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5889[] = {
  "uqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5890[] = {
  "sqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5891[] = {
  "uqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5892[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5893[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5894[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5895[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5896[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5897[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5898[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5899[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5900[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5901[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5902[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5903[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5904[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5905[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5906[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5907[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5908[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5909[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5910[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5911[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5912[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5913[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5914[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5915[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5916[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5917[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5918[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5919[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5920[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5921[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5922[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5923[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5924[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5925[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5926[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5927[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5928[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5929[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5930[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5931[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5932[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5933[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5934[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5935[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5936[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5937[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5938[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5939[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5940[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5941[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5942[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5943[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5944[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5945[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5946[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5947[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5948[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5949[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5950[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5951[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5952[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5953[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5954[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5955[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5956[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5957[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5958[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5959[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5960[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5961[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5962[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5963[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5964[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5965[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5966[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5967[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5968[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5969[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5970[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5971[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5972[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5973[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5974[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5975[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5976[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5977[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5978[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5979[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5980[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5981[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5982[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5983[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5984[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5985[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5986[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5987[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5988[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5989[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5990[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5991[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5992[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5993[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5994[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5995[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5996[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5997[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5998[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5999[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6000[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6001[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6002[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6003[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6004[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6005[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6006[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6007[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6008[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6009[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6010[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6011[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6012[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6013[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6014[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6015[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6016[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6017[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6018[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6019[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6020[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6021[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6022[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6023[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6024[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6025[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6026[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6027[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6028[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6029[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6030[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6031[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6032[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6033[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6034[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6035[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6036[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6037[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6038[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6039[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6040[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6041[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6042[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6043[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6044[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6045[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6046[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6047[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6048[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6049[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6050[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6051[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6052[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6053[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6054[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6055[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6056[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6057[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6058[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6059[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6060[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6061[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char *
output_6062 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_6063 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_6064 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_6065 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_6066 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_6067 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_6068 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_6069 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_6070 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_6071 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.d, %0.d, #%D2";
    case 1: return "sub\t%0.d, %0.d, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.d", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.d, %0.d, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.d, %0.d, #%N2";
    case 5: return "add\t%0.d, %1.d, %2.d";
      default: gcc_unreachable ();
    }
}

static const char * const output_6072[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_6073[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_6074[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_6075[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_6076[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_6077[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_6078[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_6079[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_6080[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_6081[] = {
  "sub\t%0.d, %1.d, %2.d",
  "subr\t%0.d, %0.d, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.d, %0.d, #%D1",
};

static const char * const output_6096[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6097[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6098[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6099[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6100[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6101[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6102[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6103[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6104[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6105[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6106[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6107[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6108[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6109[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6110[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6111[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6112[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6113[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6114[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6115[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6116[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6117[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6118[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6119[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6120[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6121[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6122[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6123[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6124[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6125[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6126[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6127[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6128[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6129[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6130[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6131[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6132[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6133[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6134[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6135[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6136[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6137[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6138[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6139[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6140[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6141[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6142[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6143[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6144[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6145[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6146[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6147[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6148[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6149[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6150[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6151[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6152[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6153[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6154[] = {
  "sabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6155[] = {
  "uabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6156[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6157[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6158[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6159[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6160[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6161[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6162[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6163[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6164[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6165[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6166[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6167[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6168[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6169[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6170[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6171[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6172[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6173[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6174[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6175[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6176[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "sqsub\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%N2",
  "sqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_6177[] = {
  "sqsub\t%0.b, %0.b, #%D2",
  "sqadd\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%N2",
  "sqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_6178[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "sqsub\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%N2",
  "sqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_6179[] = {
  "sqsub\t%0.h, %0.h, #%D2",
  "sqadd\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%N2",
  "sqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_6180[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "sqsub\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%N2",
  "sqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_6181[] = {
  "sqsub\t%0.s, %0.s, #%D2",
  "sqadd\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%N2",
  "sqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_6182[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "sqsub\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%N2",
  "sqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_6183[] = {
  "sqsub\t%0.d, %0.d, #%D2",
  "sqadd\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%N2",
  "sqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_6184[] = {
  "uqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.b, %0.b, #%D2",
  "uqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_6185[] = {
  "uqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.b, %0.b, #%D2",
  "uqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_6186[] = {
  "uqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.h, %0.h, #%D2",
  "uqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_6187[] = {
  "uqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.h, %0.h, #%D2",
  "uqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_6188[] = {
  "uqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.s, %0.s, #%D2",
  "uqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_6189[] = {
  "uqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.s, %0.s, #%D2",
  "uqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_6190[] = {
  "uqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.d, %0.d, #%D2",
  "uqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_6191[] = {
  "uqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.d, %0.d, #%D2",
  "uqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_6192[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6193[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6194[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6195[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6196[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6197[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6198[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6199[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6200[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6201[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6202[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6203[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6204[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6205[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6206[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6207[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6208[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6209[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6210[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6211[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6212[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6213[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6214[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6215[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6216[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6217[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6218[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6219[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6220[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6221[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6222[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6223[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6224[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6225[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6226[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6227[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6228[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6229[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6230[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6231[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6232[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6233[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6234[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6235[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6236[] = {
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6237[] = {
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6238[] = {
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6239[] = {
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6240[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6241[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6242[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6243[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6244[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6245[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6246[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6247[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6248[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6249[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6250[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6251[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6252[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6253[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6254[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6255[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6256[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6257[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6258[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6259[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6260[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6261[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6262[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6263[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6264[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6265[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6266[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6267[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6268[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6269[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6270[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6271[] = {
  "and\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.d, %0.d, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6272[] = {
  "orr\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.d, %0.d, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6273[] = {
  "eor\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.d, %0.d, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6284[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6285[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6286[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6287[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6288[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6289[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6290[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6291[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6292[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6293[] = {
  "bic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tbic\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6294[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6295[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6296[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6297[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6298[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6299[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6300[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6301[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6302[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6303[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6304[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6305[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6306[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6307[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6308[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6309[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6310[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6311[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6312[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6313[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6314[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6315[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6316[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6317[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6318[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6319[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6320[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6321[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6322[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6323[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6324[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6325[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6326[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6327[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6328[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6329[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6330[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6331[] = {
  "#",
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "lslr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6332[] = {
  "#",
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "asrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6333[] = {
  "#",
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "lsrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6364[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6365[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6366[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6367[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6368[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6369[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6370[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6371[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6372[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6373[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6374[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6375[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6376[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6377[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6378[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6379[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6380[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6381[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6382[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6383[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6384[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6385[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6386[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6387[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6388[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6389[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6390[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6391[] = {
  "lsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6392[] = {
  "asr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6393[] = {
  "lsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6394[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6395[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6396[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6397[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6398[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6399[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6400[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6401[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6402[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6403[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6404[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6405[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6406[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6407[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6408[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6409[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6410[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6411[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6412[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6413[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6414[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6415[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6416[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6417[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6418[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6419[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6420[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6421[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6422[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6423[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6433[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6434[] = {
  "asr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6435[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6436[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6437[] = {
  "asr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6438[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6439[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6440[] = {
  "asr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6441[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6442[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6443[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6444[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6445[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6446[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6447[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6448[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6449[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6450[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6451[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6452[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6453[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6454[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6455[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6456[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6457[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6458[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6459[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6460[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6461[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6462[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6463[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6464[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6465[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6466[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6467[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6468[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6469[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6470[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6471[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6472[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6473[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6474[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6475[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6476[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6477[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6478[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6479[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6480[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6481[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6482[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6483[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6484[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6485[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6486[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6487[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6488[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6489[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6490[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6491[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6492[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6493[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6494[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6495[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6496[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6497[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6498[] = {
  "sqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6499[] = {
  "srshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6500[] = {
  "urshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6501[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6502[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6503[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6504[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6505[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6506[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6507[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6508[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6509[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6510[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6511[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6512[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6513[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6514[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6515[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6516[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6517[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6518[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6519[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6520[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6521[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6522[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6523[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6524[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6525[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6526[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6527[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6528[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6529[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6530[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6531[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6532[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6533[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6534[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6535[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6536[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6537[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6538[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6539[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6540[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6547[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6548[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6549[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6550[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6551[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6552[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6553[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6554[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6555[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6556[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6557[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6558[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6559[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6560[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6561[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6577[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6578[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6579[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6580[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6581[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6582[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6583[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6584[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6585[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6586[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6587[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6588[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6589[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6590[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6591[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6592[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6593[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6594[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6595[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6596[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6597[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6598[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6599[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6600[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6601[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6602[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6603[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6604[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6605[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6606[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6607[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6608[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6609[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6610[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6611[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6612[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6613[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6614[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6615[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6616[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6617[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6618[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6619[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6620[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6621[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6622[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6623[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6624[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6625[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6626[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6627[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6628[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6629[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6630[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6631[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6632[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6633[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6634[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6635[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6636[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6637[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6638[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6639[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6640[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6641[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6642[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6643[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6644[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6645[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6646[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6647[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6648[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6649[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6650[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6651[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6652[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6653[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6654[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6655[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6656[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6657[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6658[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6659[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6660[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6661[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6662[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6663[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6664[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6665[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6666[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6667[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6668[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6669[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6670[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6671[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6672[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6673[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6674[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6675[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6676[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6677[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6678[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6679[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6680[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6681[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6682[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6683[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6684[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6685[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6686[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6687[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6688[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6689[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6690[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6691[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6692[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6693[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6694[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6695[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6696[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6697[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6698[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6699[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6700[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6701[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6702[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6703[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6704[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6705[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6706[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6707[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6708[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6709[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6710[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6711[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6712[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6713[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6714[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6715[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6716[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6717[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6718[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6719[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6720[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6721[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6722[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6723[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6724[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6725[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6726[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6727[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6728[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6729[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6730[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6731[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6732[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6733[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6734[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6735[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6736[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6737[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6738[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6739[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6740[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6741[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6742[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6743[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6744[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6745[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6746[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6747[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6748[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6749[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6750[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6751[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6752[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6753[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6754[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6755[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6756[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6757[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6758[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6759[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6760[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6761[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6762[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6763[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6764[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6765[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6766[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6767[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6768[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6769[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6770[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6771[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6772[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6773[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6774[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6775[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6776[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6777[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6778[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6779[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6780[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6781[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6782[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6783[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6784[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6785[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6786[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6787[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6788[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6789[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6790[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6791[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6792[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6793[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6794[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6795[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6796[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6797[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6798[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6799[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6800[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6801[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6802[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6803[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6804[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6805[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6806[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6807[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6808[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_6809[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_6810[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_6811[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_6812[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_6813[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_6814[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_6815[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_6816[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_6817[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_6818[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_6819[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_6820[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_6821[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_6822[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_6823[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_6824[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_6825[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_6826[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_6827[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_6828[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_6829[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_6830[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_6831[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_6832[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_6833[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_6834[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_6835[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_6836[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_6837[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_6838[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_6839[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_6840[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_6841[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_6842[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_6843[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_6844[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_6845[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_6846[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_6847[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_6848[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_6849[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_6850[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6851[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6852[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6853[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_6854[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_6855[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_6856[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_6857[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_6858[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_6859[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_6860[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_6861[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_6862[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_6863[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_6864[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_6865[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6866[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6867[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6868[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6869[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6870[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6871[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6872[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6873[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6874[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6875[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6876[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6877[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6878[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6879[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6880[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6881[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6882[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6883[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6884[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6885[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6886[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6887[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6888[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6889[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "#",
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6890[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "#",
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6891[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "#",
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6904[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6905[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6906[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6907[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6908[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6909[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6910[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6911[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6912[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6913[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6914[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6915[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7004[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7005[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7006[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7007[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7008[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7009[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7010[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7011[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7012[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7013[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7014[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7015[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7016[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7017[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7018[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7019[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7020[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7021[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7022[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7023[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7024[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7025[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7026[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7027[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7028[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7029[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7030[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7031[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7032[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7033[] = {
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7034[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7035[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7036[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7037[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7038[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7039[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7040[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7041[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7042[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7043[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7044[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7045[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7046[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7047[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7048[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7049[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7050[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7051[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7052[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7053[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7054[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7055[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7056[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7057[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_7058[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7059[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7060[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7061[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7062[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7063[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7064[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7065[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7066[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7067[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_7068[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7069[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7070[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7071[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7072[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7073[] = {
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7074[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7075[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7076[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7077[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_7078[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7079[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7080[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7081[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7082[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7083[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7084[] = {
  "sdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tsdot\t%0.s, %1.b, %2.b",
};

static const char * const output_7085[] = {
  "udot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tudot\t%0.s, %1.b, %2.b",
};

static const char * const output_7086[] = {
  "sdot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tsdot\t%0.d, %1.h, %2.h",
};

static const char * const output_7087[] = {
  "udot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tudot\t%0.d, %1.h, %2.h",
};

static const char * const output_7088[] = {
  "sdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_7089[] = {
  "udot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_7090[] = {
  "sdot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_7091[] = {
  "udot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_7092[] = {
  "usdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tusdot\t%0.s, %1.b, %2.b",
};

static const char * const output_7093[] = {
  "usdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tusdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_7094[] = {
  "sudot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_7095[] = {
  "smmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_7096[] = {
  "ummla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tummla\t%0.s, %2.b, %3.b",
};

static const char * const output_7097[] = {
  "usmmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tusmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_7098[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7099[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7100[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7101[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7102[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7103[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7104[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7105[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7106[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7107[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7108[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7109[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7110[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7111[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7112[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7113[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7114[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7115[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7116[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7117[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7118[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7119[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7120[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7121[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7122[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7123[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7124[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7125[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7126[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7127[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7128[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7129[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7130[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7131[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7132[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7133[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7134[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7135[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7136[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7137[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7138[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7139[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7140[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7141[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7142[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7143[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7144[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7145[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7146[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7147[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7148[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7149[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7150[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7151[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7152[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7153[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7154[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7155[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7156[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7157[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7158[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7159[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7160[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7161[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7162[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7163[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7164[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7165[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7166[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7167[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7168[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7169[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7170[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7171[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7172[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7173[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7174[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7175[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7176[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7177[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7178[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7179[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7180[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7181[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7182[] = {
  "fmla\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_7183[] = {
  "fmls\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_7184[] = {
  "fmla\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_7185[] = {
  "fmls\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_7186[] = {
  "fmla\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_7187[] = {
  "fmls\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_7188[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_7189[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_7190[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_7191[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_7192[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_7193[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_7194[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_7195[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_7196[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_7197[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_7198[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_7199[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_7200[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_7201[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_7202[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_7203[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_7204[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_7205[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_7206[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_7207[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_7208[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_7209[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_7210[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_7211[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_7212[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_7213[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_7214[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_7215[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_7216[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_7217[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_7218[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_7219[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_7220[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_7221[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_7222[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_7223[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_7224[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_7225[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_7226[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_7227[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_7228[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_7229[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_7230[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_7231[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_7232[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_7233[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_7234[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_7235[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_7236[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_7237[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_7238[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_7239[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_7240[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_7241[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_7242[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_7243[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_7244[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_7245[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_7246[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_7247[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_7248[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #0",
};

static const char * const output_7249[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #90",
};

static const char * const output_7250[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #180",
};

static const char * const output_7251[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #270",
};

static const char * const output_7252[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #0",
};

static const char * const output_7253[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #90",
};

static const char * const output_7254[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #180",
};

static const char * const output_7255[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #270",
};

static const char * const output_7256[] = {
  "ftmad\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_7257[] = {
  "ftmad\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_7258[] = {
  "ftmad\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_7259[] = {
  "bfdot\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h",
};

static const char * const output_7260[] = {
  "bfmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_7261[] = {
  "bfmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_7262[] = {
  "bfmmla\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmmla\t%0.s, %2.h, %3.h",
};

static const char * const output_7263[] = {
  "bfdot\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7264[] = {
  "bfmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7265[] = {
  "bfmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7266[] = {
  "fmmla\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tfmmla\t%0.s, %2.s, %3.s",
};

static const char * const output_7267[] = {
  "fmmla\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tfmmla\t%0.d, %2.d, %3.d",
};

static const char * const output_7268[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7269[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7270[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7271[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7272[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7273[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7274[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7275[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7276[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7277[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7278[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7279[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7280[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7281[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7282[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7283[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7284[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7285[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_7286[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_7287[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7288[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7289[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7290[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7291[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7292[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7293[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7294[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7295[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7296[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7297[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7298[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7299[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7300[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7301[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7302[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7303[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7304[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_7305[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_7306[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7307[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7308[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7309[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7310[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7311[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7312[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7313[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7314[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7315[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7316[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7317[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7318[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7319[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7320[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7321[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7322[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7323[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7324[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7325[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7326[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7327[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7328[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7329[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7330[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7331[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7332[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7333[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7334[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7335[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7336[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7337[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7338[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7339[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7340[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7341[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7342[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7343[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7344[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7345[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7346[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7347[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7348[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7349[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7350[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7351[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7352[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7353[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7354[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7355[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7356[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7357[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7358[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7359[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7360[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7361[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7362[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7363[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7364[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7365[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7366[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7367[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7368[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7369[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7370[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7371[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7372[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7373[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7374[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7375[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7376[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7377[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7378[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7379[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7380[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7381[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7382[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7383[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7384[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7385[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7386[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7387[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7388[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7389[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7390[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7391[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7392[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7393[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7394[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7395[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7396[] = {
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7397[] = {
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7398[] = {
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7399[] = {
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7400[] = {
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7401[] = {
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7402[] = {
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7403[] = {
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7404[] = {
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7405[] = {
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7406[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7407[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7408[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7409[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7410[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7411[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7412[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7413[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7414[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7415[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7416[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7417[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7418[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7419[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7420[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7421[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7422[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7423[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7424[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7425[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7426[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7427[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7428[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7429[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7430[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7431[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7432[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7433[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7434[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7435[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7436[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7437[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7438[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7439[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7440[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7441[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7442[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7443[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7444[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7445[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7446[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7447[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7448[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7449[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7450[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7451[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7452[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7453[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7454[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7455[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7456[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7457[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7458[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7459[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7460[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7461[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7462[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7463[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7464[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7465[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7466[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7467[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7468[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7469[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7470[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7471[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7472[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7473[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7474[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7475[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7476[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7477[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7478[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7479[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7480[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7481[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7482[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7483[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7484[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7485[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7486[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7487[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7488[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7489[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7490[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7491[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7492[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7493[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7494[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7495[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7496[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7497[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7498[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7499[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7500[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7501[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7502[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7503[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7504[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7505[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7506[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7507[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7508[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7509[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7510[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7511[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7512[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7513[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7514[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7515[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7516[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7517[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7518[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7519[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7520[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7521[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7522[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7523[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7524[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7525[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7526[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7527[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7528[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7529[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7530[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7531[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7532[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7533[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7534[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7535[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7536[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7537[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7538[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7539[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7540[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7541[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7542[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7543[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7544[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7545[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7546[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7547[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7548[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7549[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7550[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7551[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7552[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7553[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7554[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7555[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7556[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7557[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7558[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7559[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7560[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7561[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7562[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7563[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7564[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7565[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7566[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7567[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7568[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7569[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7570[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7571[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7572[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7573[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7574[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7575[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7576[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7577[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7578[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7579[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7580[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7581[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7582[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7583[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7584[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7585[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7586[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7587[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7588[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7589[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7590[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7591[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7592[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7593[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7594[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7595[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7596[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7597[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7598[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7599[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7600[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7601[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7602[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7603[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7604[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7605[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_8036[] = {
  "fcmeq\t%0.h, %1/z, %3.h, #0.0",
  "fcmeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_8037[] = {
  "fcmge\t%0.h, %1/z, %3.h, #0.0",
  "fcmge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_8038[] = {
  "fcmgt\t%0.h, %1/z, %3.h, #0.0",
  "fcmgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_8039[] = {
  "fcmle\t%0.h, %1/z, %3.h, #0.0",
  "fcmle\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_8040[] = {
  "fcmlt\t%0.h, %1/z, %3.h, #0.0",
  "fcmlt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_8041[] = {
  "fcmne\t%0.h, %1/z, %3.h, #0.0",
  "fcmne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_8042[] = {
  "fcmeq\t%0.s, %1/z, %3.s, #0.0",
  "fcmeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_8043[] = {
  "fcmge\t%0.s, %1/z, %3.s, #0.0",
  "fcmge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_8044[] = {
  "fcmgt\t%0.s, %1/z, %3.s, #0.0",
  "fcmgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_8045[] = {
  "fcmle\t%0.s, %1/z, %3.s, #0.0",
  "fcmle\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_8046[] = {
  "fcmlt\t%0.s, %1/z, %3.s, #0.0",
  "fcmlt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_8047[] = {
  "fcmne\t%0.s, %1/z, %3.s, #0.0",
  "fcmne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_8048[] = {
  "fcmeq\t%0.d, %1/z, %3.d, #0.0",
  "fcmeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_8049[] = {
  "fcmge\t%0.d, %1/z, %3.d, #0.0",
  "fcmge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_8050[] = {
  "fcmgt\t%0.d, %1/z, %3.d, #0.0",
  "fcmgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_8051[] = {
  "fcmle\t%0.d, %1/z, %3.d, #0.0",
  "fcmle\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_8052[] = {
  "fcmlt\t%0.d, %1/z, %3.d, #0.0",
  "fcmlt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_8053[] = {
  "fcmne\t%0.d, %1/z, %3.d, #0.0",
  "fcmne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_8110[] = {
  "clasta\t%w0, %2, %w0, %3.b",
  "clasta\t%b0, %2, %b0, %3.b",
};

static const char * const output_8111[] = {
  "clastb\t%w0, %2, %w0, %3.b",
  "clastb\t%b0, %2, %b0, %3.b",
};

static const char * const output_8112[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_8113[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_8114[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_8115[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_8116[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_8117[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_8118[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_8119[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_8120[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_8121[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_8122[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_8123[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_8124[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_8125[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_8126[] = {
  "clasta\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclasta\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_8127[] = {
  "clastb\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclastb\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_8128[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8129[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8130[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8131[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8132[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_8133[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_8134[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8135[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8136[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8137[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8138[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8139[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8140[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_8141[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char *
output_8226 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (QImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8227 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8228 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8229 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8230 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (BFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8231 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8232 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8233 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8533 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char * const output_8253[] = {
  "splice\t%0.b, %1, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsplice\t%0.b, %1, %0.b, %3.b",
};

static const char * const output_8254[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_8255[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_8256[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char * const output_8257[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_8258[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_8259[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_8260[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char *
output_8423 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 8 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8424 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8425 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char * const output_8489[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_8490[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_8491[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_8492[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_8493[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_8494[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_8495[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_8496[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_8497[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_8498[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_8499[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_8500[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_8501[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_8502[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_8503[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_8504[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_8505[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_8506[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_8507[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_8508[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_8509[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_8510[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_8511[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_8512[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_8513[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_8514[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_8515[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_8516[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_8517[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_8518[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_8519[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_8520[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_8521[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_8522[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_8523[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_8524[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_8525[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_8526[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_8527[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_8528[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_8529[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8530[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8531[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8532[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8533[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8534[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8535[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8536[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8537[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8538[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8539[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8540[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8541[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8542[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8543[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8544[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8545[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8546[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8547[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8548[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8549[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8550[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8551[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8552[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8553[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8554[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8555[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8556[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8557[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8558[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8559[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8560[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8561[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8562[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8563[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8564[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8565[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8566[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8567[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8568[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8569[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8570[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_8571[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_8572[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8573[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_8574[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_8575[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8576[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8578[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_8579[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_8580[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_8581[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_8582[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_8583[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_8593[] = {
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/m, %2.b",
};

static const char * const output_8594[] = {
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
};

static const char *
output_8623 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9691 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("cnt", "%x0", operands + 1);
  }
}

static const char *
output_8624 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9716 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0",
						 operands + 2);
  }
}

static const char *
output_8625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9716 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_8626 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9716 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_8627 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9733 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0", operands + 2);
  }
}

static const char *
output_8628 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9752 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", registers,
						 operands + 2);
  }
}

static const char *
output_8629 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9752 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", registers,
						 operands + 2);
  }
}

static const char *
output_8630 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9781 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8631 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9781 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8632 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9781 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8633 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9802 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8634 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9802 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9802 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8636 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9837 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8637 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9837 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8638 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9837 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9866 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0",
						 operands + 2);
  }
}

static const char *
output_8640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9866 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_8641 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9866 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_8642 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9883 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0", operands + 2);
  }
}

static const char *
output_8643 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9902 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", registers,
						 operands + 2);
  }
}

static const char *
output_8644 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9902 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", registers,
						 operands + 2);
  }
}

static const char *
output_8645 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9931 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8646 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9931 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8647 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9931 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8648 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9952 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8649 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9952 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8650 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9952 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8651 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9987 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8652 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9987 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9987 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.b, %w0";
    else
      return "sqincp\t%w0, %2.b";
  }
}

static const char *
output_8675 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.b, %w0";
    else
      return "uqincp\t%w0, %2.b";
  }
}

static const char *
output_8676 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.h, %w0";
    else
      return "sqincp\t%w0, %2.h";
  }
}

static const char *
output_8677 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.h, %w0";
    else
      return "uqincp\t%w0, %2.h";
  }
}

static const char *
output_8678 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.s, %w0";
    else
      return "sqincp\t%w0, %2.s";
  }
}

static const char *
output_8679 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.s, %w0";
    else
      return "uqincp\t%w0, %2.s";
  }
}

static const char *
output_8680 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.d, %w0";
    else
      return "sqincp\t%w0, %2.d";
  }
}

static const char *
output_8681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10106 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.d, %w0";
    else
      return "uqincp\t%w0, %2.d";
  }
}

static const char * const output_8682[] = {
  "incp\t%0.d, %2",
  "movprfx\t%0, %1\n\tincp\t%0.d, %2",
};

static const char * const output_8683[] = {
  "sqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.d, %2",
};

static const char * const output_8684[] = {
  "uqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.d, %2",
};

static const char * const output_8685[] = {
  "incp\t%0.s, %2",
  "movprfx\t%0, %1\n\tincp\t%0.s, %2",
};

static const char * const output_8686[] = {
  "sqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.s, %2",
};

static const char * const output_8687[] = {
  "uqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.s, %2",
};

static const char * const output_8688[] = {
  "incp\t%0.h, %2",
  "movprfx\t%0, %1\n\tincp\t%0.h, %2",
};

static const char * const output_8689[] = {
  "sqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.h, %2",
};

static const char * const output_8690[] = {
  "uqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.h, %2",
};

static const char *
output_8707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.b, %w0";
    else
      return "sqdecp\t%w0, %2.b";
  }
}

static const char *
output_8708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.b, %w0";
    else
      return "uqdecp\t%w0, %2.b";
  }
}

static const char *
output_8709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.h, %w0";
    else
      return "sqdecp\t%w0, %2.h";
  }
}

static const char *
output_8710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.h, %w0";
    else
      return "uqdecp\t%w0, %2.h";
  }
}

static const char *
output_8711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.s, %w0";
    else
      return "sqdecp\t%w0, %2.s";
  }
}

static const char *
output_8712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.s, %w0";
    else
      return "uqdecp\t%w0, %2.s";
  }
}

static const char *
output_8713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.d, %w0";
    else
      return "sqdecp\t%w0, %2.d";
  }
}

static const char *
output_8714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10339 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.d, %w0";
    else
      return "uqdecp\t%w0, %2.d";
  }
}

static const char * const output_8715[] = {
  "decp\t%0.d, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.d, %2",
};

static const char * const output_8716[] = {
  "sqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.d, %2",
};

static const char * const output_8717[] = {
  "uqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.d, %2",
};

static const char * const output_8718[] = {
  "decp\t%0.s, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.s, %2",
};

static const char * const output_8719[] = {
  "sqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.s, %2",
};

static const char * const output_8720[] = {
  "uqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.s, %2",
};

static const char * const output_8721[] = {
  "decp\t%0.h, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.h, %2",
};

static const char * const output_8722[] = {
  "sqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.h, %2",
};

static const char * const output_8723[] = {
  "uqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.h, %2",
};

static const char * const output_8724[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8725[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8726[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8727[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8728[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8729[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8730[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8731[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8732[] = {
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8733[] = {
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8734[] = {
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8735[] = {
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8736[] = {
  "ldnt1sw\t%0.d, %1/z, [%3.d]",
  "ldnt1sw\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8737[] = {
  "ldnt1w\t%0.d, %1/z, [%3.d]",
  "ldnt1w\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8738[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8739[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8740[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8741[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8742[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8743[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8744[] = {
  "stnt1h\t%3.s, %0, [%2.s]",
  "stnt1h\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8745[] = {
  "stnt1h\t%3.d, %0, [%2.d]",
  "stnt1h\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8746[] = {
  "stnt1w\t%3.d, %0, [%2.d]",
  "stnt1w\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8750[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
};

static const char * const output_8751[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
};

static const char * const output_8752[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
};

static const char * const output_8753[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
};

static const char * const output_8754[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8755[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8756[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8757[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8758[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8759[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8760[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8761[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8762[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8763[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8764[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8765[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8766[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8767[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8768[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8769[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8770[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8771[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8772[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8773[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8774[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8775[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8776[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8777[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8778[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8779[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8780[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8781[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8782[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8783[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8784[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8785[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8786[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8787[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8788[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8789[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8790[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8791[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8792[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8793[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8794[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8795[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8796[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8797[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8798[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8799[] = {
  "suqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8800[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8801[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8802[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8803[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8804[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8805[] = {
  "usqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8806[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8807[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8808[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8809[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8810[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8811[] = {
  "suqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8812[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8813[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8814[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8815[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8816[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8817[] = {
  "usqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8818[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8819[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8820[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8821[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8822[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8823[] = {
  "suqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8824[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8825[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8826[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8827[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8828[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8829[] = {
  "usqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8830[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8831[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8832[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8833[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8834[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8835[] = {
  "suqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8836[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8837[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8838[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8839[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8840[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8841[] = {
  "usqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8842[] = {
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8843[] = {
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8844[] = {
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8845[] = {
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8846[] = {
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8847[] = {
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8848[] = {
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8849[] = {
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8850[] = {
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8851[] = {
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8852[] = {
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8853[] = {
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8854[] = {
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8855[] = {
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8856[] = {
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8857[] = {
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8858[] = {
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8859[] = {
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8860[] = {
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8861[] = {
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8862[] = {
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8863[] = {
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8864[] = {
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8865[] = {
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8866[] = {
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8867[] = {
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8868[] = {
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8869[] = {
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8870[] = {
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8871[] = {
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8872[] = {
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8873[] = {
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8874[] = {
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8875[] = {
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8876[] = {
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8877[] = {
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8878[] = {
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8879[] = {
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8880[] = {
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8881[] = {
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8882[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8883[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8884[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8885[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8886[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8887[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8888[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8889[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8890[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8891[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8892[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8893[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8894[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8895[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8896[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8897[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8898[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8899[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8900[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8901[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8902[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8903[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8904[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8905[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8906[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8907[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8908[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8909[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8910[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8911[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8912[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8913[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8914[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8915[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8916[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8917[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8918[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8919[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8920[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8921[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8922[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8923[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8924[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8925[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8926[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8927[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8928[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8929[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8944[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8945[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8946[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8947[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8948[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8949[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8950[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8951[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8952[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8953[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8954[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8955[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8956[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8957[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8958[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8959[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8960[] = {
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8961[] = {
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8962[] = {
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8963[] = {
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8964[] = {
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8965[] = {
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8966[] = {
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8967[] = {
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8968[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_8969[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_8970[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_8971[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_8972[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_8973[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_8974[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_8975[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_8976[] = {
  "adclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclb\t%0.b, %2.b, %3.b",
};

static const char * const output_8977[] = {
  "adclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclt\t%0.b, %2.b, %3.b",
};

static const char * const output_8978[] = {
  "eorbt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teorbt\t%0.b, %2.b, %3.b",
};

static const char * const output_8979[] = {
  "eortb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teortb\t%0.b, %2.b, %3.b",
};

static const char * const output_8980[] = {
  "sbclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclb\t%0.b, %2.b, %3.b",
};

static const char * const output_8981[] = {
  "sbclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclt\t%0.b, %2.b, %3.b",
};

static const char * const output_8982[] = {
  "sqrdmlah\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.b, %2.b, %3.b",
};

static const char * const output_8983[] = {
  "sqrdmlsh\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.b, %2.b, %3.b",
};

static const char * const output_8984[] = {
  "adclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclb\t%0.h, %2.h, %3.h",
};

static const char * const output_8985[] = {
  "adclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclt\t%0.h, %2.h, %3.h",
};

static const char * const output_8986[] = {
  "eorbt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teorbt\t%0.h, %2.h, %3.h",
};

static const char * const output_8987[] = {
  "eortb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teortb\t%0.h, %2.h, %3.h",
};

static const char * const output_8988[] = {
  "sbclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclb\t%0.h, %2.h, %3.h",
};

static const char * const output_8989[] = {
  "sbclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclt\t%0.h, %2.h, %3.h",
};

static const char * const output_8990[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h",
};

static const char * const output_8991[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h",
};

static const char * const output_8992[] = {
  "adclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclb\t%0.s, %2.s, %3.s",
};

static const char * const output_8993[] = {
  "adclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclt\t%0.s, %2.s, %3.s",
};

static const char * const output_8994[] = {
  "eorbt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teorbt\t%0.s, %2.s, %3.s",
};

static const char * const output_8995[] = {
  "eortb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teortb\t%0.s, %2.s, %3.s",
};

static const char * const output_8996[] = {
  "sbclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclb\t%0.s, %2.s, %3.s",
};

static const char * const output_8997[] = {
  "sbclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclt\t%0.s, %2.s, %3.s",
};

static const char * const output_8998[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s",
};

static const char * const output_8999[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s",
};

static const char * const output_9000[] = {
  "adclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclb\t%0.d, %2.d, %3.d",
};

static const char * const output_9001[] = {
  "adclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclt\t%0.d, %2.d, %3.d",
};

static const char * const output_9002[] = {
  "eorbt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teorbt\t%0.d, %2.d, %3.d",
};

static const char * const output_9003[] = {
  "eortb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teortb\t%0.d, %2.d, %3.d",
};

static const char * const output_9004[] = {
  "sbclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclb\t%0.d, %2.d, %3.d",
};

static const char * const output_9005[] = {
  "sbclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclt\t%0.d, %2.d, %3.d",
};

static const char * const output_9006[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d",
};

static const char * const output_9007[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d",
};

static const char * const output_9008[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_9009[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_9010[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_9011[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_9012[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_9013[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_9014[] = {
  "mla\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_9015[] = {
  "mla\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_9016[] = {
  "mla\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_9017[] = {
  "mls\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_9018[] = {
  "mls\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_9019[] = {
  "mls\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_9020[] = {
  "xar\t%0.b, %0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\txar\t%0.b, %0.b, %2.b, #%3",
};

static const char * const output_9021[] = {
  "xar\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\txar\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_9022[] = {
  "xar\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\txar\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_9023[] = {
  "xar\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\txar\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_9024[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9025[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9026[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9027[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9028[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9029[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9030[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9031[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9032[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_9033[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_9034[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_9035[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_9036[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_9037[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_9038[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_9039[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_9040[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9041[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9042[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9043[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9044[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9045[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9046[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9047[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9048[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9049[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9050[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9051[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9052[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9053[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9054[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9055[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9056[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9057[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9058[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9059[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9060[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9061[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9062[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_9063[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_9064[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9065[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9066[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9067[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9068[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9069[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9070[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9071[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9072[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9073[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9074[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9075[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9076[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9077[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9078[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_9079[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_9080[] = {
  "ssra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.b, %2.b, #%3",
};

static const char * const output_9081[] = {
  "usra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.b, %2.b, #%3",
};

static const char * const output_9082[] = {
  "ssra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.h, %2.h, #%3",
};

static const char * const output_9083[] = {
  "usra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.h, %2.h, #%3",
};

static const char * const output_9084[] = {
  "ssra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.s, %2.s, #%3",
};

static const char * const output_9085[] = {
  "usra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.s, %2.s, #%3",
};

static const char * const output_9086[] = {
  "ssra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.d, %2.d, #%3",
};

static const char * const output_9087[] = {
  "usra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.d, %2.d, #%3",
};

static const char * const output_9088[] = {
  "srsra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.b, %2.b, #%3",
};

static const char * const output_9089[] = {
  "ursra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.b, %2.b, #%3",
};

static const char * const output_9090[] = {
  "srsra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.h, %2.h, #%3",
};

static const char * const output_9091[] = {
  "ursra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.h, %2.h, #%3",
};

static const char * const output_9092[] = {
  "srsra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.s, %2.s, #%3",
};

static const char * const output_9093[] = {
  "ursra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.s, %2.s, #%3",
};

static const char * const output_9094[] = {
  "srsra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.d, %2.d, #%3",
};

static const char * const output_9095[] = {
  "ursra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.d, %2.d, #%3",
};

static const char * const output_9104[] = {
  "saba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsaba\t%0.b, %2.b, %3.b",
};

static const char * const output_9105[] = {
  "uaba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuaba\t%0.b, %2.b, %3.b",
};

static const char * const output_9106[] = {
  "saba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsaba\t%0.h, %2.h, %3.h",
};

static const char * const output_9107[] = {
  "uaba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuaba\t%0.h, %2.h, %3.h",
};

static const char * const output_9108[] = {
  "saba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsaba\t%0.s, %2.s, %3.s",
};

static const char * const output_9109[] = {
  "uaba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuaba\t%0.s, %2.s, %3.s",
};

static const char * const output_9110[] = {
  "saba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsaba\t%0.d, %2.d, %3.d",
};

static const char * const output_9111[] = {
  "uaba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tuaba\t%0.d, %2.d, %3.d",
};

static const char * const output_9223[] = {
  "sabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9224[] = {
  "sabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9225[] = {
  "smlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9226[] = {
  "smlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9227[] = {
  "uabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9228[] = {
  "uabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9229[] = {
  "umlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9230[] = {
  "umlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9231[] = {
  "sabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9232[] = {
  "sabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9233[] = {
  "smlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9234[] = {
  "smlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9235[] = {
  "uabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9236[] = {
  "uabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9237[] = {
  "umlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9238[] = {
  "umlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9239[] = {
  "sabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9240[] = {
  "sabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9241[] = {
  "smlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9242[] = {
  "smlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9243[] = {
  "uabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9244[] = {
  "uabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9245[] = {
  "umlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9246[] = {
  "umlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9247[] = {
  "smlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9248[] = {
  "smlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9249[] = {
  "umlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9250[] = {
  "umlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9251[] = {
  "smlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9252[] = {
  "smlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9253[] = {
  "umlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9254[] = {
  "umlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9255[] = {
  "sqdmlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9256[] = {
  "sqdmlalbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.h, %2.b, %3.b",
};

static const char * const output_9257[] = {
  "sqdmlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9258[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9259[] = {
  "sqdmlalbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.s, %2.h, %3.h",
};

static const char * const output_9260[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9261[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9262[] = {
  "sqdmlalbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.d, %2.s, %3.s",
};

static const char * const output_9263[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9264[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9265[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9266[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9267[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9268[] = {
  "smlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_9269[] = {
  "smlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_9270[] = {
  "umlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_9271[] = {
  "umlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_9272[] = {
  "smlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9273[] = {
  "smlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9274[] = {
  "umlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9275[] = {
  "umlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9276[] = {
  "smlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_9277[] = {
  "smlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_9278[] = {
  "umlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_9279[] = {
  "umlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_9280[] = {
  "smlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9281[] = {
  "smlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9282[] = {
  "umlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9283[] = {
  "umlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9284[] = {
  "smlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9285[] = {
  "smlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9286[] = {
  "umlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9287[] = {
  "umlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9288[] = {
  "sqdmlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_9289[] = {
  "sqdmlslbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.h, %2.b, %3.b",
};

static const char * const output_9290[] = {
  "sqdmlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_9291[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9292[] = {
  "sqdmlslbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.s, %2.h, %3.h",
};

static const char * const output_9293[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9294[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_9295[] = {
  "sqdmlslbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.d, %2.s, %3.s",
};

static const char * const output_9296[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_9297[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9298[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9299[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9300[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9301[] = {
  "fmlalb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalb\t%0.s, %1.h, %2.h",
};

static const char * const output_9302[] = {
  "fmlalt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalt\t%0.s, %1.h, %2.h",
};

static const char * const output_9303[] = {
  "fmlslb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslb\t%0.s, %1.h, %2.h",
};

static const char * const output_9304[] = {
  "fmlslt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslt\t%0.s, %1.h, %2.h",
};

static const char * const output_9305[] = {
  "fmlalb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9306[] = {
  "fmlalt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9307[] = {
  "fmlslb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9308[] = {
  "fmlslt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9399[] = {
  "addp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\taddp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9400[] = {
  "smaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9401[] = {
  "sminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9402[] = {
  "umaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9403[] = {
  "uminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9404[] = {
  "addp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\taddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9405[] = {
  "smaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9406[] = {
  "sminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9407[] = {
  "umaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9408[] = {
  "uminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9409[] = {
  "addp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\taddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9410[] = {
  "smaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9411[] = {
  "sminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9412[] = {
  "umaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9413[] = {
  "uminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9414[] = {
  "addp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\taddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9415[] = {
  "smaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9416[] = {
  "sminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9417[] = {
  "umaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9418[] = {
  "uminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9419[] = {
  "faddp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfaddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9420[] = {
  "fmaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9421[] = {
  "fmaxnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9422[] = {
  "fminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9423[] = {
  "fminnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9424[] = {
  "faddp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfaddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9425[] = {
  "fmaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9426[] = {
  "fmaxnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9427[] = {
  "fminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9428[] = {
  "fminnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9429[] = {
  "faddp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfaddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9430[] = {
  "fmaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9431[] = {
  "fmaxnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9432[] = {
  "fminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9433[] = {
  "fminnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9434[] = {
  "sadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9435[] = {
  "uadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9436[] = {
  "sadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9437[] = {
  "uadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9438[] = {
  "sadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9439[] = {
  "uadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9440[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9441[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9442[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9443[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9444[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9445[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9446[] = {
  "cadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_9447[] = {
  "cadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_9448[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_9449[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_9450[] = {
  "cadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_9451[] = {
  "cadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_9452[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_9453[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_9454[] = {
  "cadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_9455[] = {
  "cadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_9456[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_9457[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_9458[] = {
  "cadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_9459[] = {
  "cadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_9460[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_9461[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_9462[] = {
  "cmla\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_9463[] = {
  "cmla\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_9464[] = {
  "cmla\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_9465[] = {
  "cmla\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_9466[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_9467[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_9468[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_9469[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_9470[] = {
  "cmla\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_9471[] = {
  "cmla\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_9472[] = {
  "cmla\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_9473[] = {
  "cmla\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_9474[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_9475[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_9476[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_9477[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_9478[] = {
  "cmla\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_9479[] = {
  "cmla\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_9480[] = {
  "cmla\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_9481[] = {
  "cmla\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_9482[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_9483[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_9484[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_9485[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_9486[] = {
  "cmla\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_9487[] = {
  "cmla\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_9488[] = {
  "cmla\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_9489[] = {
  "cmla\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_9490[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_9491[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_9492[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_9493[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_9494[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_9495[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_9496[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_9497[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_9498[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_9499[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_9500[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_9501[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_9502[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_9503[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_9504[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_9505[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_9506[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_9507[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_9508[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_9509[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_9510[] = {
  "cdot\t%0.s, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #0",
};

static const char * const output_9511[] = {
  "cdot\t%0.s, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #90",
};

static const char * const output_9512[] = {
  "cdot\t%0.s, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #180",
};

static const char * const output_9513[] = {
  "cdot\t%0.s, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #270",
};

static const char * const output_9514[] = {
  "cdot\t%0.d, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #0",
};

static const char * const output_9515[] = {
  "cdot\t%0.d, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #90",
};

static const char * const output_9516[] = {
  "cdot\t%0.d, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #180",
};

static const char * const output_9517[] = {
  "cdot\t%0.d, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #270",
};

static const char * const output_9518[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #0",
};

static const char * const output_9519[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #90",
};

static const char * const output_9520[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #180",
};

static const char * const output_9521[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #270",
};

static const char * const output_9522[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #0",
};

static const char * const output_9523[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #90",
};

static const char * const output_9524[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #180",
};

static const char * const output_9525[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #270",
};

static const char * const output_9534[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_9535[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_9536[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_9538[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_9539[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_9540[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_9541[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_9542[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_9543[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_9544[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_9545[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_9546[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_9547[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_9548[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_9549[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_9550[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};



static const struct insn_operand_data operand_data[] = 
{
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucr,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,r,w,r,r,w,m,m,r,w,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dq,Usv,m,m,rZ,w,w,r,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,r,w,r,r,w,m,m,r,w,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dh,Usv,m,m,rZ,w,w,r,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,M,n,Usv,m,m,rZ,w,Usa,Ush,rZ,w,w,Ds",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,N,M,n,Usv,m,m,rZ,w,Usa,Ush,rZ,w,w,Dd",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,w,w,r,w,r,m,m,w,m",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_movti_operand,
    "rUti,Z,r,w,w,m,r,Z,m,w",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,?r,w,w,w,w,m,r,m,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,?r,w,w,w,w,m,r,m,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,N",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,?r,w,?r,w,?w,w,m,?r,m,m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,?rY,?r,w,Y,Y,m,w,m,?r,Y",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,r,m,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,rk,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,J,Uaa",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_QImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsO",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsP",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Uss,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usd,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usj,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_uimm6,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_memtag_tag_offset,
    "i",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "Usd",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_imm,
    "rn",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plushi_operand,
    "rUph",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_BLKmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_minus_one,
    "Dm,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPb",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPh",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPw",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_b,
    "UOb",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm64_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
};


#if GCC_VERSION >= 2007
__extension__
#endif

const struct insn_data_d insn_data[] = 
{
  /* <internal>:0 */
  {
    "*placeholder_for_nothing",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:476 */
  {
    "indirect_jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1 },
#else
    { 0, 0, output_1 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_indirect_jump },
    &operand_data[1],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:487 */
  {
    "jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "b\t%l0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_jump },
    &operand_data[2],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:532 */
  {
    "ccmpccsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3 },
#else
    { 0, output_3, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi },
    &operand_data[3],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:532 */
  {
    "ccmpccdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4 },
#else
    { 0, output_4, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi },
    &operand_data[9],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:552 */
  {
    "ccmpccfpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf },
    &operand_data[15],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:552 */
  {
    "ccmpccfpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf },
    &operand_data[21],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:552 */
  {
    "ccmpccfpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf },
    &operand_data[27],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:552 */
  {
    "ccmpccfpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf },
    &operand_data[33],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:569 */
  {
    "ccmpccsi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9 },
#else
    { 0, output_9, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi_rev },
    &operand_data[3],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:569 */
  {
    "ccmpccdi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10 },
#else
    { 0, output_10, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi_rev },
    &operand_data[9],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:589 */
  {
    "ccmpccfpsf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf_rev },
    &operand_data[15],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:589 */
  {
    "ccmpccfpdf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf_rev },
    &operand_data[21],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:589 */
  {
    "ccmpccfpesf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf_rev },
    &operand_data[27],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:589 */
  {
    "ccmpccfpedf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf_rev },
    &operand_data[33],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:662 */
  {
    "condjump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_15 },
#else
    { 0, 0, output_15 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_condjump },
    &operand_data[39],
    3,
    3,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:701 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:788 */
  {
    "*casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_24 },
#else
    { 0, 0, output_24 },
#endif
    { 0 },
    &operand_data[48],
    3,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:806 */
  {
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:813 */
  {
    "prefetch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_26 },
#else
    { 0, 0, output_26 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prefetch },
    &operand_data[53],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:844 */
  {
    "trap",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brk #1000",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_trap },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:877 */
  {
    "*do_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_28 },
#else
    { 0, 0, output_28 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:906 */
  {
    "simple_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_29 },
#else
    { 0, 0, output_29 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_simple_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:917 */
  {
    "*cbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_30 },
#else
    { 0, 0, output_30 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:917 */
  {
    "*cbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_31 },
#else
    { 0, 0, output_31 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:917 */
  {
    "*cbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_32 },
#else
    { 0, 0, output_32 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:917 */
  {
    "*cbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_33 },
#else
    { 0, 0, output_33 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:942 */
  {
    "*tbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_34 },
#else
    { 0, 0, output_34 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:942 */
  {
    "*tbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_35 },
#else
    { 0, 0, output_35 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:942 */
  {
    "*tbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_36 },
#else
    { 0, 0, output_36 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:942 */
  {
    "*tbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_37 },
#else
    { 0, 0, output_37 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cbltqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_38 },
#else
    { 0, 0, output_38 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cbgeqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_39 },
#else
    { 0, 0, output_39 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cblthi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_40 },
#else
    { 0, 0, output_40 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cbgehi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_41 },
#else
    { 0, 0, output_41 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cbltsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_42 },
#else
    { 0, 0, output_42 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cbgesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_43 },
#else
    { 0, 0, output_43 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cbltdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_44 },
#else
    { 0, 0, output_44 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:982 */
  {
    "*cbgedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_45 },
#else
    { 0, 0, output_45 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1039 */
  {
    "*call_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_46 },
#else
    { 0, 0, output_46 },
#endif
    { 0 },
    &operand_data[66],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1065 */
  {
    "*call_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_47 },
#else
    { 0, 0, output_47 },
#endif
    { 0 },
    &operand_data[65],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1105 */
  {
    "*sibcall_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_48 },
#else
    { 0, 0, output_48 },
#endif
    { 0 },
    &operand_data[69],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1123 */
  {
    "*sibcall_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_49 },
#else
    { 0, 0, output_49 },
#endif
    { 0 },
    &operand_data[72],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1192 */
  {
    "*movqi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_50 },
#else
    { 0, 0, output_50 },
#endif
    { 0 },
    &operand_data[76],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1192 */
  {
    "*movhi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_51 },
#else
    { 0, 0, output_51 },
#endif
    { 0 },
    &operand_data[78],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1266 */
  {
    "*movsi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_52 },
#else
    { 0, 0, output_52 },
#endif
    { 0 },
    &operand_data[80],
    2,
    2,
    0,
    16,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1301 */
  {
    "*movdi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_53 },
#else
    { 0, 0, output_53 },
#endif
    { 0 },
    &operand_data[82],
    2,
    2,
    0,
    17,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1338 */
  {
    "insv_immsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%w0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immsi },
    &operand_data[84],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1338 */
  {
    "insv_immdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%x0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immdi },
    &operand_data[87],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1350 */
  {
    "aarch64_movksi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_56 },
#else
    { 0, 0, output_56 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movksi },
    &operand_data[90],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1350 */
  {
    "aarch64_movkdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_57 },
#else
    { 0, 0, output_57 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movkdi },
    &operand_data[94],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1385 */
  {
    "*movti_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_58 },
#else
    { 0, output_58, 0 },
#endif
    { 0 },
    &operand_data[98],
    2,
    2,
    0,
    10,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1445 */
  {
    "*movhf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_59 },
#else
    { 0, 0, output_59 },
#endif
    { 0 },
    &operand_data[100],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1445 */
  {
    "*movbf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_60 },
#else
    { 0, 0, output_60 },
#endif
    { 0 },
    &operand_data[102],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1468 */
  {
    "*movsf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_61 },
#else
    { 0, 0, output_61 },
#endif
    { 0 },
    &operand_data[104],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1492 */
  {
    "*movdf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_62 },
#else
    { 0, 0, output_62 },
#endif
    { 0 },
    &operand_data[106],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1536 */
  {
    "*movtf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_63 },
#else
    { 0, output_63, 0 },
#endif
    { 0 },
    &operand_data[108],
    2,
    2,
    0,
    11,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1610 */
  {
    "load_pair_sw_sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_64 },
#else
    { 0, output_64, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sisi },
    &operand_data[110],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1610 */
  {
    "load_pair_sw_sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_65 },
#else
    { 0, output_65, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sfsi },
    &operand_data[114],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1610 */
  {
    "load_pair_sw_sisf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_66 },
#else
    { 0, output_66, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sisf },
    &operand_data[118],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1610 */
  {
    "load_pair_sw_sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_67 },
#else
    { 0, output_67, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sfsf },
    &operand_data[122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1627 */
  {
    "load_pair_dw_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_68 },
#else
    { 0, output_68, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_didi },
    &operand_data[126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1627 */
  {
    "load_pair_dw_didf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_69 },
#else
    { 0, output_69, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_didf },
    &operand_data[130],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1627 */
  {
    "load_pair_dw_dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_70 },
#else
    { 0, output_70, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_dfdi },
    &operand_data[134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1627 */
  {
    "load_pair_dw_dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_71 },
#else
    { 0, output_71, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_dfdf },
    &operand_data[138],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1643 */
  {
    "load_pair_dw_tftf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_tftf },
    &operand_data[142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1660 */
  {
    "store_pair_sw_sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_73 },
#else
    { 0, output_73, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sisi },
    &operand_data[146],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1660 */
  {
    "store_pair_sw_sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_74 },
#else
    { 0, output_74, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sfsi },
    &operand_data[150],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1660 */
  {
    "store_pair_sw_sisf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_75 },
#else
    { 0, output_75, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sisf },
    &operand_data[154],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1660 */
  {
    "store_pair_sw_sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_76 },
#else
    { 0, output_76, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sfsf },
    &operand_data[158],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1677 */
  {
    "store_pair_dw_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_77 },
#else
    { 0, output_77, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_didi },
    &operand_data[162],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1677 */
  {
    "store_pair_dw_didf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_78 },
#else
    { 0, output_78, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_didf },
    &operand_data[166],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1677 */
  {
    "store_pair_dw_dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_79 },
#else
    { 0, output_79, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_dfdi },
    &operand_data[170],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1677 */
  {
    "store_pair_dw_dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_80 },
#else
    { 0, output_80, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_dfdf },
    &operand_data[174],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1693 */
  {
    "store_pair_dw_tftf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_tftf },
    &operand_data[178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1710 */
  {
    "loadwb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_si },
    &operand_data[182],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1710 */
  {
    "loadwb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_di },
    &operand_data[188],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1710 */
  {
    "loadwb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_si },
    &operand_data[194],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1710 */
  {
    "loadwb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_di },
    &operand_data[200],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1725 */
  {
    "loadwb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_si },
    &operand_data[206],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1725 */
  {
    "loadwb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_si },
    &operand_data[212],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1725 */
  {
    "loadwb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_di },
    &operand_data[218],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1725 */
  {
    "loadwb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_di },
    &operand_data[224],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1740 */
  {
    "loadwb_pairti_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairti_si },
    &operand_data[230],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1740 */
  {
    "loadwb_pairti_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairti_di },
    &operand_data[236],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1740 */
  {
    "loadwb_pairtf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairtf_si },
    &operand_data[242],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1740 */
  {
    "loadwb_pairtf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairtf_di },
    &operand_data[248],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1740 */
  {
    "loadwb_pairv16qi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairv16qi_si },
    &operand_data[254],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1740 */
  {
    "loadwb_pairv16qi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairv16qi_di },
    &operand_data[260],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1758 */
  {
    "storewb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_si },
    &operand_data[266],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1758 */
  {
    "storewb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_di },
    &operand_data[272],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1758 */
  {
    "storewb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_si },
    &operand_data[278],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1758 */
  {
    "storewb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_di },
    &operand_data[284],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1774 */
  {
    "storewb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_si },
    &operand_data[290],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1774 */
  {
    "storewb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_si },
    &operand_data[296],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1774 */
  {
    "storewb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_di },
    &operand_data[302],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1774 */
  {
    "storewb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_di },
    &operand_data[308],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1790 */
  {
    "storewb_pairti_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairti_si },
    &operand_data[314],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1790 */
  {
    "storewb_pairti_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairti_di },
    &operand_data[320],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1790 */
  {
    "storewb_pairtf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairtf_si },
    &operand_data[326],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1790 */
  {
    "storewb_pairtf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairtf_di },
    &operand_data[332],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1790 */
  {
    "storewb_pairv16qi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairv16qi_si },
    &operand_data[338],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1790 */
  {
    "storewb_pairv16qi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairv16qi_di },
    &operand_data[344],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1818 */
  {
    "*extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_110 },
#else
    { 0, output_110, 0 },
#endif
    { 0 },
    &operand_data[350],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1828 */
  {
    "*load_pair_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldpsw\t%0, %2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1841 */
  {
    "*zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_112 },
#else
    { 0, output_112, 0 },
#endif
    { 0 },
    &operand_data[356],
    2,
    2,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1856 */
  {
    "*load_pair_zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_113 },
#else
    { 0, output_113, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1878 */
  {
    "*extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_114 },
#else
    { 0, output_114, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1878 */
  {
    "*extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_115 },
#else
    { 0, output_115, 0 },
#endif
    { 0 },
    &operand_data[364],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1878 */
  {
    "*extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_116 },
#else
    { 0, output_116, 0 },
#endif
    { 0 },
    &operand_data[366],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1878 */
  {
    "*extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_117 },
#else
    { 0, output_117, 0 },
#endif
    { 0 },
    &operand_data[368],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1888 */
  {
    "*zero_extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_118 },
#else
    { 0, output_118, 0 },
#endif
    { 0 },
    &operand_data[370],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1888 */
  {
    "*zero_extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_119 },
#else
    { 0, output_119, 0 },
#endif
    { 0 },
    &operand_data[372],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1888 */
  {
    "*zero_extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_120 },
#else
    { 0, output_120, 0 },
#endif
    { 0 },
    &operand_data[374],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1888 */
  {
    "*zero_extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_121 },
#else
    { 0, output_121, 0 },
#endif
    { 0 },
    &operand_data[376],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1906 */
  {
    "*extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_122 },
#else
    { 0, output_122, 0 },
#endif
    { 0 },
    &operand_data[378],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1916 */
  {
    "*zero_extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_123 },
#else
    { 0, output_123, 0 },
#endif
    { 0 },
    &operand_data[378],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1967 */
  {
    "*addsi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_124 },
#else
    { 0, 0, output_124 },
#endif
    { 0 },
    &operand_data[380],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1967 */
  {
    "*adddi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_125 },
#else
    { 0, 0, output_125 },
#endif
    { 0 },
    &operand_data[383],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1988 */
  {
    "*addsi3_aarch64_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_126 },
#else
    { 0, output_126, 0 },
#endif
    { 0 },
    &operand_data[386],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2061 */
  {
    "*addsi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_127 },
#else
    { 0, 0, output_127 },
#endif
    { 0 },
    &operand_data[389],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2061 */
  {
    "*adddi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_128 },
#else
    { 0, 0, output_128 },
#endif
    { 0 },
    &operand_data[392],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2238 */
  {
    "addsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_129 },
#else
    { 0, output_129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compare0 },
    &operand_data[395],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2238 */
  {
    "adddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_130 },
#else
    { 0, output_130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compare0 },
    &operand_data[398],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2255 */
  {
    "*addsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_131 },
#else
    { 0, output_131, 0 },
#endif
    { 0 },
    &operand_data[401],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2271 */
  {
    "*addsi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_132 },
#else
    { 0, output_132, 0 },
#endif
    { 0 },
    &operand_data[404],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2271 */
  {
    "*adddi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_133 },
#else
    { 0, output_133, 0 },
#endif
    { 0 },
    &operand_data[406],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2286 */
  {
    "addsi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_134 },
#else
    { 0, output_134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareC },
    &operand_data[408],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2286 */
  {
    "adddi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_135 },
#else
    { 0, output_135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareC },
    &operand_data[411],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2303 */
  {
    "*addsi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_136 },
#else
    { 0, output_136, 0 },
#endif
    { 0 },
    &operand_data[414],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2303 */
  {
    "*adddi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_137 },
#else
    { 0, output_137, 0 },
#endif
    { 0 },
    &operand_data[417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2320 */
  {
    "*addsi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2320 */
  {
    "*adddi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[280],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2332 */
  {
    "addsi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_140 },
#else
    { 0, output_140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV_imm },
    &operand_data[420],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2332 */
  {
    "adddi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_141 },
#else
    { 0, output_141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV_imm },
    &operand_data[423],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2350 */
  {
    "addsi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV },
    &operand_data[426],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2350 */
  {
    "adddi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV },
    &operand_data[429],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2364 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2364 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2364 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2364 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2364 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2364 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2380 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2380 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2380 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2380 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[444],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2380 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[444],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2380 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[444],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[448],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[448],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[454],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[454],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[457],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[457],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[460],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[460],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2396 */
  {
    "*adds_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[466],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[466],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[469],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[469],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[472],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[472],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[475],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[475],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[426],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[426],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[478],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2410 */
  {
    "*subs_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[478],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2424 */
  {
    "*adds_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[525],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2442 */
  {
    "*subs_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[525],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2460 */
  {
    "*addsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_204 },
#else
    { 0, output_204, 0 },
#endif
    { 0 },
    &operand_data[529],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2460 */
  {
    "*adddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_205 },
#else
    { 0, output_205, 0 },
#endif
    { 0 },
    &operand_data[531],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2474 */
  {
    "aarch64_subsi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subsi_compare0 },
    &operand_data[533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2474 */
  {
    "aarch64_subdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subdi_compare0 },
    &operand_data[535],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2485 */
  {
    "*compare_negsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2485 */
  {
    "*compare_negdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[280],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2495 */
  {
    "*add_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2495 */
  {
    "*add_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2495 */
  {
    "*add_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2495 */
  {
    "*add_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2495 */
  {
    "*add_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2495 */
  {
    "*add_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2506 */
  {
    "*add_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2506 */
  {
    "*add_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2506 */
  {
    "*add_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[541],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[541],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[547],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[547],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[553],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[553],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2517 */
  {
    "*add_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[562],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[562],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2527 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[565],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[565],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[569],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[569],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[573],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[573],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2537 */
  {
    "*add_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2549 */
  {
    "*add_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2549 */
  {
    "*add_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2549 */
  {
    "*add_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[593],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2549 */
  {
    "*add_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[593],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2575 */
  {
    "*addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[597],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2575 */
  {
    "*adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2588 */
  {
    "*addsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2628 */
  {
    "*addsi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[609],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2628 */
  {
    "*adddi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[614],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2644 */
  {
    "*addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[619],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2644 */
  {
    "*adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[625],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2690 */
  {
    "*addsi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[609],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2690 */
  {
    "*adddi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[614],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2707 */
  {
    "*addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[619],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2707 */
  {
    "*adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[625],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2730 */
  {
    "*add_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_266 },
#else
    { 0, 0, output_266 },
#endif
    { 0 },
    &operand_data[631],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2730 */
  {
    "*add_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_267 },
#else
    { 0, 0, output_267 },
#endif
    { 0 },
    &operand_data[636],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2746 */
  {
    "*add_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_268 },
#else
    { 0, 0, output_268 },
#endif
    { 0 },
    &operand_data[641],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2762 */
  {
    "subsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3 },
    &operand_data[521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2772 */
  {
    "*subsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2782 */
  {
    "subdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_271 },
#else
    { 0, output_271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3 },
    &operand_data[649],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2810 */
  {
    "subvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_insn },
    &operand_data[426],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2810 */
  {
    "subvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_insn },
    &operand_data[429],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2826 */
  {
    "subvsi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_274 },
#else
    { 0, output_274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_imm },
    &operand_data[420],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2826 */
  {
    "subvdi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_275 },
#else
    { 0, output_275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_imm },
    &operand_data[423],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2857 */
  {
    "negvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_insn },
    &operand_data[432],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2857 */
  {
    "negvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_insn },
    &operand_data[436],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2870 */
  {
    "negvsi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%wzr, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_cmp_only },
    &operand_data[42],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2870 */
  {
    "negvdi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%xzr, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_cmp_only },
    &operand_data[1],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2881 */
  {
    "*cmpvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_280 },
#else
    { 0, output_280, 0 },
#endif
    { 0 },
    &operand_data[404],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2881 */
  {
    "*cmpvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_281 },
#else
    { 0, output_281, 0 },
#endif
    { 0 },
    &operand_data[406],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2984 */
  {
    "negdi_carryout",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi_carryout },
    &operand_data[436],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2995 */
  {
    "negvdi_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngcs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_carryinV },
    &operand_data[436],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3012 */
  {
    "*subsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[426],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3012 */
  {
    "*subdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[429],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3025 */
  {
    "*subsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[652],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3037 */
  {
    "subsi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_287 },
#else
    { 0, output_287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1_imm },
    &operand_data[655],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3037 */
  {
    "subdi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_288 },
#else
    { 0, output_288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1_imm },
    &operand_data[659],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "subsi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1 },
    &operand_data[663],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "subdi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1 },
    &operand_data[666],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3141 */
  {
    "*sub_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3141 */
  {
    "*sub_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3141 */
  {
    "*sub_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3141 */
  {
    "*sub_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3141 */
  {
    "*sub_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3141 */
  {
    "*sub_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3153 */
  {
    "*sub_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3153 */
  {
    "*sub_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3153 */
  {
    "*sub_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3165 */
  {
    "*sub_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3176 */
  {
    "*sub_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[669],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3176 */
  {
    "*sub_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[669],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3176 */
  {
    "*sub_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3176 */
  {
    "*sub_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3187 */
  {
    "*sub_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3199 */
  {
    "*sub_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3199 */
  {
    "*sub_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3199 */
  {
    "*sub_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3199 */
  {
    "*sub_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3217 */
  {
    "*subsi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[683],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3217 */
  {
    "*subdi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[686],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3228 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3250 */
  {
    "*subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3250 */
  {
    "*subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3264 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[700],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3278 */
  {
    "*subsi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3278 */
  {
    "*subdi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3291 */
  {
    "*subsi3_carryin_alt_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[700],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3321 */
  {
    "*usubsi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, wzr, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3321 */
  {
    "*usubdi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, xzr, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[708],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3338 */
  {
    "*usubsi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3338 */
  {
    "*usubdi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[708],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3353 */
  {
    "*usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[712],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3353 */
  {
    "*usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[717],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3393 */
  {
    "*subsi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3393 */
  {
    "*subdi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[708],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3410 */
  {
    "*subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[712],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3410 */
  {
    "*subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[717],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3434 */
  {
    "*sub_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_351 },
#else
    { 0, 0, output_351 },
#endif
    { 0 },
    &operand_data[722],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3434 */
  {
    "*sub_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_352 },
#else
    { 0, 0, output_352 },
#endif
    { 0 },
    &operand_data[727],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3450 */
  {
    "*sub_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_353 },
#else
    { 0, 0, output_353 },
#endif
    { 0 },
    &operand_data[732],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3478 */
  {
    "negsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_354 },
#else
    { 0, output_354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2 },
    &operand_data[737],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3478 */
  {
    "negdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_355 },
#else
    { 0, output_355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2 },
    &operand_data[739],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3490 */
  {
    "*negsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3498 */
  {
    "*ngcsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[741],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3498 */
  {
    "*ngcdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[744],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "*ngcsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[747],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3519 */
  {
    "negsi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2_compare0 },
    &operand_data[432],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3519 */
  {
    "negdi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2_compare0 },
    &operand_data[436],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3531 */
  {
    "*negsi2_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_lslsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_asrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_lsrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_lsldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_asrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_lsrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3556 */
  {
    "*neg_lsl_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3556 */
  {
    "*neg_asr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3556 */
  {
    "*neg_lsr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3556 */
  {
    "*neg_lsl_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3556 */
  {
    "*neg_asr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3556 */
  {
    "*neg_lsr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3567 */
  {
    "*neg_lsl_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3567 */
  {
    "*neg_asr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3567 */
  {
    "*neg_lsr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3578 */
  {
    "*neg_asr_si2_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[750],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3590 */
  {
    "mulsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsi3 },
    &operand_data[440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3590 */
  {
    "muldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldi3 },
    &operand_data[444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3600 */
  {
    "*mulsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3610 */
  {
    "maddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsi },
    &operand_data[755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3610 */
  {
    "madddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_madddi },
    &operand_data[759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3621 */
  {
    "*maddsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3632 */
  {
    "*msubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3632 */
  {
    "*msubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3644 */
  {
    "*msubsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3656 */
  {
    "*mulsi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3656 */
  {
    "*muldi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3667 */
  {
    "*mulsi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3678 */
  {
    "mulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsidi3 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3678 */
  {
    "umulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulsidi3 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3687 */
  {
    "maddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsidi4 },
    &operand_data[767],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3687 */
  {
    "umaddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaddsidi4 },
    &operand_data[767],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3698 */
  {
    "msubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_msubsidi4 },
    &operand_data[767],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3698 */
  {
    "umsubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umsubsidi4 },
    &operand_data[767],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3710 */
  {
    "*mulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3710 */
  {
    "*umulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3762 */
  {
    "smuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smuldi3_highpart },
    &operand_data[444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3762 */
  {
    "umuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umuldi3_highpart },
    &operand_data[444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3775 */
  {
    "divsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsi3 },
    &operand_data[440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3775 */
  {
    "udivsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivsi3 },
    &operand_data[440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3775 */
  {
    "divdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdi3 },
    &operand_data[444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3775 */
  {
    "udivdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivdi3 },
    &operand_data[444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3785 */
  {
    "*divsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3785 */
  {
    "*udivsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3799 */
  {
    "cmpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_407 },
#else
    { 0, output_407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpsi },
    &operand_data[409],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3799 */
  {
    "cmpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_408 },
#else
    { 0, output_408, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpdi },
    &operand_data[412],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3811 */
  {
    "fcmpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_409 },
#else
    { 0, output_409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpsf },
    &operand_data[771],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3811 */
  {
    "fcmpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_410 },
#else
    { 0, output_410, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpdf },
    &operand_data[773],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3822 */
  {
    "fcmpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_411 },
#else
    { 0, output_411, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpesf },
    &operand_data[771],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3822 */
  {
    "fcmpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_412 },
#else
    { 0, output_412, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpedf },
    &operand_data[773],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "*cmp_swp_lsl_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[775],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "*cmp_swp_asr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[775],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "*cmp_swp_lsr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[775],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "*cmp_swp_lsl_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[778],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "*cmp_swp_asr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[778],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "*cmp_swp_lsr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[778],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[542],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_zero_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[542],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_zero_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[548],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_zero_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[548],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_zero_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_zero_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[557],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*cmp_swp_zero_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[557],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[570],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[570],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[574],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[574],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[586],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3854 */
  {
    "*cmp_swp_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[586],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3908 */
  {
    "aarch64_cstoreqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoreqi },
    &operand_data[781],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3908 */
  {
    "aarch64_cstorehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstorehi },
    &operand_data[784],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3908 */
  {
    "aarch64_cstoresi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoresi },
    &operand_data[787],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3908 */
  {
    "aarch64_cstoredi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoredi },
    &operand_data[790],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3927 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[793],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3927 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[793],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3927 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[796],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3927 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[796],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3953 */
  {
    "*cstoresi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3963 */
  {
    "cstoreqi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoreqi_neg },
    &operand_data[781],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3963 */
  {
    "cstorehi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorehi_neg },
    &operand_data[784],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3963 */
  {
    "cstoresi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi_neg },
    &operand_data[787],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3963 */
  {
    "cstoredi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi_neg },
    &operand_data[790],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3973 */
  {
    "*cstoresi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4015 */
  {
    "*cmovqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_457 },
#else
    { 0, output_457, 0 },
#endif
    { 0 },
    &operand_data[802],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4015 */
  {
    "*cmovhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_458 },
#else
    { 0, output_458, 0 },
#endif
    { 0 },
    &operand_data[807],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4015 */
  {
    "*cmovsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_459 },
#else
    { 0, output_459, 0 },
#endif
    { 0 },
    &operand_data[812],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4015 */
  {
    "*cmovdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_460 },
#else
    { 0, output_460, 0 },
#endif
    { 0 },
    &operand_data[817],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4037 */
  {
    "*cmovsi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_461 },
#else
    { 0, output_461, 0 },
#endif
    { 0 },
    &operand_data[822],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4059 */
  {
    "*cmovdi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csel\t%w0, %w3, %w4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[827],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4071 */
  {
    "*cmovsf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%s0, %s3, %s4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[832],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4071 */
  {
    "*cmovdf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%d0, %d3, %d4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[837],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_465 },
#else
    { 0, 0, output_465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32b },
    &operand_data[842],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_466 },
#else
    { 0, 0, output_466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32h },
    &operand_data[845],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32w",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_467 },
#else
    { 0, 0, output_467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32w },
    &operand_data[440],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_468 },
#else
    { 0, 0, output_468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32x },
    &operand_data[848],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32cb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_469 },
#else
    { 0, 0, output_469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cb },
    &operand_data[842],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32ch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_470 },
#else
    { 0, 0, output_470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32ch },
    &operand_data[845],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32cw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_471 },
#else
    { 0, 0, output_471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cw },
    &operand_data[440],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "aarch64_crc32cx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_472 },
#else
    { 0, 0, output_472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cx },
    &operand_data[848],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4175 */
  {
    "*csinc2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%w0, %w1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[851],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4175 */
  {
    "*csinc2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%x0, %x1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[854],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4184 */
  {
    "csinc3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3si_insn },
    &operand_data[857],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4184 */
  {
    "csinc3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3di_insn },
    &operand_data[861],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4196 */
  {
    "*csinv3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[857],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4196 */
  {
    "*csinv3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[861],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4207 */
  {
    "csneg3_uxtw_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3_uxtw_insn },
    &operand_data[865],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4219 */
  {
    "csneg3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3si_insn },
    &operand_data[857],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4219 */
  {
    "csneg3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3di_insn },
    &operand_data[861],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4230 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[869],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4230 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[869],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4243 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[869],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4243 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[869],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4256 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4256 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4313 */
  {
    "aarch64_uqdecsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_488 },
#else
    { 0, 0, output_488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecsi },
    &operand_data[873],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4313 */
  {
    "aarch64_uqdecdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_489 },
#else
    { 0, 0, output_489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecdi },
    &operand_data[876],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4330 */
  {
    "*aarch64_andsi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[879],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4330 */
  {
    "*aarch64_anddi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[882],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4349 */
  {
    "andsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_492 },
#else
    { 0, output_492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andsi3 },
    &operand_data[885],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4349 */
  {
    "iorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_493 },
#else
    { 0, output_493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorsi3 },
    &operand_data[885],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4349 */
  {
    "xorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_494 },
#else
    { 0, output_494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsi3 },
    &operand_data[885],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4349 */
  {
    "anddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_495 },
#else
    { 0, output_495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_anddi3 },
    &operand_data[888],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4349 */
  {
    "iordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_496 },
#else
    { 0, output_496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iordi3 },
    &operand_data[888],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4349 */
  {
    "xordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_497 },
#else
    { 0, output_497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xordi3 },
    &operand_data[888],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*andsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_498 },
#else
    { 0, output_498, 0 },
#endif
    { 0 },
    &operand_data[891],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*iorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_499 },
#else
    { 0, output_499, 0 },
#endif
    { 0 },
    &operand_data[891],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*xorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_500 },
#else
    { 0, output_500, 0 },
#endif
    { 0 },
    &operand_data[891],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4375 */
  {
    "*andsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_501 },
#else
    { 0, output_501, 0 },
#endif
    { 0 },
    &operand_data[894],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4375 */
  {
    "*anddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_502 },
#else
    { 0, output_502, 0 },
#endif
    { 0 },
    &operand_data[897],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4391 */
  {
    "*andsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_503 },
#else
    { 0, output_503, 0 },
#endif
    { 0 },
    &operand_data[900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4406 */
  {
    "*and_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4422 */
  {
    "*and_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4422 */
  {
    "*and_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4422 */
  {
    "*and_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4422 */
  {
    "*and_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*and_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*ior_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "*xor_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4502 */
  {
    "*and_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror #(32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4502 */
  {
    "*ior_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror #(32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4502 */
  {
    "*xor_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror #(32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4502 */
  {
    "*and_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror #(64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4502 */
  {
    "*ior_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror #(64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4502 */
  {
    "*xor_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror #(64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*and_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*ior_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*xor_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*and_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*ior_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*xor_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*and_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*ior_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*xor_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*and_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*ior_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4514 */
  {
    "*xor_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4526 */
  {
    "*and_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror #(32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4526 */
  {
    "*ior_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror #(32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4526 */
  {
    "*xor_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror #(32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4538 */
  {
    "one_cmplsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_561 },
#else
    { 0, output_561, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplsi2 },
    &operand_data[737],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4538 */
  {
    "one_cmpldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_562 },
#else
    { 0, output_562, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmpldi2 },
    &operand_data[739],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4549 */
  {
    "*one_cmpl_zero_extend",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_ashlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_ashrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_lshrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_rotrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_ashldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_ashrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_lshrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4558 */
  {
    "*one_cmpl_rotrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4569 */
  {
    "*and_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_572 },
#else
    { 0, output_572, 0 },
#endif
    { 0 },
    &operand_data[903],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4569 */
  {
    "*ior_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_573 },
#else
    { 0, output_573, 0 },
#endif
    { 0 },
    &operand_data[903],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4569 */
  {
    "*and_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_574 },
#else
    { 0, output_574, 0 },
#endif
    { 0 },
    &operand_data[906],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4569 */
  {
    "*ior_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_575 },
#else
    { 0, output_575, 0 },
#endif
    { 0 },
    &operand_data[906],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4581 */
  {
    "*and_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4581 */
  {
    "*ior_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4591 */
  {
    "*xor_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4603 */
  {
    "*xor_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_579 },
#else
    { 0, output_579, 0 },
#endif
    { 0 },
    &operand_data[909],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4603 */
  {
    "*xor_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_580 },
#else
    { 0, output_580, 0 },
#endif
    { 0 },
    &operand_data[912],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4621 */
  {
    "*and_one_cmplsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4621 */
  {
    "*and_one_cmpldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x2, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[444],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4636 */
  {
    "*and_one_cmplsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4650 */
  {
    "*and_one_cmplsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4650 */
  {
    "*and_one_cmpldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[280],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsi3 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashldi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashldi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashldi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "and_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "ior_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4662 */
  {
    "xor_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrdi3 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_ashlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_ashrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_lshrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_rotrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_ashldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_ashrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_lshrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4674 */
  {
    "*eor_one_cmpl_rotrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4687 */
  {
    "*eor_one_cmpl_ashlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4687 */
  {
    "*eor_one_cmpl_ashrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4687 */
  {
    "*eor_one_cmpl_lshrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4687 */
  {
    "*eor_one_cmpl_rotrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4700 */
  {
    "*and_one_cmpl_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4719 */
  {
    "*and_one_cmpl_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4719 */
  {
    "*and_one_cmpl_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4719 */
  {
    "*and_one_cmpl_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4719 */
  {
    "*and_one_cmpl_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[537],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_ashlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_ashrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_lshrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_rotrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_ashldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_ashrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_lshrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4737 */
  {
    "*and_one_cmpl_rotrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4751 */
  {
    "clzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzsi2 },
    &operand_data[432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4751 */
  {
    "clzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzdi2 },
    &operand_data[436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4805 */
  {
    "clrsbsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbsi2 },
    &operand_data[432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4805 */
  {
    "clrsbdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbdi2 },
    &operand_data[436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4813 */
  {
    "aarch64_rbitsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitsi },
    &operand_data[432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4813 */
  {
    "aarch64_rbitdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitdi },
    &operand_data[436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4826 */
  {
    "ctzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzsi2 },
    &operand_data[432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4826 */
  {
    "ctzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzdi2 },
    &operand_data[436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4839 */
  {
    "*andqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[62],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4839 */
  {
    "*andhi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[64],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[448],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[454],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[457],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4861 */
  {
    "*andsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_656 },
#else
    { 0, output_656, 0 },
#endif
    { 0 },
    &operand_data[892],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4861 */
  {
    "*anddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_657 },
#else
    { 0, output_657, 0 },
#endif
    { 0 },
    &operand_data[898],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4890 */
  {
    "*andsi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_658 },
#else
    { 0, 0, output_658 },
#endif
    { 0 },
    &operand_data[915],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4890 */
  {
    "*anddi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_659 },
#else
    { 0, 0, output_659 },
#endif
    { 0 },
    &operand_data[918],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_ashlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_ashrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_lshrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_rotrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_ashldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_ashrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_lshrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4912 */
  {
    "*and_rotrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_ashl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[921],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_ashr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[921],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_lshr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[921],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_rotr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[921],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_ashl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[926],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_ashr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[926],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_lshr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[926],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5036 */
  {
    "*aarch64_rotr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[926],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_ashl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[931],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_ashr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[931],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_lshr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[931],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_rotr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[931],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_ashl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[936],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_ashr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[936],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_lshr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[936],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5048 */
  {
    "*aarch64_rotr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[936],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5072 */
  {
    "*aarch64_ashl_reg_si3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[941],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5072 */
  {
    "*aarch64_ashl_reg_di3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[947],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5100 */
  {
    "*aarch64_ashl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_686 },
#else
    { 0, 0, output_686 },
#endif
    { 0 },
    &operand_data[953],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5100 */
  {
    "*aarch64_ashr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_687 },
#else
    { 0, 0, output_687 },
#endif
    { 0 },
    &operand_data[953],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5100 */
  {
    "*aarch64_lshr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_688 },
#else
    { 0, 0, output_688 },
#endif
    { 0 },
    &operand_data[953],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5100 */
  {
    "*aarch64_rotr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_689 },
#else
    { 0, 0, output_689 },
#endif
    { 0 },
    &operand_data[953],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5119 */
  {
    "*aarch64_ashl_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[958],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5119 */
  {
    "*aarch64_ashr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[958],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5119 */
  {
    "*aarch64_lshr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[958],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5119 */
  {
    "*aarch64_ashl_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[962],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5119 */
  {
    "*aarch64_ashr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[962],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5119 */
  {
    "*aarch64_lshr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[962],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5149 */
  {
    "*aarch64_ashl_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_696 },
#else
    { 0, output_696, 0 },
#endif
    { 0 },
    &operand_data[966],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5149 */
  {
    "*aarch64_ashl_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_697 },
#else
    { 0, output_697, 0 },
#endif
    { 0 },
    &operand_data[969],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5165 */
  {
    "*aarch64_lshr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_698 },
#else
    { 0, output_698, 0 },
#endif
    { 0 },
    &operand_data[972],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5165 */
  {
    "*aarch64_lshr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_699 },
#else
    { 0, output_699, 0 },
#endif
    { 0 },
    &operand_data[975],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5213 */
  {
    "*aarch64_ashr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_700 },
#else
    { 0, output_700, 0 },
#endif
    { 0 },
    &operand_data[978],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5213 */
  {
    "*aarch64_ashr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_701 },
#else
    { 0, output_701, 0 },
#endif
    { 0 },
    &operand_data[975],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5260 */
  {
    "*aarch64_sisd_ushl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5270 */
  {
    "*aarch64_ushl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5280 */
  {
    "*aarch64_sisd_sshl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5290 */
  {
    "*aarch64_sshl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5300 */
  {
    "*aarch64_sisd_neg_qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[987],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5310 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_707 },
#else
    { 0, output_707, 0 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5310 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_708 },
#else
    { 0, output_708, 0 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5323 */
  {
    "*ashlsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_709 },
#else
    { 0, output_709, 0 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5323 */
  {
    "*ashrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_710 },
#else
    { 0, output_710, 0 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5323 */
  {
    "*lshrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_711 },
#else
    { 0, output_711, 0 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5323 */
  {
    "*rotrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_712 },
#else
    { 0, output_712, 0 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "*ashlqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_713 },
#else
    { 0, 0, output_713 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "*ashrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_714 },
#else
    { 0, 0, output_714 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "*lshrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_715 },
#else
    { 0, 0, output_715 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "*ashlhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_716 },
#else
    { 0, 0, output_716 },
#endif
    { 0 },
    &operand_data[1001],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "*ashrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_717 },
#else
    { 0, 0, output_717 },
#endif
    { 0 },
    &operand_data[1001],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5335 */
  {
    "*lshrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_718 },
#else
    { 0, 0, output_718 },
#endif
    { 0 },
    &operand_data[1001],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5347 */
  {
    "*extrsi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1004],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5347 */
  {
    "*extrdi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5361 */
  {
    "*extrsi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1004],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5361 */
  {
    "*extrdi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5375 */
  {
    "*extrsi5_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1014],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "*extrsi5_insn_uxtw_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1014],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5401 */
  {
    "*extrsi5_insn_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1019],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5417 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_726 },
#else
    { 0, 0, output_726 },
#endif
    { 0 },
    &operand_data[1026],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5417 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_727 },
#else
    { 0, 0, output_727 },
#endif
    { 0 },
    &operand_data[1029],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5430 */
  {
    "*rorsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_728 },
#else
    { 0, 0, output_728 },
#endif
    { 0 },
    &operand_data[1032],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_729 },
#else
    { 0, 0, output_729 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*zero_extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_730 },
#else
    { 0, 0, output_730 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_731 },
#else
    { 0, 0, output_731 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*zero_extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_732 },
#else
    { 0, 0, output_732 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_733 },
#else
    { 0, 0, output_733 },
#endif
    { 0 },
    &operand_data[1041],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*zero_extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_734 },
#else
    { 0, 0, output_734 },
#endif
    { 0 },
    &operand_data[1041],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_735 },
#else
    { 0, 0, output_735 },
#endif
    { 0 },
    &operand_data[1044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5443 */
  {
    "*zero_extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_736 },
#else
    { 0, 0, output_736 },
#endif
    { 0 },
    &operand_data[1044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5456 */
  {
    "*zero_extendsi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_737 },
#else
    { 0, 0, output_737 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5456 */
  {
    "*zero_extendsi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_738 },
#else
    { 0, 0, output_738 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5456 */
  {
    "*zero_extenddi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_739 },
#else
    { 0, 0, output_739 },
#endif
    { 0 },
    &operand_data[1041],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5456 */
  {
    "*zero_extenddi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_740 },
#else
    { 0, 0, output_740 },
#endif
    { 0 },
    &operand_data[1044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5469 */
  {
    "*extendsi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_741 },
#else
    { 0, 0, output_741 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5469 */
  {
    "*extendsi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_742 },
#else
    { 0, 0, output_742 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5469 */
  {
    "*extenddi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_743 },
#else
    { 0, 0, output_743 },
#endif
    { 0 },
    &operand_data[1041],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5469 */
  {
    "*extenddi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_744 },
#else
    { 0, 0, output_744 },
#endif
    { 0 },
    &operand_data[1044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5501 */
  {
    "*extvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5501 */
  {
    "*extzvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5501 */
  {
    "*extvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5501 */
  {
    "*extzvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5565 */
  {
    "*insv_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5565 */
  {
    "*insv_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5577 */
  {
    "*aarch64_bfisiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5577 */
  {
    "*aarch64_bfidiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5577 */
  {
    "*aarch64_bfisihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1071],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5577 */
  {
    "*aarch64_bfidihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1075],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5577 */
  {
    "*aarch64_bfisisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5577 */
  {
    "*aarch64_bfidisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1079],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5593 */
  {
    "*aarch64_bfisi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1083],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5593 */
  {
    "*aarch64_bfidi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1089],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5608 */
  {
    "*aarch64_bfisi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1095],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5608 */
  {
    "*aarch64_bfidi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1101],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5626 */
  {
    "*aarch64_bfisi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_761 },
#else
    { 0, 0, output_761 },
#endif
    { 0 },
    &operand_data[1083],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5626 */
  {
    "*aarch64_bfidi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_762 },
#else
    { 0, 0, output_762 },
#endif
    { 0 },
    &operand_data[1089],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5643 */
  {
    "*aarch64_bfisi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_763 },
#else
    { 0, 0, output_763 },
#endif
    { 0 },
    &operand_data[1107],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5643 */
  {
    "*aarch64_bfidi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_764 },
#else
    { 0, 0, output_764 },
#endif
    { 0 },
    &operand_data[1112],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5664 */
  {
    "*aarch64_bfisi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1117],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5664 */
  {
    "*aarch64_bfidi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1122],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5676 */
  {
    "*aarch64_bfisi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1117],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5676 */
  {
    "*aarch64_bfidi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1122],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5688 */
  {
    "*aarch64_bfxilsi_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1127],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5688 */
  {
    "*aarch64_bfxildi_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1133],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5704 */
  {
    "*aarch64_bfxilsi_extrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1139],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5720 */
  {
    "*extr_insv_lower_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1146],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5720 */
  {
    "*extr_insv_lower_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1150],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_774 },
#else
    { 0, 0, output_774 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_775 },
#else
    { 0, 0, output_775 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_776 },
#else
    { 0, 0, output_776 },
#endif
    { 0 },
    &operand_data[1041],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_777 },
#else
    { 0, 0, output_777 },
#endif
    { 0 },
    &operand_data[1041],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_778 },
#else
    { 0, 0, output_778 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_779 },
#else
    { 0, 0, output_779 },
#endif
    { 0 },
    &operand_data[1038],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_780 },
#else
    { 0, 0, output_780 },
#endif
    { 0 },
    &operand_data[1044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_781 },
#else
    { 0, 0, output_781 },
#endif
    { 0 },
    &operand_data[1044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_782 },
#else
    { 0, 0, output_782 },
#endif
    { 0 },
    &operand_data[1026],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_783 },
#else
    { 0, 0, output_783 },
#endif
    { 0 },
    &operand_data[1026],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_784 },
#else
    { 0, 0, output_784 },
#endif
    { 0 },
    &operand_data[1032],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5734 */
  {
    "*zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_785 },
#else
    { 0, 0, output_785 },
#endif
    { 0 },
    &operand_data[1032],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5751 */
  {
    "*andim_ashiftsi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5751 */
  {
    "*andim_ashiftdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5763 */
  {
    "*ashiftsi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5763 */
  {
    "*ashiftdi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5775 */
  {
    "*ashiftsi_extvdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1162],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5808 */
  {
    "bswapsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapsi2 },
    &operand_data[432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5808 */
  {
    "bswapdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapdi2 },
    &operand_data[436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5816 */
  {
    "bswaphi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswaphi2 },
    &operand_data[1001],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5824 */
  {
    "aarch64_rev16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16si },
    &operand_data[432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5824 */
  {
    "aarch64_rev16di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16di },
    &operand_data[436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5831 */
  {
    "*aarch64_bfxilsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_796 },
#else
    { 0, 0, output_796 },
#endif
    { 0 },
    &operand_data[1167],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5831 */
  {
    "*aarch64_bfxildi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_797 },
#else
    { 0, 0, output_797 },
#endif
    { 0 },
    &operand_data[1172],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5857 */
  {
    "*aarch64_bfxilsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_798 },
#else
    { 0, 0, output_798 },
#endif
    { 0 },
    &operand_data[1177],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5887 */
  {
    "rev16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2 },
    &operand_data[1182],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5887 */
  {
    "rev16di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2 },
    &operand_data[1186],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5901 */
  {
    "rev16si2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2_alt },
    &operand_data[1182],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5901 */
  {
    "rev16di2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2_alt },
    &operand_data[1186],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5916 */
  {
    "*bswapsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "btrunchf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btrunchf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "ceilhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilhf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "floorhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorhf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "frintnhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnhf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "nearbyinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyinthf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "rinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rinthf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "roundhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundhf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "btruncsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "ceilsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "floorsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "frintnsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "nearbyintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "rintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "roundsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "btruncdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncdf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "ceildf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceildf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "floordf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floordf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "frintndf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintndf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "nearbyintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintdf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "rintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintdf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5931 */
  {
    "rounddf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rounddf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtrunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceilhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceiluhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lflooruhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lrounduhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceilsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceilusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfsi2 },
    &operand_data[1198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceildfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloordfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lrounddfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintndfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceiludfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtrunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceilhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceiluhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lflooruhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lrounduhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceilsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceilusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceildfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloordfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lrounddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintndfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lbtruncudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lceiludfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfloorudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lroundudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5942 */
  {
    "lfrintnudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfdi2 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtsfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_885 },
#else
    { 0, 0, output_885 },
#endif
    { 0 },
    &operand_data[1208],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtusfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_886 },
#else
    { 0, 0, output_886 },
#endif
    { 0 },
    &operand_data[1208],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtdfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_887 },
#else
    { 0, 0, output_887 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtudfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_888 },
#else
    { 0, 0, output_888 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtsfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_889 },
#else
    { 0, 0, output_889 },
#endif
    { 0 },
    &operand_data[1214],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtusfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_890 },
#else
    { 0, 0, output_890 },
#endif
    { 0 },
    &operand_data[1214],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtdfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_891 },
#else
    { 0, 0, output_891 },
#endif
    { 0 },
    &operand_data[1217],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5952 */
  {
    "*aarch64_fcvtudfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_892 },
#else
    { 0, 0, output_892 },
#endif
    { 0 },
    &operand_data[1217],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5984 */
  {
    "*aarch64_fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1220],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5984 */
  {
    "*aarch64_fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5984 */
  {
    "*aarch64_fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6003 */
  {
    "*aarch64_fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1220],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6003 */
  {
    "*aarch64_fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6003 */
  {
    "*aarch64_fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6023 */
  {
    "*aarch64_fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6023 */
  {
    "*aarch64_fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6041 */
  {
    "*aarch64_fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6041 */
  {
    "*aarch64_fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6052 */
  {
    "*aarch64_fnmaddsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6052 */
  {
    "*aarch64_fnmadddf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6066 */
  {
    "extendsfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsfdf2 },
    &operand_data[1232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6074 */
  {
    "extendhfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfsf2 },
    &operand_data[1234],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6082 */
  {
    "extendhfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfdf2 },
    &operand_data[1236],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6090 */
  {
    "truncdfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfsf2 },
    &operand_data[1238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6098 */
  {
    "truncsfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncsfhf2 },
    &operand_data[1240],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6106 */
  {
    "truncdfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfhf2 },
    &operand_data[1242],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6117 */
  {
    "fix_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_911 },
#else
    { 0, output_911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfsi2 },
    &operand_data[1244],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6117 */
  {
    "fixuns_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_912 },
#else
    { 0, output_912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfsi2 },
    &operand_data[1244],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6117 */
  {
    "fix_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_913 },
#else
    { 0, output_913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfdi2 },
    &operand_data[1246],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6117 */
  {
    "fixuns_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_914 },
#else
    { 0, output_914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfdi2 },
    &operand_data[1246],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6130 */
  {
    "fix_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6130 */
  {
    "fixuns_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfsi2 },
    &operand_data[1196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6130 */
  {
    "fix_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6130 */
  {
    "fixuns_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfdi2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6141 */
  {
    "fix_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6141 */
  {
    "fixuns_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfsi2 },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6141 */
  {
    "fix_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6141 */
  {
    "fixuns_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfdi2 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6149 */
  {
    "*fix_to_zero_extendsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6149 */
  {
    "*fix_to_zero_extenddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6160 */
  {
    "*aarch64_scvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_925 },
#else
    { 0, 0, output_925 },
#endif
    { 0 },
    &operand_data[1248],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6160 */
  {
    "*aarch64_ucvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_926 },
#else
    { 0, 0, output_926 },
#endif
    { 0 },
    &operand_data[1248],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6160 */
  {
    "*aarch64_scvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_927 },
#else
    { 0, 0, output_927 },
#endif
    { 0 },
    &operand_data[1251],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6160 */
  {
    "*aarch64_ucvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_928 },
#else
    { 0, 0, output_928 },
#endif
    { 0 },
    &operand_data[1251],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*aarch64_scvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_929 },
#else
    { 0, 0, output_929 },
#endif
    { 0 },
    &operand_data[1254],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*aarch64_ucvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_930 },
#else
    { 0, 0, output_930 },
#endif
    { 0 },
    &operand_data[1254],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*aarch64_scvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_931 },
#else
    { 0, 0, output_931 },
#endif
    { 0 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*aarch64_ucvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_932 },
#else
    { 0, 0, output_932 },
#endif
    { 0 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "floatsisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_933 },
#else
    { 0, output_933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsisf2 },
    &operand_data[1248],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "floatunssisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_934 },
#else
    { 0, output_934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssisf2 },
    &operand_data[1248],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "floatdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_935 },
#else
    { 0, output_935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdidf2 },
    &operand_data[1251],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "floatunsdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_936 },
#else
    { 0, output_936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdidf2 },
    &operand_data[1251],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6209 */
  {
    "floatdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdisf2 },
    &operand_data[1254],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6209 */
  {
    "floatunsdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdisf2 },
    &operand_data[1254],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6209 */
  {
    "floatsidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsidf2 },
    &operand_data[1257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6209 */
  {
    "floatunssidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssidf2 },
    &operand_data[1257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6224 */
  {
    "aarch64_fp16_floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatsihf2 },
    &operand_data[1260],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6224 */
  {
    "aarch64_fp16_floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunssihf2 },
    &operand_data[1260],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6224 */
  {
    "aarch64_fp16_floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatdihf2 },
    &operand_data[1262],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6224 */
  {
    "aarch64_fp16_floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunsdihf2 },
    &operand_data[1262],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6281 */
  {
    "fcvtzssf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_945 },
#else
    { 0, output_945, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzssf3 },
    &operand_data[1264],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6281 */
  {
    "fcvtzusf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_946 },
#else
    { 0, output_946, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzusf3 },
    &operand_data[1264],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6281 */
  {
    "fcvtzsdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_947 },
#else
    { 0, output_947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsdf3 },
    &operand_data[1267],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6281 */
  {
    "fcvtzudf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_948 },
#else
    { 0, output_948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzudf3 },
    &operand_data[1267],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6294 */
  {
    "scvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_949 },
#else
    { 0, output_949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsi3 },
    &operand_data[1270],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6294 */
  {
    "ucvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_950 },
#else
    { 0, output_950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsi3 },
    &operand_data[1270],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6294 */
  {
    "scvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_951 },
#else
    { 0, output_951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdi3 },
    &operand_data[1273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6294 */
  {
    "ucvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_952 },
#else
    { 0, output_952, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdi3 },
    &operand_data[1273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6307 */
  {
    "fcvtzshfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfsi3 },
    &operand_data[1276],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6307 */
  {
    "fcvtzuhfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfsi3 },
    &operand_data[1276],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6307 */
  {
    "fcvtzshfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfdi3 },
    &operand_data[1279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6307 */
  {
    "fcvtzuhfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfdi3 },
    &operand_data[1279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6317 */
  {
    "scvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsihf3 },
    &operand_data[1282],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6317 */
  {
    "ucvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsihf3 },
    &operand_data[1282],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6317 */
  {
    "scvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdihf3 },
    &operand_data[1285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6317 */
  {
    "ucvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdihf3 },
    &operand_data[1285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6327 */
  {
    "fcvtzshf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshf3 },
    &operand_data[1288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6327 */
  {
    "fcvtzuhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhf3 },
    &operand_data[1288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6337 */
  {
    "scvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfhi3 },
    &operand_data[1291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6337 */
  {
    "ucvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfhi3 },
    &operand_data[1291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6351 */
  {
    "addhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6351 */
  {
    "addsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6351 */
  {
    "adddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6361 */
  {
    "subhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6361 */
  {
    "subsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6361 */
  {
    "subdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6371 */
  {
    "mulhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6371 */
  {
    "mulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6371 */
  {
    "muldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6381 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6381 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6391 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6391 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6413 */
  {
    "*divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6413 */
  {
    "*divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6413 */
  {
    "*divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6422 */
  {
    "neghf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_neghf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6422 */
  {
    "negsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6422 */
  {
    "negdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6439 */
  {
    "*sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6439 */
  {
    "*sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6439 */
  {
    "*sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6447 */
  {
    "abshf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abshf2 },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6447 */
  {
    "abssf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssf2 },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6447 */
  {
    "absdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdf2 },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "smaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "smaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6468 */
  {
    "sminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6468 */
  {
    "smindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "smax_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "smin_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "fmaxhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "fminhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "smax_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nansf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "smin_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nansf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "fmaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "fminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "smax_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nandf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "smin_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nandf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "fmaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxdf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "fmindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmindf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6534 */
  {
    "copysignsf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1006 },
#else
    { 0, output_1006, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3_insn },
    &operand_data[1294],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6534 */
  {
    "copysigndf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1007 },
#else
    { 0, output_1007, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3_insn },
    &operand_data[1298],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6637 */
  {
    "aarch64_movdi_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tilow },
    &operand_data[1302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6637 */
  {
    "aarch64_movdi_tflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tflow },
    &operand_data[1304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6647 */
  {
    "aarch64_movdi_tihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tihigh },
    &operand_data[1302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6647 */
  {
    "aarch64_movdi_tfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tfhigh },
    &operand_data[1304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6657 */
  {
    "aarch64_movtihigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtihigh_di },
    &operand_data[1306],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6657 */
  {
    "aarch64_movtfhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtfhigh_di },
    &operand_data[1308],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6667 */
  {
    "aarch64_movtilow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_di },
    &operand_data[1310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6667 */
  {
    "aarch64_movtflow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtflow_di },
    &operand_data[1312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6676 */
  {
    "aarch64_movtilow_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_tilow },
    &operand_data[1314],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6707 */
  {
    "add_losym_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_si },
    &operand_data[1316],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6707 */
  {
    "add_losym_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_di },
    &operand_data[1319],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6716 */
  {
    "ldr_got_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_si },
    &operand_data[1322],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6716 */
  {
    "ldr_got_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_di },
    &operand_data[1325],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6727 */
  {
    "ldr_got_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_sidi },
    &operand_data[1325],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6739 */
  {
    "ldr_got_small_28k_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_si },
    &operand_data[1322],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6739 */
  {
    "ldr_got_small_28k_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:gotpage_lo15:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_di },
    &operand_data[1325],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6750 */
  {
    "ldr_got_small_28k_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_sidi },
    &operand_data[1325],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6762 */
  {
    "ldr_got_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_si },
    &operand_data[1328],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6762 */
  {
    "ldr_got_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_di },
    &operand_data[1330],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6771 */
  {
    "ldr_got_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_sidi },
    &operand_data[1330],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6781 */
  {
    "aarch64_load_tp_hard",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, tpidr_el0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_tp_hard },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6803 */
  {
    "*tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6803 */
  {
    "*tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6815 */
  {
    "tlsie_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_si },
    &operand_data[1338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6815 */
  {
    "tlsie_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%x0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_di },
    &operand_data[1340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6825 */
  {
    "tlsie_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_sidi },
    &operand_data[1340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "tlsie_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_si },
    &operand_data[1342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "tlsie_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1\n\tadd\t%x0, %x0, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_di },
    &operand_data[1345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "tlsie_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_sidi },
    &operand_data[1345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6860 */
  {
    "tlsle12_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_si },
    &operand_data[1348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6860 */
  {
    "tlsle12_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_di },
    &operand_data[1351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6871 */
  {
    "tlsle24_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%G2, lsl #12\n\tadd\t%w0, %w0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_si },
    &operand_data[1348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6871 */
  {
    "tlsle24_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%G2, lsl #12\n\tadd\t%x0, %x0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_di },
    &operand_data[1351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6882 */
  {
    "tlsle32_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g1:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_si },
    &operand_data[1354],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6882 */
  {
    "tlsle32_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g1:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_di },
    &operand_data[1356],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6892 */
  {
    "tlsle48_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g2:%1\n\tmovk\t%w0, #:tprel_g1_nc:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_si },
    &operand_data[1354],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6892 */
  {
    "tlsle48_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g2:%1\n\tmovk\t%x0, #:tprel_g1_nc:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_di },
    &operand_data[1356],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6921 */
  {
    "tlsdesc_small_advsimd_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w1, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_si },
    &operand_data[1358],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6921 */
  {
    "tlsdesc_small_advsimd_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x1, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_di },
    &operand_data[1358],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6937 */
  {
    "tlsdesc_small_sve_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\tw30, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\tx30",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_si },
    &operand_data[1360],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6937 */
  {
    "tlsdesc_small_sve_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\tx30, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\tx30",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_di },
    &operand_data[1360],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6950 */
  {
    "stack_tie",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_tie },
    &operand_data[1362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6960 */
  {
    "aarch64_fjcvtzs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fjcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fjcvtzs },
    &operand_data[1200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6979 */
  {
    "paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t25 // paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_paciasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6979 */
  {
    "autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t29 // autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autiasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6979 */
  {
    "pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t27 // pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6979 */
  {
    "autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t31 // autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6988 */
  {
    "pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t8 // pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6988 */
  {
    "autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t12 // autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6988 */
  {
    "pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t10 // pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6988 */
  {
    "autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t14 // autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6997 */
  {
    "xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t7 // xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xpaclri },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7006 */
  {
    "blockage",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_blockage },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7014 */
  {
    "probe_stack_range",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1061 },
#else
    { 0, 0, output_1061 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_stack_range },
    &operand_data[1364],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7030 */
  {
    "probe_sve_stack_clash_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1062 },
#else
    { 0, 0, output_1062 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_si },
    &operand_data[1367],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7030 */
  {
    "probe_sve_stack_clash_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1063 },
#else
    { 0, 0, output_1063 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_di },
    &operand_data[1372],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7083 */
  {
    "reg_stack_protect_address_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1064 },
#else
    { 0, 0, output_1064 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_si },
    &operand_data[1377],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7083 */
  {
    "reg_stack_protect_address_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1065 },
#else
    { 0, 0, output_1065 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_di },
    &operand_data[1379],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7099 */
  {
    "stack_protect_set_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %1\n\tstr\t%w2, %0\n\tmov\t%w2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_si },
    &operand_data[1381],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7099 */
  {
    "stack_protect_set_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %1\n\tstr\t%x2, %0\n\tmov\t%x2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_di },
    &operand_data[1384],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7144 */
  {
    "stack_protect_test_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %0\n\tldr\t%w3, %1\n\tsubs\t%w2, %w2, %w3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_si },
    &operand_data[1387],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7144 */
  {
    "stack_protect_test_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %0\n\tldr\t%x3, %1\n\tsubs\t%x2, %x2, %x3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_di },
    &operand_data[1391],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7157 */
  {
    "aarch64_set_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrsi },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7157 */
  {
    "aarch64_set_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrsi },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7157 */
  {
    "aarch64_set_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7157 */
  {
    "aarch64_set_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7164 */
  {
    "aarch64_get_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrsi },
    &operand_data[90],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7164 */
  {
    "aarch64_get_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrsi },
    &operand_data[90],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7164 */
  {
    "aarch64_get_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrdi },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7164 */
  {
    "aarch64_get_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrdi },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7210 */
  {
    "speculation_tracker",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1078 },
#else
    { 0, 0, output_1078 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker },
    &operand_data[2],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7224 */
  {
    "speculation_tracker_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1079 },
#else
    { 0, 0, output_1079 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker_rev },
    &operand_data[2],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7238 */
  {
    "bti_noarg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t32 // bti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_noarg },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7245 */
  {
    "bti_c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t34 // bti c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_c },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7252 */
  {
    "bti_j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t36 // bti j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_j },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7259 */
  {
    "bti_jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t38 // bti jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_jc },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7267 */
  {
    "speculation_barrier",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "isb\n\tdsb\tsy",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_barrier },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7307 */
  {
    "*despeculate_copyqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1085 },
#else
    { 0, 0, output_1085 },
#endif
    { 0 },
    &operand_data[1395],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7307 */
  {
    "*despeculate_copyhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1086 },
#else
    { 0, 0, output_1086 },
#endif
    { 0 },
    &operand_data[1398],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7307 */
  {
    "*despeculate_copysi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1087 },
#else
    { 0, 0, output_1087 },
#endif
    { 0 },
    &operand_data[1401],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7307 */
  {
    "*despeculate_copydi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1088 },
#else
    { 0, 0, output_1088 },
#endif
    { 0 },
    &operand_data[1404],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "*despeculate_copyti_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1089 },
#else
    { 0, 0, output_1089 },
#endif
    { 0 },
    &operand_data[1407],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7347 */
  {
    "despeculate_simpleqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleqi },
    &operand_data[1410],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7347 */
  {
    "despeculate_simplehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplehi },
    &operand_data[1413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7347 */
  {
    "despeculate_simplesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplesi },
    &operand_data[1416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7347 */
  {
    "despeculate_simpledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x1, %x2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpledi },
    &operand_data[1419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7360 */
  {
    "despeculate_simpleti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0, %1, %2\n\tand\t%H0, %H1, %2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleti },
    &operand_data[1422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zdf },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xdf },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zdf },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xdf },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zsf },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint32xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xsf },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zsf },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7373 */
  {
    "aarch64_frint64xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xsf },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7385 */
  {
    "tstart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tstart\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tstart },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7394 */
  {
    "ttest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ttest\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ttest },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7403 */
  {
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcommit },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7411 */
  {
    "tcancel",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcancel\t#%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcancel },
    &operand_data[634],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7420 */
  {
    "aarch64_rndr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDR",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndr },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7430 */
  {
    "aarch64_rndrrs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDRRS",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndrrs },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7442 */
  {
    "irg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "irg\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_irg },
    &operand_data[1431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7455 */
  {
    "gmi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "gmi\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gmi },
    &operand_data[429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7468 */
  {
    "addg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addg\t%0, %1, #%2, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addg },
    &operand_data[1434],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7485 */
  {
    "subp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subp\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subp },
    &operand_data[1438],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7498 */
  {
    "ldg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldg },
    &operand_data[1441],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7515 */
  {
    "stg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stg },
    &operand_data[1444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7527 */
  {
    "patchable_area",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1127 },
#else
    { 0, 0, output_1127 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_patchable_area },
    &operand_data[1447],
    2,
    2,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1128 },
#else
    { 0, output_1128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8qi },
    &operand_data[1449],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1129 },
#else
    { 0, output_1129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv16qi },
    &operand_data[1451],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1130 },
#else
    { 0, output_1130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hi },
    &operand_data[1453],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1131 },
#else
    { 0, output_1131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hi },
    &operand_data[1455],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1132 },
#else
    { 0, output_1132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2si },
    &operand_data[1457],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1133 },
#else
    { 0, output_1133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4si },
    &operand_data[1459],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1134 },
#else
    { 0, output_1134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2di },
    &operand_data[1461],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:76 */
  {
    "aarch64_simd_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hf },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:76 */
  {
    "aarch64_simd_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hf },
    &operand_data[1465],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:76 */
  {
    "aarch64_simd_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2sf },
    &operand_data[1467],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:76 */
  {
    "aarch64_simd_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4sf },
    &operand_data[1469],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:76 */
  {
    "aarch64_simd_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2df },
    &operand_data[1471],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:76 */
  {
    "aarch64_simd_dupv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4bf },
    &operand_data[1473],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:76 */
  {
    "aarch64_simd_dupv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8bf },
    &operand_data[1475],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1142 },
#else
    { 0, 0, output_1142 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8qi },
    &operand_data[1477],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1143 },
#else
    { 0, 0, output_1143 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev16qi },
    &operand_data[1480],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1144 },
#else
    { 0, 0, output_1144 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hi },
    &operand_data[1483],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1145 },
#else
    { 0, 0, output_1145 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hi },
    &operand_data[1486],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1146 },
#else
    { 0, 0, output_1146 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2si },
    &operand_data[1489],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1147 },
#else
    { 0, 0, output_1147 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4si },
    &operand_data[1492],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1148 },
#else
    { 0, 0, output_1148 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2di },
    &operand_data[1495],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1149 },
#else
    { 0, 0, output_1149 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hf },
    &operand_data[1498],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1150 },
#else
    { 0, 0, output_1150 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hf },
    &operand_data[1501],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1151 },
#else
    { 0, 0, output_1151 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4bf },
    &operand_data[1504],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1152 },
#else
    { 0, 0, output_1152 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8bf },
    &operand_data[1507],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1153 },
#else
    { 0, 0, output_1153 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2sf },
    &operand_data[1510],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1154 },
#else
    { 0, 0, output_1154 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4sf },
    &operand_data[1513],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:85 */
  {
    "aarch64_dup_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1155 },
#else
    { 0, 0, output_1155 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2df },
    &operand_data[1516],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1156 },
#else
    { 0, 0, output_1156 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v8qi },
    &operand_data[1519],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1157 },
#else
    { 0, 0, output_1157 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v16qi },
    &operand_data[1522],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1158 },
#else
    { 0, 0, output_1158 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hi },
    &operand_data[1525],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1159 },
#else
    { 0, 0, output_1159 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hi },
    &operand_data[1528],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1160 },
#else
    { 0, 0, output_1160 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2si },
    &operand_data[1531],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1161 },
#else
    { 0, 0, output_1161 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4si },
    &operand_data[1534],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1162 },
#else
    { 0, 0, output_1162 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hf },
    &operand_data[1537],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1163 },
#else
    { 0, 0, output_1163 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hf },
    &operand_data[1540],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1164 },
#else
    { 0, 0, output_1164 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2sf },
    &operand_data[1543],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:100 */
  {
    "aarch64_dup_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1165 },
#else
    { 0, 0, output_1165 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4sf },
    &operand_data[1546],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "*aarch64_simd_movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1166 },
#else
    { 0, 0, output_1166 },
#endif
    { 0 },
    &operand_data[1549],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "*aarch64_simd_movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1167 },
#else
    { 0, 0, output_1167 },
#endif
    { 0 },
    &operand_data[1551],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "*aarch64_simd_movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1168 },
#else
    { 0, 0, output_1168 },
#endif
    { 0 },
    &operand_data[1553],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "*aarch64_simd_movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1169 },
#else
    { 0, 0, output_1169 },
#endif
    { 0 },
    &operand_data[1555],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "*aarch64_simd_movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1170 },
#else
    { 0, 0, output_1170 },
#endif
    { 0 },
    &operand_data[1557],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "*aarch64_simd_movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1171 },
#else
    { 0, 0, output_1171 },
#endif
    { 0 },
    &operand_data[1559],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1172 },
#else
    { 0, 0, output_1172 },
#endif
    { 0 },
    &operand_data[1561],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1173 },
#else
    { 0, 0, output_1173 },
#endif
    { 0 },
    &operand_data[1563],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1174 },
#else
    { 0, 0, output_1174 },
#endif
    { 0 },
    &operand_data[1565],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1175 },
#else
    { 0, 0, output_1175 },
#endif
    { 0 },
    &operand_data[1567],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1176 },
#else
    { 0, 0, output_1176 },
#endif
    { 0 },
    &operand_data[1569],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1177 },
#else
    { 0, 0, output_1177 },
#endif
    { 0 },
    &operand_data[1571],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1178 },
#else
    { 0, 0, output_1178 },
#endif
    { 0 },
    &operand_data[1573],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:143 */
  {
    "*aarch64_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1179 },
#else
    { 0, 0, output_1179 },
#endif
    { 0 },
    &operand_data[1575],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8qi },
    &operand_data[1577],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v16qi },
    &operand_data[1580],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hi },
    &operand_data[1583],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hi },
    &operand_data[1586],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2si },
    &operand_data[1589],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4si },
    &operand_data[1592],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2di },
    &operand_data[1595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hf },
    &operand_data[1598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hf },
    &operand_data[1601],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4bf },
    &operand_data[1604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8bf },
    &operand_data[1607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2sf },
    &operand_data[1610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4sf },
    &operand_data[1613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:181 */
  {
    "aarch64_store_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2df },
    &operand_data[1616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv8qi },
    &operand_data[1619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv8qi },
    &operand_data[1623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv8qi },
    &operand_data[1627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv8qi },
    &operand_data[1631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv8qi },
    &operand_data[1635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairdfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv8qi },
    &operand_data[1639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv8qiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv4hi },
    &operand_data[1643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv4hi },
    &operand_data[1647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv4hi },
    &operand_data[1651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2siv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv4hi },
    &operand_data[1655],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2sfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv4hi },
    &operand_data[1659],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairdfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv4hi },
    &operand_data[1663],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv8qiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv4hf },
    &operand_data[1667],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv4hf },
    &operand_data[1671],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv4hf },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2siv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv4hf },
    &operand_data[1679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2sfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv4hf },
    &operand_data[1683],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairdfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv4hf },
    &operand_data[1687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv8qiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv2si },
    &operand_data[1691],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv2si },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv2si },
    &operand_data[1699],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv2si },
    &operand_data[1703],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv2si },
    &operand_data[1707],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairdfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv2si },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv8qiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv2sf },
    &operand_data[1715],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv2sf },
    &operand_data[1719],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv2sf },
    &operand_data[1723],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv2sf },
    &operand_data[1727],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv2sf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairdfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv2sf },
    &operand_data[1735],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv8qidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qidf },
    &operand_data[1739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hidf },
    &operand_data[1743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv4hfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfdf },
    &operand_data[1747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2sidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sidf },
    &operand_data[1751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairv2sfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfdf },
    &operand_data[1755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:191 */
  {
    "load_pairdfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfdf },
    &operand_data[1759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv8qi },
    &operand_data[1763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv8qi },
    &operand_data[1767],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv8qi },
    &operand_data[1771],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv8qi },
    &operand_data[1775],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv8qi },
    &operand_data[1779],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairdfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv8qi },
    &operand_data[1783],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv8qiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv4hi },
    &operand_data[1787],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv4hi },
    &operand_data[1791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv4hi },
    &operand_data[1795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2siv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv4hi },
    &operand_data[1799],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2sfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv4hi },
    &operand_data[1803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairdfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv4hi },
    &operand_data[1807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv8qiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv4hf },
    &operand_data[1811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv4hf },
    &operand_data[1815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv4hf },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2siv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv4hf },
    &operand_data[1823],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2sfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv4hf },
    &operand_data[1827],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairdfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv4hf },
    &operand_data[1831],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv8qiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv2si },
    &operand_data[1835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv2si },
    &operand_data[1839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv2si },
    &operand_data[1843],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv2si },
    &operand_data[1847],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv2si },
    &operand_data[1851],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairdfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv2si },
    &operand_data[1855],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv8qiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv2sf },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv2sf },
    &operand_data[1863],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv2sf },
    &operand_data[1867],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv2sf },
    &operand_data[1871],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv2sf },
    &operand_data[1875],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairdfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv2sf },
    &operand_data[1879],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv8qidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qidf },
    &operand_data[1883],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hidf },
    &operand_data[1887],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv4hfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfdf },
    &operand_data[1891],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2sidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sidf },
    &operand_data[1895],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairv2sfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfdf },
    &operand_data[1899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:205 */
  {
    "vec_store_pairdfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfdf },
    &operand_data[1903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv16qi },
    &operand_data[1907],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8hi },
    &operand_data[1911],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv4si },
    &operand_data[1915],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv2di },
    &operand_data[1919],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8hf },
    &operand_data[1923],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8bf },
    &operand_data[1927],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv4sf },
    &operand_data[1931],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv16qiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv2df },
    &operand_data[1935],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv16qi },
    &operand_data[1939],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8hi },
    &operand_data[1943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv4si },
    &operand_data[1947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv2di },
    &operand_data[1951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8hf },
    &operand_data[1955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8bf },
    &operand_data[1959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv4sf },
    &operand_data[1963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv2df },
    &operand_data[1967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv16qi },
    &operand_data[1971],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8hi },
    &operand_data[1975],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv4si },
    &operand_data[1979],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv2di },
    &operand_data[1983],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8hf },
    &operand_data[1987],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8bf },
    &operand_data[1991],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv4sf },
    &operand_data[1995],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4siv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv2df },
    &operand_data[1999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div16qi },
    &operand_data[2003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8hi },
    &operand_data[2007],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div4si },
    &operand_data[2011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div2di },
    &operand_data[2015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8hf },
    &operand_data[2019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8bf },
    &operand_data[2023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div4sf },
    &operand_data[2027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div2df },
    &operand_data[2031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv16qi },
    &operand_data[2035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8hi },
    &operand_data[2039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv4si },
    &operand_data[2043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv2di },
    &operand_data[2047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8hf },
    &operand_data[2051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8bf },
    &operand_data[2055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv4sf },
    &operand_data[2059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8hfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv2df },
    &operand_data[2063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv16qi },
    &operand_data[2067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8hi },
    &operand_data[2071],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv4si },
    &operand_data[2075],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv2di },
    &operand_data[2079],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8hf },
    &operand_data[2083],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8bf },
    &operand_data[2087],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv4sf },
    &operand_data[2091],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv4sfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv2df },
    &operand_data[2095],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv16qi },
    &operand_data[2099],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8hi },
    &operand_data[2103],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv4si },
    &operand_data[2107],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv2di },
    &operand_data[2111],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8hf },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8bf },
    &operand_data[2119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv4sf },
    &operand_data[2123],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv2df },
    &operand_data[2127],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv16qi },
    &operand_data[2131],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8hi },
    &operand_data[2135],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv4si },
    &operand_data[2139],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv2di },
    &operand_data[2143],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8hf },
    &operand_data[2147],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8bf },
    &operand_data[2151],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv4sf },
    &operand_data[2155],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:219 */
  {
    "load_pairv8bfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv2df },
    &operand_data[2159],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv16qi },
    &operand_data[2163],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8hi },
    &operand_data[2167],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv4si },
    &operand_data[2171],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv2di },
    &operand_data[2175],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8hf },
    &operand_data[2179],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8bf },
    &operand_data[2183],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv4sf },
    &operand_data[2187],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv16qiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv2df },
    &operand_data[2191],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv16qi },
    &operand_data[2195],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8hi },
    &operand_data[2199],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv4si },
    &operand_data[2203],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv2di },
    &operand_data[2207],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8hf },
    &operand_data[2211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8bf },
    &operand_data[2215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv4sf },
    &operand_data[2219],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv2df },
    &operand_data[2223],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv16qi },
    &operand_data[2227],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8hi },
    &operand_data[2231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv4si },
    &operand_data[2235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv2di },
    &operand_data[2239],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8hf },
    &operand_data[2243],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8bf },
    &operand_data[2247],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv4sf },
    &operand_data[2251],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4siv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv2df },
    &operand_data[2255],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div16qi },
    &operand_data[2259],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8hi },
    &operand_data[2263],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div4si },
    &operand_data[2267],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div2di },
    &operand_data[2271],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8hf },
    &operand_data[2275],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8bf },
    &operand_data[2279],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div4sf },
    &operand_data[2283],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div2df },
    &operand_data[2287],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv16qi },
    &operand_data[2291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8hi },
    &operand_data[2295],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv4si },
    &operand_data[2299],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv2di },
    &operand_data[2303],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8hf },
    &operand_data[2307],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8bf },
    &operand_data[2311],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv4sf },
    &operand_data[2315],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8hfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv2df },
    &operand_data[2319],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv16qi },
    &operand_data[2323],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8hi },
    &operand_data[2327],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv4si },
    &operand_data[2331],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv2di },
    &operand_data[2335],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8hf },
    &operand_data[2339],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8bf },
    &operand_data[2343],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv4sf },
    &operand_data[2347],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv4sfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv2df },
    &operand_data[2351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv16qi },
    &operand_data[2355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8hi },
    &operand_data[2359],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv4si },
    &operand_data[2363],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv2di },
    &operand_data[2367],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8hf },
    &operand_data[2371],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8bf },
    &operand_data[2375],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv4sf },
    &operand_data[2379],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv2df },
    &operand_data[2383],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv16qi },
    &operand_data[2387],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8hi },
    &operand_data[2391],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv4si },
    &operand_data[2395],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv2di },
    &operand_data[2399],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8hf },
    &operand_data[2403],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8bf },
    &operand_data[2407],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv4sf },
    &operand_data[2411],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:233 */
  {
    "vec_store_pairv8bfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv2df },
    &operand_data[2415],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "aarch64_simd_mov_from_v16qilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1394 },
#else
    { 0, output_1394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qilow },
    &operand_data[2419],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "aarch64_simd_mov_from_v8hilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1395 },
#else
    { 0, output_1395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hilow },
    &operand_data[2422],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "aarch64_simd_mov_from_v4silow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1396 },
#else
    { 0, output_1396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4silow },
    &operand_data[2425],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "aarch64_simd_mov_from_v8hflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1397 },
#else
    { 0, output_1397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hflow },
    &operand_data[2428],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "aarch64_simd_mov_from_v8bflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1398 },
#else
    { 0, output_1398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bflow },
    &operand_data[2431],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "aarch64_simd_mov_from_v4sflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1399 },
#else
    { 0, output_1399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sflow },
    &operand_data[2434],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "aarch64_simd_mov_from_v16qihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1400 },
#else
    { 0, output_1400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qihigh },
    &operand_data[2437],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "aarch64_simd_mov_from_v8hihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1401 },
#else
    { 0, output_1401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hihigh },
    &operand_data[2440],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "aarch64_simd_mov_from_v4sihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1402 },
#else
    { 0, output_1402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sihigh },
    &operand_data[2443],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "aarch64_simd_mov_from_v8hfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1403 },
#else
    { 0, output_1403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hfhigh },
    &operand_data[2446],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "aarch64_simd_mov_from_v8bfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1404 },
#else
    { 0, output_1404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bfhigh },
    &operand_data[2449],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "aarch64_simd_mov_from_v4sfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1405 },
#else
    { 0, output_1405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sfhigh },
    &operand_data[2452],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:364 */
  {
    "ornv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:364 */
  {
    "ornv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:364 */
  {
    "ornv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:364 */
  {
    "ornv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:364 */
  {
    "ornv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:364 */
  {
    "ornv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:364 */
  {
    "ornv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2di3 },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:373 */
  {
    "bicv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:373 */
  {
    "bicv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:373 */
  {
    "bicv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:373 */
  {
    "bicv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:373 */
  {
    "bicv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:373 */
  {
    "bicv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:373 */
  {
    "bicv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2di3 },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:382 */
  {
    "addv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:382 */
  {
    "addv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:382 */
  {
    "addv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:382 */
  {
    "addv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:382 */
  {
    "addv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:382 */
  {
    "addv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:382 */
  {
    "addv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2di3 },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:391 */
  {
    "subv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:391 */
  {
    "subv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:391 */
  {
    "subv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:391 */
  {
    "subv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:391 */
  {
    "subv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:391 */
  {
    "subv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:391 */
  {
    "subv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2di3 },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "mulv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "mulv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "mulv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "mulv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "mulv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:400 */
  {
    "mulv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:409 */
  {
    "bswapv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4hi2 },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:409 */
  {
    "bswapv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv8hi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:409 */
  {
    "bswapv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2si2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:409 */
  {
    "bswapv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4si2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:409 */
  {
    "bswapv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2di2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:417 */
  {
    "aarch64_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:417 */
  {
    "aarch64_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:475 */
  {
    "aarch64_fcadd270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf },
    &operand_data[2491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf },
    &operand_data[2491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf },
    &operand_data[2491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf },
    &operand_data[2491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v8hf },
    &operand_data[2495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v8hf },
    &operand_data[2495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v8hf },
    &operand_data[2495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v8hf },
    &operand_data[2495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4sf },
    &operand_data[2503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4sf },
    &operand_data[2503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4sf },
    &operand_data[2503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4sf },
    &operand_data[2503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2df },
    &operand_data[2507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2df },
    &operand_data[2507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2df },
    &operand_data[2507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:493 */
  {
    "aarch64_fcmla270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2df },
    &operand_data[2507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1477 },
#else
    { 0, 0, output_1477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf },
    &operand_data[2511],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1478 },
#else
    { 0, 0, output_1478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf },
    &operand_data[2511],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1479 },
#else
    { 0, 0, output_1479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf },
    &operand_data[2511],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1480 },
#else
    { 0, 0, output_1480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf },
    &operand_data[2511],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1481 },
#else
    { 0, 0, output_1481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v8hf },
    &operand_data[2516],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1482 },
#else
    { 0, 0, output_1482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v8hf },
    &operand_data[2516],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1483 },
#else
    { 0, 0, output_1483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v8hf },
    &operand_data[2516],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1484 },
#else
    { 0, 0, output_1484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v8hf },
    &operand_data[2516],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1485 },
#else
    { 0, 0, output_1485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf },
    &operand_data[2521],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1486 },
#else
    { 0, 0, output_1486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf },
    &operand_data[2521],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1487 },
#else
    { 0, 0, output_1487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf },
    &operand_data[2521],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1488 },
#else
    { 0, 0, output_1488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf },
    &operand_data[2521],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1489 },
#else
    { 0, 0, output_1489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4sf },
    &operand_data[2526],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1490 },
#else
    { 0, 0, output_1490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4sf },
    &operand_data[2526],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1491 },
#else
    { 0, 0, output_1491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4sf },
    &operand_data[2526],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1492 },
#else
    { 0, 0, output_1492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4sf },
    &operand_data[2526],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1493 },
#else
    { 0, 0, output_1493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2df },
    &operand_data[2531],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1494 },
#else
    { 0, 0, output_1494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2df },
    &operand_data[2531],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1495 },
#else
    { 0, 0, output_1495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2df },
    &operand_data[2531],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:505 */
  {
    "aarch64_fcmla_lane270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1496 },
#else
    { 0, 0, output_1496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2df },
    &operand_data[2531],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:520 */
  {
    "aarch64_fcmla_laneq0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1497 },
#else
    { 0, 0, output_1497 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf },
    &operand_data[2536],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:520 */
  {
    "aarch64_fcmla_laneq90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1498 },
#else
    { 0, 0, output_1498 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf },
    &operand_data[2536],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:520 */
  {
    "aarch64_fcmla_laneq180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1499 },
#else
    { 0, 0, output_1499 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf },
    &operand_data[2536],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:520 */
  {
    "aarch64_fcmla_laneq270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1500 },
#else
    { 0, 0, output_1500 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf },
    &operand_data[2536],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1501 },
#else
    { 0, 0, output_1501 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v8hf },
    &operand_data[2541],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1502 },
#else
    { 0, 0, output_1502 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v8hf },
    &operand_data[2541],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1503 },
#else
    { 0, 0, output_1503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v8hf },
    &operand_data[2541],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1504 },
#else
    { 0, 0, output_1504 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v8hf },
    &operand_data[2541],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1505 },
#else
    { 0, 0, output_1505 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v4sf },
    &operand_data[2546],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1506 },
#else
    { 0, 0, output_1506 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v4sf },
    &operand_data[2546],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1507 },
#else
    { 0, 0, output_1507 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v4sf },
    &operand_data[2546],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:535 */
  {
    "aarch64_fcmlaq_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1508 },
#else
    { 0, 0, output_1508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v4sf },
    &operand_data[2546],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:591 */
  {
    "aarch64_sdotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv8qi },
    &operand_data[2551],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:591 */
  {
    "aarch64_udotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv8qi },
    &operand_data[2551],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:591 */
  {
    "aarch64_sdotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv16qi },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:591 */
  {
    "aarch64_udotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv16qi },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:604 */
  {
    "aarch64_usdotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdotv8qi },
    &operand_data[2551],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:604 */
  {
    "aarch64_usdotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdotv16qi },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:653 */
  {
    "aarch64_sdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1515 },
#else
    { 0, 0, output_1515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi },
    &operand_data[2559],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:653 */
  {
    "aarch64_udot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1516 },
#else
    { 0, 0, output_1516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi },
    &operand_data[2559],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:653 */
  {
    "aarch64_sdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1517 },
#else
    { 0, 0, output_1517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev16qi },
    &operand_data[2564],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:653 */
  {
    "aarch64_udot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1518 },
#else
    { 0, 0, output_1518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev16qi },
    &operand_data[2564],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:668 */
  {
    "aarch64_sdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1519 },
#else
    { 0, 0, output_1519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:668 */
  {
    "aarch64_udot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1520 },
#else
    { 0, 0, output_1520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:668 */
  {
    "aarch64_sdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1521 },
#else
    { 0, 0, output_1521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv16qi },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:668 */
  {
    "aarch64_udot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1522 },
#else
    { 0, 0, output_1522 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv16qi },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_usdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1523 },
#else
    { 0, 0, output_1523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi },
    &operand_data[2559],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_sudot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1524 },
#else
    { 0, 0, output_1524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi },
    &operand_data[2559],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_usdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1525 },
#else
    { 0, 0, output_1525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev16qi },
    &operand_data[2564],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_sudot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1526 },
#else
    { 0, 0, output_1526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev16qi },
    &operand_data[2564],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_usdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1527 },
#else
    { 0, 0, output_1527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_sudot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1528 },
#else
    { 0, 0, output_1528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_usdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1529 },
#else
    { 0, 0, output_1529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv16qi },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_sudot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1530 },
#else
    { 0, 0, output_1530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv16qi },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1531 },
#else
    { 0, 0, output_1531 },
#endif
    { 0 },
    &operand_data[2579],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1532 },
#else
    { 0, 0, output_1532 },
#endif
    { 0 },
    &operand_data[2583],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1533 },
#else
    { 0, 0, output_1533 },
#endif
    { 0 },
    &operand_data[2587],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1534 },
#else
    { 0, 0, output_1534 },
#endif
    { 0 },
    &operand_data[2591],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1535 },
#else
    { 0, 0, output_1535 },
#endif
    { 0 },
    &operand_data[2595],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1536 },
#else
    { 0, 0, output_1536 },
#endif
    { 0 },
    &operand_data[2599],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1537 },
#else
    { 0, 0, output_1537 },
#endif
    { 0 },
    &operand_data[2603],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1538 },
#else
    { 0, 0, output_1538 },
#endif
    { 0 },
    &operand_data[2607],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:721 */
  {
    "*aarch64_mul3_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1539 },
#else
    { 0, 0, output_1539 },
#endif
    { 0 },
    &operand_data[2611],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "*aarch64_mul3_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1540 },
#else
    { 0, 0, output_1540 },
#endif
    { 0 },
    &operand_data[2615],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "*aarch64_mul3_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1541 },
#else
    { 0, 0, output_1541 },
#endif
    { 0 },
    &operand_data[2619],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "*aarch64_mul3_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1542 },
#else
    { 0, 0, output_1542 },
#endif
    { 0 },
    &operand_data[2623],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "*aarch64_mul3_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1543 },
#else
    { 0, 0, output_1543 },
#endif
    { 0 },
    &operand_data[2627],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "*aarch64_mul3_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1544 },
#else
    { 0, 0, output_1544 },
#endif
    { 0 },
    &operand_data[2631],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "*aarch64_mul3_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1545 },
#else
    { 0, 0, output_1545 },
#endif
    { 0 },
    &operand_data[2635],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2639],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2642],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2645],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2648],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2657],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2660],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:753 */
  {
    "*aarch64_mul3_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtehf },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtesf },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "aarch64_rsqrtedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtedf },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtshf },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtssf },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:772 */
  {
    "aarch64_rsqrtsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsdf },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:791 */
  {
    "aarch64_ursqrtev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursqrtev2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:791 */
  {
    "aarch64_ursqrtev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursqrtev4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:799 */
  {
    "*aarch64_mul3_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1573 },
#else
    { 0, 0, output_1573 },
#endif
    { 0 },
    &operand_data[2666],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:814 */
  {
    "negv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2 },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:814 */
  {
    "negv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv16qi2 },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:814 */
  {
    "negv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2 },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:814 */
  {
    "negv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:814 */
  {
    "negv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:814 */
  {
    "negv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4si2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:814 */
  {
    "negv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2di2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:822 */
  {
    "absv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2 },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:822 */
  {
    "absv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv16qi2 },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:822 */
  {
    "absv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2 },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:822 */
  {
    "absv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:822 */
  {
    "absv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:822 */
  {
    "absv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4si2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:822 */
  {
    "absv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2di2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2di },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:833 */
  {
    "aarch64_absdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi },
    &operand_data[981],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_sabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi },
    &operand_data[2455],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_uabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi },
    &operand_data[2455],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_sabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv16qi },
    &operand_data[2458],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_uabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv16qi },
    &operand_data[2458],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_sabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi },
    &operand_data[2461],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_uabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi },
    &operand_data[2461],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_sabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8hi },
    &operand_data[2464],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_uabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8hi },
    &operand_data[2464],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_sabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si },
    &operand_data[2467],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_uabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si },
    &operand_data[2467],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_sabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4si },
    &operand_data[2470],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:848 */
  {
    "aarch64_uabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4si },
    &operand_data[2470],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:863 */
  {
    "aarch64_sabdlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:863 */
  {
    "aarch64_uabdlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:863 */
  {
    "aarch64_sabdlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:863 */
  {
    "aarch64_uabdlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:863 */
  {
    "aarch64_sabdlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:863 */
  {
    "aarch64_uabdlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:873 */
  {
    "aarch64_sabdl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v16qi },
    &operand_data[2679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:873 */
  {
    "aarch64_uabdl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v16qi },
    &operand_data[2679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:873 */
  {
    "aarch64_sabdl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8hi },
    &operand_data[2682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:873 */
  {
    "aarch64_uabdl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8hi },
    &operand_data[2682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:873 */
  {
    "aarch64_sabdl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4si },
    &operand_data[2685],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:873 */
  {
    "aarch64_uabdl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4si },
    &operand_data[2685],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:883 */
  {
    "aarch64_sabalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv8qi },
    &operand_data[2688],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:883 */
  {
    "aarch64_uabalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv8qi },
    &operand_data[2688],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:883 */
  {
    "aarch64_sabalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:883 */
  {
    "aarch64_uabalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:883 */
  {
    "aarch64_sabalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:883 */
  {
    "aarch64_uabalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:894 */
  {
    "aarch64_sabal2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v16qi },
    &operand_data[2700],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:894 */
  {
    "aarch64_uabal2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v16qi },
    &operand_data[2700],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:894 */
  {
    "aarch64_sabal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v8hi },
    &operand_data[2704],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:894 */
  {
    "aarch64_uabal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v8hi },
    &operand_data[2704],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:894 */
  {
    "aarch64_sabal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v4si },
    &operand_data[2708],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:894 */
  {
    "aarch64_uabal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v4si },
    &operand_data[2708],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_sadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8qi },
    &operand_data[2712],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_uadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8qi },
    &operand_data[2712],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_sadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv16qi },
    &operand_data[2700],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_uadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv16qi },
    &operand_data[2700],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_sadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4hi },
    &operand_data[2715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_uadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4hi },
    &operand_data[2715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_sadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8hi },
    &operand_data[2704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_uadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8hi },
    &operand_data[2704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_sadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4si },
    &operand_data[2708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:905 */
  {
    "aarch64_uadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4si },
    &operand_data[2708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_sabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi },
    &operand_data[2718],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_uabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi },
    &operand_data[2718],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_sabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav16qi },
    &operand_data[2722],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_uabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav16qi },
    &operand_data[2722],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_sabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi },
    &operand_data[2726],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_uabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi },
    &operand_data[2726],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_sabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8hi },
    &operand_data[2730],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_uabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8hi },
    &operand_data[2730],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_sabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si },
    &operand_data[2734],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_uabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si },
    &operand_data[2734],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_sabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4si },
    &operand_data[2738],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:964 */
  {
    "aarch64_uabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4si },
    &operand_data[2738],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabdv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabdv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabdv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabdv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabdv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabdhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdhf3 },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabdsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdsf3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:979 */
  {
    "fabddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3 },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:991 */
  {
    "andv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1662 },
#else
    { 0, 0, output_1662 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3 },
    &operand_data[2742],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:991 */
  {
    "andv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1663 },
#else
    { 0, 0, output_1663 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv16qi3 },
    &operand_data[2745],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:991 */
  {
    "andv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1664 },
#else
    { 0, 0, output_1664 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3 },
    &operand_data[2748],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:991 */
  {
    "andv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1665 },
#else
    { 0, 0, output_1665 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8hi3 },
    &operand_data[2751],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:991 */
  {
    "andv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1666 },
#else
    { 0, 0, output_1666 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3 },
    &operand_data[2754],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:991 */
  {
    "andv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1667 },
#else
    { 0, 0, output_1667 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4si3 },
    &operand_data[2757],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:991 */
  {
    "andv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1668 },
#else
    { 0, 0, output_1668 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2di3 },
    &operand_data[2760],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1012 */
  {
    "iorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1669 },
#else
    { 0, 0, output_1669 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3 },
    &operand_data[2763],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1012 */
  {
    "iorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1670 },
#else
    { 0, 0, output_1670 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv16qi3 },
    &operand_data[2766],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1012 */
  {
    "iorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1671 },
#else
    { 0, 0, output_1671 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3 },
    &operand_data[2769],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1012 */
  {
    "iorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1672 },
#else
    { 0, 0, output_1672 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8hi3 },
    &operand_data[2772],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1012 */
  {
    "iorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1673 },
#else
    { 0, 0, output_1673 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3 },
    &operand_data[2775],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1012 */
  {
    "iorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1674 },
#else
    { 0, 0, output_1674 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4si3 },
    &operand_data[2778],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1012 */
  {
    "iorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1675 },
#else
    { 0, 0, output_1675 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2di3 },
    &operand_data[2781],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1032 */
  {
    "xorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1032 */
  {
    "xorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1032 */
  {
    "xorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1032 */
  {
    "xorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1032 */
  {
    "xorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1032 */
  {
    "xorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1032 */
  {
    "xorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2di3 },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1041 */
  {
    "one_cmplv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2 },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1041 */
  {
    "one_cmplv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv16qi2 },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1041 */
  {
    "one_cmplv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2 },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1041 */
  {
    "one_cmplv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8hi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1041 */
  {
    "one_cmplv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1041 */
  {
    "one_cmplv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4si2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1041 */
  {
    "one_cmplv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2di2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1690 },
#else
    { 0, 0, output_1690 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8qi },
    &operand_data[2784],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1691 },
#else
    { 0, 0, output_1691 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv16qi },
    &operand_data[2788],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1692 },
#else
    { 0, 0, output_1692 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hi },
    &operand_data[2792],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1693 },
#else
    { 0, 0, output_1693 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hi },
    &operand_data[2796],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1694 },
#else
    { 0, 0, output_1694 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2si },
    &operand_data[2800],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1695 },
#else
    { 0, 0, output_1695 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4si },
    &operand_data[2804],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1696 },
#else
    { 0, 0, output_1696 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2di },
    &operand_data[2808],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1697 },
#else
    { 0, 0, output_1697 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hf },
    &operand_data[2812],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1698 },
#else
    { 0, 0, output_1698 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hf },
    &operand_data[2816],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1699 },
#else
    { 0, 0, output_1699 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4bf },
    &operand_data[2820],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1700 },
#else
    { 0, 0, output_1700 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8bf },
    &operand_data[2824],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1701 },
#else
    { 0, 0, output_1701 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2sf },
    &operand_data[2828],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1702 },
#else
    { 0, 0, output_1702 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4sf },
    &operand_data[2832],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1703 },
#else
    { 0, 0, output_1703 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2df },
    &operand_data[2836],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1704 },
#else
    { 0, 0, output_1704 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8qi },
    &operand_data[2840],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1705 },
#else
    { 0, 0, output_1705 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev16qi },
    &operand_data[2845],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1706 },
#else
    { 0, 0, output_1706 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hi },
    &operand_data[2850],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1707 },
#else
    { 0, 0, output_1707 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hi },
    &operand_data[2855],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1708 },
#else
    { 0, 0, output_1708 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2si },
    &operand_data[2860],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1709 },
#else
    { 0, 0, output_1709 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4si },
    &operand_data[2865],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1710 },
#else
    { 0, 0, output_1710 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2di },
    &operand_data[2870],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1711 },
#else
    { 0, 0, output_1711 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hf },
    &operand_data[2875],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1712 },
#else
    { 0, 0, output_1712 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hf },
    &operand_data[2880],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1713 },
#else
    { 0, 0, output_1713 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4bf },
    &operand_data[2885],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1714 },
#else
    { 0, 0, output_1714 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8bf },
    &operand_data[2890],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1715 },
#else
    { 0, 0, output_1715 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2sf },
    &operand_data[2895],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1716 },
#else
    { 0, 0, output_1716 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4sf },
    &operand_data[2900],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1075 */
  {
    "aarch64_simd_vec_copy_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1717 },
#else
    { 0, 0, output_1717 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2df },
    &operand_data[2905],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1718 },
#else
    { 0, 0, output_1718 },
#endif
    { 0 },
    &operand_data[2910],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1719 },
#else
    { 0, 0, output_1719 },
#endif
    { 0 },
    &operand_data[2915],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1720 },
#else
    { 0, 0, output_1720 },
#endif
    { 0 },
    &operand_data[2920],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1721 },
#else
    { 0, 0, output_1721 },
#endif
    { 0 },
    &operand_data[2925],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1722 },
#else
    { 0, 0, output_1722 },
#endif
    { 0 },
    &operand_data[2930],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1723 },
#else
    { 0, 0, output_1723 },
#endif
    { 0 },
    &operand_data[2935],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1724 },
#else
    { 0, 0, output_1724 },
#endif
    { 0 },
    &operand_data[2940],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1725 },
#else
    { 0, 0, output_1725 },
#endif
    { 0 },
    &operand_data[2945],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1726 },
#else
    { 0, 0, output_1726 },
#endif
    { 0 },
    &operand_data[2950],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1096 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1727 },
#else
    { 0, 0, output_1727 },
#endif
    { 0 },
    &operand_data[2955],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1133 */
  {
    "aarch64_simd_lshrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi },
    &operand_data[2960],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1133 */
  {
    "aarch64_simd_lshrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv16qi },
    &operand_data[2963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1133 */
  {
    "aarch64_simd_lshrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi },
    &operand_data[2966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1133 */
  {
    "aarch64_simd_lshrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8hi },
    &operand_data[2969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1133 */
  {
    "aarch64_simd_lshrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si },
    &operand_data[2972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1133 */
  {
    "aarch64_simd_lshrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4si },
    &operand_data[2975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1133 */
  {
    "aarch64_simd_lshrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2di },
    &operand_data[2978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1142 */
  {
    "aarch64_simd_ashrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi },
    &operand_data[2960],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1142 */
  {
    "aarch64_simd_ashrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv16qi },
    &operand_data[2963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1142 */
  {
    "aarch64_simd_ashrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi },
    &operand_data[2966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1142 */
  {
    "aarch64_simd_ashrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8hi },
    &operand_data[2969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1142 */
  {
    "aarch64_simd_ashrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si },
    &operand_data[2972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1142 */
  {
    "aarch64_simd_ashrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4si },
    &operand_data[2975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1142 */
  {
    "aarch64_simd_ashrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2di },
    &operand_data[2978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2981],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2985],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2989],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2989],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2993],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2993],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2997],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2997],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1151 */
  {
    "*aarch64_simd_srav2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1163 */
  {
    "aarch64_simd_imm_shlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi },
    &operand_data[3009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1163 */
  {
    "aarch64_simd_imm_shlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv16qi },
    &operand_data[3012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1163 */
  {
    "aarch64_simd_imm_shlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi },
    &operand_data[3015],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1163 */
  {
    "aarch64_simd_imm_shlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8hi },
    &operand_data[3018],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1163 */
  {
    "aarch64_simd_imm_shlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si },
    &operand_data[3021],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1163 */
  {
    "aarch64_simd_imm_shlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4si },
    &operand_data[3024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1163 */
  {
    "aarch64_simd_imm_shlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2di },
    &operand_data[3027],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1172 */
  {
    "aarch64_simd_reg_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1172 */
  {
    "aarch64_simd_reg_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1172 */
  {
    "aarch64_simd_reg_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1172 */
  {
    "aarch64_simd_reg_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1172 */
  {
    "aarch64_simd_reg_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1172 */
  {
    "aarch64_simd_reg_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1172 */
  {
    "aarch64_simd_reg_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1181 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1181 */
  {
    "aarch64_simd_reg_shlv16qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_unsigned },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1181 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1181 */
  {
    "aarch64_simd_reg_shlv8hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_unsigned },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1181 */
  {
    "aarch64_simd_reg_shlv2si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1181 */
  {
    "aarch64_simd_reg_shlv4si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_unsigned },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1181 */
  {
    "aarch64_simd_reg_shlv2di_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_unsigned },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1191 */
  {
    "aarch64_simd_reg_shlv8qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1191 */
  {
    "aarch64_simd_reg_shlv16qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_signed },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1191 */
  {
    "aarch64_simd_reg_shlv4hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1191 */
  {
    "aarch64_simd_reg_shlv8hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_signed },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1191 */
  {
    "aarch64_simd_reg_shlv2si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1191 */
  {
    "aarch64_simd_reg_shlv4si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_signed },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1191 */
  {
    "aarch64_simd_reg_shlv2di_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_signed },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1376 */
  {
    "vec_shr_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1784 },
#else
    { 0, 0, output_1784 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi },
    &operand_data[1477],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1376 */
  {
    "vec_shr_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1785 },
#else
    { 0, 0, output_1785 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi },
    &operand_data[1483],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1376 */
  {
    "vec_shr_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1786 },
#else
    { 0, 0, output_1786 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf },
    &operand_data[1498],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1376 */
  {
    "vec_shr_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1787 },
#else
    { 0, 0, output_1787 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si },
    &operand_data[1489],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1376 */
  {
    "vec_shr_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1788 },
#else
    { 0, 0, output_1788 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf },
    &operand_data[1510],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1376 */
  {
    "vec_shr_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1789 },
#else
    { 0, 0, output_1789 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf },
    &operand_data[1504],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1405 */
  {
    "aarch64_mlav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi },
    &operand_data[2718],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1405 */
  {
    "aarch64_mlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav16qi },
    &operand_data[2722],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1405 */
  {
    "aarch64_mlav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi },
    &operand_data[2726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1405 */
  {
    "aarch64_mlav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1405 */
  {
    "aarch64_mlav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si },
    &operand_data[2734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1405 */
  {
    "aarch64_mlav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1416 */
  {
    "*aarch64_mla_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1796 },
#else
    { 0, 0, output_1796 },
#endif
    { 0 },
    &operand_data[3030],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1416 */
  {
    "*aarch64_mla_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1797 },
#else
    { 0, 0, output_1797 },
#endif
    { 0 },
    &operand_data[3035],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1416 */
  {
    "*aarch64_mla_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1798 },
#else
    { 0, 0, output_1798 },
#endif
    { 0 },
    &operand_data[3040],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1416 */
  {
    "*aarch64_mla_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1799 },
#else
    { 0, 0, output_1799 },
#endif
    { 0 },
    &operand_data[3045],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1434 */
  {
    "*aarch64_mla_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1800 },
#else
    { 0, 0, output_1800 },
#endif
    { 0 },
    &operand_data[3050],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1434 */
  {
    "*aarch64_mla_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1801 },
#else
    { 0, 0, output_1801 },
#endif
    { 0 },
    &operand_data[3055],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1434 */
  {
    "*aarch64_mla_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1802 },
#else
    { 0, 0, output_1802 },
#endif
    { 0 },
    &operand_data[3060],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1434 */
  {
    "*aarch64_mla_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1803 },
#else
    { 0, 0, output_1803 },
#endif
    { 0 },
    &operand_data[3065],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_mla_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4hi },
    &operand_data[3070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_mla_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv8hi },
    &operand_data[3074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_mla_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv2si },
    &operand_data[3078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_mla_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4si },
    &operand_data[3082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1465 */
  {
    "aarch64_mlsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi },
    &operand_data[2718],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1465 */
  {
    "aarch64_mlsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv16qi },
    &operand_data[2722],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1465 */
  {
    "aarch64_mlsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi },
    &operand_data[2726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1465 */
  {
    "aarch64_mlsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1465 */
  {
    "aarch64_mlsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si },
    &operand_data[2734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1465 */
  {
    "aarch64_mlsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1475 */
  {
    "*aarch64_mls_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1814 },
#else
    { 0, 0, output_1814 },
#endif
    { 0 },
    &operand_data[3030],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1475 */
  {
    "*aarch64_mls_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1815 },
#else
    { 0, 0, output_1815 },
#endif
    { 0 },
    &operand_data[3035],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1475 */
  {
    "*aarch64_mls_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1816 },
#else
    { 0, 0, output_1816 },
#endif
    { 0 },
    &operand_data[3040],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1475 */
  {
    "*aarch64_mls_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1817 },
#else
    { 0, 0, output_1817 },
#endif
    { 0 },
    &operand_data[3045],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1493 */
  {
    "*aarch64_mls_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1818 },
#else
    { 0, 0, output_1818 },
#endif
    { 0 },
    &operand_data[3050],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1493 */
  {
    "*aarch64_mls_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1819 },
#else
    { 0, 0, output_1819 },
#endif
    { 0 },
    &operand_data[3055],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1493 */
  {
    "*aarch64_mls_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1820 },
#else
    { 0, 0, output_1820 },
#endif
    { 0 },
    &operand_data[3060],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1493 */
  {
    "*aarch64_mls_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1821 },
#else
    { 0, 0, output_1821 },
#endif
    { 0 },
    &operand_data[3065],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_mls_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4hi },
    &operand_data[3070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_mls_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv8hi },
    &operand_data[3074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_mls_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv2si },
    &operand_data[3078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1511 */
  {
    "aarch64_mls_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4si },
    &operand_data[3082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "smaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "sminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "umaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "uminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3 },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "smaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "sminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "umaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "uminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv16qi3 },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "smaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "sminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "umaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "uminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3 },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "smaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "sminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "umaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "uminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8hi3 },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "smaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "sminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "umaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "uminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3 },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "smaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "sminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "umaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1525 */
  {
    "uminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4si3 },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_umaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_uminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_smaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_sminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_umaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_uminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_smaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_sminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_umaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_uminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_smaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_sminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_umaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_uminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_smaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_sminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_umaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_uminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_smaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_sminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_umaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_uminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_smaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1568 */
  {
    "aarch64_sminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smax_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smin_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smaxpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_sminpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smax_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smin_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smaxpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_sminpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smax_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smin_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smaxpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_sminpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smax_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smin_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smaxpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_sminpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smax_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smin_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_smaxpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1579 */
  {
    "aarch64_sminpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1894 },
#else
    { 0, output_1894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v16qi },
    &operand_data[3086],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1895 },
#else
    { 0, output_1895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hi },
    &operand_data[3089],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1896 },
#else
    { 0, output_1896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4si },
    &operand_data[3092],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1897 },
#else
    { 0, output_1897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2di },
    &operand_data[3095],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1898 },
#else
    { 0, output_1898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hf },
    &operand_data[3098],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1899 },
#else
    { 0, output_1899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8bf },
    &operand_data[3101],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1900 },
#else
    { 0, output_1900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4sf },
    &operand_data[3104],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1599 */
  {
    "move_lo_quad_internal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1901 },
#else
    { 0, output_1901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2df },
    &operand_data[3107],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1902 },
#else
    { 0, output_1902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v16qi },
    &operand_data[3086],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1903 },
#else
    { 0, output_1903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hi },
    &operand_data[3089],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1904 },
#else
    { 0, output_1904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4si },
    &operand_data[3092],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1905 },
#else
    { 0, output_1905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2di },
    &operand_data[3095],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1906 },
#else
    { 0, output_1906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hf },
    &operand_data[3098],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1907 },
#else
    { 0, output_1907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8bf },
    &operand_data[3101],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1908 },
#else
    { 0, output_1908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4sf },
    &operand_data[3104],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1614 */
  {
    "move_lo_quad_internal_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1909 },
#else
    { 0, output_1909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2df },
    &operand_data[3107],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1910 },
#else
    { 0, output_1910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v16qi },
    &operand_data[3110],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1911 },
#else
    { 0, output_1911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hi },
    &operand_data[3113],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1912 },
#else
    { 0, output_1912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4si },
    &operand_data[3116],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1913 },
#else
    { 0, output_1913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2di },
    &operand_data[3119],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1914 },
#else
    { 0, output_1914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hf },
    &operand_data[3122],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1915 },
#else
    { 0, output_1915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8bf },
    &operand_data[3125],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1916 },
#else
    { 0, output_1916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4sf },
    &operand_data[3128],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1648 */
  {
    "aarch64_simd_move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1917 },
#else
    { 0, output_1917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2df },
    &operand_data[3131],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1918 },
#else
    { 0, output_1918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v16qi },
    &operand_data[3110],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1919 },
#else
    { 0, output_1919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hi },
    &operand_data[3113],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1920 },
#else
    { 0, output_1920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4si },
    &operand_data[3116],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1921 },
#else
    { 0, output_1921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2di },
    &operand_data[3119],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1922 },
#else
    { 0, output_1922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hf },
    &operand_data[3122],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1923 },
#else
    { 0, output_1923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8bf },
    &operand_data[3125],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1924 },
#else
    { 0, output_1924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4sf },
    &operand_data[3128],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1662 */
  {
    "aarch64_simd_move_hi_quad_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1925 },
#else
    { 0, output_1925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2df },
    &operand_data[3131],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1694 */
  {
    "aarch64_simd_vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v8hi },
    &operand_data[3134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1694 */
  {
    "aarch64_simd_vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v4si },
    &operand_data[3136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1694 */
  {
    "aarch64_simd_vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v2di },
    &operand_data[3138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "aarch64_shrnv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv8hi_insn_le },
    &operand_data[3140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "aarch64_shrnv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv4si_insn_le },
    &operand_data[3144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "aarch64_shrnv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv2di_insn_le },
    &operand_data[3148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1730 */
  {
    "aarch64_shrnv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv8hi_insn_be },
    &operand_data[3140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1730 */
  {
    "aarch64_shrnv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv4si_insn_be },
    &operand_data[3144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1730 */
  {
    "aarch64_shrnv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv2di_insn_be },
    &operand_data[3148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1767 */
  {
    "aarch64_rshrnv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv8hi_insn_le },
    &operand_data[3140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1767 */
  {
    "aarch64_rshrnv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv4si_insn_le },
    &operand_data[3144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1767 */
  {
    "aarch64_rshrnv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv2di_insn_le },
    &operand_data[3148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1779 */
  {
    "aarch64_rshrnv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv8hi_insn_be },
    &operand_data[3140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1779 */
  {
    "aarch64_rshrnv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv4si_insn_be },
    &operand_data[3144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1779 */
  {
    "aarch64_rshrnv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv2di_insn_be },
    &operand_data[3148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1815 */
  {
    "aarch64_shrn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v8hi_insn_le },
    &operand_data[3152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1815 */
  {
    "aarch64_shrn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v4si_insn_le },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1815 */
  {
    "aarch64_shrn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v2di_insn_le },
    &operand_data[3160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1827 */
  {
    "aarch64_shrn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v8hi_insn_be },
    &operand_data[3152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1827 */
  {
    "aarch64_shrn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v4si_insn_be },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1827 */
  {
    "aarch64_shrn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v2di_insn_be },
    &operand_data[3160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1859 */
  {
    "aarch64_rshrn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v8hi_insn_le },
    &operand_data[3152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1859 */
  {
    "aarch64_rshrn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v4si_insn_le },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1859 */
  {
    "aarch64_rshrn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v2di_insn_le },
    &operand_data[3160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1871 */
  {
    "aarch64_rshrn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v8hi_insn_be },
    &operand_data[3152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1871 */
  {
    "aarch64_rshrn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v4si_insn_be },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1871 */
  {
    "aarch64_rshrn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v2di_insn_be },
    &operand_data[3160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1904 */
  {
    "vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1953 },
#else
    { 0, 0, output_1953 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v8hi },
    &operand_data[3164],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1904 */
  {
    "vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1954 },
#else
    { 0, 0, output_1954 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4si },
    &operand_data[3167],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1904 */
  {
    "vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1955 },
#else
    { 0, 0, output_1955 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2di },
    &operand_data[3170],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1922 */
  {
    "aarch64_simd_vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v16qi },
    &operand_data[3173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1922 */
  {
    "aarch64_simd_vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v16qi },
    &operand_data[3173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1922 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hi },
    &operand_data[3176],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1922 */
  {
    "aarch64_simd_vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v8hi },
    &operand_data[3176],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1922 */
  {
    "aarch64_simd_vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4si },
    &operand_data[3179],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1922 */
  {
    "aarch64_simd_vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v4si },
    &operand_data[3179],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1933 */
  {
    "aarch64_simd_vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v16qi },
    &operand_data[3182],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1933 */
  {
    "aarch64_simd_vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v16qi },
    &operand_data[3182],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1933 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hi },
    &operand_data[3185],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1933 */
  {
    "aarch64_simd_vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v8hi },
    &operand_data[3185],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1933 */
  {
    "aarch64_simd_vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4si },
    &operand_data[3188],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1933 */
  {
    "aarch64_simd_vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v4si },
    &operand_data[3188],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1970 */
  {
    "*aarch64_smlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3191],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1970 */
  {
    "*aarch64_umlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3191],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1970 */
  {
    "*aarch64_smlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3196],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1970 */
  {
    "*aarch64_umlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3196],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1970 */
  {
    "*aarch64_smlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3201],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1970 */
  {
    "*aarch64_umlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3201],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "aarch64_smlal_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv16qi_insn },
    &operand_data[3206],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "aarch64_umlal_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv16qi_insn },
    &operand_data[3206],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "aarch64_smlal_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv8hi_insn },
    &operand_data[3211],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "aarch64_umlal_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv8hi_insn },
    &operand_data[3211],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "aarch64_smlal_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv4si_insn },
    &operand_data[3216],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "aarch64_umlal_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv4si_insn },
    &operand_data[3216],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2016 */
  {
    "aarch64_smlal_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv8hi_insn },
    &operand_data[3221],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2016 */
  {
    "aarch64_umlal_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv8hi_insn },
    &operand_data[3221],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2016 */
  {
    "aarch64_smlal_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv4si_insn },
    &operand_data[3226],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2016 */
  {
    "aarch64_umlal_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv4si_insn },
    &operand_data[3226],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2045 */
  {
    "*aarch64_smlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3191],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2045 */
  {
    "*aarch64_umlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3191],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2045 */
  {
    "*aarch64_smlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3196],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2045 */
  {
    "*aarch64_umlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3196],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2045 */
  {
    "*aarch64_smlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3201],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2045 */
  {
    "*aarch64_umlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3201],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2061 */
  {
    "aarch64_smlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi_insn },
    &operand_data[3206],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2061 */
  {
    "aarch64_umlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi_insn },
    &operand_data[3206],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2061 */
  {
    "aarch64_smlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi_insn },
    &operand_data[3211],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2061 */
  {
    "aarch64_umlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi_insn },
    &operand_data[3211],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2061 */
  {
    "aarch64_smlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si_insn },
    &operand_data[3216],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2061 */
  {
    "aarch64_umlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si_insn },
    &operand_data[3216],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2091 */
  {
    "aarch64_smlsl_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv8hi_insn },
    &operand_data[3221],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2091 */
  {
    "aarch64_umlsl_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv8hi_insn },
    &operand_data[3221],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2091 */
  {
    "aarch64_smlsl_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv4si_insn },
    &operand_data[3226],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2091 */
  {
    "aarch64_umlsl_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv4si_insn },
    &operand_data[3226],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2120 */
  {
    "aarch64_smlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv8qi },
    &operand_data[2688],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2120 */
  {
    "aarch64_umlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv8qi },
    &operand_data[2688],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2120 */
  {
    "aarch64_smlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2120 */
  {
    "aarch64_umlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2120 */
  {
    "aarch64_smlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2120 */
  {
    "aarch64_umlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2134 */
  {
    "aarch64_smlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_nv4hi },
    &operand_data[3231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2134 */
  {
    "aarch64_umlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_nv4hi },
    &operand_data[3231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2134 */
  {
    "aarch64_smlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_nv2si },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2134 */
  {
    "aarch64_umlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_nv2si },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_smlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv8qi },
    &operand_data[2688],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_umlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv8qi },
    &operand_data[2688],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_smlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_umlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_smlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_umlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_smlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_nv4hi },
    &operand_data[3231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_umlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_nv4hi },
    &operand_data[3231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_smlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_nv2si },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_umlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_nv2si },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2178 */
  {
    "aarch64_simd_vec_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v16qi },
    &operand_data[3239],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2178 */
  {
    "aarch64_simd_vec_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v16qi },
    &operand_data[3239],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2178 */
  {
    "aarch64_simd_vec_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v8hi },
    &operand_data[3243],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2178 */
  {
    "aarch64_simd_vec_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v8hi },
    &operand_data[3243],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2178 */
  {
    "aarch64_simd_vec_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v4si },
    &operand_data[3247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2178 */
  {
    "aarch64_simd_vec_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v4si },
    &operand_data[3247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "aarch64_intrinsic_vec_smult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "aarch64_intrinsic_vec_umult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "aarch64_intrinsic_vec_smult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "aarch64_intrinsic_vec_umult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "aarch64_intrinsic_vec_smult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "aarch64_intrinsic_vec_umult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_simd_vec_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v16qi },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_simd_vec_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v16qi },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_simd_vec_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v8hi },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_simd_vec_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v8hi },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_simd_vec_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v4si },
    &operand_data[3259],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_simd_vec_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v4si },
    &operand_data[3259],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_smult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2038 },
#else
    { 0, 0, output_2038 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v4hi },
    &operand_data[3263],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_umult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2039 },
#else
    { 0, 0, output_2039 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v4hi },
    &operand_data[3263],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_smult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2040 },
#else
    { 0, 0, output_2040 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v4hi },
    &operand_data[3267],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_umult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2041 },
#else
    { 0, 0, output_2041 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v4hi },
    &operand_data[3267],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_smult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2042 },
#else
    { 0, 0, output_2042 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v2si },
    &operand_data[3271],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_umult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2043 },
#else
    { 0, 0, output_2043 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v2si },
    &operand_data[3271],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_smult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2044 },
#else
    { 0, 0, output_2044 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v2si },
    &operand_data[3275],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "aarch64_vec_umult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2045 },
#else
    { 0, 0, output_2045 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v2si },
    &operand_data[3275],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2263 */
  {
    "aarch64_smull_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2046 },
#else
    { 0, 0, output_2046 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev8hi_insn },
    &operand_data[3279],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2263 */
  {
    "aarch64_umull_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2047 },
#else
    { 0, 0, output_2047 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev8hi_insn },
    &operand_data[3279],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2263 */
  {
    "aarch64_smull_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2048 },
#else
    { 0, 0, output_2048 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev4si_insn },
    &operand_data[3284],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2263 */
  {
    "aarch64_umull_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2049 },
#else
    { 0, 0, output_2049 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev4si_insn },
    &operand_data[3284],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2295 */
  {
    "aarch64_smull_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2050 },
#else
    { 0, 0, output_2050 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv8hi_insn },
    &operand_data[3289],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2295 */
  {
    "aarch64_umull_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2051 },
#else
    { 0, 0, output_2051 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv8hi_insn },
    &operand_data[3289],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2295 */
  {
    "aarch64_smull_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2052 },
#else
    { 0, 0, output_2052 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv4si_insn },
    &operand_data[3294],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2295 */
  {
    "aarch64_umull_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2053 },
#else
    { 0, 0, output_2053 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv4si_insn },
    &operand_data[3294],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "aarch64_smull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_nv4hi },
    &operand_data[3299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "aarch64_umull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_nv4hi },
    &operand_data[3299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "aarch64_smull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_nv2si },
    &operand_data[3302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2327 */
  {
    "aarch64_umull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_nv2si },
    &operand_data[3302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_smull_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv8hi_insn },
    &operand_data[3305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_umull_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv8hi_insn },
    &operand_data[3305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_smull_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv4si_insn },
    &operand_data[3309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_umull_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv4si_insn },
    &operand_data[3309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_smlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2062 },
#else
    { 0, 0, output_2062 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v4hi },
    &operand_data[3313],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_umlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2063 },
#else
    { 0, 0, output_2063 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v4hi },
    &operand_data[3313],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_smlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2064 },
#else
    { 0, 0, output_2064 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v4hi },
    &operand_data[3318],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_umlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2065 },
#else
    { 0, 0, output_2065 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v4hi },
    &operand_data[3318],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_smlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2066 },
#else
    { 0, 0, output_2066 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v2si },
    &operand_data[3323],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_umlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2067 },
#else
    { 0, 0, output_2067 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v2si },
    &operand_data[3323],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_smlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2068 },
#else
    { 0, 0, output_2068 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v2si },
    &operand_data[3328],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "aarch64_vec_umlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2069 },
#else
    { 0, 0, output_2069 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v2si },
    &operand_data[3328],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2388 */
  {
    "aarch64_smlal_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2070 },
#else
    { 0, 0, output_2070 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev8hi_insn },
    &operand_data[3333],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2388 */
  {
    "aarch64_umlal_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2071 },
#else
    { 0, 0, output_2071 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev8hi_insn },
    &operand_data[3333],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2388 */
  {
    "aarch64_smlal_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2072 },
#else
    { 0, 0, output_2072 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev4si_insn },
    &operand_data[3339],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2388 */
  {
    "aarch64_umlal_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2073 },
#else
    { 0, 0, output_2073 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev4si_insn },
    &operand_data[3339],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2423 */
  {
    "aarch64_smlal_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2074 },
#else
    { 0, 0, output_2074 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv8hi_insn },
    &operand_data[3345],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2423 */
  {
    "aarch64_umlal_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2075 },
#else
    { 0, 0, output_2075 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv8hi_insn },
    &operand_data[3345],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2423 */
  {
    "aarch64_smlal_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2076 },
#else
    { 0, 0, output_2076 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv4si_insn },
    &operand_data[3351],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2423 */
  {
    "aarch64_umlal_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2077 },
#else
    { 0, 0, output_2077 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv4si_insn },
    &operand_data[3351],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_smlsl_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2078 },
#else
    { 0, 0, output_2078 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_lane_v4hi },
    &operand_data[3313],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_umlsl_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2079 },
#else
    { 0, 0, output_2079 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_lane_v4hi },
    &operand_data[3313],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_smlsl_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2080 },
#else
    { 0, 0, output_2080 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_laneq_v4hi },
    &operand_data[3318],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_umlsl_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2081 },
#else
    { 0, 0, output_2081 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_laneq_v4hi },
    &operand_data[3318],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_smlsl_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2082 },
#else
    { 0, 0, output_2082 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_lane_v2si },
    &operand_data[3323],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_umlsl_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2083 },
#else
    { 0, 0, output_2083 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_lane_v2si },
    &operand_data[3323],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_smlsl_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2084 },
#else
    { 0, 0, output_2084 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_laneq_v2si },
    &operand_data[3328],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_vec_umlsl_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2085 },
#else
    { 0, 0, output_2085 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_laneq_v2si },
    &operand_data[3328],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2478 */
  {
    "aarch64_smlsl_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2086 },
#else
    { 0, 0, output_2086 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev8hi_insn },
    &operand_data[3333],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2478 */
  {
    "aarch64_umlsl_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2087 },
#else
    { 0, 0, output_2087 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev8hi_insn },
    &operand_data[3333],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2478 */
  {
    "aarch64_smlsl_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2088 },
#else
    { 0, 0, output_2088 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev4si_insn },
    &operand_data[3339],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2478 */
  {
    "aarch64_umlsl_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2089 },
#else
    { 0, 0, output_2089 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev4si_insn },
    &operand_data[3339],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2514 */
  {
    "aarch64_smlsl_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2090 },
#else
    { 0, 0, output_2090 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv8hi_insn },
    &operand_data[3345],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2514 */
  {
    "aarch64_umlsl_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2091 },
#else
    { 0, 0, output_2091 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv8hi_insn },
    &operand_data[3345],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2514 */
  {
    "aarch64_smlsl_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2092 },
#else
    { 0, 0, output_2092 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv4si_insn },
    &operand_data[3351],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2514 */
  {
    "aarch64_umlsl_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2093 },
#else
    { 0, 0, output_2093 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv4si_insn },
    &operand_data[3351],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2575 */
  {
    "addv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2575 */
  {
    "addv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2575 */
  {
    "addv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2575 */
  {
    "addv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2575 */
  {
    "addv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2584 */
  {
    "subv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2584 */
  {
    "subv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2584 */
  {
    "subv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2584 */
  {
    "subv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2584 */
  {
    "subv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2593 */
  {
    "mulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2593 */
  {
    "mulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2593 */
  {
    "mulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2593 */
  {
    "mulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2593 */
  {
    "mulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2614 */
  {
    "*divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2614 */
  {
    "*divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2614 */
  {
    "*divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2614 */
  {
    "*divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2614 */
  {
    "*divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2623 */
  {
    "negv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2623 */
  {
    "negv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2623 */
  {
    "negv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2623 */
  {
    "negv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2623 */
  {
    "negv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "absv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "absv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "absv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "absv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "absv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2639 */
  {
    "fmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4 },
    &operand_data[3357],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2639 */
  {
    "fmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav8hf4 },
    &operand_data[3361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2639 */
  {
    "fmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4 },
    &operand_data[3365],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2639 */
  {
    "fmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4sf4 },
    &operand_data[3369],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2639 */
  {
    "fmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2df4 },
    &operand_data[3373],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "*aarch64_fma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2129 },
#else
    { 0, 0, output_2129 },
#endif
    { 0 },
    &operand_data[3377],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "*aarch64_fma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2130 },
#else
    { 0, 0, output_2130 },
#endif
    { 0 },
    &operand_data[3382],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "*aarch64_fma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2131 },
#else
    { 0, 0, output_2131 },
#endif
    { 0 },
    &operand_data[3387],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2666 */
  {
    "*aarch64_fma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2132 },
#else
    { 0, 0, output_2132 },
#endif
    { 0 },
    &operand_data[3392],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2666 */
  {
    "*aarch64_fma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2133 },
#else
    { 0, 0, output_2133 },
#endif
    { 0 },
    &operand_data[3397],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3402],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3406],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3410],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3418],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3422],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3426],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3430],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2683 */
  {
    "*aarch64_fma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2695 */
  {
    "*aarch64_fma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2143 },
#else
    { 0, 0, output_2143 },
#endif
    { 0 },
    &operand_data[3438],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2711 */
  {
    "fnmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4 },
    &operand_data[3357],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2711 */
  {
    "fnmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav8hf4 },
    &operand_data[3361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2711 */
  {
    "fnmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4 },
    &operand_data[3365],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2711 */
  {
    "fnmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4sf4 },
    &operand_data[3369],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2711 */
  {
    "fnmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2df4 },
    &operand_data[3373],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2722 */
  {
    "*aarch64_fnma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2149 },
#else
    { 0, 0, output_2149 },
#endif
    { 0 },
    &operand_data[3377],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2722 */
  {
    "*aarch64_fnma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2150 },
#else
    { 0, 0, output_2150 },
#endif
    { 0 },
    &operand_data[3382],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2722 */
  {
    "*aarch64_fnma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2151 },
#else
    { 0, 0, output_2151 },
#endif
    { 0 },
    &operand_data[3387],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2740 */
  {
    "*aarch64_fnma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2152 },
#else
    { 0, 0, output_2152 },
#endif
    { 0 },
    &operand_data[3392],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2740 */
  {
    "*aarch64_fnma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2153 },
#else
    { 0, 0, output_2153 },
#endif
    { 0 },
    &operand_data[3397],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3402],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3406],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3410],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3418],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3422],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3426],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3430],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2758 */
  {
    "*aarch64_fnma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "*aarch64_fnma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2163 },
#else
    { 0, 0, output_2163 },
#endif
    { 0 },
    &operand_data[3438],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "btruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "ceilv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "floorv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "frintnv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "nearbyintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "rintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "roundv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "btruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "ceilv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "floorv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "frintnv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "nearbyintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "rintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "roundv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv8hf2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "btruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "ceilv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "floorv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "frintnv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "nearbyintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "rintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "roundv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "btruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "ceilv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "floorv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "frintnv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "nearbyintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "rintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "roundv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4sf2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "btruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "ceilv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "floorv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "frintnv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "nearbyintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "rintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "roundv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2df2 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceilv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfloorv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lroundv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceiluv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lflooruv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lrounduv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4hfv4hi2 },
    &operand_data[3443],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceilv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfloorv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lroundv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceiluv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lflooruv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lrounduv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv8hfv8hi2 },
    &operand_data[3445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceilv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfloorv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lroundv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceiluv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lflooruv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lrounduv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2sfv2si2 },
    &operand_data[3447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceilv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfloorv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lroundv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceiluv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lflooruv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lrounduv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4sfv4si2 },
    &operand_data[3449],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceilv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfloorv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lroundv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lbtruncuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lceiluv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lflooruv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lrounduv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2801 */
  {
    "lfrintnuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2dfv2di2 },
    &operand_data[3451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lbtrunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lceilhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lfloorhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lroundhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lfrintnhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lbtruncuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lceiluhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lflooruhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lrounduhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "lfrintnuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2821 */
  {
    "fix_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2821 */
  {
    "fixuns_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfhi2 },
    &operand_data[1288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2829 */
  {
    "floathihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floathihf2 },
    &operand_data[1291],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2829 */
  {
    "floatunshihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunshihf2 },
    &operand_data[1291],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "*aarch64_fcvtv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2263 },
#else
    { 0, 0, output_2263 },
#endif
    { 0 },
    &operand_data[3453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "*aarch64_fcvtuv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2264 },
#else
    { 0, 0, output_2264 },
#endif
    { 0 },
    &operand_data[3453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "*aarch64_fcvtv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2265 },
#else
    { 0, 0, output_2265 },
#endif
    { 0 },
    &operand_data[3456],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "*aarch64_fcvtuv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2266 },
#else
    { 0, 0, output_2266 },
#endif
    { 0 },
    &operand_data[3456],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "*aarch64_fcvtv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2267 },
#else
    { 0, 0, output_2267 },
#endif
    { 0 },
    &operand_data[3459],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "*aarch64_fcvtuv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2268 },
#else
    { 0, 0, output_2268 },
#endif
    { 0 },
    &operand_data[3459],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4hiv4hf2 },
    &operand_data[3462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatunsv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4hiv4hf2 },
    &operand_data[3462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv8hiv8hf2 },
    &operand_data[3464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatunsv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv8hiv8hf2 },
    &operand_data[3464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2siv2sf2 },
    &operand_data[3466],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatunsv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2siv2sf2 },
    &operand_data[3466],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4siv4sf2 },
    &operand_data[3468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatunsv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4siv4sf2 },
    &operand_data[3468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2div2df2 },
    &operand_data[3470],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2880 */
  {
    "floatunsv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2div2df2 },
    &operand_data[3470],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2895 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hf },
    &operand_data[3472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2895 */
  {
    "aarch64_simd_vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4sf },
    &operand_data[3475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzsv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4hf3 },
    &operand_data[3478],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzuv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4hf3 },
    &operand_data[3478],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzsv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv8hf3 },
    &operand_data[3481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzuv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv8hf3 },
    &operand_data[3481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzsv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2sf3 },
    &operand_data[3484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzuv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2sf3 },
    &operand_data[3484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzsv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4sf3 },
    &operand_data[3487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzuv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4sf3 },
    &operand_data[3487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzsv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2df3 },
    &operand_data[3490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2908 */
  {
    "fcvtzuv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2df3 },
    &operand_data[3490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "scvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4hi3 },
    &operand_data[3493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "ucvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4hi3 },
    &operand_data[3493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "scvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv8hi3 },
    &operand_data[3496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "ucvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv8hi3 },
    &operand_data[3496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "scvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2si3 },
    &operand_data[3499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "ucvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2si3 },
    &operand_data[3499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "scvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4si3 },
    &operand_data[3502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "ucvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4si3 },
    &operand_data[3502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "scvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2di3 },
    &operand_data[3505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2919 */
  {
    "ucvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2di3 },
    &operand_data[3505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hf },
    &operand_data[3508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "aarch64_simd_vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4sf },
    &operand_data[3511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2973 */
  {
    "aarch64_float_extend_lo_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v2df },
    &operand_data[3514],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2973 */
  {
    "aarch64_float_extend_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v4sf },
    &operand_data[3516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2984 */
  {
    "aarch64_float_truncate_lo_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v2sf },
    &operand_data[3518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2984 */
  {
    "aarch64_float_truncate_lo_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v4hf },
    &operand_data[3520],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2993 */
  {
    "aarch64_float_truncate_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_le },
    &operand_data[3522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2993 */
  {
    "aarch64_float_truncate_hi_v8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_le },
    &operand_data[3525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3004 */
  {
    "aarch64_float_truncate_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_be },
    &operand_data[3522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3004 */
  {
    "aarch64_float_truncate_hi_v8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_be },
    &operand_data[3525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "smaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "sminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "smaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "sminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "smaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "sminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "smaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "sminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "smaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3086 */
  {
    "sminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smax_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smin_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fmaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3 },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smax_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smin_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fmaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv8hf3 },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smax_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smin_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fmaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3 },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smax_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smin_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fmaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4sf3 },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smax_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "smin_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fmaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3098 */
  {
    "fminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2df3 },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3124 */
  {
    "aarch64_faddpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3124 */
  {
    "aarch64_faddpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3124 */
  {
    "aarch64_faddpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3124 */
  {
    "aarch64_faddpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3124 */
  {
    "aarch64_faddpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3134 */
  {
    "aarch64_reduc_plus_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3134 */
  {
    "aarch64_reduc_plus_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3134 */
  {
    "aarch64_reduc_plus_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3134 */
  {
    "aarch64_reduc_plus_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3134 */
  {
    "aarch64_reduc_plus_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3134 */
  {
    "aarch64_reduc_plus_internalv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2di },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_saddlvv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv8qi },
    &operand_data[3528],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_uaddlvv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv8qi },
    &operand_data[3528],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_saddlvv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv16qi },
    &operand_data[3530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_uaddlvv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv16qi },
    &operand_data[3530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_saddlvv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv4hi },
    &operand_data[3532],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_uaddlvv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv4hi },
    &operand_data[3532],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_saddlvv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv8hi },
    &operand_data[3534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_uaddlvv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv8hi },
    &operand_data[3534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_saddlvv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv4si },
    &operand_data[3536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_uaddlvv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv4si },
    &operand_data[3536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_saddlvv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv2si },
    &operand_data[3538],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3143 */
  {
    "aarch64_uaddlvv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv2si },
    &operand_data[3538],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8qi },
    &operand_data[3540],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8qi },
    &operand_data[3542],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extendsi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v16qi },
    &operand_data[3544],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extenddi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v16qi },
    &operand_data[3546],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extendsi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v4hi },
    &operand_data[3532],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extenddi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v4hi },
    &operand_data[3548],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8hi },
    &operand_data[3534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3153 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8hi },
    &operand_data[3550],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3163 */
  {
    "aarch64_reduc_plus_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3172 */
  {
    "reduc_plus_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2sf },
    &operand_data[3552],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3172 */
  {
    "reduc_plus_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2df },
    &operand_data[2666],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "clrsbv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2 },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "clrsbv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv16qi2 },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "clrsbv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2 },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "clrsbv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8hi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "clrsbv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "clrsbv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4si2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3203 */
  {
    "clzv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2 },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3203 */
  {
    "clzv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv16qi2 },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3203 */
  {
    "clzv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2 },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3203 */
  {
    "clzv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8hi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3203 */
  {
    "clzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3203 */
  {
    "clzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4si2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3211 */
  {
    "popcountv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2 },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3211 */
  {
    "popcountv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv16qi2 },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_umin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3254 */
  {
    "aarch64_reduc_smin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3263 */
  {
    "aarch64_reduc_umax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3263 */
  {
    "aarch64_reduc_umin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3263 */
  {
    "aarch64_reduc_smax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3263 */
  {
    "aarch64_reduc_smin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smax_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3272 */
  {
    "aarch64_reduc_smin_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3301 */
  {
    "aarch64_simd_bslv8qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2433 },
#else
    { 0, output_2433, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal },
    &operand_data[3554],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3301 */
  {
    "aarch64_simd_bslv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2434 },
#else
    { 0, output_2434, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi_internal },
    &operand_data[3558],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3301 */
  {
    "aarch64_simd_bslv4hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2435 },
#else
    { 0, output_2435, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal },
    &operand_data[3562],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3301 */
  {
    "aarch64_simd_bslv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2436 },
#else
    { 0, output_2436, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi_internal },
    &operand_data[3566],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3301 */
  {
    "aarch64_simd_bslv2si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2437 },
#else
    { 0, output_2437, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal },
    &operand_data[3570],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3301 */
  {
    "aarch64_simd_bslv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2438 },
#else
    { 0, output_2438, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si_internal },
    &operand_data[3574],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3301 */
  {
    "aarch64_simd_bslv2di_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2439 },
#else
    { 0, output_2439, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di_internal },
    &operand_data[3578],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3325 */
  {
    "*aarch64_simd_bslv8qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2440 },
#else
    { 0, output_2440, 0 },
#endif
    { 0 },
    &operand_data[3582],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3325 */
  {
    "*aarch64_simd_bslv16qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2441 },
#else
    { 0, output_2441, 0 },
#endif
    { 0 },
    &operand_data[3586],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3325 */
  {
    "*aarch64_simd_bslv4hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2442 },
#else
    { 0, output_2442, 0 },
#endif
    { 0 },
    &operand_data[3590],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3325 */
  {
    "*aarch64_simd_bslv8hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2443 },
#else
    { 0, output_2443, 0 },
#endif
    { 0 },
    &operand_data[3594],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3325 */
  {
    "*aarch64_simd_bslv2si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2444 },
#else
    { 0, output_2444, 0 },
#endif
    { 0 },
    &operand_data[3598],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3325 */
  {
    "*aarch64_simd_bslv4si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2445 },
#else
    { 0, output_2445, 0 },
#endif
    { 0 },
    &operand_data[3602],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3325 */
  {
    "*aarch64_simd_bslv2di_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2446 },
#else
    { 0, output_2446, 0 },
#endif
    { 0 },
    &operand_data[3606],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_simd_bsldi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2447 },
#else
    { 0, output_2447, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_internal },
    &operand_data[3610],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3394 */
  {
    "aarch64_simd_bsldi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2448 },
#else
    { 0, output_2448, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_alt },
    &operand_data[3614],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2449 },
#else
    { 0, 0, output_2449 },
#endif
    { 0 },
    &operand_data[3618],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2450 },
#else
    { 0, 0, output_2450 },
#endif
    { 0 },
    &operand_data[3621],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2451 },
#else
    { 0, 0, output_2451 },
#endif
    { 0 },
    &operand_data[3624],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2452 },
#else
    { 0, 0, output_2452 },
#endif
    { 0 },
    &operand_data[3627],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2453 },
#else
    { 0, 0, output_2453 },
#endif
    { 0 },
    &operand_data[3630],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2454 },
#else
    { 0, 0, output_2454 },
#endif
    { 0 },
    &operand_data[3633],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2455 },
#else
    { 0, 0, output_2455 },
#endif
    { 0 },
    &operand_data[3636],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3881 */
  {
    "*aarch64_get_lane_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2456 },
#else
    { 0, 0, output_2456 },
#endif
    { 0 },
    &operand_data[3639],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2457 },
#else
    { 0, 0, output_2457 },
#endif
    { 0 },
    &operand_data[3618],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2458 },
#else
    { 0, 0, output_2458 },
#endif
    { 0 },
    &operand_data[3621],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2459 },
#else
    { 0, 0, output_2459 },
#endif
    { 0 },
    &operand_data[3624],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2460 },
#else
    { 0, 0, output_2460 },
#endif
    { 0 },
    &operand_data[3627],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2461 },
#else
    { 0, 0, output_2461 },
#endif
    { 0 },
    &operand_data[3630],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2462 },
#else
    { 0, 0, output_2462 },
#endif
    { 0 },
    &operand_data[3633],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2463 },
#else
    { 0, 0, output_2463 },
#endif
    { 0 },
    &operand_data[3636],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "*aarch64_get_lane_zero_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2464 },
#else
    { 0, 0, output_2464 },
#endif
    { 0 },
    &operand_data[3639],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2465 },
#else
    { 0, 0, output_2465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8qi },
    &operand_data[3642],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2466 },
#else
    { 0, 0, output_2466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev16qi },
    &operand_data[3645],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2467 },
#else
    { 0, 0, output_2467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hi },
    &operand_data[3648],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2468 },
#else
    { 0, 0, output_2468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hi },
    &operand_data[3651],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2469 },
#else
    { 0, 0, output_2469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2si },
    &operand_data[3654],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2470 },
#else
    { 0, 0, output_2470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4si },
    &operand_data[3657],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2471 },
#else
    { 0, 0, output_2471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2di },
    &operand_data[3660],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2472 },
#else
    { 0, 0, output_2472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hf },
    &operand_data[3663],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2473 },
#else
    { 0, 0, output_2473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hf },
    &operand_data[3666],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2474 },
#else
    { 0, 0, output_2474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4bf },
    &operand_data[3669],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2475 },
#else
    { 0, 0, output_2475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8bf },
    &operand_data[3672],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2476 },
#else
    { 0, 0, output_2476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2sf },
    &operand_data[3675],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2477 },
#else
    { 0, 0, output_2477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4sf },
    &operand_data[3678],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3916 */
  {
    "aarch64_get_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2478 },
#else
    { 0, 0, output_2478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2df },
    &operand_data[3681],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv8qi },
    &operand_data[3684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hi },
    &operand_data[3687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4bf },
    &operand_data[3690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hf },
    &operand_data[3693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2si },
    &operand_data[3696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2sf },
    &operand_data[3699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdi },
    &operand_data[3702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3945 */
  {
    "load_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdf },
    &operand_data[3705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2487 },
#else
    { 0, output_2487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv8qi },
    &operand_data[3708],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2488 },
#else
    { 0, output_2488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hi },
    &operand_data[3711],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2489 },
#else
    { 0, output_2489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4bf },
    &operand_data[3714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2490 },
#else
    { 0, output_2490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hf },
    &operand_data[3717],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2491 },
#else
    { 0, output_2491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2si },
    &operand_data[3720],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2492 },
#else
    { 0, output_2492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2sf },
    &operand_data[3723],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2493 },
#else
    { 0, output_2493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdi },
    &operand_data[3726],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3959 */
  {
    "store_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2494 },
#else
    { 0, output_2494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdf },
    &operand_data[3729],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2495 },
#else
    { 0, output_2495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv8qi },
    &operand_data[3732],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2496 },
#else
    { 0, output_2496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4hi },
    &operand_data[3735],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2497 },
#else
    { 0, output_2497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4bf },
    &operand_data[3738],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2498 },
#else
    { 0, output_2498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4hf },
    &operand_data[3741],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2499 },
#else
    { 0, output_2499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv2si },
    &operand_data[3744],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2500 },
#else
    { 0, output_2500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv2sf },
    &operand_data[3747],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2501 },
#else
    { 0, output_2501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezdi },
    &operand_data[3750],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_combinezdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2502 },
#else
    { 0, output_2502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezdf },
    &operand_data[3753],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2503 },
#else
    { 0, output_2503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev8qi },
    &operand_data[3732],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2504 },
#else
    { 0, output_2504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4hi },
    &operand_data[3735],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2505 },
#else
    { 0, output_2505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4bf },
    &operand_data[3738],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2506 },
#else
    { 0, output_2506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4hf },
    &operand_data[3741],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2507 },
#else
    { 0, output_2507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev2si },
    &operand_data[3744],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2508 },
#else
    { 0, output_2508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev2sf },
    &operand_data[3747],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2509 },
#else
    { 0, output_2509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bedi },
    &operand_data[3750],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3988 */
  {
    "aarch64_combinez_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2510 },
#else
    { 0, output_2510, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bedf },
    &operand_data[3753],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_saddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_hi_internal },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_ssublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_hi_internal },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_uaddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_hi_internal },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_usublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_hi_internal },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_saddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_hi_internal },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_ssublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_hi_internal },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_uaddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_hi_internal },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_usublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_hi_internal },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_saddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_hi_internal },
    &operand_data[3259],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_ssublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_hi_internal },
    &operand_data[3259],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_uaddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_hi_internal },
    &operand_data[3259],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_usublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_hi_internal },
    &operand_data[3259],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_saddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_lo_internal },
    &operand_data[3239],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_ssublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_lo_internal },
    &operand_data[3239],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_uaddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_lo_internal },
    &operand_data[3239],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_usublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_lo_internal },
    &operand_data[3239],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_saddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_lo_internal },
    &operand_data[3243],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_ssublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_lo_internal },
    &operand_data[3243],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_uaddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_lo_internal },
    &operand_data[3243],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_usublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_lo_internal },
    &operand_data[3243],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_saddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_lo_internal },
    &operand_data[3247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_ssublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_lo_internal },
    &operand_data[3247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_uaddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_lo_internal },
    &operand_data[3247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4051 */
  {
    "aarch64_usublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_lo_internal },
    &operand_data[3247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_saddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_ssublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_uaddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_usublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8qi },
    &operand_data[2670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_saddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_ssublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_uaddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_usublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_saddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_ssublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_uaddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4160 */
  {
    "aarch64_usublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4229 */
  {
    "aarch64_ssubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8qi },
    &operand_data[3756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4229 */
  {
    "aarch64_usubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8qi },
    &operand_data[3756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4229 */
  {
    "aarch64_ssubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4hi },
    &operand_data[3759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4229 */
  {
    "aarch64_usubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4hi },
    &operand_data[3759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4229 */
  {
    "aarch64_ssubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv2si },
    &operand_data[3762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4229 */
  {
    "aarch64_usubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv2si },
    &operand_data[3762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_ssubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv16qi_internal },
    &operand_data[3765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_usubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv16qi_internal },
    &operand_data[3765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_ssubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8hi_internal },
    &operand_data[3769],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_usubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8hi_internal },
    &operand_data[3769],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_ssubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4si_internal },
    &operand_data[3773],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_usubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4si_internal },
    &operand_data[3773],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4251 */
  {
    "aarch64_ssubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi_internal },
    &operand_data[3777],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4251 */
  {
    "aarch64_usubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi_internal },
    &operand_data[3777],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4251 */
  {
    "aarch64_ssubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi_internal },
    &operand_data[3781],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4251 */
  {
    "aarch64_usubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi_internal },
    &operand_data[3781],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4251 */
  {
    "aarch64_ssubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si_internal },
    &operand_data[3785],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4251 */
  {
    "aarch64_usubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si_internal },
    &operand_data[3785],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "aarch64_saddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8qi },
    &operand_data[3756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "aarch64_uaddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8qi },
    &operand_data[3756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "aarch64_saddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4hi },
    &operand_data[3759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "aarch64_uaddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4hi },
    &operand_data[3759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "aarch64_saddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv2si },
    &operand_data[3762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "aarch64_uaddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv2si },
    &operand_data[3762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4273 */
  {
    "aarch64_saddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv16qi_internal },
    &operand_data[3765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4273 */
  {
    "aarch64_uaddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv16qi_internal },
    &operand_data[3765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4273 */
  {
    "aarch64_saddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8hi_internal },
    &operand_data[3769],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4273 */
  {
    "aarch64_uaddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8hi_internal },
    &operand_data[3769],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4273 */
  {
    "aarch64_saddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4si_internal },
    &operand_data[3773],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4273 */
  {
    "aarch64_uaddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4si_internal },
    &operand_data[3773],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4286 */
  {
    "aarch64_saddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi_internal },
    &operand_data[3777],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4286 */
  {
    "aarch64_uaddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi_internal },
    &operand_data[3777],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4286 */
  {
    "aarch64_saddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi_internal },
    &operand_data[3781],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4286 */
  {
    "aarch64_uaddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi_internal },
    &operand_data[3781],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4286 */
  {
    "aarch64_saddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si_internal },
    &operand_data[3785],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4286 */
  {
    "aarch64_uaddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si_internal },
    &operand_data[3785],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_srhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_urhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_srhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_urhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_srhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_urhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_srhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_urhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_srhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_urhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_srhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_urhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_shsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4366 */
  {
    "aarch64_uhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_addhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi },
    &operand_data[3789],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_raddhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi },
    &operand_data[3789],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_subhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi },
    &operand_data[3789],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_rsubhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi },
    &operand_data[3789],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_addhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si },
    &operand_data[3792],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_raddhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si },
    &operand_data[3792],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_subhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si },
    &operand_data[3792],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_rsubhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si },
    &operand_data[3792],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_addhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di },
    &operand_data[3795],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_raddhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di },
    &operand_data[3795],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_subhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di },
    &operand_data[3795],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4378 */
  {
    "aarch64_rsubhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di },
    &operand_data[3795],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_addhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi },
    &operand_data[3798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_raddhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi },
    &operand_data[3798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_subhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi },
    &operand_data[3798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_rsubhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi },
    &operand_data[3798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_addhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si },
    &operand_data[3802],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_raddhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si },
    &operand_data[3802],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_subhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si },
    &operand_data[3802],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_rsubhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si },
    &operand_data[3802],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_addhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di },
    &operand_data[3806],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_raddhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di },
    &operand_data[3806],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_subhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di },
    &operand_data[3806],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4388 */
  {
    "aarch64_rsubhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di },
    &operand_data[3806],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4401 */
  {
    "aarch64_pmulv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4401 */
  {
    "aarch64_pmulv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxhf },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxsf },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_fmulxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxdf },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4426 */
  {
    "*aarch64_mulx_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2653 },
#else
    { 0, 0, output_2653 },
#endif
    { 0 },
    &operand_data[3810],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4426 */
  {
    "*aarch64_mulx_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2654 },
#else
    { 0, 0, output_2654 },
#endif
    { 0 },
    &operand_data[3814],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4445 */
  {
    "*aarch64_mulx_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2655 },
#else
    { 0, 0, output_2655 },
#endif
    { 0 },
    &operand_data[3818],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4445 */
  {
    "*aarch64_mulx_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2656 },
#else
    { 0, 0, output_2656 },
#endif
    { 0 },
    &operand_data[3822],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4445 */
  {
    "*aarch64_mulx_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2657 },
#else
    { 0, 0, output_2657 },
#endif
    { 0 },
    &operand_data[3826],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4464 */
  {
    "*aarch64_mulx_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4464 */
  {
    "*aarch64_mulx_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3833],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4464 */
  {
    "*aarch64_mulx_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4464 */
  {
    "*aarch64_mulx_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3839],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4464 */
  {
    "*aarch64_mulx_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3842],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4480 */
  {
    "*aarch64_vgetfmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2663 },
#else
    { 0, 0, output_2663 },
#endif
    { 0 },
    &operand_data[3845],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4480 */
  {
    "*aarch64_vgetfmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2664 },
#else
    { 0, 0, output_2664 },
#endif
    { 0 },
    &operand_data[3849],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4480 */
  {
    "*aarch64_vgetfmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2665 },
#else
    { 0, 0, output_2665 },
#endif
    { 0 },
    &operand_data[3853],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqadddi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqadddi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_sqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubdi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4497 */
  {
    "aarch64_uqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubdi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi },
    &operand_data[2718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi },
    &operand_data[2718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv16qi },
    &operand_data[2722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv16qi },
    &operand_data[2722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi },
    &operand_data[2726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi },
    &operand_data[2726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8hi },
    &operand_data[2730],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8hi },
    &operand_data[2730],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si },
    &operand_data[2734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si },
    &operand_data[2734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4si },
    &operand_data[2738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4si },
    &operand_data[2738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2di },
    &operand_data[3869],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2di },
    &operand_data[3869],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddqi },
    &operand_data[3872],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddqi },
    &operand_data[3872],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddhi },
    &operand_data[3875],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddhi },
    &operand_data[3875],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddsi },
    &operand_data[3878],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddsi },
    &operand_data[3878],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_suqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi },
    &operand_data[3881],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_usqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi },
    &operand_data[3881],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4520 */
  {
    "aarch64_sqmovunv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv8hi },
    &operand_data[3134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4520 */
  {
    "aarch64_sqmovunv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv4si },
    &operand_data[3136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4520 */
  {
    "aarch64_sqmovunv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv2di },
    &operand_data[3138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4520 */
  {
    "aarch64_sqmovunhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunhi },
    &operand_data[3884],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4520 */
  {
    "aarch64_sqmovunsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunsi },
    &operand_data[3886],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4520 */
  {
    "aarch64_sqmovundi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovundi },
    &operand_data[3888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_sqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi },
    &operand_data[3134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_uqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi },
    &operand_data[3134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_sqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si },
    &operand_data[3136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_uqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si },
    &operand_data[3136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_sqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di },
    &operand_data[3138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_uqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di },
    &operand_data[3138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_sqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnhi },
    &operand_data[3884],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_uqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnhi },
    &operand_data[3884],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_sqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnsi },
    &operand_data[3886],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_uqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnsi },
    &operand_data[3886],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_sqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovndi },
    &operand_data[3888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4531 */
  {
    "aarch64_uqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovndi },
    &operand_data[3888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4540 */
  {
    "aarch64_sqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_le },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4540 */
  {
    "aarch64_uqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_le },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4540 */
  {
    "aarch64_sqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_le },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4540 */
  {
    "aarch64_uqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_le },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4540 */
  {
    "aarch64_sqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_le },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4540 */
  {
    "aarch64_uqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_le },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4551 */
  {
    "aarch64_sqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_be },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4551 */
  {
    "aarch64_uqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_be },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4551 */
  {
    "aarch64_sqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_be },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4551 */
  {
    "aarch64_uqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_be },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4551 */
  {
    "aarch64_sqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_be },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4551 */
  {
    "aarch64_uqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_be },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4579 */
  {
    "aarch64_sqxtun2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi_le },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4579 */
  {
    "aarch64_sqxtun2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si_le },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4579 */
  {
    "aarch64_sqxtun2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di_le },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4590 */
  {
    "aarch64_sqxtun2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi_be },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4590 */
  {
    "aarch64_sqxtun2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si_be },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4590 */
  {
    "aarch64_sqxtun2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di_be },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2di },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2di },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegqi },
    &operand_data[987],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsqi },
    &operand_data[987],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqneghi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqneghi },
    &operand_data[3860],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabshi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabshi },
    &operand_data[3860],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegsi },
    &operand_data[984],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabssi },
    &operand_data[984],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqnegdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi },
    &operand_data[981],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sqabsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi },
    &operand_data[981],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqrdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqrdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqrdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqrdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqrdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqrdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2802 },
#else
    { 0, 0, output_2802 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi },
    &operand_data[3890],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqrdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2803 },
#else
    { 0, 0, output_2803 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi },
    &operand_data[3890],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2804 },
#else
    { 0, 0, output_2804 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev8hi },
    &operand_data[3894],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqrdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2805 },
#else
    { 0, 0, output_2805 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev8hi },
    &operand_data[3894],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2806 },
#else
    { 0, 0, output_2806 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si },
    &operand_data[3898],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqrdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2807 },
#else
    { 0, 0, output_2807 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si },
    &operand_data[3898],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2808 },
#else
    { 0, 0, output_2808 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4si },
    &operand_data[3902],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4644 */
  {
    "aarch64_sqrdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2809 },
#else
    { 0, 0, output_2809 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4si },
    &operand_data[3902],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2810 },
#else
    { 0, 0, output_2810 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi },
    &operand_data[3906],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqrdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2811 },
#else
    { 0, 0, output_2811 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi },
    &operand_data[3906],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2812 },
#else
    { 0, 0, output_2812 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv8hi },
    &operand_data[3910],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqrdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2813 },
#else
    { 0, 0, output_2813 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv8hi },
    &operand_data[3910],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2814 },
#else
    { 0, 0, output_2814 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si },
    &operand_data[3914],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqrdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2815 },
#else
    { 0, 0, output_2815 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si },
    &operand_data[3914],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2816 },
#else
    { 0, 0, output_2816 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4si },
    &operand_data[3918],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4659 */
  {
    "aarch64_sqrdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2817 },
#else
    { 0, 0, output_2817 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4si },
    &operand_data[3918],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_sqdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2818 },
#else
    { 0, 0, output_2818 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanehi },
    &operand_data[3922],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_sqrdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2819 },
#else
    { 0, 0, output_2819 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanehi },
    &operand_data[3922],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_sqdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2820 },
#else
    { 0, 0, output_2820 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanesi },
    &operand_data[3926],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_sqrdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2821 },
#else
    { 0, 0, output_2821 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanesi },
    &operand_data[3926],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4689 */
  {
    "aarch64_sqdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2822 },
#else
    { 0, 0, output_2822 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqhi },
    &operand_data[3930],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4689 */
  {
    "aarch64_sqrdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2823 },
#else
    { 0, 0, output_2823 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqhi },
    &operand_data[3930],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4689 */
  {
    "aarch64_sqdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2824 },
#else
    { 0, 0, output_2824 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqsi },
    &operand_data[3934],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4689 */
  {
    "aarch64_sqrdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2825 },
#else
    { 0, 0, output_2825 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqsi },
    &operand_data[3934],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlahv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi },
    &operand_data[2726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlshv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi },
    &operand_data[2726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlahv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv8hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlshv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv8hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlahv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si },
    &operand_data[2734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlshv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si },
    &operand_data[2734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlahv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlshv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlahhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahhi },
    &operand_data[3938],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlshhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshhi },
    &operand_data[3938],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlahsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahsi },
    &operand_data[3942],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4706 */
  {
    "aarch64_sqrdmlshsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshsi },
    &operand_data[3942],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlah_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2838 },
#else
    { 0, 0, output_2838 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi },
    &operand_data[3946],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlsh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2839 },
#else
    { 0, 0, output_2839 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi },
    &operand_data[3946],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlah_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2840 },
#else
    { 0, 0, output_2840 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev8hi },
    &operand_data[3951],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlsh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2841 },
#else
    { 0, 0, output_2841 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev8hi },
    &operand_data[3951],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlah_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2842 },
#else
    { 0, 0, output_2842 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si },
    &operand_data[3956],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlsh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2843 },
#else
    { 0, 0, output_2843 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si },
    &operand_data[3956],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlah_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2844 },
#else
    { 0, 0, output_2844 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4si },
    &operand_data[3961],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4720 */
  {
    "aarch64_sqrdmlsh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2845 },
#else
    { 0, 0, output_2845 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4si },
    &operand_data[3961],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_sqrdmlah_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2846 },
#else
    { 0, 0, output_2846 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanehi },
    &operand_data[3966],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_sqrdmlsh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2847 },
#else
    { 0, 0, output_2847 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanehi },
    &operand_data[3966],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_sqrdmlah_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2848 },
#else
    { 0, 0, output_2848 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanesi },
    &operand_data[3971],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "aarch64_sqrdmlsh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2849 },
#else
    { 0, 0, output_2849 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanesi },
    &operand_data[3971],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlah_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2850 },
#else
    { 0, 0, output_2850 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi },
    &operand_data[3976],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlsh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2851 },
#else
    { 0, 0, output_2851 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi },
    &operand_data[3976],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlah_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2852 },
#else
    { 0, 0, output_2852 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv8hi },
    &operand_data[3981],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlsh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2853 },
#else
    { 0, 0, output_2853 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv8hi },
    &operand_data[3981],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlah_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2854 },
#else
    { 0, 0, output_2854 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si },
    &operand_data[3986],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlsh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2855 },
#else
    { 0, 0, output_2855 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si },
    &operand_data[3986],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlah_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2856 },
#else
    { 0, 0, output_2856 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4si },
    &operand_data[3991],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4758 */
  {
    "aarch64_sqrdmlsh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2857 },
#else
    { 0, 0, output_2857 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4si },
    &operand_data[3991],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_sqrdmlah_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2858 },
#else
    { 0, 0, output_2858 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqhi },
    &operand_data[3996],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_sqrdmlsh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2859 },
#else
    { 0, 0, output_2859 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqhi },
    &operand_data[3996],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_sqrdmlah_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2860 },
#else
    { 0, 0, output_2860 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqsi },
    &operand_data[4001],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_sqrdmlsh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2861 },
#else
    { 0, 0, output_2861 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqsi },
    &operand_data[4001],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4796 */
  {
    "aarch64_sqdmlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4796 */
  {
    "aarch64_sqdmlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4796 */
  {
    "aarch64_sqdmlalhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalhi },
    &operand_data[4006],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4796 */
  {
    "aarch64_sqdmlalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalsi },
    &operand_data[4010],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4812 */
  {
    "aarch64_sqdmlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv4hi },
    &operand_data[2692],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4812 */
  {
    "aarch64_sqdmlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv2si },
    &operand_data[2696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4812 */
  {
    "aarch64_sqdmlslhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslhi },
    &operand_data[4006],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4812 */
  {
    "aarch64_sqdmlslsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslsi },
    &operand_data[4010],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4830 */
  {
    "aarch64_sqdmlal_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2870 },
#else
    { 0, 0, output_2870 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev4hi },
    &operand_data[3313],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4830 */
  {
    "aarch64_sqdmlal_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2871 },
#else
    { 0, 0, output_2871 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev2si },
    &operand_data[3323],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4854 */
  {
    "aarch64_sqdmlsl_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2872 },
#else
    { 0, 0, output_2872 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev4hi },
    &operand_data[3313],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4854 */
  {
    "aarch64_sqdmlsl_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2873 },
#else
    { 0, 0, output_2873 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev2si },
    &operand_data[3323],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4879 */
  {
    "aarch64_sqdmlsl_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2874 },
#else
    { 0, 0, output_2874 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv4hi },
    &operand_data[3318],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4879 */
  {
    "aarch64_sqdmlsl_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2875 },
#else
    { 0, 0, output_2875 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv2si },
    &operand_data[3328],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4903 */
  {
    "aarch64_sqdmlal_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2876 },
#else
    { 0, 0, output_2876 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv4hi },
    &operand_data[3318],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4903 */
  {
    "aarch64_sqdmlal_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2877 },
#else
    { 0, 0, output_2877 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv2si },
    &operand_data[3328],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4928 */
  {
    "aarch64_sqdmlal_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2878 },
#else
    { 0, 0, output_2878 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanehi },
    &operand_data[4014],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4928 */
  {
    "aarch64_sqdmlal_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2879 },
#else
    { 0, 0, output_2879 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanesi },
    &operand_data[4019],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4951 */
  {
    "aarch64_sqdmlsl_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2880 },
#else
    { 0, 0, output_2880 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanehi },
    &operand_data[4014],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4951 */
  {
    "aarch64_sqdmlsl_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2881 },
#else
    { 0, 0, output_2881 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanesi },
    &operand_data[4019],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4975 */
  {
    "aarch64_sqdmlal_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2882 },
#else
    { 0, 0, output_2882 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqhi },
    &operand_data[4024],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4975 */
  {
    "aarch64_sqdmlal_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2883 },
#else
    { 0, 0, output_2883 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqsi },
    &operand_data[4029],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4998 */
  {
    "aarch64_sqdmlsl_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2884 },
#else
    { 0, 0, output_2884 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqhi },
    &operand_data[4024],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4998 */
  {
    "aarch64_sqdmlsl_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2885 },
#else
    { 0, 0, output_2885 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqsi },
    &operand_data[4029],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5023 */
  {
    "aarch64_sqdmlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv4hi },
    &operand_data[3231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5023 */
  {
    "aarch64_sqdmlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv2si },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5040 */
  {
    "aarch64_sqdmlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv4hi },
    &operand_data[3231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5040 */
  {
    "aarch64_sqdmlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv2si },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5060 */
  {
    "aarch64_sqdmlal2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi_internal },
    &operand_data[4034],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5060 */
  {
    "aarch64_sqdmlal2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si_internal },
    &operand_data[4039],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5080 */
  {
    "aarch64_sqdmlsl2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi_internal },
    &operand_data[4034],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5080 */
  {
    "aarch64_sqdmlsl2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si_internal },
    &operand_data[4039],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5128 */
  {
    "aarch64_sqdmlal2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2894 },
#else
    { 0, 0, output_2894 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi_internal },
    &operand_data[4044],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5128 */
  {
    "aarch64_sqdmlsl2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2895 },
#else
    { 0, 0, output_2895 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi_internal },
    &operand_data[4044],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5128 */
  {
    "aarch64_sqdmlal2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2896 },
#else
    { 0, 0, output_2896 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si_internal },
    &operand_data[4050],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5128 */
  {
    "aarch64_sqdmlsl2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2897 },
#else
    { 0, 0, output_2897 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si_internal },
    &operand_data[4050],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5154 */
  {
    "aarch64_sqdmlal2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2898 },
#else
    { 0, 0, output_2898 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi_internal },
    &operand_data[4056],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5154 */
  {
    "aarch64_sqdmlsl2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2899 },
#else
    { 0, 0, output_2899 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi_internal },
    &operand_data[4056],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5154 */
  {
    "aarch64_sqdmlal2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2900 },
#else
    { 0, 0, output_2900 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si_internal },
    &operand_data[4062],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5154 */
  {
    "aarch64_sqdmlsl2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2901 },
#else
    { 0, 0, output_2901 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si_internal },
    &operand_data[4062],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5240 */
  {
    "aarch64_sqdmlal2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi_internal },
    &operand_data[4068],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5240 */
  {
    "aarch64_sqdmlsl2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi_internal },
    &operand_data[4068],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5240 */
  {
    "aarch64_sqdmlal2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si_internal },
    &operand_data[4073],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5240 */
  {
    "aarch64_sqdmlsl2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si_internal },
    &operand_data[4073],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5289 */
  {
    "aarch64_sqdmullv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv4hi },
    &operand_data[2673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5289 */
  {
    "aarch64_sqdmullv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv2si },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5289 */
  {
    "aarch64_sqdmullhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%s0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullhi },
    &operand_data[4078],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5289 */
  {
    "aarch64_sqdmullsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%d0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullsi },
    &operand_data[4081],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5305 */
  {
    "aarch64_sqdmull_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2910 },
#else
    { 0, 0, output_2910 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev4hi },
    &operand_data[3263],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5305 */
  {
    "aarch64_sqdmull_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2911 },
#else
    { 0, 0, output_2911 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev2si },
    &operand_data[3271],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5326 */
  {
    "aarch64_sqdmull_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2912 },
#else
    { 0, 0, output_2912 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv4hi },
    &operand_data[3267],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5326 */
  {
    "aarch64_sqdmull_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2913 },
#else
    { 0, 0, output_2913 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv2si },
    &operand_data[3275],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_sqdmull_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2914 },
#else
    { 0, 0, output_2914 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanehi },
    &operand_data[4084],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_sqdmull_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2915 },
#else
    { 0, 0, output_2915 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanesi },
    &operand_data[4088],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5367 */
  {
    "aarch64_sqdmull_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2916 },
#else
    { 0, 0, output_2916 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqhi },
    &operand_data[4092],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5367 */
  {
    "aarch64_sqdmull_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2917 },
#else
    { 0, 0, output_2917 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqsi },
    &operand_data[4096],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5389 */
  {
    "aarch64_sqdmull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv4hi },
    &operand_data[3299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5389 */
  {
    "aarch64_sqdmull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv2si },
    &operand_data[3302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5409 */
  {
    "aarch64_sqdmull2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi_internal },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5409 */
  {
    "aarch64_sqdmull2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si_internal },
    &operand_data[3259],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5442 */
  {
    "aarch64_sqdmull2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2922 },
#else
    { 0, 0, output_2922 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi_internal },
    &operand_data[4100],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5442 */
  {
    "aarch64_sqdmull2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2923 },
#else
    { 0, 0, output_2923 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si_internal },
    &operand_data[4105],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5465 */
  {
    "aarch64_sqdmull2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2924 },
#else
    { 0, 0, output_2924 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi_internal },
    &operand_data[4110],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5465 */
  {
    "aarch64_sqdmull2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2925 },
#else
    { 0, 0, output_2925 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si_internal },
    &operand_data[4115],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5518 */
  {
    "aarch64_sqdmull2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi_internal },
    &operand_data[3305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5518 */
  {
    "aarch64_sqdmull2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si_internal },
    &operand_data[3309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_sshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_ushldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_srshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5550 */
  {
    "aarch64_urshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlqi },
    &operand_data[3857],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlhi },
    &operand_data[3860],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlsi },
    &operand_data[3863],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_sqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5564 */
  {
    "aarch64_uqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5607 */
  {
    "aarch64_sshllv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3004 },
#else
    { 0, 0, output_3004 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv16qi_internal },
    &operand_data[4120],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5607 */
  {
    "aarch64_ushllv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3005 },
#else
    { 0, 0, output_3005 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv16qi_internal },
    &operand_data[4120],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5607 */
  {
    "aarch64_sshllv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3006 },
#else
    { 0, 0, output_3006 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv8hi_internal },
    &operand_data[4124],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5607 */
  {
    "aarch64_ushllv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3007 },
#else
    { 0, 0, output_3007 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv8hi_internal },
    &operand_data[4124],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5607 */
  {
    "aarch64_sshllv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3008 },
#else
    { 0, 0, output_3008 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv4si_internal },
    &operand_data[4128],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5607 */
  {
    "aarch64_ushllv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3009 },
#else
    { 0, 0, output_3009 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv4si_internal },
    &operand_data[4128],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5625 */
  {
    "aarch64_sshll2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3010 },
#else
    { 0, 0, output_3010 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v16qi_internal },
    &operand_data[4132],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5625 */
  {
    "aarch64_ushll2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3011 },
#else
    { 0, 0, output_3011 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v16qi_internal },
    &operand_data[4132],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5625 */
  {
    "aarch64_sshll2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3012 },
#else
    { 0, 0, output_3012 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v8hi_internal },
    &operand_data[4136],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5625 */
  {
    "aarch64_ushll2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3013 },
#else
    { 0, 0, output_3013 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v8hi_internal },
    &operand_data[4136],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5625 */
  {
    "aarch64_sshll2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3014 },
#else
    { 0, 0, output_3014 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v4si_internal },
    &operand_data[4140],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5625 */
  {
    "aarch64_ushll2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3015 },
#else
    { 0, 0, output_3015 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v4si_internal },
    &operand_data[4140],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5643 */
  {
    "aarch64_sshll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3016 },
#else
    { 0, 0, output_3016 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv8qi },
    &operand_data[4144],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5643 */
  {
    "aarch64_ushll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3017 },
#else
    { 0, 0, output_3017 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv8qi },
    &operand_data[4144],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5643 */
  {
    "aarch64_sshll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3018 },
#else
    { 0, 0, output_3018 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv4hi },
    &operand_data[4147],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5643 */
  {
    "aarch64_ushll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3019 },
#else
    { 0, 0, output_3019 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv4hi },
    &operand_data[4147],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5643 */
  {
    "aarch64_sshll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3020 },
#else
    { 0, 0, output_3020 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv2si },
    &operand_data[4150],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5643 */
  {
    "aarch64_ushll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3021 },
#else
    { 0, 0, output_3021 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv2si },
    &operand_data[4150],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5661 */
  {
    "aarch64_sshll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3022 },
#else
    { 0, 0, output_3022 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv16qi },
    &operand_data[4153],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5661 */
  {
    "aarch64_ushll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3023 },
#else
    { 0, 0, output_3023 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv16qi },
    &operand_data[4153],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5661 */
  {
    "aarch64_sshll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3024 },
#else
    { 0, 0, output_3024 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv8hi },
    &operand_data[4156],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5661 */
  {
    "aarch64_ushll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3025 },
#else
    { 0, 0, output_3025 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv8hi },
    &operand_data[4156],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5661 */
  {
    "aarch64_sshll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3026 },
#else
    { 0, 0, output_3026 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv4si },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5661 */
  {
    "aarch64_ushll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3027 },
#else
    { 0, 0, output_3027 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv4si },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si },
    &operand_data[4177],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si },
    &operand_data[4177],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di },
    &operand_data[4180],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di },
    &operand_data[4180],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_srshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi },
    &operand_data[4183],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5678 */
  {
    "aarch64_urshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi },
    &operand_data[4183],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ssra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_ndi },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_usra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_ndi },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_srsra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5691 */
  {
    "aarch64_ursra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8qi },
    &operand_data[4218],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8qi },
    &operand_data[4218],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8qi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8qi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv16qi },
    &operand_data[4222],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv16qi },
    &operand_data[4222],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv16qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv16qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4hi },
    &operand_data[4226],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4hi },
    &operand_data[4226],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4hi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4hi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8hi },
    &operand_data[4230],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8hi },
    &operand_data[4230],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2si },
    &operand_data[4234],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2si },
    &operand_data[4234],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2si },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2si },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4si },
    &operand_data[4238],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4si },
    &operand_data[4238],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2di },
    &operand_data[4242],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2di },
    &operand_data[4242],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2di },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2di },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_ndi },
    &operand_data[4246],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_ndi },
    &operand_data[4246],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_ssri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_ndi },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_usri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_ndi },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8qi },
    &operand_data[4250],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8qi },
    &operand_data[4250],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8qi },
    &operand_data[4250],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv16qi },
    &operand_data[4253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv16qi },
    &operand_data[4253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv16qi },
    &operand_data[4253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4hi },
    &operand_data[4256],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4hi },
    &operand_data[4256],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4hi },
    &operand_data[4256],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8hi },
    &operand_data[4259],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8hi },
    &operand_data[4259],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8hi },
    &operand_data[4259],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2si },
    &operand_data[4262],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2si },
    &operand_data[4262],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2si },
    &operand_data[4262],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4si },
    &operand_data[4265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4si },
    &operand_data[4265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4si },
    &operand_data[4265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2di },
    &operand_data[4268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2di },
    &operand_data[4268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2di },
    &operand_data[4268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nqi },
    &operand_data[4271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nqi },
    &operand_data[4271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nqi },
    &operand_data[4271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nhi },
    &operand_data[4274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nhi },
    &operand_data[4274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nhi },
    &operand_data[4274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nsi },
    &operand_data[4277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nsi },
    &operand_data[4277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nsi },
    &operand_data[4277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshlu_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_ndi },
    &operand_data[4280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_sqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_ndi },
    &operand_data[4280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5719 */
  {
    "aarch64_uqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_ndi },
    &operand_data[4280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv8hi },
    &operand_data[4283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv8hi },
    &operand_data[4283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv8hi },
    &operand_data[4283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv8hi },
    &operand_data[4283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv8hi },
    &operand_data[4283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv8hi },
    &operand_data[4283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv4si },
    &operand_data[4286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv4si },
    &operand_data[4286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv4si },
    &operand_data[4286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv4si },
    &operand_data[4286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv4si },
    &operand_data[4286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv4si },
    &operand_data[4286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv2di },
    &operand_data[4289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv2di },
    &operand_data[4289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv2di },
    &operand_data[4289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv2di },
    &operand_data[4289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv2di },
    &operand_data[4289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv2di },
    &operand_data[4289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nhi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nhi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nhi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nhi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nsi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nsi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nsi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nsi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_ndi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_ndi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_sqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_ndi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5733 */
  {
    "aarch64_uqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_ndi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqrshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn2_nv8hi },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_uqshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn2_nv8hi },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_uqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqrshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn2_nv4si },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_uqshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn2_nv4si },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_uqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di },
    &operand_data[4309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqrshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di },
    &operand_data[4309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn2_nv2di },
    &operand_data[4309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_uqshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn2_nv2di },
    &operand_data[4309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_sqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di },
    &operand_data[4309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5744 */
  {
    "aarch64_uqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di },
    &operand_data[4309],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmltv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3195 },
#else
    { 0, output_3195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi },
    &operand_data[4313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmlev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3196 },
#else
    { 0, output_3196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi },
    &operand_data[4313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmeqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3197 },
#else
    { 0, output_3197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi },
    &operand_data[4313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3198 },
#else
    { 0, output_3198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi },
    &operand_data[4313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgtv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3199 },
#else
    { 0, output_3199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi },
    &operand_data[4313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmltv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3200 },
#else
    { 0, output_3200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv16qi },
    &operand_data[4316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmlev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3201 },
#else
    { 0, output_3201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev16qi },
    &operand_data[4316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmeqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3202 },
#else
    { 0, output_3202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv16qi },
    &operand_data[4316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3203 },
#else
    { 0, output_3203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev16qi },
    &operand_data[4316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgtv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3204 },
#else
    { 0, output_3204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv16qi },
    &operand_data[4316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3205 },
#else
    { 0, output_3205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi },
    &operand_data[4319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmlev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3206 },
#else
    { 0, output_3206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi },
    &operand_data[4319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmeqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3207 },
#else
    { 0, output_3207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi },
    &operand_data[4319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3208 },
#else
    { 0, output_3208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi },
    &operand_data[4319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgtv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3209 },
#else
    { 0, output_3209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi },
    &operand_data[4319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3210 },
#else
    { 0, output_3210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hi },
    &operand_data[4322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmlev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3211 },
#else
    { 0, output_3211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hi },
    &operand_data[4322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmeqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3212 },
#else
    { 0, output_3212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hi },
    &operand_data[4322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3213 },
#else
    { 0, output_3213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hi },
    &operand_data[4322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgtv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3214 },
#else
    { 0, output_3214, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hi },
    &operand_data[4322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3215 },
#else
    { 0, output_3215, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si },
    &operand_data[4325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmlev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3216 },
#else
    { 0, output_3216, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si },
    &operand_data[4325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmeqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3217 },
#else
    { 0, output_3217, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si },
    &operand_data[4325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3218 },
#else
    { 0, output_3218, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si },
    &operand_data[4325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgtv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3219 },
#else
    { 0, output_3219, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si },
    &operand_data[4325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3220 },
#else
    { 0, output_3220, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4si },
    &operand_data[4328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmlev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3221 },
#else
    { 0, output_3221, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4si },
    &operand_data[4328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmeqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3222 },
#else
    { 0, output_3222, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4si },
    &operand_data[4328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3223 },
#else
    { 0, output_3223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4si },
    &operand_data[4328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgtv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3224 },
#else
    { 0, output_3224, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4si },
    &operand_data[4328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmltv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3225 },
#else
    { 0, output_3225, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2di },
    &operand_data[4331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmlev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3226 },
#else
    { 0, output_3226, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2di },
    &operand_data[4331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmeqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3227 },
#else
    { 0, output_3227, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2di },
    &operand_data[4331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3228 },
#else
    { 0, output_3228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2di },
    &operand_data[4331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_cmgtv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3229 },
#else
    { 0, output_3229, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2di },
    &operand_data[4331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5774 */
  {
    "aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdi },
    &operand_data[4334],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5774 */
  {
    "aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledi },
    &operand_data[4334],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5774 */
  {
    "aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdi },
    &operand_data[4334],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5774 */
  {
    "aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedi },
    &operand_data[4334],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5774 */
  {
    "aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdi },
    &operand_data[4334],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5809 */
  {
    "*aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3235 },
#else
    { 0, output_3235, 0 },
#endif
    { 0 },
    &operand_data[4337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5809 */
  {
    "*aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3236 },
#else
    { 0, output_3236, 0 },
#endif
    { 0 },
    &operand_data[4337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5809 */
  {
    "*aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3237 },
#else
    { 0, output_3237, 0 },
#endif
    { 0 },
    &operand_data[4337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5809 */
  {
    "*aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3238 },
#else
    { 0, output_3238, 0 },
#endif
    { 0 },
    &operand_data[4337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5809 */
  {
    "*aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3239 },
#else
    { 0, output_3239, 0 },
#endif
    { 0 },
    &operand_data[4337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmltuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmleuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgeuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgtuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmltuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmleuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgeuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgtuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmltuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmleuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgeuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgtuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmltuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmleuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgeuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgtuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmltuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmleuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgeuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgtuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmltuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmleuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgeuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgtuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmltuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmleuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgeuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5825 */
  {
    "aarch64_cmgtuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5837 */
  {
    "aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltudi },
    &operand_data[4340],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5837 */
  {
    "aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleudi },
    &operand_data[4340],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5837 */
  {
    "aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeudi },
    &operand_data[4340],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5837 */
  {
    "aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtudi },
    &operand_data[4340],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5872 */
  {
    "*aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4343],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5872 */
  {
    "*aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4343],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5872 */
  {
    "*aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4343],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5872 */
  {
    "*aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4343],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5892 */
  {
    "aarch64_cmtstv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi },
    &operand_data[4346],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5892 */
  {
    "aarch64_cmtstv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv16qi },
    &operand_data[4351],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5892 */
  {
    "aarch64_cmtstv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi },
    &operand_data[4356],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5892 */
  {
    "aarch64_cmtstv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8hi },
    &operand_data[4361],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5892 */
  {
    "aarch64_cmtstv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si },
    &operand_data[4366],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5892 */
  {
    "aarch64_cmtstv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4si },
    &operand_data[4371],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5892 */
  {
    "aarch64_cmtstv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2di },
    &operand_data[4376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5907 */
  {
    "aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstdi },
    &operand_data[4381],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5945 */
  {
    "*aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3866],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3285 },
#else
    { 0, output_3285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf },
    &operand_data[4384],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3286 },
#else
    { 0, output_3286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf },
    &operand_data[4384],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3287 },
#else
    { 0, output_3287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf },
    &operand_data[4384],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3288 },
#else
    { 0, output_3288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf },
    &operand_data[4384],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3289 },
#else
    { 0, output_3289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf },
    &operand_data[4384],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3290 },
#else
    { 0, output_3290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hf },
    &operand_data[4387],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3291 },
#else
    { 0, output_3291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hf },
    &operand_data[4387],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3292 },
#else
    { 0, output_3292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hf },
    &operand_data[4387],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3293 },
#else
    { 0, output_3293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hf },
    &operand_data[4387],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3294 },
#else
    { 0, output_3294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hf },
    &operand_data[4387],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3295 },
#else
    { 0, output_3295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf },
    &operand_data[4390],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3296 },
#else
    { 0, output_3296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf },
    &operand_data[4390],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3297 },
#else
    { 0, output_3297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf },
    &operand_data[4390],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3298 },
#else
    { 0, output_3298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf },
    &operand_data[4390],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3299 },
#else
    { 0, output_3299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf },
    &operand_data[4390],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3300 },
#else
    { 0, output_3300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4sf },
    &operand_data[4393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3301 },
#else
    { 0, output_3301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4sf },
    &operand_data[4393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3302 },
#else
    { 0, output_3302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4sf },
    &operand_data[4393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3303 },
#else
    { 0, output_3303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4sf },
    &operand_data[4393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3304 },
#else
    { 0, output_3304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4sf },
    &operand_data[4393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3305 },
#else
    { 0, output_3305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2df },
    &operand_data[4396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3306 },
#else
    { 0, output_3306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2df },
    &operand_data[4396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3307 },
#else
    { 0, output_3307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2df },
    &operand_data[4396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3308 },
#else
    { 0, output_3308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2df },
    &operand_data[4396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3309 },
#else
    { 0, output_3309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2df },
    &operand_data[4396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3310 },
#else
    { 0, output_3310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlthf },
    &operand_data[4399],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3311 },
#else
    { 0, output_3311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlehf },
    &operand_data[4399],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3312 },
#else
    { 0, output_3312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqhf },
    &operand_data[4399],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3313 },
#else
    { 0, output_3313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgehf },
    &operand_data[4399],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3314 },
#else
    { 0, output_3314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgthf },
    &operand_data[4399],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3315 },
#else
    { 0, output_3315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltsf },
    &operand_data[4402],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmlesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3316 },
#else
    { 0, output_3316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlesf },
    &operand_data[4402],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3317 },
#else
    { 0, output_3317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqsf },
    &operand_data[4402],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3318 },
#else
    { 0, output_3318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgesf },
    &operand_data[4402],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3319 },
#else
    { 0, output_3319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtsf },
    &operand_data[4402],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3320 },
#else
    { 0, output_3320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf },
    &operand_data[4405],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3321 },
#else
    { 0, output_3321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf },
    &operand_data[4405],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmeqdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3322 },
#else
    { 0, output_3322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf },
    &operand_data[4405],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3323 },
#else
    { 0, output_3323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf },
    &operand_data[4405],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5960 */
  {
    "aarch64_cmgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3324 },
#else
    { 0, output_3324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf },
    &operand_data[4405],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf },
    &operand_data[4408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf },
    &operand_data[4408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf },
    &operand_data[4408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf },
    &operand_data[4408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv8hf },
    &operand_data[4411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev8hf },
    &operand_data[4411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev8hf },
    &operand_data[4411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv8hf },
    &operand_data[4411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf },
    &operand_data[4414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf },
    &operand_data[4414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf },
    &operand_data[4414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf },
    &operand_data[4414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4sf },
    &operand_data[4417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4sf },
    &operand_data[4417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4sf },
    &operand_data[4417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4sf },
    &operand_data[4417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2df },
    &operand_data[4420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2df },
    &operand_data[4420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2df },
    &operand_data[4420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2df },
    &operand_data[4420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclthf },
    &operand_data[4423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclehf },
    &operand_data[4423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgehf },
    &operand_data[4423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgthf },
    &operand_data[4423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltsf },
    &operand_data[4426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_faclesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclesf },
    &operand_data[4426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgesf },
    &operand_data[4426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtsf },
    &operand_data[4426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf },
    &operand_data[4429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf },
    &operand_data[4429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf },
    &operand_data[4429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_facgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf },
    &operand_data[4429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_addpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_addpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_addpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6005 */
  {
    "aarch64_addpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpdi },
    &operand_data[4432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6026 */
  {
    "*sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6026 */
  {
    "*sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6026 */
  {
    "*sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6026 */
  {
    "*sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6026 */
  {
    "*sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v16qi },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hi },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4si },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2di },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hf },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4sf },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2df },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6036 */
  {
    "aarch64_simd_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8bf },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8qi },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv16qi },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hi },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hi },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2si },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4si },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4bf },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8bf },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2di },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hf },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hf },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2sf },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4sf },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2df },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdi },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6046 */
  {
    "aarch64_simd_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdf },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3390 },
#else
    { 0, 0, output_3390 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8qi },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3391 },
#else
    { 0, 0, output_3391 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev16qi },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3392 },
#else
    { 0, 0, output_3392 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hi },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3393 },
#else
    { 0, 0, output_3393 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hi },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3394 },
#else
    { 0, 0, output_3394 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2si },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3395 },
#else
    { 0, 0, output_3395 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4si },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3396 },
#else
    { 0, 0, output_3396 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4bf },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3397 },
#else
    { 0, 0, output_3397 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8bf },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3398 },
#else
    { 0, 0, output_3398 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2di },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3399 },
#else
    { 0, 0, output_3399 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hf },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3400 },
#else
    { 0, 0, output_3400 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hf },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3401 },
#else
    { 0, 0, output_3401 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2sf },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3402 },
#else
    { 0, 0, output_3402 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4sf },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3403 },
#else
    { 0, 0, output_3403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2df },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3404 },
#else
    { 0, 0, output_3404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedi },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6056 */
  {
    "aarch64_vec_load_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3405 },
#else
    { 0, 0, output_3405 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedf },
    &operand_data[4436],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v16qi },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hi },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4si },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2di },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4sf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2df },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6090 */
  {
    "aarch64_simd_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8bf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3414 },
#else
    { 0, 0, output_3414 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8qi },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3415 },
#else
    { 0, 0, output_3415 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev16qi },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3416 },
#else
    { 0, 0, output_3416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hi },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3417 },
#else
    { 0, 0, output_3417 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hi },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3418 },
#else
    { 0, 0, output_3418 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2si },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3419 },
#else
    { 0, 0, output_3419 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4si },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3420 },
#else
    { 0, 0, output_3420 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4bf },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3421 },
#else
    { 0, 0, output_3421 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8bf },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3422 },
#else
    { 0, 0, output_3422 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2di },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3423 },
#else
    { 0, 0, output_3423 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hf },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3424 },
#else
    { 0, 0, output_3424 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hf },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3425 },
#else
    { 0, 0, output_3425 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2sf },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3426 },
#else
    { 0, 0, output_3426 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4sf },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3427 },
#else
    { 0, 0, output_3427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2df },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3428 },
#else
    { 0, 0, output_3428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedi },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6101 */
  {
    "aarch64_vec_store_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3429 },
#else
    { 0, 0, output_3429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedf },
    &operand_data[4442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v16qi },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hi },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4si },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2di },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4sf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2df },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6134 */
  {
    "aarch64_simd_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8bf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8qi },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv16qi },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hi },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hi },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2si },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4si },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4bf },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8bf },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2di },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hf },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hf },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2sf },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4sf },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2df },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdi },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6144 */
  {
    "aarch64_simd_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdf },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3454 },
#else
    { 0, 0, output_3454 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8qi },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3455 },
#else
    { 0, 0, output_3455 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev16qi },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3456 },
#else
    { 0, 0, output_3456 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hi },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3457 },
#else
    { 0, 0, output_3457 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hi },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3458 },
#else
    { 0, 0, output_3458 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2si },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3459 },
#else
    { 0, 0, output_3459 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4si },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3460 },
#else
    { 0, 0, output_3460 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4bf },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3461 },
#else
    { 0, 0, output_3461 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8bf },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3462 },
#else
    { 0, 0, output_3462 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2di },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3463 },
#else
    { 0, 0, output_3463 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hf },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3464 },
#else
    { 0, 0, output_3464 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hf },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3465 },
#else
    { 0, 0, output_3465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2sf },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3466 },
#else
    { 0, 0, output_3466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4sf },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3467 },
#else
    { 0, 0, output_3467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2df },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3468 },
#else
    { 0, 0, output_3468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedi },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6154 */
  {
    "aarch64_vec_load_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3469 },
#else
    { 0, 0, output_3469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedf },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v16qi },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hi },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4si },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2di },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4sf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2df },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6188 */
  {
    "aarch64_simd_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8bf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3478 },
#else
    { 0, 0, output_3478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8qi },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3479 },
#else
    { 0, 0, output_3479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev16qi },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3480 },
#else
    { 0, 0, output_3480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hi },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3481 },
#else
    { 0, 0, output_3481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hi },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3482 },
#else
    { 0, 0, output_3482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2si },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3483 },
#else
    { 0, 0, output_3483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4si },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3484 },
#else
    { 0, 0, output_3484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4bf },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3485 },
#else
    { 0, 0, output_3485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8bf },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3486 },
#else
    { 0, 0, output_3486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2di },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3487 },
#else
    { 0, 0, output_3487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hf },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3488 },
#else
    { 0, 0, output_3488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hf },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3489 },
#else
    { 0, 0, output_3489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2sf },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3490 },
#else
    { 0, 0, output_3490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4sf },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3491 },
#else
    { 0, 0, output_3491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2df },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3492 },
#else
    { 0, 0, output_3492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedi },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6199 */
  {
    "aarch64_vec_store_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3493 },
#else
    { 0, 0, output_3493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedf },
    &operand_data[4453],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v16qi },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hi },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4si },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2di },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4sf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2df },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6232 */
  {
    "aarch64_simd_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8bf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8qi },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv16qi },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hi },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hi },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2si },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4si },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4bf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8bf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2di },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2sf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4sf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2df },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdi },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_simd_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3518 },
#else
    { 0, 0, output_3518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8qi },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3519 },
#else
    { 0, 0, output_3519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev16qi },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3520 },
#else
    { 0, 0, output_3520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hi },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3521 },
#else
    { 0, 0, output_3521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hi },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3522 },
#else
    { 0, 0, output_3522 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2si },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3523 },
#else
    { 0, 0, output_3523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4si },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3524 },
#else
    { 0, 0, output_3524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4bf },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3525 },
#else
    { 0, 0, output_3525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8bf },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3526 },
#else
    { 0, 0, output_3526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2di },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3527 },
#else
    { 0, 0, output_3527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hf },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3528 },
#else
    { 0, 0, output_3528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hf },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3529 },
#else
    { 0, 0, output_3529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2sf },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3530 },
#else
    { 0, 0, output_3530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4sf },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3531 },
#else
    { 0, 0, output_3531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2df },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3532 },
#else
    { 0, 0, output_3532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedi },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6252 */
  {
    "aarch64_vec_load_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3533 },
#else
    { 0, 0, output_3533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedf },
    &operand_data[4458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v16qi },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hi },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4si },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2di },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4sf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2df },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6286 */
  {
    "aarch64_simd_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8bf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3542 },
#else
    { 0, 0, output_3542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8qi },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3543 },
#else
    { 0, 0, output_3543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev16qi },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3544 },
#else
    { 0, 0, output_3544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hi },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3545 },
#else
    { 0, 0, output_3545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hi },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3546 },
#else
    { 0, 0, output_3546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2si },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3547 },
#else
    { 0, 0, output_3547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4si },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3548 },
#else
    { 0, 0, output_3548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4bf },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3549 },
#else
    { 0, 0, output_3549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8bf },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3550 },
#else
    { 0, 0, output_3550 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2di },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3551 },
#else
    { 0, 0, output_3551 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hf },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3552 },
#else
    { 0, 0, output_3552 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hf },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3553 },
#else
    { 0, 0, output_3553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2sf },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3554 },
#else
    { 0, 0, output_3554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4sf },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3555 },
#else
    { 0, 0, output_3555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2df },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3556 },
#else
    { 0, 0, output_3556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedi },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_vec_store_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3557 },
#else
    { 0, 0, output_3557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedf },
    &operand_data[4464],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6330 */
  {
    "aarch64_rev_reglistoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistoi },
    &operand_data[4467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6330 */
  {
    "aarch64_rev_reglistci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistci },
    &operand_data[4470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6330 */
  {
    "aarch64_rev_reglistxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistxi },
    &operand_data[4473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8qi },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v16qi },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hi },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hi },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2si },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4si },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4bf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8bf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2di },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2sf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4sf },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2df },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_di },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6381 */
  {
    "aarch64_ld1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_df },
    &operand_data[4445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8qi },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v16qi },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hi },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hi },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2si },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4si },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4bf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8bf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2di },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2sf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4sf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2df },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_di },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6402 */
  {
    "aarch64_ld1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_df },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8qi },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v16qi },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hi },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hi },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2si },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4si },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4bf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8bf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2di },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2sf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4sf },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2df },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_di },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6424 */
  {
    "aarch64_st1_x2_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_df },
    &operand_data[4440],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8qi },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v16qi },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hi },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hi },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2si },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4si },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4bf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8bf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2di },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2sf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4sf },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2df },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_di },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_st1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_df },
    &operand_data[4451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8qi },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v16qi },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hi },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hi },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2si },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4si },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4bf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8bf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2di },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2sf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4sf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2df },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_di },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6466 */
  {
    "aarch64_st1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_df },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "*aarch64_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3641 },
#else
    { 0, output_3641, 0 },
#endif
    { 0 },
    &operand_data[4476],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "*aarch64_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3642 },
#else
    { 0, output_3642, 0 },
#endif
    { 0 },
    &operand_data[4478],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "*aarch64_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3643 },
#else
    { 0, output_3643, 0 },
#endif
    { 0 },
    &operand_data[4480],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8qi },
    &operand_data[4482],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v16qi },
    &operand_data[4484],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hi },
    &operand_data[4486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hi },
    &operand_data[4488],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2si },
    &operand_data[4490],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4si },
    &operand_data[4492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2di },
    &operand_data[4494],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hf },
    &operand_data[4496],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hf },
    &operand_data[4498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4bf },
    &operand_data[4500],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8bf },
    &operand_data[4502],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2sf },
    &operand_data[4504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4sf },
    &operand_data[4506],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2df },
    &operand_data[4508],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6492 */
  {
    "aarch64_be_ld1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1di },
    &operand_data[4510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8qi },
    &operand_data[4512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v16qi },
    &operand_data[4514],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hi },
    &operand_data[4516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hi },
    &operand_data[4518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2si },
    &operand_data[4520],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4si },
    &operand_data[4522],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2di },
    &operand_data[4524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hf },
    &operand_data[4526],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hf },
    &operand_data[4528],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4bf },
    &operand_data[4530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8bf },
    &operand_data[4532],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2sf },
    &operand_data[4534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4sf },
    &operand_data[4536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2df },
    &operand_data[4538],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6502 */
  {
    "aarch64_be_st1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1di },
    &operand_data[4540],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6511 */
  {
    "*aarch64_be_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3674 },
#else
    { 0, output_3674, 0 },
#endif
    { 0 },
    &operand_data[4542],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6525 */
  {
    "*aarch64_be_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4544],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6536 */
  {
    "*aarch64_be_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4546],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6624 */
  {
    "aarch64_ld2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6624 */
  {
    "aarch64_ld2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6624 */
  {
    "aarch64_ld2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6624 */
  {
    "aarch64_ld2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6624 */
  {
    "aarch64_ld2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6624 */
  {
    "aarch64_ld2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6634 */
  {
    "aarch64_ld2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6634 */
  {
    "aarch64_ld2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df_dreg },
    &operand_data[4436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_ld3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_ld3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_ld3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_ld3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_ld3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_ld3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6654 */
  {
    "aarch64_ld3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6654 */
  {
    "aarch64_ld3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df_dreg },
    &operand_data[4447],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_ld4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_ld4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_ld4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_ld4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_ld4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_ld4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6674 */
  {
    "aarch64_ld4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6674 */
  {
    "aarch64_ld4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df_dreg },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6824 */
  {
    "aarch64_tbl1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.8b, {%1.16b}, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v8qi },
    &operand_data[4548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6824 */
  {
    "aarch64_tbl1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6836 */
  {
    "aarch64_tbl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%S1.16b - %T1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl2v16qi },
    &operand_data[4551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6846 */
  {
    "aarch64_tbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %T1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v8qi },
    &operand_data[4554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6846 */
  {
    "aarch64_tbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %T1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v16qi },
    &operand_data[4551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6856 */
  {
    "aarch64_tbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %T2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v8qi },
    &operand_data[4557],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6856 */
  {
    "aarch64_tbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %T2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v16qi },
    &operand_data[4561],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6869 */
  {
    "aarch64_qtbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %U1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v8qi },
    &operand_data[4565],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6869 */
  {
    "aarch64_qtbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %U1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v16qi },
    &operand_data[4568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6879 */
  {
    "aarch64_qtbx3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %U2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v8qi },
    &operand_data[4571],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6879 */
  {
    "aarch64_qtbx3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %U2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v16qi },
    &operand_data[4575],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6892 */
  {
    "aarch64_qtbl4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %V1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v8qi },
    &operand_data[4579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6892 */
  {
    "aarch64_qtbl4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %V1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v16qi },
    &operand_data[4582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6902 */
  {
    "aarch64_qtbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %V2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v8qi },
    &operand_data[4585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6902 */
  {
    "aarch64_qtbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %V2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v16qi },
    &operand_data[4589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6913 */
  {
    "aarch64_combinev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev16qi },
    &operand_data[4593],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi },
    &operand_data[2455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v16qi },
    &operand_data[2458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si },
    &operand_data[2467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf },
    &operand_data[4596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf },
    &operand_data[4596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf },
    &operand_data[4596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf },
    &operand_data[4596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf },
    &operand_data[4596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf },
    &operand_data[4596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8bf },
    &operand_data[4599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8bf },
    &operand_data[4599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8bf },
    &operand_data[4599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8bf },
    &operand_data[4599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8bf },
    &operand_data[4599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8bf },
    &operand_data[4599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_zip2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_trn2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6932 */
  {
    "aarch64_uzp2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3801 },
#else
    { 0, 0, output_3801 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8qi },
    &operand_data[4602],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3802 },
#else
    { 0, 0, output_3802 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv16qi },
    &operand_data[4606],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3803 },
#else
    { 0, 0, output_3803 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hi },
    &operand_data[4610],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3804 },
#else
    { 0, 0, output_3804 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hi },
    &operand_data[4614],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3805 },
#else
    { 0, 0, output_3805 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2si },
    &operand_data[3898],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3806 },
#else
    { 0, 0, output_3806 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4si },
    &operand_data[3918],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3807 },
#else
    { 0, 0, output_3807 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2di },
    &operand_data[4618],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3808 },
#else
    { 0, 0, output_3808 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hf },
    &operand_data[4622],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3809 },
#else
    { 0, 0, output_3809 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hf },
    &operand_data[4626],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3810 },
#else
    { 0, 0, output_3810 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4bf },
    &operand_data[4630],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3811 },
#else
    { 0, 0, output_3811 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8bf },
    &operand_data[4634],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3812 },
#else
    { 0, 0, output_3812 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2sf },
    &operand_data[3818],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3813 },
#else
    { 0, 0, output_3813 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4sf },
    &operand_data[3822],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6946 */
  {
    "aarch64_extv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3814 },
#else
    { 0, 0, output_3814 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2df },
    &operand_data[3826],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi },
    &operand_data[1477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi },
    &operand_data[1483],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2di },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2di },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2di },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8bf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8bf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8bf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev32v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6964 */
  {
    "aarch64_rev16v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6973 */
  {
    "aarch64_st2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6973 */
  {
    "aarch64_st2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6973 */
  {
    "aarch64_st2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6973 */
  {
    "aarch64_st2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6973 */
  {
    "aarch64_st2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6973 */
  {
    "aarch64_st2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_st2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_st2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df_dreg },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_st3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_st3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_st3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_st3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_st3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_st3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7003 */
  {
    "aarch64_st3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7003 */
  {
    "aarch64_st3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df_dreg },
    &operand_data[4453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7013 */
  {
    "aarch64_st4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7013 */
  {
    "aarch64_st4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7013 */
  {
    "aarch64_st4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7013 */
  {
    "aarch64_st4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7013 */
  {
    "aarch64_st4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7013 */
  {
    "aarch64_st4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7023 */
  {
    "aarch64_st4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7023 */
  {
    "aarch64_st4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df_dreg },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4638],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4640],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4642],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4644],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4646],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4648],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4650],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4652],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4654],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4656],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4658],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4660],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4662],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7132 */
  {
    "*aarch64_simd_ld1rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v16qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v16qi_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v8hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hi_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v4si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4si_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v2di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2di_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v8hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hf_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v4sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4sf_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v2df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2df_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "aarch64_simd_ld1v8bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8bf_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1v8qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8qi_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1v4hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hi_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1v4bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4bf_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1v4hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hf_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1v2si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2si_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1v2sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2sf_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1di_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7151 */
  {
    "aarch64_simd_ld1df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1df_x2 },
    &operand_data[4434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4hf },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev8hf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2sf },
    &operand_data[1425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4sf },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2df },
    &operand_data[1429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpehf },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpesf },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7162 */
  {
    "aarch64_frecpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpedf },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7172 */
  {
    "aarch64_frecpxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxhf },
    &operand_data[1190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7172 */
  {
    "aarch64_frecpxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxsf },
    &operand_data[1192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7172 */
  {
    "aarch64_frecpxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxdf },
    &operand_data[1194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4hf },
    &operand_data[2476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv8hf },
    &operand_data[2479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2sf },
    &operand_data[2482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4sf },
    &operand_data[2485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2df },
    &operand_data[2488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpshf },
    &operand_data[1220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpssf },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7181 */
  {
    "aarch64_frecpsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsdf },
    &operand_data[1228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7192 */
  {
    "aarch64_urecpev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev2si },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7192 */
  {
    "aarch64_urecpev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev4si },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7244 */
  {
    "aarch64_crypto_aesev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesev16qi },
    &operand_data[4666],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7244 */
  {
    "aarch64_crypto_aesdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesdv16qi },
    &operand_data[4666],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7256 */
  {
    "aarch64_crypto_aesmcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesmcv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7256 */
  {
    "aarch64_crypto_aesimcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesimcv16qi },
    &operand_data[1480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7270 */
  {
    "*aarch64_crypto_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b\n\taesmc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4666],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7291 */
  {
    "*aarch64_crypto_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b\n\taesimc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4666],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_crypto_sha1hsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hsi },
    &operand_data[984],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7319 */
  {
    "aarch64_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hv4si },
    &operand_data[4669],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7329 */
  {
    "aarch64_be_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_crypto_sha1hv4si },
    &operand_data[4669],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7339 */
  {
    "aarch64_crypto_sha1su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su1\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su1v4si },
    &operand_data[2738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7349 */
  {
    "aarch64_crypto_sha1cv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1c\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1cv4si },
    &operand_data[4671],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7349 */
  {
    "aarch64_crypto_sha1mv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1m\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1mv4si },
    &operand_data[4671],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7349 */
  {
    "aarch64_crypto_sha1pv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1p\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1pv4si },
    &operand_data[4671],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7360 */
  {
    "aarch64_crypto_sha1su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su0\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su0v4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7373 */
  {
    "aarch64_crypto_sha256hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256hv4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7373 */
  {
    "aarch64_crypto_sha256h2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h2\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256h2v4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7384 */
  {
    "aarch64_crypto_sha256su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su0\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su0v4si },
    &operand_data[2738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7394 */
  {
    "aarch64_crypto_sha256su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su1v4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7407 */
  {
    "aarch64_crypto_sha512hqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512hqv2di },
    &operand_data[4675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7407 */
  {
    "aarch64_crypto_sha512h2qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h2\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512h2qv2di },
    &operand_data[4675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7418 */
  {
    "aarch64_crypto_sha512su0qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su0\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su0qv2di },
    &operand_data[3869],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7428 */
  {
    "aarch64_crypto_sha512su1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su1\t%0.2d, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su1qv2di },
    &operand_data[4675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "eor3qv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv16qi4 },
    &operand_data[4679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "eor3qv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv8hi4 },
    &operand_data[4683],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "eor3qv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv4si4 },
    &operand_data[4687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "eor3qv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv2di4 },
    &operand_data[4691],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7453 */
  {
    "aarch64_rax1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rax1qv2di },
    &operand_data[2473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7465 */
  {
    "aarch64_xarqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xar\t%0.2d, %1.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xarqv2di },
    &operand_data[4695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7477 */
  {
    "bcaxqv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv16qi4 },
    &operand_data[4679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7477 */
  {
    "bcaxqv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv8hi4 },
    &operand_data[4683],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7477 */
  {
    "bcaxqv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv4si4 },
    &operand_data[4687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7477 */
  {
    "bcaxqv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv2di4 },
    &operand_data[4691],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7491 */
  {
    "aarch64_sm3ss1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3ss1\t%0.4s, %1.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3ss1qv4si },
    &operand_data[4687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7503 */
  {
    "aarch64_sm3tt1aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1aqv4si },
    &operand_data[4699],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7503 */
  {
    "aarch64_sm3tt1bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1bqv4si },
    &operand_data[4699],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7503 */
  {
    "aarch64_sm3tt2aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2aqv4si },
    &operand_data[4699],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7503 */
  {
    "aarch64_sm3tt2bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2bqv4si },
    &operand_data[4699],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7515 */
  {
    "aarch64_sm3partw1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw1qv4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7515 */
  {
    "aarch64_sm3partw2qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw2\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw2qv4si },
    &operand_data[2738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7528 */
  {
    "aarch64_sm4eqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4eqv4si },
    &operand_data[2738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7538 */
  {
    "aarch64_sm4ekeyqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4ekeyqv4si },
    &operand_data[2470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "aarch64_simd_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lowv2sf },
    &operand_data[4704],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "aarch64_simd_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lowv4sf },
    &operand_data[4710],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7610 */
  {
    "aarch64_simd_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lowv2sf },
    &operand_data[4704],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7610 */
  {
    "aarch64_simd_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lowv4sf },
    &operand_data[4710],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7628 */
  {
    "aarch64_simd_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_highv2sf },
    &operand_data[4716],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7628 */
  {
    "aarch64_simd_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_highv4sf },
    &operand_data[4722],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7645 */
  {
    "aarch64_simd_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_highv2sf },
    &operand_data[4716],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7645 */
  {
    "aarch64_simd_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_highv4sf },
    &operand_data[4722],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7704 */
  {
    "aarch64_simd_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_lowv2sf },
    &operand_data[4728],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7722 */
  {
    "aarch64_simd_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_lowv2sf },
    &operand_data[4728],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "aarch64_simd_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_highv2sf },
    &operand_data[4734],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7759 */
  {
    "aarch64_simd_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_highv2sf },
    &operand_data[4734],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7818 */
  {
    "aarch64_simd_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_lowv4sf },
    &operand_data[4740],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7836 */
  {
    "aarch64_simd_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_lowv4sf },
    &operand_data[4740],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7855 */
  {
    "aarch64_simd_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_highv4sf },
    &operand_data[4746],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "aarch64_simd_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_highv4sf },
    &operand_data[4746],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_simd_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_lowv2sf },
    &operand_data[4752],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7952 */
  {
    "aarch64_simd_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_lowv2sf },
    &operand_data[4752],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7971 */
  {
    "aarch64_simd_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_highv2sf },
    &operand_data[4758],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7989 */
  {
    "aarch64_simd_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_highv2sf },
    &operand_data[4758],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8048 */
  {
    "aarch64_simd_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_lowv4sf },
    &operand_data[4764],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8066 */
  {
    "aarch64_simd_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_lowv4sf },
    &operand_data[4764],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8085 */
  {
    "aarch64_simd_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_highv4sf },
    &operand_data[4770],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8103 */
  {
    "aarch64_simd_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_highv4sf },
    &operand_data[4770],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8124 */
  {
    "aarch64_crypto_pmulldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.1q, %1.1d, %2.1d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmulldi },
    &operand_data[4776],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8134 */
  {
    "aarch64_crypto_pmullv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.1q, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmullv2di },
    &operand_data[4779],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8145 */
  {
    "extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv8qiv8hi2 },
    &operand_data[2670],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8145 */
  {
    "zero_extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv8qiv8hi2 },
    &operand_data[2670],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8145 */
  {
    "extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv4hiv4si2 },
    &operand_data[2673],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8145 */
  {
    "zero_extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv4hiv4si2 },
    &operand_data[2673],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8145 */
  {
    "extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv2siv2di2 },
    &operand_data[2676],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8145 */
  {
    "zero_extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv2siv2di2 },
    &operand_data[2676],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8168 */
  {
    "truncv8hiv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2 },
    &operand_data[3134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8168 */
  {
    "truncv4siv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2 },
    &operand_data[3136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8168 */
  {
    "truncv2div2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2 },
    &operand_data[3138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8176 */
  {
    "aarch64_xtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_le },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8176 */
  {
    "aarch64_xtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_le },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8176 */
  {
    "aarch64_xtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_le },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8186 */
  {
    "aarch64_xtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_be },
    &operand_data[3152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8186 */
  {
    "aarch64_xtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_be },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8186 */
  {
    "aarch64_xtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_be },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8212 */
  {
    "aarch64_bfdotv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.2s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv2sf },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8212 */
  {
    "aarch64_bfdotv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv4sf },
    &operand_data[4786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8225 */
  {
    "aarch64_bfdot_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4016 },
#else
    { 0, 0, output_4016 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev2sf },
    &operand_data[4790],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8225 */
  {
    "aarch64_bfdot_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4017 },
#else
    { 0, 0, output_4017 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv2sf },
    &operand_data[4795],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8225 */
  {
    "aarch64_bfdot_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4018 },
#else
    { 0, 0, output_4018 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev4sf },
    &operand_data[4800],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8225 */
  {
    "aarch64_bfdot_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4019 },
#else
    { 0, 0, output_4019 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv4sf },
    &operand_data[4805],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8266 */
  {
    "aarch64_bfmmlaqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmmla\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmmlaqv4sf },
    &operand_data[4786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8278 */
  {
    "aarch64_bfmlalbv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalb\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalbv4sf },
    &operand_data[4786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8278 */
  {
    "aarch64_bfmlaltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalt\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlaltv4sf },
    &operand_data[4786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8289 */
  {
    "aarch64_bfmlalb_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4023 },
#else
    { 0, 0, output_4023 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lanev4sf },
    &operand_data[4810],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8289 */
  {
    "aarch64_bfmlalt_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4024 },
#else
    { 0, 0, output_4024 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lanev4sf },
    &operand_data[4810],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8289 */
  {
    "aarch64_bfmlalb_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4025 },
#else
    { 0, 0, output_4025 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lane_qv4sf },
    &operand_data[4815],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8289 */
  {
    "aarch64_bfmlalt_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4026 },
#else
    { 0, 0, output_4026 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lane_qv4sf },
    &operand_data[4815],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8305 */
  {
    "aarch64_simd_smmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_smmlav16qi },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8305 */
  {
    "aarch64_simd_ummlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ummla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ummlav16qi },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8305 */
  {
    "aarch64_simd_usmmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_usmmlav16qi },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8317 */
  {
    "aarch64_bfcvtnv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtnv4bf },
    &operand_data[4820],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8317 */
  {
    "aarch64_bfcvtn_qv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn_qv8bf },
    &operand_data[4822],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8326 */
  {
    "aarch64_bfcvtn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn2v8bf },
    &operand_data[4824],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8336 */
  {
    "aarch64_bfcvtbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtbf },
    &operand_data[4827],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8346 */
  {
    "aarch64_vbfcvtv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv4bf },
    &operand_data[4829],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8346 */
  {
    "aarch64_vbfcvtv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv8bf },
    &operand_data[4831],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8355 */
  {
    "aarch64_vbfcvt_highv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll2\t%0.4s, %1.8h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvt_highv8bf },
    &operand_data[4831],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8364 */
  {
    "aarch64_bfcvtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%d0, %d1, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtsf },
    &operand_data[4833],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi },
    &operand_data[4835],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi },
    &operand_data[4843],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi },
    &operand_data[4851],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi },
    &operand_data[4859],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:94 */
  {
    "aarch64_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti },
    &operand_data[4867],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swapqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4043 },
#else
    { 0, 0, output_4043 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi_lse },
    &operand_data[4875],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swaphi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4044 },
#else
    { 0, 0, output_4044 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi_lse },
    &operand_data[4879],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4045 },
#else
    { 0, 0, output_4045 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi_lse },
    &operand_data[4883],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4046 },
#else
    { 0, 0, output_4046 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi_lse },
    &operand_data[4887],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:163 */
  {
    "aarch64_compare_and_swapti_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4047 },
#else
    { 0, 0, output_4047 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti_lse },
    &operand_data[4891],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi },
    &operand_data[4895],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi },
    &operand_data[4900],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi },
    &operand_data[4905],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi },
    &operand_data[4910],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangeqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4052 },
#else
    { 0, 0, output_4052 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi_lse },
    &operand_data[4915],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangehi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4053 },
#else
    { 0, 0, output_4053 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi_lse },
    &operand_data[4919],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangesi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4054 },
#else
    { 0, 0, output_4054 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi_lse },
    &operand_data[4923],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangedi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4055 },
#else
    { 0, 0, output_4055 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi_lse },
    &operand_data[4927],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi },
    &operand_data[4931],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subqi },
    &operand_data[4931],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orqi },
    &operand_data[4936],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi },
    &operand_data[4936],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andqi },
    &operand_data[4936],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi },
    &operand_data[4941],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subhi },
    &operand_data[4941],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orhi },
    &operand_data[4946],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi },
    &operand_data[4946],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andhi },
    &operand_data[4946],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi },
    &operand_data[4951],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subsi },
    &operand_data[4951],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orsi },
    &operand_data[4956],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi },
    &operand_data[4956],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andsi },
    &operand_data[4956],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi },
    &operand_data[4961],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subdi },
    &operand_data[4961],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_ordi },
    &operand_data[4966],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi },
    &operand_data[4966],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_anddi },
    &operand_data[4966],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4076 },
#else
    { 0, 0, output_4076 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorqi_lse },
    &operand_data[4971],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4077 },
#else
    { 0, 0, output_4077 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicqi_lse },
    &operand_data[4971],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4078 },
#else
    { 0, 0, output_4078 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi_lse },
    &operand_data[4971],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4079 },
#else
    { 0, 0, output_4079 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi_lse },
    &operand_data[4971],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4080 },
#else
    { 0, 0, output_4080 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorhi_lse },
    &operand_data[4975],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4081 },
#else
    { 0, 0, output_4081 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bichi_lse },
    &operand_data[4975],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4082 },
#else
    { 0, 0, output_4082 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi_lse },
    &operand_data[4975],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4083 },
#else
    { 0, 0, output_4083 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi_lse },
    &operand_data[4975],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4084 },
#else
    { 0, 0, output_4084 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorsi_lse },
    &operand_data[4979],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4085 },
#else
    { 0, 0, output_4085 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicsi_lse },
    &operand_data[4979],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4086 },
#else
    { 0, 0, output_4086 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi_lse },
    &operand_data[4979],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4087 },
#else
    { 0, 0, output_4087 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi_lse },
    &operand_data[4979],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4088 },
#else
    { 0, 0, output_4088 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iordi_lse },
    &operand_data[4983],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4089 },
#else
    { 0, 0, output_4089 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicdi_lse },
    &operand_data[4983],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4090 },
#else
    { 0, 0, output_4090 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi_lse },
    &operand_data[4983],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4091 },
#else
    { 0, 0, output_4091 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi_lse },
    &operand_data[4983],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandqi },
    &operand_data[4936],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandhi },
    &operand_data[4946],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandsi },
    &operand_data[4956],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nanddi },
    &operand_data[4966],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi },
    &operand_data[4987],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subqi },
    &operand_data[4987],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orqi },
    &operand_data[4993],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi },
    &operand_data[4993],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andqi },
    &operand_data[4993],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi },
    &operand_data[4999],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subhi },
    &operand_data[4999],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orhi },
    &operand_data[5005],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi },
    &operand_data[5005],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andhi },
    &operand_data[5005],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi },
    &operand_data[5011],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subsi },
    &operand_data[5011],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orsi },
    &operand_data[5017],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi },
    &operand_data[5017],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andsi },
    &operand_data[5017],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi },
    &operand_data[5023],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subdi },
    &operand_data[5023],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_ordi },
    &operand_data[5029],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi },
    &operand_data[5029],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_anddi },
    &operand_data[5029],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4116 },
#else
    { 0, 0, output_4116 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorqi_lse },
    &operand_data[5035],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4117 },
#else
    { 0, 0, output_4117 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicqi_lse },
    &operand_data[5035],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4118 },
#else
    { 0, 0, output_4118 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi_lse },
    &operand_data[5035],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4119 },
#else
    { 0, 0, output_4119 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi_lse },
    &operand_data[5035],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4120 },
#else
    { 0, 0, output_4120 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorhi_lse },
    &operand_data[5039],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4121 },
#else
    { 0, 0, output_4121 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bichi_lse },
    &operand_data[5039],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4122 },
#else
    { 0, 0, output_4122 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi_lse },
    &operand_data[5039],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4123 },
#else
    { 0, 0, output_4123 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi_lse },
    &operand_data[5039],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4124 },
#else
    { 0, 0, output_4124 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorsi_lse },
    &operand_data[5043],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4125 },
#else
    { 0, 0, output_4125 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicsi_lse },
    &operand_data[5043],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4126 },
#else
    { 0, 0, output_4126 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi_lse },
    &operand_data[5043],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4127 },
#else
    { 0, 0, output_4127 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi_lse },
    &operand_data[5043],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4128 },
#else
    { 0, 0, output_4128 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iordi_lse },
    &operand_data[5047],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4129 },
#else
    { 0, 0, output_4129 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicdi_lse },
    &operand_data[5047],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4130 },
#else
    { 0, 0, output_4130 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi_lse },
    &operand_data[5047],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4131 },
#else
    { 0, 0, output_4131 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi_lse },
    &operand_data[5047],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandqi },
    &operand_data[4993],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandhi },
    &operand_data[5005],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandsi },
    &operand_data[5017],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nanddi },
    &operand_data[5029],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchqi },
    &operand_data[5051],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchqi },
    &operand_data[5051],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchqi },
    &operand_data[5056],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchqi },
    &operand_data[5056],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchqi },
    &operand_data[5056],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchhi },
    &operand_data[5061],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchhi },
    &operand_data[5061],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchhi },
    &operand_data[5066],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchhi },
    &operand_data[5066],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchhi },
    &operand_data[5066],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchsi },
    &operand_data[5011],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchsi },
    &operand_data[5011],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchsi },
    &operand_data[5017],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchsi },
    &operand_data[5017],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchsi },
    &operand_data[5017],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchdi },
    &operand_data[5071],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchdi },
    &operand_data[5071],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchdi },
    &operand_data[5076],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchdi },
    &operand_data[5076],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchdi },
    &operand_data[5076],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchqi },
    &operand_data[5056],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchhi },
    &operand_data[5066],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchsi },
    &operand_data[5017],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchdi },
    &operand_data[5076],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4160 },
#else
    { 0, 0, output_4160 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadqi },
    &operand_data[5081],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4161 },
#else
    { 0, 0, output_4161 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadhi },
    &operand_data[5084],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4162 },
#else
    { 0, 0, output_4162 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadsi },
    &operand_data[5087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4163 },
#else
    { 0, 0, output_4163 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loaddi },
    &operand_data[5090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4164 },
#else
    { 0, 0, output_4164 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storeqi },
    &operand_data[5093],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4165 },
#else
    { 0, 0, output_4165 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storehi },
    &operand_data[5096],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4166 },
#else
    { 0, 0, output_4166 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storesi },
    &operand_data[5099],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4167 },
#else
    { 0, 0, output_4167 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storedi },
    &operand_data[5102],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:678 */
  {
    "aarch64_load_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4168 },
#else
    { 0, 0, output_4168 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusiveqi },
    &operand_data[5105],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:678 */
  {
    "aarch64_load_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4169 },
#else
    { 0, 0, output_4169 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivehi },
    &operand_data[5108],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:695 */
  {
    "aarch64_load_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4170 },
#else
    { 0, 0, output_4170 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivesi },
    &operand_data[5087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:695 */
  {
    "aarch64_load_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4171 },
#else
    { 0, 0, output_4171 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivedi },
    &operand_data[5090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:711 */
  {
    "aarch64_load_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4172 },
#else
    { 0, 0, output_4172 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusive_pair },
    &operand_data[5111],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4173 },
#else
    { 0, 0, output_4173 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusiveqi },
    &operand_data[5115],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4174 },
#else
    { 0, 0, output_4174 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivehi },
    &operand_data[5119],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4175 },
#else
    { 0, 0, output_4175 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivesi },
    &operand_data[5123],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4176 },
#else
    { 0, 0, output_4176 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivedi },
    &operand_data[5127],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:747 */
  {
    "aarch64_store_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4177 },
#else
    { 0, 0, output_4177 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusive_pair },
    &operand_data[5131],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:788 */
  {
    "*dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4178 },
#else
    { 0, 0, output_4178 },
#endif
    { 0 },
    &operand_data[5136],
    2,
    2,
    1,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx16qi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4179 },
#else
    { 0, 0, output_4179 },
#endif
    { 0 },
    &operand_data[5138],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4180 },
#else
    { 0, 0, output_4180 },
#endif
    { 0 },
    &operand_data[5140],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4si_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4181 },
#else
    { 0, 0, output_4181 },
#endif
    { 0 },
    &operand_data[5142],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2di_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4182 },
#else
    { 0, 0, output_4182 },
#endif
    { 0 },
    &operand_data[5144],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8bf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4183 },
#else
    { 0, 0, output_4183 },
#endif
    { 0 },
    &operand_data[5146],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4184 },
#else
    { 0, 0, output_4184 },
#endif
    { 0 },
    &operand_data[5148],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4sf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4185 },
#else
    { 0, 0, output_4185 },
#endif
    { 0 },
    &operand_data[5150],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2df_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4186 },
#else
    { 0, 0, output_4186 },
#endif
    { 0 },
    &operand_data[5152],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4187 },
#else
    { 0, 0, output_4187 },
#endif
    { 0 },
    &operand_data[5154],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4188 },
#else
    { 0, 0, output_4188 },
#endif
    { 0 },
    &operand_data[5156],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4189 },
#else
    { 0, 0, output_4189 },
#endif
    { 0 },
    &operand_data[5158],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4190 },
#else
    { 0, 0, output_4190 },
#endif
    { 0 },
    &operand_data[5160],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4191 },
#else
    { 0, 0, output_4191 },
#endif
    { 0 },
    &operand_data[5162],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4192 },
#else
    { 0, 0, output_4192 },
#endif
    { 0 },
    &operand_data[5164],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4193 },
#else
    { 0, 0, output_4193 },
#endif
    { 0 },
    &operand_data[5166],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4194 },
#else
    { 0, 0, output_4194 },
#endif
    { 0 },
    &operand_data[5168],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4195 },
#else
    { 0, 0, output_4195 },
#endif
    { 0 },
    &operand_data[5170],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4196 },
#else
    { 0, 0, output_4196 },
#endif
    { 0 },
    &operand_data[5172],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4197 },
#else
    { 0, 0, output_4197 },
#endif
    { 0 },
    &operand_data[5174],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4198 },
#else
    { 0, 0, output_4198 },
#endif
    { 0 },
    &operand_data[5176],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4199 },
#else
    { 0, 0, output_4199 },
#endif
    { 0 },
    &operand_data[5178],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4200 },
#else
    { 0, 0, output_4200 },
#endif
    { 0 },
    &operand_data[5180],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4201 },
#else
    { 0, 0, output_4201 },
#endif
    { 0 },
    &operand_data[5182],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4202 },
#else
    { 0, 0, output_4202 },
#endif
    { 0 },
    &operand_data[5184],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2di_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4203 },
#else
    { 0, 0, output_4203 },
#endif
    { 0 },
    &operand_data[5186],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2df_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4204 },
#else
    { 0, 0, output_4204 },
#endif
    { 0 },
    &operand_data[5188],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4205 },
#else
    { 0, output_4205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16qi },
    &operand_data[5190],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4206 },
#else
    { 0, output_4206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8qi },
    &operand_data[5193],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4207 },
#else
    { 0, output_4207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4qi },
    &operand_data[5196],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4208 },
#else
    { 0, output_4208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2qi },
    &operand_data[5199],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4209 },
#else
    { 0, output_4209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hi },
    &operand_data[5202],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4210 },
#else
    { 0, output_4210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hi },
    &operand_data[5205],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4211 },
#else
    { 0, output_4211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hi },
    &operand_data[5208],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4212 },
#else
    { 0, output_4212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hf },
    &operand_data[5211],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4213 },
#else
    { 0, output_4213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hf },
    &operand_data[5214],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4214 },
#else
    { 0, output_4214, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hf },
    &operand_data[5217],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4215 },
#else
    { 0, output_4215, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8bf },
    &operand_data[5220],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4216 },
#else
    { 0, output_4216, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4bf },
    &operand_data[5223],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4217 },
#else
    { 0, output_4217, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2bf },
    &operand_data[5226],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4218 },
#else
    { 0, output_4218, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4si },
    &operand_data[5229],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4219 },
#else
    { 0, output_4219, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2si },
    &operand_data[5232],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4220 },
#else
    { 0, output_4220, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4sf },
    &operand_data[5235],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4221 },
#else
    { 0, output_4221, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2sf },
    &operand_data[5238],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4222 },
#else
    { 0, output_4222, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2di },
    &operand_data[5241],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4223 },
#else
    { 0, output_4223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2df },
    &operand_data[5244],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx16qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5247],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5250],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5256],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5259],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5262],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2di_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2df_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5306],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5308],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5314],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5320],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5322],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5324],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5326],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5328],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5330],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5336],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5342],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5344],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5346],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx4di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5348],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5350],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5352],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5354],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx4df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5356],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx48qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5358],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5360],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx12si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5362],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx6di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5364],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5366],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5368],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx12sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5370],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx6df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5372],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx64qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5374],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5376],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5378],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5380],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5382],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5384],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5386],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5388],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5390],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5392],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5394],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx4di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5396],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5398],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5400],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5402],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx4df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5404],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx48qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5406],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5408],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx12si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5410],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx6di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5412],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5414],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5416],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx12sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5418],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx6df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5420],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx64qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5422],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5424],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5426],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5428],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5430],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5432],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5434],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5436],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32qi },
    &operand_data[5438],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hi },
    &operand_data[5441],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8si },
    &operand_data[5444],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4di },
    &operand_data[5447],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16bf },
    &operand_data[5450],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hf },
    &operand_data[5453],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8sf },
    &operand_data[5456],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4df },
    &operand_data[5459],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx48qi },
    &operand_data[5462],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hi },
    &operand_data[5465],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12si },
    &operand_data[5468],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6di },
    &operand_data[5471],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24bf },
    &operand_data[5474],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hf },
    &operand_data[5477],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12sf },
    &operand_data[5480],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6df },
    &operand_data[5483],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx64qi },
    &operand_data[5486],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hi },
    &operand_data[5489],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16si },
    &operand_data[5492],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8di },
    &operand_data[5495],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32bf },
    &operand_data[5498],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hf },
    &operand_data[5501],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16sf },
    &operand_data[5504],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8df },
    &operand_data[5507],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4334 },
#else
    { 0, 0, output_4334 },
#endif
    { 0 },
    &operand_data[5510],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4335 },
#else
    { 0, 0, output_4335 },
#endif
    { 0 },
    &operand_data[5512],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4336 },
#else
    { 0, 0, output_4336 },
#endif
    { 0 },
    &operand_data[5514],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4337 },
#else
    { 0, 0, output_4337 },
#endif
    { 0 },
    &operand_data[5516],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:965 */
  {
    "*aarch64_sve_ptruevnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4338 },
#else
    { 0, 0, output_4338 },
#endif
    { 0 },
    &operand_data[5518],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4339 },
#else
    { 0, 0, output_4339 },
#endif
    { 0 },
    &operand_data[5524],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4340 },
#else
    { 0, 0, output_4340 },
#endif
    { 0 },
    &operand_data[5530],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4341 },
#else
    { 0, 0, output_4341 },
#endif
    { 0 },
    &operand_data[5536],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1018 */
  {
    "*aarch64_sve_ptruevnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4342 },
#else
    { 0, 0, output_4342 },
#endif
    { 0 },
    &operand_data[5542],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4343 },
#else
    { 0, 0, output_4343 },
#endif
    { 0 },
    &operand_data[5548],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4344 },
#else
    { 0, 0, output_4344 },
#endif
    { 0 },
    &operand_data[5554],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4345 },
#else
    { 0, 0, output_4345 },
#endif
    { 0 },
    &operand_data[5560],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1080 */
  {
    "aarch64_wrffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4346 },
#else
    { 0, output_4346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_wrffr },
    &operand_data[5566],
    1,
    1,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1097 */
  {
    "aarch64_update_ffr_for_load",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffr_for_load },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1112 */
  {
    "aarch64_copy_ffr_to_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_copy_ffr_to_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1123 */
  {
    "aarch64_rdffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr },
    &operand_data[5518],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1131 */
  {
    "aarch64_rdffr_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr_z },
    &operand_data[5567],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1141 */
  {
    "*aarch64_rdffr_z_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5569],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1157 */
  {
    "*aarch64_rdffr_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5569],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1171 */
  {
    "*aarch64_rdffr_z_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5572],
    3,
    3,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1190 */
  {
    "*aarch64_rdffr_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5567],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1208 */
  {
    "aarch64_update_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx16qivnx16bi },
    &operand_data[5575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8qivnx8bi },
    &operand_data[5578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4qivnx4bi },
    &operand_data[5581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2qivnx2bi },
    &operand_data[5584],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hivnx8bi },
    &operand_data[5587],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hivnx4bi },
    &operand_data[5590],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hivnx2bi },
    &operand_data[5593],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hfvnx8bi },
    &operand_data[5596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hfvnx4bi },
    &operand_data[5599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hfvnx2bi },
    &operand_data[5602],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8bfvnx8bi },
    &operand_data[5605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4bfvnx4bi },
    &operand_data[5608],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2bfvnx2bi },
    &operand_data[5611],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sivnx4bi },
    &operand_data[5614],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sivnx2bi },
    &operand_data[5617],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sfvnx4bi },
    &operand_data[5620],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sfvnx2bi },
    &operand_data[5623],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2divnx2bi },
    &operand_data[5626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2dfvnx2bi },
    &operand_data[5629],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32qivnx16qi },
    &operand_data[5632],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hivnx8hi },
    &operand_data[5635],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sivnx4si },
    &operand_data[5638],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4divnx2di },
    &operand_data[5641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16bfvnx8bf },
    &operand_data[5644],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hfvnx8hf },
    &operand_data[5647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sfvnx4sf },
    &operand_data[5650],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4dfvnx2df },
    &operand_data[5653],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx48qivnx16qi },
    &operand_data[5656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hivnx8hi },
    &operand_data[5659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sivnx4si },
    &operand_data[5662],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6divnx2di },
    &operand_data[5665],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24bfvnx8bf },
    &operand_data[5668],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hfvnx8hf },
    &operand_data[5671],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sfvnx4sf },
    &operand_data[5674],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6dfvnx2df },
    &operand_data[5677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx64qivnx16qi },
    &operand_data[5680],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hivnx8hi },
    &operand_data[5683],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sivnx4si },
    &operand_data[5686],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8divnx2di },
    &operand_data[5689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32bfvnx8bf },
    &operand_data[5692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hfvnx8hf },
    &operand_data[5695],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sfvnx4sf },
    &operand_data[5698],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8dfvnx2df },
    &operand_data[5701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx8qi },
    &operand_data[5704],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx8qi },
    &operand_data[5704],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx4qi },
    &operand_data[5708],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx4qi },
    &operand_data[5708],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2qi },
    &operand_data[5712],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2qi },
    &operand_data[5712],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4qi },
    &operand_data[5716],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4qi },
    &operand_data[5716],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4hi },
    &operand_data[5720],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4hi },
    &operand_data[5720],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2qi },
    &operand_data[5724],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2qi },
    &operand_data[5724],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2hi },
    &operand_data[5728],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2hi },
    &operand_data[5728],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2qi },
    &operand_data[5732],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2qi },
    &operand_data[5732],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2hi },
    &operand_data[5736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2hi },
    &operand_data[5736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2si },
    &operand_data[5740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2si },
    &operand_data[5740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx16qi },
    &operand_data[5744],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx16qi },
    &operand_data[5747],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hi },
    &operand_data[5750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hi },
    &operand_data[5753],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4si },
    &operand_data[5756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4si },
    &operand_data[5759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2di },
    &operand_data[5762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2di },
    &operand_data[5765],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8bf },
    &operand_data[5768],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8bf },
    &operand_data[5771],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hf },
    &operand_data[5774],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hf },
    &operand_data[5777],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4sf },
    &operand_data[5780],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4sf },
    &operand_data[5783],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2df },
    &operand_data[5786],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2df },
    &operand_data[5789],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx8qi },
    &operand_data[5792],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx8qi },
    &operand_data[5796],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx8qi },
    &operand_data[5792],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx8qi },
    &operand_data[5796],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx4qi },
    &operand_data[5800],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx4qi },
    &operand_data[5804],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx4qi },
    &operand_data[5800],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx4qi },
    &operand_data[5804],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2qi },
    &operand_data[5808],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2qi },
    &operand_data[5812],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2qi },
    &operand_data[5808],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2qi },
    &operand_data[5812],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4qi },
    &operand_data[5816],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4qi },
    &operand_data[5820],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4qi },
    &operand_data[5816],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4qi },
    &operand_data[5820],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4hi },
    &operand_data[5824],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4hi },
    &operand_data[5828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4hi },
    &operand_data[5824],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4hi },
    &operand_data[5828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2qi },
    &operand_data[5832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2qi },
    &operand_data[5836],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2qi },
    &operand_data[5832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2qi },
    &operand_data[5836],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2hi },
    &operand_data[5840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2hi },
    &operand_data[5844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2hi },
    &operand_data[5840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2hi },
    &operand_data[5844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2qi },
    &operand_data[5848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2qi },
    &operand_data[5852],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2qi },
    &operand_data[5848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2qi },
    &operand_data[5852],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2hi },
    &operand_data[5856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2hi },
    &operand_data[5860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2hi },
    &operand_data[5856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2hi },
    &operand_data[5860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2si },
    &operand_data[5864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2si },
    &operand_data[5868],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2si },
    &operand_data[5864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2si },
    &operand_data[5868],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16qi },
    &operand_data[5575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hi },
    &operand_data[5587],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4si },
    &operand_data[5614],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2di },
    &operand_data[5626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8bf },
    &operand_data[5605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hf },
    &operand_data[5596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4sf },
    &operand_data[5620],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2df },
    &operand_data[5629],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4483 },
#else
    { 0, output_4483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4qivnx4si },
    &operand_data[5872],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4484 },
#else
    { 0, output_4484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hivnx4si },
    &operand_data[5878],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4485 },
#else
    { 0, output_4485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hfvnx4si },
    &operand_data[5884],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4486 },
#else
    { 0, output_4486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4bfvnx4si },
    &operand_data[5890],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4487 },
#else
    { 0, output_4487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sivnx4si },
    &operand_data[5896],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4488 },
#else
    { 0, output_4488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sfvnx4si },
    &operand_data[5902],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4489 },
#else
    { 0, output_4489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2qivnx2di },
    &operand_data[5908],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4490 },
#else
    { 0, output_4490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hivnx2di },
    &operand_data[5914],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4491 },
#else
    { 0, output_4491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hfvnx2di },
    &operand_data[5920],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4492 },
#else
    { 0, output_4492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2bfvnx2di },
    &operand_data[5926],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4493 },
#else
    { 0, output_4493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sivnx2di },
    &operand_data[5932],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4494 },
#else
    { 0, output_4494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sfvnx2di },
    &operand_data[5938],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4495 },
#else
    { 0, output_4495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2divnx2di },
    &operand_data[5944],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4496 },
#else
    { 0, output_4496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2dfvnx2di },
    &operand_data[5950],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4497 },
#else
    { 0, output_4497, 0 },
#endif
    { 0 },
    &operand_data[5956],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4498 },
#else
    { 0, output_4498, 0 },
#endif
    { 0 },
    &operand_data[5956],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4499 },
#else
    { 0, output_4499, 0 },
#endif
    { 0 },
    &operand_data[5963],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4500 },
#else
    { 0, output_4500, 0 },
#endif
    { 0 },
    &operand_data[5963],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4501 },
#else
    { 0, output_4501, 0 },
#endif
    { 0 },
    &operand_data[5970],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4502 },
#else
    { 0, output_4502, 0 },
#endif
    { 0 },
    &operand_data[5970],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4503 },
#else
    { 0, output_4503, 0 },
#endif
    { 0 },
    &operand_data[5977],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4504 },
#else
    { 0, output_4504, 0 },
#endif
    { 0 },
    &operand_data[5977],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4505 },
#else
    { 0, output_4505, 0 },
#endif
    { 0 },
    &operand_data[5984],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4506 },
#else
    { 0, output_4506, 0 },
#endif
    { 0 },
    &operand_data[5984],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4507 },
#else
    { 0, output_4507, 0 },
#endif
    { 0 },
    &operand_data[5991],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4508 },
#else
    { 0, output_4508, 0 },
#endif
    { 0 },
    &operand_data[5991],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4509 },
#else
    { 0, output_4509, 0 },
#endif
    { 0 },
    &operand_data[5998],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4510 },
#else
    { 0, output_4510, 0 },
#endif
    { 0 },
    &operand_data[5998],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4511 },
#else
    { 0, output_4511, 0 },
#endif
    { 0 },
    &operand_data[6005],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4512 },
#else
    { 0, output_4512, 0 },
#endif
    { 0 },
    &operand_data[6005],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4513 },
#else
    { 0, output_4513, 0 },
#endif
    { 0 },
    &operand_data[6012],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4514 },
#else
    { 0, output_4514, 0 },
#endif
    { 0 },
    &operand_data[6019],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4515 },
#else
    { 0, output_4515, 0 },
#endif
    { 0 },
    &operand_data[6026],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4516 },
#else
    { 0, output_4516, 0 },
#endif
    { 0 },
    &operand_data[6033],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4517 },
#else
    { 0, output_4517, 0 },
#endif
    { 0 },
    &operand_data[6040],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4518 },
#else
    { 0, output_4518, 0 },
#endif
    { 0 },
    &operand_data[6047],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4519 },
#else
    { 0, output_4519, 0 },
#endif
    { 0 },
    &operand_data[6054],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4520 },
#else
    { 0, output_4520, 0 },
#endif
    { 0 },
    &operand_data[6061],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4521 },
#else
    { 0, output_4521, 0 },
#endif
    { 0 },
    &operand_data[6068],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4522 },
#else
    { 0, output_4522, 0 },
#endif
    { 0 },
    &operand_data[6075],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4523 },
#else
    { 0, output_4523, 0 },
#endif
    { 0 },
    &operand_data[6082],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4524 },
#else
    { 0, output_4524, 0 },
#endif
    { 0 },
    &operand_data[6089],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4525 },
#else
    { 0, output_4525, 0 },
#endif
    { 0 },
    &operand_data[6096],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4526 },
#else
    { 0, output_4526, 0 },
#endif
    { 0 },
    &operand_data[6103],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4527 },
#else
    { 0, output_4527, 0 },
#endif
    { 0 },
    &operand_data[6110],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4528 },
#else
    { 0, output_4528, 0 },
#endif
    { 0 },
    &operand_data[6117],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4529 },
#else
    { 0, output_4529, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4hivnx4qi },
    &operand_data[6124],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4530 },
#else
    { 0, output_4530, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4hivnx4qi },
    &operand_data[6124],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4531 },
#else
    { 0, output_4531, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4qi },
    &operand_data[6131],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4532 },
#else
    { 0, output_4532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4qi },
    &operand_data[6131],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4533 },
#else
    { 0, output_4533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4hi },
    &operand_data[6138],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4534 },
#else
    { 0, output_4534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4hi },
    &operand_data[6138],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4535 },
#else
    { 0, output_4535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2qi },
    &operand_data[6145],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4536 },
#else
    { 0, output_4536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2qi },
    &operand_data[6145],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4537 },
#else
    { 0, output_4537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2qi },
    &operand_data[6152],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4538 },
#else
    { 0, output_4538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2qi },
    &operand_data[6152],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4539 },
#else
    { 0, output_4539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2qi },
    &operand_data[6159],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4540 },
#else
    { 0, output_4540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2qi },
    &operand_data[6159],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4541 },
#else
    { 0, output_4541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2hi },
    &operand_data[6166],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4542 },
#else
    { 0, output_4542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2hi },
    &operand_data[6166],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4543 },
#else
    { 0, output_4543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2hi },
    &operand_data[6173],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4544 },
#else
    { 0, output_4544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2hi },
    &operand_data[6173],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4545 },
#else
    { 0, output_4545, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2si },
    &operand_data[6180],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4546 },
#else
    { 0, output_4546, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2si },
    &operand_data[6180],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4547 },
#else
    { 0, output_4547, 0 },
#endif
    { 0 },
    &operand_data[6187],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4548 },
#else
    { 0, output_4548, 0 },
#endif
    { 0 },
    &operand_data[6187],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4549 },
#else
    { 0, output_4549, 0 },
#endif
    { 0 },
    &operand_data[6187],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4550 },
#else
    { 0, output_4550, 0 },
#endif
    { 0 },
    &operand_data[6187],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4551 },
#else
    { 0, output_4551, 0 },
#endif
    { 0 },
    &operand_data[6195],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4552 },
#else
    { 0, output_4552, 0 },
#endif
    { 0 },
    &operand_data[6195],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4553 },
#else
    { 0, output_4553, 0 },
#endif
    { 0 },
    &operand_data[6195],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4554 },
#else
    { 0, output_4554, 0 },
#endif
    { 0 },
    &operand_data[6195],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4555 },
#else
    { 0, output_4555, 0 },
#endif
    { 0 },
    &operand_data[6203],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4556 },
#else
    { 0, output_4556, 0 },
#endif
    { 0 },
    &operand_data[6203],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4557 },
#else
    { 0, output_4557, 0 },
#endif
    { 0 },
    &operand_data[6203],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4558 },
#else
    { 0, output_4558, 0 },
#endif
    { 0 },
    &operand_data[6203],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4559 },
#else
    { 0, output_4559, 0 },
#endif
    { 0 },
    &operand_data[6211],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4560 },
#else
    { 0, output_4560, 0 },
#endif
    { 0 },
    &operand_data[6211],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4561 },
#else
    { 0, output_4561, 0 },
#endif
    { 0 },
    &operand_data[6211],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4562 },
#else
    { 0, output_4562, 0 },
#endif
    { 0 },
    &operand_data[6211],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4563 },
#else
    { 0, output_4563, 0 },
#endif
    { 0 },
    &operand_data[6219],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4564 },
#else
    { 0, output_4564, 0 },
#endif
    { 0 },
    &operand_data[6219],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4565 },
#else
    { 0, output_4565, 0 },
#endif
    { 0 },
    &operand_data[6219],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4566 },
#else
    { 0, output_4566, 0 },
#endif
    { 0 },
    &operand_data[6219],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4567 },
#else
    { 0, output_4567, 0 },
#endif
    { 0 },
    &operand_data[6227],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4568 },
#else
    { 0, output_4568, 0 },
#endif
    { 0 },
    &operand_data[6227],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4569 },
#else
    { 0, output_4569, 0 },
#endif
    { 0 },
    &operand_data[6227],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4570 },
#else
    { 0, output_4570, 0 },
#endif
    { 0 },
    &operand_data[6227],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4571 },
#else
    { 0, output_4571, 0 },
#endif
    { 0 },
    &operand_data[6235],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4572 },
#else
    { 0, output_4572, 0 },
#endif
    { 0 },
    &operand_data[6235],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4573 },
#else
    { 0, output_4573, 0 },
#endif
    { 0 },
    &operand_data[6243],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4574 },
#else
    { 0, output_4574, 0 },
#endif
    { 0 },
    &operand_data[6243],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4575 },
#else
    { 0, output_4575, 0 },
#endif
    { 0 },
    &operand_data[6251],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4576 },
#else
    { 0, output_4576, 0 },
#endif
    { 0 },
    &operand_data[6251],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4577 },
#else
    { 0, output_4577, 0 },
#endif
    { 0 },
    &operand_data[6259],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4578 },
#else
    { 0, output_4578, 0 },
#endif
    { 0 },
    &operand_data[6259],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4579 },
#else
    { 0, output_4579, 0 },
#endif
    { 0 },
    &operand_data[6267],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4580 },
#else
    { 0, output_4580, 0 },
#endif
    { 0 },
    &operand_data[6267],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4581 },
#else
    { 0, output_4581, 0 },
#endif
    { 0 },
    &operand_data[6275],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4582 },
#else
    { 0, output_4582, 0 },
#endif
    { 0 },
    &operand_data[6275],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4583 },
#else
    { 0, output_4583, 0 },
#endif
    { 0 },
    &operand_data[6283],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4584 },
#else
    { 0, output_4584, 0 },
#endif
    { 0 },
    &operand_data[6283],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4585 },
#else
    { 0, output_4585, 0 },
#endif
    { 0 },
    &operand_data[6291],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4586 },
#else
    { 0, output_4586, 0 },
#endif
    { 0 },
    &operand_data[6291],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4587 },
#else
    { 0, output_4587, 0 },
#endif
    { 0 },
    &operand_data[6299],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4588 },
#else
    { 0, output_4588, 0 },
#endif
    { 0 },
    &operand_data[6299],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4589 },
#else
    { 0, output_4589, 0 },
#endif
    { 0 },
    &operand_data[6307],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4590 },
#else
    { 0, output_4590, 0 },
#endif
    { 0 },
    &operand_data[6307],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4591 },
#else
    { 0, output_4591, 0 },
#endif
    { 0 },
    &operand_data[6315],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4592 },
#else
    { 0, output_4592, 0 },
#endif
    { 0 },
    &operand_data[6315],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4593 },
#else
    { 0, output_4593, 0 },
#endif
    { 0 },
    &operand_data[6323],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4594 },
#else
    { 0, output_4594, 0 },
#endif
    { 0 },
    &operand_data[6323],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1702 */
  {
    "aarch64_ldff1_gathervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4595 },
#else
    { 0, output_4595, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4si },
    &operand_data[6331],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1702 */
  {
    "aarch64_ldff1_gathervnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4596 },
#else
    { 0, output_4596, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4sf },
    &operand_data[6337],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "aarch64_ldff1_gathervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4597 },
#else
    { 0, output_4597, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2di },
    &operand_data[5944],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "aarch64_ldff1_gathervnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4598 },
#else
    { 0, output_4598, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2df },
    &operand_data[5950],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1745 */
  {
    "*aarch64_ldff1_gathervnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4599 },
#else
    { 0, output_4599, 0 },
#endif
    { 0 },
    &operand_data[6054],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1745 */
  {
    "*aarch64_ldff1_gathervnx2df_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4600 },
#else
    { 0, output_4600, 0 },
#endif
    { 0 },
    &operand_data[6061],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1772 */
  {
    "*aarch64_ldff1_gathervnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4601 },
#else
    { 0, output_4601, 0 },
#endif
    { 0 },
    &operand_data[6110],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1772 */
  {
    "*aarch64_ldff1_gathervnx2df_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4602 },
#else
    { 0, output_4602, 0 },
#endif
    { 0 },
    &operand_data[6117],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4603 },
#else
    { 0, output_4603, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4qi },
    &operand_data[6343],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4604 },
#else
    { 0, output_4604, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4qi },
    &operand_data[6343],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4605 },
#else
    { 0, output_4605, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4hi },
    &operand_data[6350],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4606 },
#else
    { 0, output_4606, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4hi },
    &operand_data[6350],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4607 },
#else
    { 0, output_4607, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2qi },
    &operand_data[6159],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4608 },
#else
    { 0, output_4608, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2qi },
    &operand_data[6159],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4609 },
#else
    { 0, output_4609, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2hi },
    &operand_data[6173],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4610 },
#else
    { 0, output_4610, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2hi },
    &operand_data[6173],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4611 },
#else
    { 0, output_4611, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2si },
    &operand_data[6180],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4612 },
#else
    { 0, output_4612, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2si },
    &operand_data[6180],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4613 },
#else
    { 0, output_4613, 0 },
#endif
    { 0 },
    &operand_data[6251],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4614 },
#else
    { 0, output_4614, 0 },
#endif
    { 0 },
    &operand_data[6251],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4615 },
#else
    { 0, output_4615, 0 },
#endif
    { 0 },
    &operand_data[6267],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4616 },
#else
    { 0, output_4616, 0 },
#endif
    { 0 },
    &operand_data[6267],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4617 },
#else
    { 0, output_4617, 0 },
#endif
    { 0 },
    &operand_data[6275],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4618 },
#else
    { 0, output_4618, 0 },
#endif
    { 0 },
    &operand_data[6275],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4619 },
#else
    { 0, output_4619, 0 },
#endif
    { 0 },
    &operand_data[6299],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4620 },
#else
    { 0, output_4620, 0 },
#endif
    { 0 },
    &operand_data[6299],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4621 },
#else
    { 0, output_4621, 0 },
#endif
    { 0 },
    &operand_data[6315],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4622 },
#else
    { 0, output_4622, 0 },
#endif
    { 0 },
    &operand_data[6315],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4623 },
#else
    { 0, output_4623, 0 },
#endif
    { 0 },
    &operand_data[6323],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4624 },
#else
    { 0, output_4624, 0 },
#endif
    { 0 },
    &operand_data[6323],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4625 },
#else
    { 0, 0, output_4625 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx16qi },
    &operand_data[6357],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4626 },
#else
    { 0, 0, output_4626 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx8hi },
    &operand_data[6362],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4627 },
#else
    { 0, 0, output_4627 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx4si },
    &operand_data[6367],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4628 },
#else
    { 0, 0, output_4628 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx2di },
    &operand_data[6372],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4629 },
#else
    { 0, 0, output_4629 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx4si },
    &operand_data[6377],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4630 },
#else
    { 0, 0, output_4630 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx4si },
    &operand_data[6386],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4631 },
#else
    { 0, 0, output_4631 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx4si },
    &operand_data[6395],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4632 },
#else
    { 0, 0, output_4632 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx4si },
    &operand_data[6404],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4633 },
#else
    { 0, 0, output_4633 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx2di },
    &operand_data[6413],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4634 },
#else
    { 0, 0, output_4634 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx2di },
    &operand_data[6422],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4635 },
#else
    { 0, 0, output_4635 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx2di },
    &operand_data[6431],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4636 },
#else
    { 0, 0, output_4636 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx2di },
    &operand_data[6440],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4637 },
#else
    { 0, 0, output_4637 },
#endif
    { 0 },
    &operand_data[6449],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4638 },
#else
    { 0, 0, output_4638 },
#endif
    { 0 },
    &operand_data[6459],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4639 },
#else
    { 0, 0, output_4639 },
#endif
    { 0 },
    &operand_data[6469],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4640 },
#else
    { 0, 0, output_4640 },
#endif
    { 0 },
    &operand_data[6479],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4641 },
#else
    { 0, 0, output_4641 },
#endif
    { 0 },
    &operand_data[6489],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4642 },
#else
    { 0, 0, output_4642 },
#endif
    { 0 },
    &operand_data[6499],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4643 },
#else
    { 0, 0, output_4643 },
#endif
    { 0 },
    &operand_data[6509],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4644 },
#else
    { 0, 0, output_4644 },
#endif
    { 0 },
    &operand_data[6519],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx16qivnx16bi },
    &operand_data[6529],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8qivnx8bi },
    &operand_data[6532],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4qivnx4bi },
    &operand_data[6535],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2qivnx2bi },
    &operand_data[6538],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hivnx8bi },
    &operand_data[6541],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hivnx4bi },
    &operand_data[6544],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hivnx2bi },
    &operand_data[6547],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hfvnx8bi },
    &operand_data[6550],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hfvnx4bi },
    &operand_data[6553],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hfvnx2bi },
    &operand_data[6556],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8bfvnx8bi },
    &operand_data[6559],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4bfvnx4bi },
    &operand_data[6562],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2bfvnx2bi },
    &operand_data[6565],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sivnx4bi },
    &operand_data[6568],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sivnx2bi },
    &operand_data[6571],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sfvnx4bi },
    &operand_data[6574],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sfvnx2bi },
    &operand_data[6577],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2divnx2bi },
    &operand_data[6580],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2dfvnx2bi },
    &operand_data[6583],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32qivnx16qi },
    &operand_data[6586],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hivnx8hi },
    &operand_data[6589],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sivnx4si },
    &operand_data[6592],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4divnx2di },
    &operand_data[6595],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16bfvnx8bf },
    &operand_data[6598],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hfvnx8hf },
    &operand_data[6601],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sfvnx4sf },
    &operand_data[6604],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4dfvnx2df },
    &operand_data[6607],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx48qivnx16qi },
    &operand_data[6610],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hivnx8hi },
    &operand_data[6613],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sivnx4si },
    &operand_data[6616],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6divnx2di },
    &operand_data[6619],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24bfvnx8bf },
    &operand_data[6622],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hfvnx8hf },
    &operand_data[6625],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sfvnx4sf },
    &operand_data[6628],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6dfvnx2df },
    &operand_data[6631],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx64qivnx16qi },
    &operand_data[6634],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hivnx8hi },
    &operand_data[6637],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sivnx4si },
    &operand_data[6640],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8divnx2di },
    &operand_data[6643],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32bfvnx8bf },
    &operand_data[6646],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hfvnx8hf },
    &operand_data[6649],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sfvnx4sf },
    &operand_data[6652],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8dfvnx2df },
    &operand_data[6655],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2167 */
  {
    "aarch64_store_truncvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx8qivnx8hi },
    &operand_data[6658],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2180 */
  {
    "aarch64_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4qivnx4si },
    &operand_data[6661],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2180 */
  {
    "aarch64_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4hivnx4si },
    &operand_data[6664],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2qivnx2di },
    &operand_data[6667],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2hivnx2di },
    &operand_data[6670],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2sivnx2di },
    &operand_data[6673],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16qi },
    &operand_data[6529],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hi },
    &operand_data[6541],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4si },
    &operand_data[6568],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2di },
    &operand_data[6580],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8bf },
    &operand_data[6559],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hf },
    &operand_data[6550],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4sf },
    &operand_data[6574],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2df },
    &operand_data[6583],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4702 },
#else
    { 0, output_4702, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4qivnx4si },
    &operand_data[6676],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4703 },
#else
    { 0, output_4703, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hivnx4si },
    &operand_data[6682],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4704 },
#else
    { 0, output_4704, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hfvnx4si },
    &operand_data[6688],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4705 },
#else
    { 0, output_4705, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4bfvnx4si },
    &operand_data[6694],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4706 },
#else
    { 0, output_4706, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sivnx4si },
    &operand_data[6700],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4707 },
#else
    { 0, output_4707, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sfvnx4si },
    &operand_data[6706],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4708 },
#else
    { 0, output_4708, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2qivnx2di },
    &operand_data[6712],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4709 },
#else
    { 0, output_4709, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hivnx2di },
    &operand_data[6718],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4710 },
#else
    { 0, output_4710, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hfvnx2di },
    &operand_data[6724],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4711 },
#else
    { 0, output_4711, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2bfvnx2di },
    &operand_data[6730],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4712 },
#else
    { 0, output_4712, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sivnx2di },
    &operand_data[6736],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4713 },
#else
    { 0, output_4713, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sfvnx2di },
    &operand_data[6742],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4714 },
#else
    { 0, output_4714, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2divnx2di },
    &operand_data[6748],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4715 },
#else
    { 0, output_4715, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2dfvnx2di },
    &operand_data[6754],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4716 },
#else
    { 0, output_4716, 0 },
#endif
    { 0 },
    &operand_data[6760],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4717 },
#else
    { 0, output_4717, 0 },
#endif
    { 0 },
    &operand_data[6760],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4718 },
#else
    { 0, output_4718, 0 },
#endif
    { 0 },
    &operand_data[6767],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4719 },
#else
    { 0, output_4719, 0 },
#endif
    { 0 },
    &operand_data[6767],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4720 },
#else
    { 0, output_4720, 0 },
#endif
    { 0 },
    &operand_data[6774],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4721 },
#else
    { 0, output_4721, 0 },
#endif
    { 0 },
    &operand_data[6774],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4722 },
#else
    { 0, output_4722, 0 },
#endif
    { 0 },
    &operand_data[6781],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4723 },
#else
    { 0, output_4723, 0 },
#endif
    { 0 },
    &operand_data[6781],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4724 },
#else
    { 0, output_4724, 0 },
#endif
    { 0 },
    &operand_data[6788],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4725 },
#else
    { 0, output_4725, 0 },
#endif
    { 0 },
    &operand_data[6788],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4726 },
#else
    { 0, output_4726, 0 },
#endif
    { 0 },
    &operand_data[6795],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4727 },
#else
    { 0, output_4727, 0 },
#endif
    { 0 },
    &operand_data[6795],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4728 },
#else
    { 0, output_4728, 0 },
#endif
    { 0 },
    &operand_data[6802],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4729 },
#else
    { 0, output_4729, 0 },
#endif
    { 0 },
    &operand_data[6802],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4730 },
#else
    { 0, output_4730, 0 },
#endif
    { 0 },
    &operand_data[6809],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4731 },
#else
    { 0, output_4731, 0 },
#endif
    { 0 },
    &operand_data[6809],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4732 },
#else
    { 0, output_4732, 0 },
#endif
    { 0 },
    &operand_data[6816],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4733 },
#else
    { 0, output_4733, 0 },
#endif
    { 0 },
    &operand_data[6823],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4734 },
#else
    { 0, output_4734, 0 },
#endif
    { 0 },
    &operand_data[6830],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4735 },
#else
    { 0, output_4735, 0 },
#endif
    { 0 },
    &operand_data[6837],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4736 },
#else
    { 0, output_4736, 0 },
#endif
    { 0 },
    &operand_data[6844],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4737 },
#else
    { 0, output_4737, 0 },
#endif
    { 0 },
    &operand_data[6851],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4738 },
#else
    { 0, output_4738, 0 },
#endif
    { 0 },
    &operand_data[6858],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4739 },
#else
    { 0, output_4739, 0 },
#endif
    { 0 },
    &operand_data[6865],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4740 },
#else
    { 0, output_4740, 0 },
#endif
    { 0 },
    &operand_data[6872],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4741 },
#else
    { 0, output_4741, 0 },
#endif
    { 0 },
    &operand_data[6879],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4742 },
#else
    { 0, output_4742, 0 },
#endif
    { 0 },
    &operand_data[6886],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4743 },
#else
    { 0, output_4743, 0 },
#endif
    { 0 },
    &operand_data[6893],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4744 },
#else
    { 0, output_4744, 0 },
#endif
    { 0 },
    &operand_data[6900],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4745 },
#else
    { 0, output_4745, 0 },
#endif
    { 0 },
    &operand_data[6907],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4746 },
#else
    { 0, output_4746, 0 },
#endif
    { 0 },
    &operand_data[6914],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4747 },
#else
    { 0, output_4747, 0 },
#endif
    { 0 },
    &operand_data[6921],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2376 */
  {
    "aarch64_scatter_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4748 },
#else
    { 0, output_4748, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4qivnx4si },
    &operand_data[6928],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2376 */
  {
    "aarch64_scatter_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4749 },
#else
    { 0, output_4749, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4hivnx4si },
    &operand_data[6934],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4750 },
#else
    { 0, output_4750, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2qivnx2di },
    &operand_data[6940],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4751 },
#else
    { 0, output_4751, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2hivnx2di },
    &operand_data[6946],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4752 },
#else
    { 0, output_4752, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2sivnx2di },
    &operand_data[6952],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4753 },
#else
    { 0, output_4753, 0 },
#endif
    { 0 },
    &operand_data[6958],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4754 },
#else
    { 0, output_4754, 0 },
#endif
    { 0 },
    &operand_data[6965],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4755 },
#else
    { 0, output_4755, 0 },
#endif
    { 0 },
    &operand_data[6972],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4756 },
#else
    { 0, output_4756, 0 },
#endif
    { 0 },
    &operand_data[6979],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4757 },
#else
    { 0, output_4757, 0 },
#endif
    { 0 },
    &operand_data[6986],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4758 },
#else
    { 0, output_4758, 0 },
#endif
    { 0 },
    &operand_data[6993],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx16qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4759 },
#else
    { 0, output_4759, 0 },
#endif
    { 0 },
    &operand_data[7000],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4760 },
#else
    { 0, output_4760, 0 },
#endif
    { 0 },
    &operand_data[7003],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4761 },
#else
    { 0, output_4761, 0 },
#endif
    { 0 },
    &operand_data[7006],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4762 },
#else
    { 0, output_4762, 0 },
#endif
    { 0 },
    &operand_data[7009],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4763 },
#else
    { 0, output_4763, 0 },
#endif
    { 0 },
    &operand_data[7012],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4764 },
#else
    { 0, output_4764, 0 },
#endif
    { 0 },
    &operand_data[7015],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4765 },
#else
    { 0, output_4765, 0 },
#endif
    { 0 },
    &operand_data[7018],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4766 },
#else
    { 0, output_4766, 0 },
#endif
    { 0 },
    &operand_data[7021],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4767 },
#else
    { 0, output_4767, 0 },
#endif
    { 0 },
    &operand_data[7024],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4768 },
#else
    { 0, output_4768, 0 },
#endif
    { 0 },
    &operand_data[7027],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4769 },
#else
    { 0, output_4769, 0 },
#endif
    { 0 },
    &operand_data[7030],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4770 },
#else
    { 0, output_4770, 0 },
#endif
    { 0 },
    &operand_data[7033],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4771 },
#else
    { 0, output_4771, 0 },
#endif
    { 0 },
    &operand_data[7036],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4772 },
#else
    { 0, output_4772, 0 },
#endif
    { 0 },
    &operand_data[7039],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4773 },
#else
    { 0, output_4773, 0 },
#endif
    { 0 },
    &operand_data[7042],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4774 },
#else
    { 0, output_4774, 0 },
#endif
    { 0 },
    &operand_data[7045],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4775 },
#else
    { 0, output_4775, 0 },
#endif
    { 0 },
    &operand_data[7048],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2di_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4776 },
#else
    { 0, output_4776, 0 },
#endif
    { 0 },
    &operand_data[7051],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2df_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4777 },
#else
    { 0, output_4777, 0 },
#endif
    { 0 },
    &operand_data[7054],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4778 },
#else
    { 0, 0, output_4778 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_le },
    &operand_data[7057],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4779 },
#else
    { 0, 0, output_4779 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_le },
    &operand_data[7059],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4780 },
#else
    { 0, 0, output_4780 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_le },
    &operand_data[7061],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4781 },
#else
    { 0, 0, output_4781 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_le },
    &operand_data[7063],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4782 },
#else
    { 0, 0, output_4782 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_le },
    &operand_data[7065],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4783 },
#else
    { 0, 0, output_4783 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_le },
    &operand_data[7067],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4784 },
#else
    { 0, 0, output_4784 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_le },
    &operand_data[7069],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx2df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4785 },
#else
    { 0, 0, output_4785 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_le },
    &operand_data[7071],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4786 },
#else
    { 0, 0, output_4786 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_be },
    &operand_data[7073],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4787 },
#else
    { 0, 0, output_4787 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_be },
    &operand_data[7076],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4788 },
#else
    { 0, 0, output_4788 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_be },
    &operand_data[7079],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4789 },
#else
    { 0, 0, output_4789 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_be },
    &operand_data[7082],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4790 },
#else
    { 0, 0, output_4790 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_be },
    &operand_data[7085],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4791 },
#else
    { 0, 0, output_4791 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_be },
    &operand_data[7088],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4792 },
#else
    { 0, 0, output_4792 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_be },
    &operand_data[7091],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx2df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4793 },
#else
    { 0, 0, output_4793 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_be },
    &operand_data[7094],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx16qi },
    &operand_data[7097],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8qi },
    &operand_data[7101],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4qi },
    &operand_data[7105],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2qi },
    &operand_data[7109],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hi },
    &operand_data[7113],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hi },
    &operand_data[7117],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hi },
    &operand_data[7121],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hf },
    &operand_data[7125],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hf },
    &operand_data[7129],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hf },
    &operand_data[7133],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8bf },
    &operand_data[7137],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4bf },
    &operand_data[7141],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2bf },
    &operand_data[7145],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4si },
    &operand_data[7149],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2si },
    &operand_data[7153],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4sf },
    &operand_data[7157],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2sf },
    &operand_data[7161],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2di },
    &operand_data[7165],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2df },
    &operand_data[7169],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4813 },
#else
    { 0, 0, output_4813 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx16qi },
    &operand_data[7173],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4814 },
#else
    { 0, 0, output_4814 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hi },
    &operand_data[7176],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4815 },
#else
    { 0, 0, output_4815 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4si },
    &operand_data[7179],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4816 },
#else
    { 0, 0, output_4816 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2di },
    &operand_data[7182],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4817 },
#else
    { 0, 0, output_4817 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8bf },
    &operand_data[7185],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4818 },
#else
    { 0, 0, output_4818 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hf },
    &operand_data[7188],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4819 },
#else
    { 0, 0, output_4819 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4sf },
    &operand_data[7191],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4820 },
#else
    { 0, 0, output_4820 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2df },
    &operand_data[7194],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4821 },
#else
    { 0, 0, output_4821 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx16qi },
    &operand_data[7197],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4822 },
#else
    { 0, 0, output_4822 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hi },
    &operand_data[7200],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4823 },
#else
    { 0, 0, output_4823 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4si },
    &operand_data[7203],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4824 },
#else
    { 0, 0, output_4824 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2di },
    &operand_data[7206],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4825 },
#else
    { 0, 0, output_4825 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8bf },
    &operand_data[7209],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4826 },
#else
    { 0, 0, output_4826 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hf },
    &operand_data[7212],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4827 },
#else
    { 0, 0, output_4827 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4sf },
    &operand_data[7215],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4828 },
#else
    { 0, 0, output_4828 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2df },
    &operand_data[7218],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4829 },
#else
    { 0, output_4829, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx16qi },
    &operand_data[7221],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4830 },
#else
    { 0, output_4830, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hi },
    &operand_data[7224],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4831 },
#else
    { 0, output_4831, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4si },
    &operand_data[7227],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4832 },
#else
    { 0, output_4832, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2di },
    &operand_data[7230],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4833 },
#else
    { 0, output_4833, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8bf },
    &operand_data[7233],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4834 },
#else
    { 0, output_4834, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hf },
    &operand_data[7236],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4835 },
#else
    { 0, output_4835, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4sf },
    &operand_data[7239],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4836 },
#else
    { 0, output_4836, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2df },
    &operand_data[7242],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4837 },
#else
    { 0, output_4837, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx16qi },
    &operand_data[7245],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4838 },
#else
    { 0, output_4838, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8qi },
    &operand_data[7248],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4839 },
#else
    { 0, output_4839, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4qi },
    &operand_data[7251],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4840 },
#else
    { 0, output_4840, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2qi },
    &operand_data[7254],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4841 },
#else
    { 0, output_4841, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8hi },
    &operand_data[7257],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4842 },
#else
    { 0, output_4842, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4hi },
    &operand_data[7260],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4843 },
#else
    { 0, output_4843, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2hi },
    &operand_data[7263],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4844 },
#else
    { 0, output_4844, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4si },
    &operand_data[7266],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4845 },
#else
    { 0, output_4845, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2si },
    &operand_data[7269],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4846 },
#else
    { 0, output_4846, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2di },
    &operand_data[7272],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4847 },
#else
    { 0, 0, output_4847 },
#endif
    { 0 },
    &operand_data[7275],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx8qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4848 },
#else
    { 0, 0, output_4848 },
#endif
    { 0 },
    &operand_data[7278],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4849 },
#else
    { 0, 0, output_4849 },
#endif
    { 0 },
    &operand_data[7281],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4850 },
#else
    { 0, 0, output_4850 },
#endif
    { 0 },
    &operand_data[7284],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4851 },
#else
    { 0, 0, output_4851 },
#endif
    { 0 },
    &operand_data[7287],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4852 },
#else
    { 0, 0, output_4852 },
#endif
    { 0 },
    &operand_data[7290],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4853 },
#else
    { 0, 0, output_4853 },
#endif
    { 0 },
    &operand_data[7293],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4854 },
#else
    { 0, 0, output_4854 },
#endif
    { 0 },
    &operand_data[7296],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4855 },
#else
    { 0, 0, output_4855 },
#endif
    { 0 },
    &operand_data[7299],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4856 },
#else
    { 0, 0, output_4856 },
#endif
    { 0 },
    &operand_data[7302],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx16qiqi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4857 },
#else
    { 0, 0, output_4857 },
#endif
    { 0 },
    &operand_data[7305],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8hihi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4858 },
#else
    { 0, 0, output_4858 },
#endif
    { 0 },
    &operand_data[7307],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx4sisi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4859 },
#else
    { 0, 0, output_4859 },
#endif
    { 0 },
    &operand_data[7309],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx2didi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4860 },
#else
    { 0, 0, output_4860 },
#endif
    { 0 },
    &operand_data[7311],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8bfbf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4861 },
#else
    { 0, 0, output_4861 },
#endif
    { 0 },
    &operand_data[7313],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8hfhf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4862 },
#else
    { 0, 0, output_4862 },
#endif
    { 0 },
    &operand_data[7315],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx4sfsf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4863 },
#else
    { 0, 0, output_4863 },
#endif
    { 0 },
    &operand_data[7317],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx2dfdf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4864 },
#else
    { 0, 0, output_4864 },
#endif
    { 0 },
    &operand_data[7319],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx16qiqi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4865 },
#else
    { 0, 0, output_4865 },
#endif
    { 0 },
    &operand_data[7321],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8hihi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4866 },
#else
    { 0, 0, output_4866 },
#endif
    { 0 },
    &operand_data[7324],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx4sisi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4867 },
#else
    { 0, 0, output_4867 },
#endif
    { 0 },
    &operand_data[7327],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx2didi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4868 },
#else
    { 0, 0, output_4868 },
#endif
    { 0 },
    &operand_data[7330],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8bfbf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4869 },
#else
    { 0, 0, output_4869 },
#endif
    { 0 },
    &operand_data[7333],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8hfhf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4870 },
#else
    { 0, 0, output_4870 },
#endif
    { 0 },
    &operand_data[7336],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx4sfsf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4871 },
#else
    { 0, 0, output_4871 },
#endif
    { 0 },
    &operand_data[7339],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx2dfdf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4872 },
#else
    { 0, 0, output_4872 },
#endif
    { 0 },
    &operand_data[7342],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx16qiqi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4873 },
#else
    { 0, 0, output_4873 },
#endif
    { 0 },
    &operand_data[7345],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8hihi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4874 },
#else
    { 0, 0, output_4874 },
#endif
    { 0 },
    &operand_data[7348],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx4sisi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4875 },
#else
    { 0, 0, output_4875 },
#endif
    { 0 },
    &operand_data[7351],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx2didi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4876 },
#else
    { 0, 0, output_4876 },
#endif
    { 0 },
    &operand_data[7354],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8bfbf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4877 },
#else
    { 0, 0, output_4877 },
#endif
    { 0 },
    &operand_data[7357],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8hfhf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4878 },
#else
    { 0, 0, output_4878 },
#endif
    { 0 },
    &operand_data[7360],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx4sfsf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4879 },
#else
    { 0, 0, output_4879 },
#endif
    { 0 },
    &operand_data[7363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx2dfdf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4880 },
#else
    { 0, 0, output_4880 },
#endif
    { 0 },
    &operand_data[7366],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx16qiqi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4881 },
#else
    { 0, 0, output_4881 },
#endif
    { 0 },
    &operand_data[7369],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8hihi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4882 },
#else
    { 0, 0, output_4882 },
#endif
    { 0 },
    &operand_data[7372],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx4sisi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4883 },
#else
    { 0, 0, output_4883 },
#endif
    { 0 },
    &operand_data[7375],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx2didi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4884 },
#else
    { 0, 0, output_4884 },
#endif
    { 0 },
    &operand_data[7378],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8bfbf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4885 },
#else
    { 0, 0, output_4885 },
#endif
    { 0 },
    &operand_data[7381],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8hfhf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4886 },
#else
    { 0, 0, output_4886 },
#endif
    { 0 },
    &operand_data[7384],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx4sfsf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4887 },
#else
    { 0, 0, output_4887 },
#endif
    { 0 },
    &operand_data[7387],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx2dfdf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4888 },
#else
    { 0, 0, output_4888 },
#endif
    { 0 },
    &operand_data[7390],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4889 },
#else
    { 0, output_4889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx16qi },
    &operand_data[7393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4890 },
#else
    { 0, output_4890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx16qi },
    &operand_data[7393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4891 },
#else
    { 0, output_4891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hi },
    &operand_data[7396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4892 },
#else
    { 0, output_4892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hi },
    &operand_data[7396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4893 },
#else
    { 0, output_4893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4si },
    &operand_data[7399],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4894 },
#else
    { 0, output_4894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4si },
    &operand_data[7399],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4895 },
#else
    { 0, output_4895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2di },
    &operand_data[7402],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4896 },
#else
    { 0, output_4896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2di },
    &operand_data[7402],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4897 },
#else
    { 0, output_4897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8bf },
    &operand_data[7405],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4898 },
#else
    { 0, output_4898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8bf },
    &operand_data[7405],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4899 },
#else
    { 0, output_4899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hf },
    &operand_data[7408],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4900 },
#else
    { 0, output_4900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hf },
    &operand_data[7408],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4901 },
#else
    { 0, output_4901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4sf },
    &operand_data[7411],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4902 },
#else
    { 0, output_4902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4sf },
    &operand_data[7411],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4903 },
#else
    { 0, output_4903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2df },
    &operand_data[7414],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4904 },
#else
    { 0, output_4904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2df },
    &operand_data[7414],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4905 },
#else
    { 0, output_4905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4906 },
#else
    { 0, output_4906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4907 },
#else
    { 0, output_4907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4908 },
#else
    { 0, output_4908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4909 },
#else
    { 0, output_4909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4910 },
#else
    { 0, output_4910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4911 },
#else
    { 0, output_4911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4912 },
#else
    { 0, output_4912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4913 },
#else
    { 0, output_4913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4914 },
#else
    { 0, output_4914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4915 },
#else
    { 0, output_4915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4916 },
#else
    { 0, output_4916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4917 },
#else
    { 0, output_4917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4918 },
#else
    { 0, output_4918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4919 },
#else
    { 0, output_4919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4920 },
#else
    { 0, output_4920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8qi },
    &operand_data[7420],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4921 },
#else
    { 0, output_4921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4922 },
#else
    { 0, output_4922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4923 },
#else
    { 0, output_4923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4924 },
#else
    { 0, output_4924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4925 },
#else
    { 0, output_4925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4926 },
#else
    { 0, output_4926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4927 },
#else
    { 0, output_4927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4928 },
#else
    { 0, output_4928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4qi },
    &operand_data[7423],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4929 },
#else
    { 0, output_4929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4930 },
#else
    { 0, output_4930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4931 },
#else
    { 0, output_4931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4932 },
#else
    { 0, output_4932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4933 },
#else
    { 0, output_4933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4934 },
#else
    { 0, output_4934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4935 },
#else
    { 0, output_4935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4936 },
#else
    { 0, output_4936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2qi },
    &operand_data[7426],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4937 },
#else
    { 0, output_4937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4938 },
#else
    { 0, output_4938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4939 },
#else
    { 0, output_4939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4940 },
#else
    { 0, output_4940, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4941 },
#else
    { 0, output_4941, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4942 },
#else
    { 0, output_4942, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4943 },
#else
    { 0, output_4943, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4944 },
#else
    { 0, output_4944, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4945 },
#else
    { 0, output_4945, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4946 },
#else
    { 0, output_4946, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4947 },
#else
    { 0, output_4947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4948 },
#else
    { 0, output_4948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4949 },
#else
    { 0, output_4949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4950 },
#else
    { 0, output_4950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4951 },
#else
    { 0, output_4951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4952 },
#else
    { 0, output_4952, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4hi },
    &operand_data[7432],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4953 },
#else
    { 0, output_4953, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4954 },
#else
    { 0, output_4954, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4955 },
#else
    { 0, output_4955, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4956 },
#else
    { 0, output_4956, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4957 },
#else
    { 0, output_4957, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4958 },
#else
    { 0, output_4958, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4959 },
#else
    { 0, output_4959, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4960 },
#else
    { 0, output_4960, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2hi },
    &operand_data[7435],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4961 },
#else
    { 0, output_4961, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4962 },
#else
    { 0, output_4962, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4963 },
#else
    { 0, output_4963, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4964 },
#else
    { 0, output_4964, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4965 },
#else
    { 0, output_4965, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4966 },
#else
    { 0, output_4966, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4967 },
#else
    { 0, output_4967, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4968 },
#else
    { 0, output_4968, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4969 },
#else
    { 0, output_4969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4970 },
#else
    { 0, output_4970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4971 },
#else
    { 0, output_4971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4972 },
#else
    { 0, output_4972, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4973 },
#else
    { 0, output_4973, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4974 },
#else
    { 0, output_4974, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4975 },
#else
    { 0, output_4975, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4976 },
#else
    { 0, output_4976, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2si },
    &operand_data[7441],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4977 },
#else
    { 0, output_4977, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4978 },
#else
    { 0, output_4978, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4979 },
#else
    { 0, output_4979, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4980 },
#else
    { 0, output_4980, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4981 },
#else
    { 0, output_4981, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4982 },
#else
    { 0, output_4982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4983 },
#else
    { 0, output_4983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4984 },
#else
    { 0, output_4984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4985 },
#else
    { 0, output_4985, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4986 },
#else
    { 0, output_4986, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4987 },
#else
    { 0, output_4987, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4988 },
#else
    { 0, output_4988, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4989 },
#else
    { 0, output_4989, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4990 },
#else
    { 0, output_4990, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4991 },
#else
    { 0, output_4991, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4992 },
#else
    { 0, output_4992, 0 },
#endif
    { 0 },
    &operand_data[7417],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4993 },
#else
    { 0, output_4993, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4994 },
#else
    { 0, output_4994, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4995 },
#else
    { 0, output_4995, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4996 },
#else
    { 0, output_4996, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4997 },
#else
    { 0, output_4997, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4998 },
#else
    { 0, output_4998, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4999 },
#else
    { 0, output_4999, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5000 },
#else
    { 0, output_5000, 0 },
#endif
    { 0 },
    &operand_data[7420],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5001 },
#else
    { 0, output_5001, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5002 },
#else
    { 0, output_5002, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5003 },
#else
    { 0, output_5003, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5004 },
#else
    { 0, output_5004, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5005 },
#else
    { 0, output_5005, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5006 },
#else
    { 0, output_5006, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5007 },
#else
    { 0, output_5007, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5008 },
#else
    { 0, output_5008, 0 },
#endif
    { 0 },
    &operand_data[7423],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5009 },
#else
    { 0, output_5009, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5010 },
#else
    { 0, output_5010, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5011 },
#else
    { 0, output_5011, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5012 },
#else
    { 0, output_5012, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5013 },
#else
    { 0, output_5013, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5014 },
#else
    { 0, output_5014, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5015 },
#else
    { 0, output_5015, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5016 },
#else
    { 0, output_5016, 0 },
#endif
    { 0 },
    &operand_data[7426],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5017 },
#else
    { 0, output_5017, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5018 },
#else
    { 0, output_5018, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5019 },
#else
    { 0, output_5019, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5020 },
#else
    { 0, output_5020, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5021 },
#else
    { 0, output_5021, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5022 },
#else
    { 0, output_5022, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5023 },
#else
    { 0, output_5023, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5024 },
#else
    { 0, output_5024, 0 },
#endif
    { 0 },
    &operand_data[7429],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5025 },
#else
    { 0, output_5025, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5026 },
#else
    { 0, output_5026, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5027 },
#else
    { 0, output_5027, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5028 },
#else
    { 0, output_5028, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5029 },
#else
    { 0, output_5029, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5030 },
#else
    { 0, output_5030, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5031 },
#else
    { 0, output_5031, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5032 },
#else
    { 0, output_5032, 0 },
#endif
    { 0 },
    &operand_data[7432],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5033 },
#else
    { 0, output_5033, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5034 },
#else
    { 0, output_5034, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5035 },
#else
    { 0, output_5035, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5036 },
#else
    { 0, output_5036, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5037 },
#else
    { 0, output_5037, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5038 },
#else
    { 0, output_5038, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5039 },
#else
    { 0, output_5039, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5040 },
#else
    { 0, output_5040, 0 },
#endif
    { 0 },
    &operand_data[7435],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5041 },
#else
    { 0, output_5041, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5042 },
#else
    { 0, output_5042, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5043 },
#else
    { 0, output_5043, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5044 },
#else
    { 0, output_5044, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5045 },
#else
    { 0, output_5045, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5046 },
#else
    { 0, output_5046, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5047 },
#else
    { 0, output_5047, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5048 },
#else
    { 0, output_5048, 0 },
#endif
    { 0 },
    &operand_data[7438],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5049 },
#else
    { 0, output_5049, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5050 },
#else
    { 0, output_5050, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5051 },
#else
    { 0, output_5051, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5052 },
#else
    { 0, output_5052, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5053 },
#else
    { 0, output_5053, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5054 },
#else
    { 0, output_5054, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5055 },
#else
    { 0, output_5055, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5056 },
#else
    { 0, output_5056, 0 },
#endif
    { 0 },
    &operand_data[7441],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5057 },
#else
    { 0, output_5057, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5058 },
#else
    { 0, output_5058, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5059 },
#else
    { 0, output_5059, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5060 },
#else
    { 0, output_5060, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5061 },
#else
    { 0, output_5061, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5062 },
#else
    { 0, output_5062, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5063 },
#else
    { 0, output_5063, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5064 },
#else
    { 0, output_5064, 0 },
#endif
    { 0 },
    &operand_data[7444],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5065 },
#else
    { 0, output_5065, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5066 },
#else
    { 0, output_5066, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5067 },
#else
    { 0, output_5067, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5068 },
#else
    { 0, output_5068, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5069 },
#else
    { 0, output_5069, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5070 },
#else
    { 0, output_5070, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5071 },
#else
    { 0, output_5071, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5072 },
#else
    { 0, output_5072, 0 },
#endif
    { 0 },
    &operand_data[7447],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5073 },
#else
    { 0, output_5073, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5074 },
#else
    { 0, output_5074, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5075 },
#else
    { 0, output_5075, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5076 },
#else
    { 0, output_5076, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5077 },
#else
    { 0, output_5077, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5078 },
#else
    { 0, output_5078, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5079 },
#else
    { 0, output_5079, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5080 },
#else
    { 0, output_5080, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5081 },
#else
    { 0, output_5081, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5082 },
#else
    { 0, output_5082, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5083 },
#else
    { 0, output_5083, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5084 },
#else
    { 0, output_5084, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5085 },
#else
    { 0, output_5085, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5086 },
#else
    { 0, output_5086, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5087 },
#else
    { 0, output_5087, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5088 },
#else
    { 0, output_5088, 0 },
#endif
    { 0 },
    &operand_data[7455],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5089 },
#else
    { 0, output_5089, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5090 },
#else
    { 0, output_5090, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5091 },
#else
    { 0, output_5091, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5092 },
#else
    { 0, output_5092, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5093 },
#else
    { 0, output_5093, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5094 },
#else
    { 0, output_5094, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5095 },
#else
    { 0, output_5095, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5096 },
#else
    { 0, output_5096, 0 },
#endif
    { 0 },
    &operand_data[7459],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5097 },
#else
    { 0, output_5097, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5098 },
#else
    { 0, output_5098, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5099 },
#else
    { 0, output_5099, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5100 },
#else
    { 0, output_5100, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5101 },
#else
    { 0, output_5101, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5102 },
#else
    { 0, output_5102, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5103 },
#else
    { 0, output_5103, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5104 },
#else
    { 0, output_5104, 0 },
#endif
    { 0 },
    &operand_data[7463],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5105 },
#else
    { 0, output_5105, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5106 },
#else
    { 0, output_5106, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5107 },
#else
    { 0, output_5107, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5108 },
#else
    { 0, output_5108, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5109 },
#else
    { 0, output_5109, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5110 },
#else
    { 0, output_5110, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5111 },
#else
    { 0, output_5111, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5112 },
#else
    { 0, output_5112, 0 },
#endif
    { 0 },
    &operand_data[7467],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5113 },
#else
    { 0, output_5113, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5114 },
#else
    { 0, output_5114, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5115 },
#else
    { 0, output_5115, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5116 },
#else
    { 0, output_5116, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5117 },
#else
    { 0, output_5117, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5118 },
#else
    { 0, output_5118, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5119 },
#else
    { 0, output_5119, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5120 },
#else
    { 0, output_5120, 0 },
#endif
    { 0 },
    &operand_data[7471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5121 },
#else
    { 0, output_5121, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5122 },
#else
    { 0, output_5122, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5123 },
#else
    { 0, output_5123, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5124 },
#else
    { 0, output_5124, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5125 },
#else
    { 0, output_5125, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5126 },
#else
    { 0, output_5126, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5127 },
#else
    { 0, output_5127, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5128 },
#else
    { 0, output_5128, 0 },
#endif
    { 0 },
    &operand_data[7475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5129 },
#else
    { 0, output_5129, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5130 },
#else
    { 0, output_5130, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5131 },
#else
    { 0, output_5131, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5132 },
#else
    { 0, output_5132, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5133 },
#else
    { 0, output_5133, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5134 },
#else
    { 0, output_5134, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5135 },
#else
    { 0, output_5135, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5136 },
#else
    { 0, output_5136, 0 },
#endif
    { 0 },
    &operand_data[7479],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5137 },
#else
    { 0, output_5137, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5138 },
#else
    { 0, output_5138, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5139 },
#else
    { 0, output_5139, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5140 },
#else
    { 0, output_5140, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5141 },
#else
    { 0, output_5141, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5142 },
#else
    { 0, output_5142, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5143 },
#else
    { 0, output_5143, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5144 },
#else
    { 0, output_5144, 0 },
#endif
    { 0 },
    &operand_data[7483],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5145 },
#else
    { 0, output_5145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx16qi },
    &operand_data[7417],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5146 },
#else
    { 0, output_5146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5147 },
#else
    { 0, output_5147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx8hi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5148 },
#else
    { 0, output_5148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5149 },
#else
    { 0, output_5149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5150 },
#else
    { 0, output_5150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5151 },
#else
    { 0, output_5151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5152 },
#else
    { 0, output_5152, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5153 },
#else
    { 0, output_5153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5154 },
#else
    { 0, output_5154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx2di },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx16qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5155 },
#else
    { 0, output_5155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx8bi },
    &operand_data[7487],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx16qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5156 },
#else
    { 0, output_5156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx4bi },
    &operand_data[7490],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5157 },
#else
    { 0, output_5157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx4bi },
    &operand_data[7493],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5158 },
#else
    { 0, output_5158, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx4bi },
    &operand_data[7496],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5159 },
#else
    { 0, output_5159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx4bi },
    &operand_data[7499],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5160 },
#else
    { 0, output_5160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx4bi },
    &operand_data[7502],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx16qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5161 },
#else
    { 0, output_5161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx2bi },
    &operand_data[7505],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5162 },
#else
    { 0, output_5162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx2bi },
    &operand_data[7508],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5163 },
#else
    { 0, output_5163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx2bi },
    &operand_data[7511],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5164 },
#else
    { 0, output_5164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx2bi },
    &operand_data[7514],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5165 },
#else
    { 0, output_5165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx2bi },
    &operand_data[7517],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5166 },
#else
    { 0, output_5166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx2bi },
    &operand_data[7520],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5167 },
#else
    { 0, output_5167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx2bi },
    &operand_data[7523],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5168 },
#else
    { 0, output_5168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx2bi },
    &operand_data[7526],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5169 },
#else
    { 0, output_5169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx2bi },
    &operand_data[7529],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5170 },
#else
    { 0, output_5170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx2bi },
    &operand_data[7532],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5171 },
#else
    { 0, output_5171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx2bi },
    &operand_data[7535],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5172 },
#else
    { 0, output_5172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx16qi },
    &operand_data[7538],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5173 },
#else
    { 0, output_5173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx8hi },
    &operand_data[7542],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5174 },
#else
    { 0, output_5174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx8hi },
    &operand_data[7542],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5175 },
#else
    { 0, output_5175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4si },
    &operand_data[7546],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5176 },
#else
    { 0, output_5176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx4si },
    &operand_data[7546],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5177 },
#else
    { 0, output_5177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx4si },
    &operand_data[7546],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5178 },
#else
    { 0, output_5178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2di },
    &operand_data[7550],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5179 },
#else
    { 0, output_5179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx2di },
    &operand_data[7550],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5180 },
#else
    { 0, output_5180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx2di },
    &operand_data[7550],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5181 },
#else
    { 0, output_5181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx2di },
    &operand_data[7550],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5182 },
#else
    { 0, output_5182, 0 },
#endif
    { 0 },
    &operand_data[7554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5183 },
#else
    { 0, output_5183, 0 },
#endif
    { 0 },
    &operand_data[7554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5184 },
#else
    { 0, output_5184, 0 },
#endif
    { 0 },
    &operand_data[7557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5185 },
#else
    { 0, output_5185, 0 },
#endif
    { 0 },
    &operand_data[7557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5186 },
#else
    { 0, output_5186, 0 },
#endif
    { 0 },
    &operand_data[7560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5187 },
#else
    { 0, output_5187, 0 },
#endif
    { 0 },
    &operand_data[7560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5188 },
#else
    { 0, output_5188, 0 },
#endif
    { 0 },
    &operand_data[7563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5189 },
#else
    { 0, output_5189, 0 },
#endif
    { 0 },
    &operand_data[7563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5190 },
#else
    { 0, output_5190, 0 },
#endif
    { 0 },
    &operand_data[7566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5191 },
#else
    { 0, output_5191, 0 },
#endif
    { 0 },
    &operand_data[7566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5192 },
#else
    { 0, output_5192, 0 },
#endif
    { 0 },
    &operand_data[7569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5193 },
#else
    { 0, output_5193, 0 },
#endif
    { 0 },
    &operand_data[7569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5194 },
#else
    { 0, output_5194, 0 },
#endif
    { 0 },
    &operand_data[7572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5195 },
#else
    { 0, output_5195, 0 },
#endif
    { 0 },
    &operand_data[7572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5196 },
#else
    { 0, output_5196, 0 },
#endif
    { 0 },
    &operand_data[7575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5197 },
#else
    { 0, output_5197, 0 },
#endif
    { 0 },
    &operand_data[7575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5198 },
#else
    { 0, output_5198, 0 },
#endif
    { 0 },
    &operand_data[7578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5199 },
#else
    { 0, output_5199, 0 },
#endif
    { 0 },
    &operand_data[7578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5200 },
#else
    { 0, output_5200, 0 },
#endif
    { 0 },
    &operand_data[7581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5201 },
#else
    { 0, output_5201, 0 },
#endif
    { 0 },
    &operand_data[7581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5202 },
#else
    { 0, output_5202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx8qi },
    &operand_data[7429],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5203 },
#else
    { 0, output_5203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4qi },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5204 },
#else
    { 0, output_5204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4hi },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5205 },
#else
    { 0, output_5205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2qi },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5206 },
#else
    { 0, output_5206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2hi },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5207 },
#else
    { 0, output_5207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2si },
    &operand_data[7444],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5208 },
#else
    { 0, output_5208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx8qi },
    &operand_data[7542],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5209 },
#else
    { 0, output_5209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4qi },
    &operand_data[7546],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5210 },
#else
    { 0, output_5210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4hi },
    &operand_data[7546],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5211 },
#else
    { 0, output_5211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2qi },
    &operand_data[7550],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5212 },
#else
    { 0, output_5212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2hi },
    &operand_data[7550],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5213 },
#else
    { 0, output_5213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2si },
    &operand_data[7550],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5214 },
#else
    { 0, output_5214, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5215 },
#else
    { 0, output_5215, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5216 },
#else
    { 0, output_5216, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5217 },
#else
    { 0, output_5217, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5218 },
#else
    { 0, output_5218, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5219 },
#else
    { 0, output_5219, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5220 },
#else
    { 0, output_5220, 0 },
#endif
    { 0 },
    &operand_data[7608],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5221 },
#else
    { 0, output_5221, 0 },
#endif
    { 0 },
    &operand_data[7612],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5222 },
#else
    { 0, output_5222, 0 },
#endif
    { 0 },
    &operand_data[7616],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5223 },
#else
    { 0, output_5223, 0 },
#endif
    { 0 },
    &operand_data[7620],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5224 },
#else
    { 0, output_5224, 0 },
#endif
    { 0 },
    &operand_data[7624],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5225 },
#else
    { 0, output_5225, 0 },
#endif
    { 0 },
    &operand_data[7629],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5226 },
#else
    { 0, output_5226, 0 },
#endif
    { 0 },
    &operand_data[7634],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5227 },
#else
    { 0, output_5227, 0 },
#endif
    { 0 },
    &operand_data[7639],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5228 },
#else
    { 0, output_5228, 0 },
#endif
    { 0 },
    &operand_data[7644],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5229 },
#else
    { 0, output_5229, 0 },
#endif
    { 0 },
    &operand_data[7649],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5230 },
#else
    { 0, output_5230, 0 },
#endif
    { 0 },
    &operand_data[7654],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5231 },
#else
    { 0, output_5231, 0 },
#endif
    { 0 },
    &operand_data[7659],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5232 },
#else
    { 0, output_5232, 0 },
#endif
    { 0 },
    &operand_data[7664],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5233 },
#else
    { 0, output_5233, 0 },
#endif
    { 0 },
    &operand_data[7669],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx8hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx8qi2 },
    &operand_data[7674],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx4hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx4qi2 },
    &operand_data[7676],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2qi2 },
    &operand_data[7678],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx4sivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4qi2 },
    &operand_data[7680],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx4sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4hi2 },
    &operand_data[7682],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2sivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2qi2 },
    &operand_data[7684],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2hi2 },
    &operand_data[7686],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2divnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2qi2 },
    &operand_data[7688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2divnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2hi2 },
    &operand_data[7690],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2divnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2si2 },
    &operand_data[7692],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5244 },
#else
    { 0, output_5244, 0 },
#endif
    { 0 },
    &operand_data[7694],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5245 },
#else
    { 0, output_5245, 0 },
#endif
    { 0 },
    &operand_data[7700],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5246 },
#else
    { 0, output_5246, 0 },
#endif
    { 0 },
    &operand_data[7706],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5247 },
#else
    { 0, output_5247, 0 },
#endif
    { 0 },
    &operand_data[7712],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5248 },
#else
    { 0, output_5248, 0 },
#endif
    { 0 },
    &operand_data[7718],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5249 },
#else
    { 0, output_5249, 0 },
#endif
    { 0 },
    &operand_data[7724],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5250 },
#else
    { 0, output_5250, 0 },
#endif
    { 0 },
    &operand_data[7730],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5251 },
#else
    { 0, output_5251, 0 },
#endif
    { 0 },
    &operand_data[7736],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5252 },
#else
    { 0, output_5252, 0 },
#endif
    { 0 },
    &operand_data[7742],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5253 },
#else
    { 0, output_5253, 0 },
#endif
    { 0 },
    &operand_data[7748],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5254 },
#else
    { 0, output_5254, 0 },
#endif
    { 0 },
    &operand_data[7754],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5255 },
#else
    { 0, output_5255, 0 },
#endif
    { 0 },
    &operand_data[7760],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5256 },
#else
    { 0, output_5256, 0 },
#endif
    { 0 },
    &operand_data[7766],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5257 },
#else
    { 0, output_5257, 0 },
#endif
    { 0 },
    &operand_data[7772],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5258 },
#else
    { 0, output_5258, 0 },
#endif
    { 0 },
    &operand_data[7778],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5259 },
#else
    { 0, output_5259, 0 },
#endif
    { 0 },
    &operand_data[7784],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5260 },
#else
    { 0, output_5260, 0 },
#endif
    { 0 },
    &operand_data[7790],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5261 },
#else
    { 0, output_5261, 0 },
#endif
    { 0 },
    &operand_data[7796],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5262 },
#else
    { 0, output_5262, 0 },
#endif
    { 0 },
    &operand_data[7802],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5263 },
#else
    { 0, output_5263, 0 },
#endif
    { 0 },
    &operand_data[7808],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5264 },
#else
    { 0, output_5264, 0 },
#endif
    { 0 },
    &operand_data[7814],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5265 },
#else
    { 0, output_5265, 0 },
#endif
    { 0 },
    &operand_data[7821],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5266 },
#else
    { 0, output_5266, 0 },
#endif
    { 0 },
    &operand_data[7828],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5267 },
#else
    { 0, output_5267, 0 },
#endif
    { 0 },
    &operand_data[7835],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5268 },
#else
    { 0, output_5268, 0 },
#endif
    { 0 },
    &operand_data[7842],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5269 },
#else
    { 0, output_5269, 0 },
#endif
    { 0 },
    &operand_data[7849],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5270 },
#else
    { 0, output_5270, 0 },
#endif
    { 0 },
    &operand_data[7856],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5271 },
#else
    { 0, output_5271, 0 },
#endif
    { 0 },
    &operand_data[7863],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5272 },
#else
    { 0, output_5272, 0 },
#endif
    { 0 },
    &operand_data[7870],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5273 },
#else
    { 0, output_5273, 0 },
#endif
    { 0 },
    &operand_data[7877],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3350 */
  {
    "aarch64_sve_fexpavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx8hf },
    &operand_data[7884],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3350 */
  {
    "aarch64_sve_fexpavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx4sf },
    &operand_data[7886],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3350 */
  {
    "aarch64_sve_fexpavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx2df },
    &operand_data[7888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx8hf },
    &operand_data[7890],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frsqrtevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx8hf },
    &operand_data[7890],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx4sf },
    &operand_data[7892],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx4sf },
    &operand_data[7892],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx2df },
    &operand_data[7894],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx2df },
    &operand_data[7894],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5283 },
#else
    { 0, output_5283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5284 },
#else
    { 0, output_5284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5285 },
#else
    { 0, output_5285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5286 },
#else
    { 0, output_5286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5287 },
#else
    { 0, output_5287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5288 },
#else
    { 0, output_5288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5289 },
#else
    { 0, output_5289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5290 },
#else
    { 0, output_5290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5291 },
#else
    { 0, output_5291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5292 },
#else
    { 0, output_5292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5293 },
#else
    { 0, output_5293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx8hf },
    &operand_data[7896],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5294 },
#else
    { 0, output_5294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5295 },
#else
    { 0, output_5295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5296 },
#else
    { 0, output_5296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5297 },
#else
    { 0, output_5297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5298 },
#else
    { 0, output_5298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5299 },
#else
    { 0, output_5299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5300 },
#else
    { 0, output_5300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5301 },
#else
    { 0, output_5301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5302 },
#else
    { 0, output_5302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5303 },
#else
    { 0, output_5303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5304 },
#else
    { 0, output_5304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx4sf },
    &operand_data[7900],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5305 },
#else
    { 0, output_5305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5306 },
#else
    { 0, output_5306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5307 },
#else
    { 0, output_5307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5308 },
#else
    { 0, output_5308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5309 },
#else
    { 0, output_5309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5310 },
#else
    { 0, output_5310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5311 },
#else
    { 0, output_5311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5312 },
#else
    { 0, output_5312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5313 },
#else
    { 0, output_5313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5314 },
#else
    { 0, output_5314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5315 },
#else
    { 0, output_5315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx2df },
    &operand_data[7904],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_absvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5316 },
#else
    { 0, output_5316, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_negvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5317 },
#else
    { 0, output_5317, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frecpxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5318 },
#else
    { 0, output_5318, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_roundvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5319 },
#else
    { 0, output_5319, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_nearbyintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5320 },
#else
    { 0, output_5320, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_floorvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5321 },
#else
    { 0, output_5321, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frintnvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5322 },
#else
    { 0, output_5322, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_ceilvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5323 },
#else
    { 0, output_5323, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_rintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5324 },
#else
    { 0, output_5324, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_btruncvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5325 },
#else
    { 0, output_5325, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_sqrtvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5326 },
#else
    { 0, output_5326, 0 },
#endif
    { 0 },
    &operand_data[7908],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_absvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5327 },
#else
    { 0, output_5327, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_negvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5328 },
#else
    { 0, output_5328, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frecpxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5329 },
#else
    { 0, output_5329, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_roundvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5330 },
#else
    { 0, output_5330, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_nearbyintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5331 },
#else
    { 0, output_5331, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_floorvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5332 },
#else
    { 0, output_5332, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frintnvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5333 },
#else
    { 0, output_5333, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_ceilvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5334 },
#else
    { 0, output_5334, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_rintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5335 },
#else
    { 0, output_5335, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_btruncvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5336 },
#else
    { 0, output_5336, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_sqrtvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5337 },
#else
    { 0, output_5337, 0 },
#endif
    { 0 },
    &operand_data[7912],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_absvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5338 },
#else
    { 0, output_5338, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_negvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5339 },
#else
    { 0, output_5339, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frecpxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5340 },
#else
    { 0, output_5340, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_roundvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5341 },
#else
    { 0, output_5341, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_nearbyintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5342 },
#else
    { 0, output_5342, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_floorvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5343 },
#else
    { 0, output_5343, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frintnvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5344 },
#else
    { 0, output_5344, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_ceilvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5345 },
#else
    { 0, output_5345, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_rintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5346 },
#else
    { 0, output_5346, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_btruncvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5347 },
#else
    { 0, output_5347, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_sqrtvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5348 },
#else
    { 0, output_5348, 0 },
#endif
    { 0 },
    &operand_data[7916],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_absvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5349 },
#else
    { 0, output_5349, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_negvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5350 },
#else
    { 0, output_5350, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frecpxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5351 },
#else
    { 0, output_5351, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_roundvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5352 },
#else
    { 0, output_5352, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_nearbyintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5353 },
#else
    { 0, output_5353, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_floorvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5354 },
#else
    { 0, output_5354, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frintnvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5355 },
#else
    { 0, output_5355, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_ceilvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5356 },
#else
    { 0, output_5356, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_rintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5357 },
#else
    { 0, output_5357, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_btruncvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5358 },
#else
    { 0, output_5358, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_sqrtvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5359 },
#else
    { 0, output_5359, 0 },
#endif
    { 0 },
    &operand_data[7896],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_absvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5360 },
#else
    { 0, output_5360, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_negvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5361 },
#else
    { 0, output_5361, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frecpxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5362 },
#else
    { 0, output_5362, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_roundvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5363 },
#else
    { 0, output_5363, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_nearbyintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5364 },
#else
    { 0, output_5364, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_floorvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5365 },
#else
    { 0, output_5365, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frintnvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5366 },
#else
    { 0, output_5366, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_ceilvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5367 },
#else
    { 0, output_5367, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_rintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5368 },
#else
    { 0, output_5368, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_btruncvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5369 },
#else
    { 0, output_5369, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_sqrtvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5370 },
#else
    { 0, output_5370, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_absvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5371 },
#else
    { 0, output_5371, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_negvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5372 },
#else
    { 0, output_5372, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frecpxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5373 },
#else
    { 0, output_5373, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_roundvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5374 },
#else
    { 0, output_5374, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_nearbyintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5375 },
#else
    { 0, output_5375, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_floorvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5376 },
#else
    { 0, output_5376, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frintnvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5377 },
#else
    { 0, output_5377, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_ceilvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5378 },
#else
    { 0, output_5378, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_rintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5379 },
#else
    { 0, output_5379, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_btruncvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5380 },
#else
    { 0, output_5380, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_sqrtvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5381 },
#else
    { 0, output_5381, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_absvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5382 },
#else
    { 0, output_5382, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_negvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5383 },
#else
    { 0, output_5383, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frecpxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5384 },
#else
    { 0, output_5384, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_roundvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5385 },
#else
    { 0, output_5385, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_nearbyintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5386 },
#else
    { 0, output_5386, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_floorvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5387 },
#else
    { 0, output_5387, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frintnvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5388 },
#else
    { 0, output_5388, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_ceilvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5389 },
#else
    { 0, output_5389, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_rintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5390 },
#else
    { 0, output_5390, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_btruncvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5391 },
#else
    { 0, output_5391, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_sqrtvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5392 },
#else
    { 0, output_5392, 0 },
#endif
    { 0 },
    &operand_data[7920],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_absvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5393 },
#else
    { 0, output_5393, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_negvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5394 },
#else
    { 0, output_5394, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frecpxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5395 },
#else
    { 0, output_5395, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_roundvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5396 },
#else
    { 0, output_5396, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_nearbyintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5397 },
#else
    { 0, output_5397, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_floorvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5398 },
#else
    { 0, output_5398, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frintnvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5399 },
#else
    { 0, output_5399, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_ceilvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5400 },
#else
    { 0, output_5400, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_rintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5401 },
#else
    { 0, output_5401, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_btruncvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5402 },
#else
    { 0, output_5402, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_sqrtvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5403 },
#else
    { 0, output_5403, 0 },
#endif
    { 0 },
    &operand_data[7925],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_absvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5404 },
#else
    { 0, output_5404, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_negvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5405 },
#else
    { 0, output_5405, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frecpxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5406 },
#else
    { 0, output_5406, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_roundvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5407 },
#else
    { 0, output_5407, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_nearbyintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5408 },
#else
    { 0, output_5408, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_floorvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5409 },
#else
    { 0, output_5409, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frintnvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5410 },
#else
    { 0, output_5410, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_ceilvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5411 },
#else
    { 0, output_5411, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_rintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5412 },
#else
    { 0, output_5412, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_btruncvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5413 },
#else
    { 0, output_5413, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_sqrtvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5414 },
#else
    { 0, output_5414, 0 },
#endif
    { 0 },
    &operand_data[7930],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_absvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5415 },
#else
    { 0, output_5415, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_negvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5416 },
#else
    { 0, output_5416, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frecpxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5417 },
#else
    { 0, output_5417, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_roundvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5418 },
#else
    { 0, output_5418, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_nearbyintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5419 },
#else
    { 0, output_5419, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_floorvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5420 },
#else
    { 0, output_5420, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frintnvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5421 },
#else
    { 0, output_5421, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_ceilvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5422 },
#else
    { 0, output_5422, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_rintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5423 },
#else
    { 0, output_5423, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_btruncvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5424 },
#else
    { 0, output_5424, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_sqrtvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5425 },
#else
    { 0, output_5425, 0 },
#endif
    { 0 },
    &operand_data[7920],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_absvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5426 },
#else
    { 0, output_5426, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_negvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5427 },
#else
    { 0, output_5427, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frecpxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5428 },
#else
    { 0, output_5428, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_roundvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5429 },
#else
    { 0, output_5429, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_nearbyintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5430 },
#else
    { 0, output_5430, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_floorvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5431 },
#else
    { 0, output_5431, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frintnvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5432 },
#else
    { 0, output_5432, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_ceilvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5433 },
#else
    { 0, output_5433, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_rintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5434 },
#else
    { 0, output_5434, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_btruncvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5435 },
#else
    { 0, output_5435, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_sqrtvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5436 },
#else
    { 0, output_5436, 0 },
#endif
    { 0 },
    &operand_data[7925],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_absvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5437 },
#else
    { 0, output_5437, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_negvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5438 },
#else
    { 0, output_5438, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frecpxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5439 },
#else
    { 0, output_5439, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_roundvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5440 },
#else
    { 0, output_5440, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_nearbyintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5441 },
#else
    { 0, output_5441, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_floorvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5442 },
#else
    { 0, output_5442, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frintnvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5443 },
#else
    { 0, output_5443, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_ceilvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5444 },
#else
    { 0, output_5444, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_rintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5445 },
#else
    { 0, output_5445, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_btruncvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5446 },
#else
    { 0, output_5446, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_sqrtvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5447 },
#else
    { 0, output_5447, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5452 },
#else
    { 0, output_5452, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx16qi },
    &operand_data[7947],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5453 },
#else
    { 0, output_5453, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx16qi },
    &operand_data[7947],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5454 },
#else
    { 0, output_5454, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx16qi },
    &operand_data[7947],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5455 },
#else
    { 0, output_5455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx16qi },
    &operand_data[7951],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5456 },
#else
    { 0, output_5456, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx16qi },
    &operand_data[7951],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5457 },
#else
    { 0, output_5457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8qi },
    &operand_data[7955],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5458 },
#else
    { 0, output_5458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8qi },
    &operand_data[7955],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5459 },
#else
    { 0, output_5459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8qi },
    &operand_data[7955],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5460 },
#else
    { 0, output_5460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8qi },
    &operand_data[7959],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5461 },
#else
    { 0, output_5461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8qi },
    &operand_data[7959],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5462 },
#else
    { 0, output_5462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4qi },
    &operand_data[7963],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5463 },
#else
    { 0, output_5463, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4qi },
    &operand_data[7963],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5464 },
#else
    { 0, output_5464, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4qi },
    &operand_data[7963],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5465 },
#else
    { 0, output_5465, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4qi },
    &operand_data[7967],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5466 },
#else
    { 0, output_5466, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4qi },
    &operand_data[7967],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5467 },
#else
    { 0, output_5467, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2qi },
    &operand_data[7971],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5468 },
#else
    { 0, output_5468, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2qi },
    &operand_data[7971],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5469 },
#else
    { 0, output_5469, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2qi },
    &operand_data[7971],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5470 },
#else
    { 0, output_5470, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2qi },
    &operand_data[7975],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5471 },
#else
    { 0, output_5471, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2qi },
    &operand_data[7975],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5472 },
#else
    { 0, output_5472, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hi },
    &operand_data[7979],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5473 },
#else
    { 0, output_5473, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hi },
    &operand_data[7979],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5474 },
#else
    { 0, output_5474, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hi },
    &operand_data[7979],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5475 },
#else
    { 0, output_5475, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8hi },
    &operand_data[7983],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5476 },
#else
    { 0, output_5476, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8hi },
    &operand_data[7983],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5477 },
#else
    { 0, output_5477, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4hi },
    &operand_data[7987],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5478 },
#else
    { 0, output_5478, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4hi },
    &operand_data[7987],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5479 },
#else
    { 0, output_5479, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4hi },
    &operand_data[7987],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5480 },
#else
    { 0, output_5480, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4hi },
    &operand_data[7991],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5481 },
#else
    { 0, output_5481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4hi },
    &operand_data[7991],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5482 },
#else
    { 0, output_5482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2hi },
    &operand_data[7995],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5483 },
#else
    { 0, output_5483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2hi },
    &operand_data[7995],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5484 },
#else
    { 0, output_5484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2hi },
    &operand_data[7995],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5485 },
#else
    { 0, output_5485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2hi },
    &operand_data[7999],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5486 },
#else
    { 0, output_5486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2hi },
    &operand_data[7999],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5487 },
#else
    { 0, output_5487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4si },
    &operand_data[8003],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5488 },
#else
    { 0, output_5488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4si },
    &operand_data[8003],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5489 },
#else
    { 0, output_5489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4si },
    &operand_data[8003],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5490 },
#else
    { 0, output_5490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4si },
    &operand_data[8007],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5491 },
#else
    { 0, output_5491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4si },
    &operand_data[8007],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5492 },
#else
    { 0, output_5492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2si },
    &operand_data[8011],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5493 },
#else
    { 0, output_5493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2si },
    &operand_data[8011],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5494 },
#else
    { 0, output_5494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2si },
    &operand_data[8011],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5495 },
#else
    { 0, output_5495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2si },
    &operand_data[8015],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5496 },
#else
    { 0, output_5496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2si },
    &operand_data[8015],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5497 },
#else
    { 0, output_5497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2di },
    &operand_data[8019],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5498 },
#else
    { 0, output_5498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2di },
    &operand_data[8019],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5499 },
#else
    { 0, output_5499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2di },
    &operand_data[8019],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5500 },
#else
    { 0, output_5500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2di },
    &operand_data[8023],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5501 },
#else
    { 0, output_5501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2di },
    &operand_data[8023],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5502 },
#else
    { 0, output_5502, 0 },
#endif
    { 0 },
    &operand_data[8027],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5503 },
#else
    { 0, output_5503, 0 },
#endif
    { 0 },
    &operand_data[8027],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5504 },
#else
    { 0, output_5504, 0 },
#endif
    { 0 },
    &operand_data[8027],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5505 },
#else
    { 0, output_5505, 0 },
#endif
    { 0 },
    &operand_data[8030],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5506 },
#else
    { 0, output_5506, 0 },
#endif
    { 0 },
    &operand_data[8030],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5507 },
#else
    { 0, output_5507, 0 },
#endif
    { 0 },
    &operand_data[8033],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5508 },
#else
    { 0, output_5508, 0 },
#endif
    { 0 },
    &operand_data[8033],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5509 },
#else
    { 0, output_5509, 0 },
#endif
    { 0 },
    &operand_data[8033],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5510 },
#else
    { 0, output_5510, 0 },
#endif
    { 0 },
    &operand_data[8036],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5511 },
#else
    { 0, output_5511, 0 },
#endif
    { 0 },
    &operand_data[8036],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5512 },
#else
    { 0, output_5512, 0 },
#endif
    { 0 },
    &operand_data[8039],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5513 },
#else
    { 0, output_5513, 0 },
#endif
    { 0 },
    &operand_data[8039],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5514 },
#else
    { 0, output_5514, 0 },
#endif
    { 0 },
    &operand_data[8039],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5515 },
#else
    { 0, output_5515, 0 },
#endif
    { 0 },
    &operand_data[8042],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5516 },
#else
    { 0, output_5516, 0 },
#endif
    { 0 },
    &operand_data[8042],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5517 },
#else
    { 0, output_5517, 0 },
#endif
    { 0 },
    &operand_data[8045],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5518 },
#else
    { 0, output_5518, 0 },
#endif
    { 0 },
    &operand_data[8045],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5519 },
#else
    { 0, output_5519, 0 },
#endif
    { 0 },
    &operand_data[8045],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5520 },
#else
    { 0, output_5520, 0 },
#endif
    { 0 },
    &operand_data[8048],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5521 },
#else
    { 0, output_5521, 0 },
#endif
    { 0 },
    &operand_data[8048],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5522 },
#else
    { 0, output_5522, 0 },
#endif
    { 0 },
    &operand_data[8051],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5523 },
#else
    { 0, output_5523, 0 },
#endif
    { 0 },
    &operand_data[8051],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5524 },
#else
    { 0, output_5524, 0 },
#endif
    { 0 },
    &operand_data[8051],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5525 },
#else
    { 0, output_5525, 0 },
#endif
    { 0 },
    &operand_data[8054],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5526 },
#else
    { 0, output_5526, 0 },
#endif
    { 0 },
    &operand_data[8054],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5527 },
#else
    { 0, output_5527, 0 },
#endif
    { 0 },
    &operand_data[8057],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5528 },
#else
    { 0, output_5528, 0 },
#endif
    { 0 },
    &operand_data[8057],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5529 },
#else
    { 0, output_5529, 0 },
#endif
    { 0 },
    &operand_data[8057],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5530 },
#else
    { 0, output_5530, 0 },
#endif
    { 0 },
    &operand_data[8060],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5531 },
#else
    { 0, output_5531, 0 },
#endif
    { 0 },
    &operand_data[8060],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5532 },
#else
    { 0, output_5532, 0 },
#endif
    { 0 },
    &operand_data[8063],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5533 },
#else
    { 0, output_5533, 0 },
#endif
    { 0 },
    &operand_data[8063],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5534 },
#else
    { 0, output_5534, 0 },
#endif
    { 0 },
    &operand_data[8063],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5535 },
#else
    { 0, output_5535, 0 },
#endif
    { 0 },
    &operand_data[8066],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5536 },
#else
    { 0, output_5536, 0 },
#endif
    { 0 },
    &operand_data[8066],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5537 },
#else
    { 0, output_5537, 0 },
#endif
    { 0 },
    &operand_data[8069],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5538 },
#else
    { 0, output_5538, 0 },
#endif
    { 0 },
    &operand_data[8069],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5539 },
#else
    { 0, output_5539, 0 },
#endif
    { 0 },
    &operand_data[8069],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5540 },
#else
    { 0, output_5540, 0 },
#endif
    { 0 },
    &operand_data[8072],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5541 },
#else
    { 0, output_5541, 0 },
#endif
    { 0 },
    &operand_data[8072],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5542 },
#else
    { 0, output_5542, 0 },
#endif
    { 0 },
    &operand_data[8075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5543 },
#else
    { 0, output_5543, 0 },
#endif
    { 0 },
    &operand_data[8075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5544 },
#else
    { 0, output_5544, 0 },
#endif
    { 0 },
    &operand_data[8075],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5545 },
#else
    { 0, output_5545, 0 },
#endif
    { 0 },
    &operand_data[8078],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5546 },
#else
    { 0, output_5546, 0 },
#endif
    { 0 },
    &operand_data[8078],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5547 },
#else
    { 0, output_5547, 0 },
#endif
    { 0 },
    &operand_data[8081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5548 },
#else
    { 0, output_5548, 0 },
#endif
    { 0 },
    &operand_data[8081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5549 },
#else
    { 0, output_5549, 0 },
#endif
    { 0 },
    &operand_data[8081],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5550 },
#else
    { 0, output_5550, 0 },
#endif
    { 0 },
    &operand_data[8084],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5551 },
#else
    { 0, output_5551, 0 },
#endif
    { 0 },
    &operand_data[8084],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5552 },
#else
    { 0, output_5552, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5553 },
#else
    { 0, output_5553, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5554 },
#else
    { 0, output_5554, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5555 },
#else
    { 0, output_5555, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5556 },
#else
    { 0, output_5556, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5557 },
#else
    { 0, output_5557, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5558 },
#else
    { 0, output_5558, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5559 },
#else
    { 0, output_5559, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5560 },
#else
    { 0, output_5560, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5561 },
#else
    { 0, output_5561, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5562 },
#else
    { 0, output_5562, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5563 },
#else
    { 0, output_5563, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5564 },
#else
    { 0, output_5564, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5565 },
#else
    { 0, output_5565, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5566 },
#else
    { 0, output_5566, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5567 },
#else
    { 0, output_5567, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5568 },
#else
    { 0, output_5568, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5569 },
#else
    { 0, output_5569, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5570 },
#else
    { 0, output_5570, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5571 },
#else
    { 0, output_5571, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5572 },
#else
    { 0, output_5572, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5573 },
#else
    { 0, output_5573, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5574 },
#else
    { 0, output_5574, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5575 },
#else
    { 0, output_5575, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5576 },
#else
    { 0, output_5576, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5577 },
#else
    { 0, output_5577, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5578 },
#else
    { 0, output_5578, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5579 },
#else
    { 0, output_5579, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5580 },
#else
    { 0, output_5580, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5581 },
#else
    { 0, output_5581, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5582 },
#else
    { 0, output_5582, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5583 },
#else
    { 0, output_5583, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5584 },
#else
    { 0, output_5584, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5585 },
#else
    { 0, output_5585, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5586 },
#else
    { 0, output_5586, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5587 },
#else
    { 0, output_5587, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5588 },
#else
    { 0, output_5588, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5589 },
#else
    { 0, output_5589, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5590 },
#else
    { 0, output_5590, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5591 },
#else
    { 0, output_5591, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5592 },
#else
    { 0, output_5592, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5593 },
#else
    { 0, output_5593, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5594 },
#else
    { 0, output_5594, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5595 },
#else
    { 0, output_5595, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5596 },
#else
    { 0, output_5596, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5597 },
#else
    { 0, output_5597, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5598 },
#else
    { 0, output_5598, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5599 },
#else
    { 0, output_5599, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5600 },
#else
    { 0, output_5600, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5601 },
#else
    { 0, output_5601, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5602 },
#else
    { 0, output_5602, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5603 },
#else
    { 0, output_5603, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5604 },
#else
    { 0, output_5604, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5605 },
#else
    { 0, output_5605, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5606 },
#else
    { 0, output_5606, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5607 },
#else
    { 0, output_5607, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5608 },
#else
    { 0, output_5608, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5609 },
#else
    { 0, output_5609, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5610 },
#else
    { 0, output_5610, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5611 },
#else
    { 0, output_5611, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5612 },
#else
    { 0, output_5612, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5613 },
#else
    { 0, output_5613, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5614 },
#else
    { 0, output_5614, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5615 },
#else
    { 0, output_5615, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5616 },
#else
    { 0, output_5616, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5617 },
#else
    { 0, output_5617, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5618 },
#else
    { 0, output_5618, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5619 },
#else
    { 0, output_5619, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5620 },
#else
    { 0, output_5620, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5621 },
#else
    { 0, output_5621, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5622 },
#else
    { 0, output_5622, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5623 },
#else
    { 0, output_5623, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5624 },
#else
    { 0, output_5624, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5625 },
#else
    { 0, output_5625, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5626 },
#else
    { 0, output_5626, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5627 },
#else
    { 0, output_5627, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5628 },
#else
    { 0, output_5628, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5629 },
#else
    { 0, output_5629, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5630 },
#else
    { 0, output_5630, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5631 },
#else
    { 0, output_5631, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5632 },
#else
    { 0, output_5632, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5633 },
#else
    { 0, output_5633, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5634 },
#else
    { 0, output_5634, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5635 },
#else
    { 0, output_5635, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5636 },
#else
    { 0, output_5636, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5637 },
#else
    { 0, output_5637, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5638 },
#else
    { 0, output_5638, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5639 },
#else
    { 0, output_5639, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5640 },
#else
    { 0, output_5640, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5641 },
#else
    { 0, output_5641, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5642 },
#else
    { 0, output_5642, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5643 },
#else
    { 0, output_5643, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5644 },
#else
    { 0, output_5644, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5645 },
#else
    { 0, output_5645, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5646 },
#else
    { 0, output_5646, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5647 },
#else
    { 0, output_5647, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5648 },
#else
    { 0, output_5648, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5649 },
#else
    { 0, output_5649, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5650 },
#else
    { 0, output_5650, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5651 },
#else
    { 0, output_5651, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5652 },
#else
    { 0, output_5652, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5653 },
#else
    { 0, output_5653, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5654 },
#else
    { 0, output_5654, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5655 },
#else
    { 0, output_5655, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5656 },
#else
    { 0, output_5656, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5657 },
#else
    { 0, output_5657, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5658 },
#else
    { 0, output_5658, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5659 },
#else
    { 0, output_5659, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5660 },
#else
    { 0, output_5660, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5661 },
#else
    { 0, output_5661, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5662 },
#else
    { 0, output_5662, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5663 },
#else
    { 0, output_5663, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5664 },
#else
    { 0, output_5664, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5665 },
#else
    { 0, output_5665, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5666 },
#else
    { 0, output_5666, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5667 },
#else
    { 0, output_5667, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5668 },
#else
    { 0, output_5668, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5669 },
#else
    { 0, output_5669, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5670 },
#else
    { 0, output_5670, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5671 },
#else
    { 0, output_5671, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5672 },
#else
    { 0, output_5672, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5673 },
#else
    { 0, output_5673, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5674 },
#else
    { 0, output_5674, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5675 },
#else
    { 0, output_5675, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5676 },
#else
    { 0, output_5676, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5677 },
#else
    { 0, output_5677, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5678 },
#else
    { 0, output_5678, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5679 },
#else
    { 0, output_5679, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5680 },
#else
    { 0, output_5680, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5681 },
#else
    { 0, output_5681, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5682 },
#else
    { 0, output_5682, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5683 },
#else
    { 0, output_5683, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5684 },
#else
    { 0, output_5684, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5685 },
#else
    { 0, output_5685, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5686 },
#else
    { 0, output_5686, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5687 },
#else
    { 0, output_5687, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5688 },
#else
    { 0, output_5688, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5689 },
#else
    { 0, output_5689, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5690 },
#else
    { 0, output_5690, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5691 },
#else
    { 0, output_5691, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5692 },
#else
    { 0, output_5692, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5693 },
#else
    { 0, output_5693, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5694 },
#else
    { 0, output_5694, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5695 },
#else
    { 0, output_5695, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5696 },
#else
    { 0, output_5696, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5697 },
#else
    { 0, output_5697, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5698 },
#else
    { 0, output_5698, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5699 },
#else
    { 0, output_5699, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5700 },
#else
    { 0, output_5700, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5701 },
#else
    { 0, output_5701, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5702 },
#else
    { 0, output_5702, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5703 },
#else
    { 0, output_5703, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5704 },
#else
    { 0, output_5704, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5705 },
#else
    { 0, output_5705, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5706 },
#else
    { 0, output_5706, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5707 },
#else
    { 0, output_5707, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5708 },
#else
    { 0, output_5708, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5709 },
#else
    { 0, output_5709, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5710 },
#else
    { 0, output_5710, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5711 },
#else
    { 0, output_5711, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5712 },
#else
    { 0, output_5712, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5713 },
#else
    { 0, output_5713, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5714 },
#else
    { 0, output_5714, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5715 },
#else
    { 0, output_5715, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5716 },
#else
    { 0, output_5716, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5717 },
#else
    { 0, output_5717, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5718 },
#else
    { 0, output_5718, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5719 },
#else
    { 0, output_5719, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5720 },
#else
    { 0, output_5720, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5721 },
#else
    { 0, output_5721, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5722 },
#else
    { 0, output_5722, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5723 },
#else
    { 0, output_5723, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5724 },
#else
    { 0, output_5724, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5725 },
#else
    { 0, output_5725, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5726 },
#else
    { 0, output_5726, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5727 },
#else
    { 0, output_5727, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5728 },
#else
    { 0, output_5728, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5729 },
#else
    { 0, output_5729, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5730 },
#else
    { 0, output_5730, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5731 },
#else
    { 0, output_5731, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5732 },
#else
    { 0, output_5732, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5733 },
#else
    { 0, output_5733, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5734 },
#else
    { 0, output_5734, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5735 },
#else
    { 0, output_5735, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5736 },
#else
    { 0, output_5736, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5737 },
#else
    { 0, output_5737, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5738 },
#else
    { 0, output_5738, 0 },
#endif
    { 0 },
    &operand_data[8127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5739 },
#else
    { 0, output_5739, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5740 },
#else
    { 0, output_5740, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5741 },
#else
    { 0, output_5741, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5742 },
#else
    { 0, output_5742, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5743 },
#else
    { 0, output_5743, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5744 },
#else
    { 0, output_5744, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5745 },
#else
    { 0, output_5745, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5746 },
#else
    { 0, output_5746, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5747 },
#else
    { 0, output_5747, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5748 },
#else
    { 0, output_5748, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5749 },
#else
    { 0, output_5749, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5750 },
#else
    { 0, output_5750, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5751 },
#else
    { 0, output_5751, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5752 },
#else
    { 0, output_5752, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5753 },
#else
    { 0, output_5753, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5754 },
#else
    { 0, output_5754, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5755 },
#else
    { 0, output_5755, 0 },
#endif
    { 0 },
    &operand_data[8131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5756 },
#else
    { 0, output_5756, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5757 },
#else
    { 0, output_5757, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5758 },
#else
    { 0, output_5758, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5759 },
#else
    { 0, output_5759, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5760 },
#else
    { 0, output_5760, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5761 },
#else
    { 0, output_5761, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5762 },
#else
    { 0, output_5762, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5763 },
#else
    { 0, output_5763, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5764 },
#else
    { 0, output_5764, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5765 },
#else
    { 0, output_5765, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5766 },
#else
    { 0, output_5766, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5767 },
#else
    { 0, output_5767, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5768 },
#else
    { 0, output_5768, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5769 },
#else
    { 0, output_5769, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5770 },
#else
    { 0, output_5770, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5771 },
#else
    { 0, output_5771, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5772 },
#else
    { 0, output_5772, 0 },
#endif
    { 0 },
    &operand_data[8135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5773 },
#else
    { 0, output_5773, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5774 },
#else
    { 0, output_5774, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5775 },
#else
    { 0, output_5775, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5776 },
#else
    { 0, output_5776, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5777 },
#else
    { 0, output_5777, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5778 },
#else
    { 0, output_5778, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5779 },
#else
    { 0, output_5779, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5780 },
#else
    { 0, output_5780, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5781 },
#else
    { 0, output_5781, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5782 },
#else
    { 0, output_5782, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5783 },
#else
    { 0, output_5783, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5784 },
#else
    { 0, output_5784, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5785 },
#else
    { 0, output_5785, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5786 },
#else
    { 0, output_5786, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5787 },
#else
    { 0, output_5787, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5788 },
#else
    { 0, output_5788, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5789 },
#else
    { 0, output_5789, 0 },
#endif
    { 0 },
    &operand_data[8139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5790 },
#else
    { 0, output_5790, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5791 },
#else
    { 0, output_5791, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5792 },
#else
    { 0, output_5792, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5793 },
#else
    { 0, output_5793, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5794 },
#else
    { 0, output_5794, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5795 },
#else
    { 0, output_5795, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5796 },
#else
    { 0, output_5796, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5797 },
#else
    { 0, output_5797, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5798 },
#else
    { 0, output_5798, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5799 },
#else
    { 0, output_5799, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5800 },
#else
    { 0, output_5800, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5801 },
#else
    { 0, output_5801, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5802 },
#else
    { 0, output_5802, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5803 },
#else
    { 0, output_5803, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5804 },
#else
    { 0, output_5804, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5805 },
#else
    { 0, output_5805, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5806 },
#else
    { 0, output_5806, 0 },
#endif
    { 0 },
    &operand_data[8143],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5807 },
#else
    { 0, output_5807, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5808 },
#else
    { 0, output_5808, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5809 },
#else
    { 0, output_5809, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5810 },
#else
    { 0, output_5810, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5811 },
#else
    { 0, output_5811, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5812 },
#else
    { 0, output_5812, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5813 },
#else
    { 0, output_5813, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5814 },
#else
    { 0, output_5814, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5815 },
#else
    { 0, output_5815, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5816 },
#else
    { 0, output_5816, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5817 },
#else
    { 0, output_5817, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5818 },
#else
    { 0, output_5818, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5819 },
#else
    { 0, output_5819, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5820 },
#else
    { 0, output_5820, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5821 },
#else
    { 0, output_5821, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5822 },
#else
    { 0, output_5822, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5823 },
#else
    { 0, output_5823, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5824 },
#else
    { 0, output_5824, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5825 },
#else
    { 0, output_5825, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5826 },
#else
    { 0, output_5826, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5827 },
#else
    { 0, output_5827, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5828 },
#else
    { 0, output_5828, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5829 },
#else
    { 0, output_5829, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5830 },
#else
    { 0, output_5830, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5831 },
#else
    { 0, output_5831, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5832 },
#else
    { 0, output_5832, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5833 },
#else
    { 0, output_5833, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5834 },
#else
    { 0, output_5834, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5835 },
#else
    { 0, output_5835, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5836 },
#else
    { 0, output_5836, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5837 },
#else
    { 0, output_5837, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5838 },
#else
    { 0, output_5838, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5839 },
#else
    { 0, output_5839, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5840 },
#else
    { 0, output_5840, 0 },
#endif
    { 0 },
    &operand_data[8151],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5841 },
#else
    { 0, output_5841, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5842 },
#else
    { 0, output_5842, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5843 },
#else
    { 0, output_5843, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5844 },
#else
    { 0, output_5844, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5845 },
#else
    { 0, output_5845, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5846 },
#else
    { 0, output_5846, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5847 },
#else
    { 0, output_5847, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5848 },
#else
    { 0, output_5848, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5849 },
#else
    { 0, output_5849, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5850 },
#else
    { 0, output_5850, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5851 },
#else
    { 0, output_5851, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5852 },
#else
    { 0, output_5852, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5853 },
#else
    { 0, output_5853, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5854 },
#else
    { 0, output_5854, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5855 },
#else
    { 0, output_5855, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5856 },
#else
    { 0, output_5856, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5857 },
#else
    { 0, output_5857, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5858 },
#else
    { 0, output_5858, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5859 },
#else
    { 0, output_5859, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5860 },
#else
    { 0, output_5860, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5861 },
#else
    { 0, output_5861, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5862 },
#else
    { 0, output_5862, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5863 },
#else
    { 0, output_5863, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5864 },
#else
    { 0, output_5864, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5865 },
#else
    { 0, output_5865, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5866 },
#else
    { 0, output_5866, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5867 },
#else
    { 0, output_5867, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5868 },
#else
    { 0, output_5868, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5869 },
#else
    { 0, output_5869, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5870 },
#else
    { 0, output_5870, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5871 },
#else
    { 0, output_5871, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5872 },
#else
    { 0, output_5872, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5873 },
#else
    { 0, output_5873, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5874 },
#else
    { 0, output_5874, 0 },
#endif
    { 0 },
    &operand_data[8159],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5875 },
#else
    { 0, output_5875, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5876 },
#else
    { 0, output_5876, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5877 },
#else
    { 0, output_5877, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5878 },
#else
    { 0, output_5878, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5879 },
#else
    { 0, output_5879, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5880 },
#else
    { 0, output_5880, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5881 },
#else
    { 0, output_5881, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5882 },
#else
    { 0, output_5882, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5883 },
#else
    { 0, output_5883, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5884 },
#else
    { 0, output_5884, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5885 },
#else
    { 0, output_5885, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5886 },
#else
    { 0, output_5886, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5887 },
#else
    { 0, output_5887, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5888 },
#else
    { 0, output_5888, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5889 },
#else
    { 0, output_5889, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5890 },
#else
    { 0, output_5890, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5891 },
#else
    { 0, output_5891, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5892 },
#else
    { 0, output_5892, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5893 },
#else
    { 0, output_5893, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5894 },
#else
    { 0, output_5894, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5895 },
#else
    { 0, output_5895, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5896 },
#else
    { 0, output_5896, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5897 },
#else
    { 0, output_5897, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5898 },
#else
    { 0, output_5898, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5899 },
#else
    { 0, output_5899, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5900 },
#else
    { 0, output_5900, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5901 },
#else
    { 0, output_5901, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5902 },
#else
    { 0, output_5902, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5903 },
#else
    { 0, output_5903, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5904 },
#else
    { 0, output_5904, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5905 },
#else
    { 0, output_5905, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5906 },
#else
    { 0, output_5906, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5907 },
#else
    { 0, output_5907, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5908 },
#else
    { 0, output_5908, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5909 },
#else
    { 0, output_5909, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5910 },
#else
    { 0, output_5910, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5911 },
#else
    { 0, output_5911, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5912 },
#else
    { 0, output_5912, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5913 },
#else
    { 0, output_5913, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5914 },
#else
    { 0, output_5914, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5915 },
#else
    { 0, output_5915, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5916 },
#else
    { 0, output_5916, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5917 },
#else
    { 0, output_5917, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5918 },
#else
    { 0, output_5918, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5919 },
#else
    { 0, output_5919, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5920 },
#else
    { 0, output_5920, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5921 },
#else
    { 0, output_5921, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5922 },
#else
    { 0, output_5922, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5923 },
#else
    { 0, output_5923, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5924 },
#else
    { 0, output_5924, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5925 },
#else
    { 0, output_5925, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5926 },
#else
    { 0, output_5926, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5927 },
#else
    { 0, output_5927, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5928 },
#else
    { 0, output_5928, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5929 },
#else
    { 0, output_5929, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5930 },
#else
    { 0, output_5930, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5931 },
#else
    { 0, output_5931, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5932 },
#else
    { 0, output_5932, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5933 },
#else
    { 0, output_5933, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5934 },
#else
    { 0, output_5934, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5935 },
#else
    { 0, output_5935, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5936 },
#else
    { 0, output_5936, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5937 },
#else
    { 0, output_5937, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5938 },
#else
    { 0, output_5938, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5939 },
#else
    { 0, output_5939, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5940 },
#else
    { 0, output_5940, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5941 },
#else
    { 0, output_5941, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5942 },
#else
    { 0, output_5942, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5943 },
#else
    { 0, output_5943, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5944 },
#else
    { 0, output_5944, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5945 },
#else
    { 0, output_5945, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5946 },
#else
    { 0, output_5946, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5947 },
#else
    { 0, output_5947, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5948 },
#else
    { 0, output_5948, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5949 },
#else
    { 0, output_5949, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5950 },
#else
    { 0, output_5950, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5951 },
#else
    { 0, output_5951, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5952 },
#else
    { 0, output_5952, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5953 },
#else
    { 0, output_5953, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5954 },
#else
    { 0, output_5954, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5955 },
#else
    { 0, output_5955, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5956 },
#else
    { 0, output_5956, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5957 },
#else
    { 0, output_5957, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5958 },
#else
    { 0, output_5958, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5959 },
#else
    { 0, output_5959, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5960 },
#else
    { 0, output_5960, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5961 },
#else
    { 0, output_5961, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5962 },
#else
    { 0, output_5962, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5963 },
#else
    { 0, output_5963, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5964 },
#else
    { 0, output_5964, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5965 },
#else
    { 0, output_5965, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5966 },
#else
    { 0, output_5966, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5967 },
#else
    { 0, output_5967, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5968 },
#else
    { 0, output_5968, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5969 },
#else
    { 0, output_5969, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5970 },
#else
    { 0, output_5970, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5971 },
#else
    { 0, output_5971, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5972 },
#else
    { 0, output_5972, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5973 },
#else
    { 0, output_5973, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5974 },
#else
    { 0, output_5974, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5975 },
#else
    { 0, output_5975, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5976 },
#else
    { 0, output_5976, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5977 },
#else
    { 0, output_5977, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5978 },
#else
    { 0, output_5978, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5979 },
#else
    { 0, output_5979, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5980 },
#else
    { 0, output_5980, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5981 },
#else
    { 0, output_5981, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5982 },
#else
    { 0, output_5982, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5983 },
#else
    { 0, output_5983, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5984 },
#else
    { 0, output_5984, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5985 },
#else
    { 0, output_5985, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5986 },
#else
    { 0, output_5986, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5987 },
#else
    { 0, output_5987, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5988 },
#else
    { 0, output_5988, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5989 },
#else
    { 0, output_5989, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5990 },
#else
    { 0, output_5990, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5991 },
#else
    { 0, output_5991, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5992 },
#else
    { 0, output_5992, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5993 },
#else
    { 0, output_5993, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5994 },
#else
    { 0, output_5994, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5995 },
#else
    { 0, output_5995, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5996 },
#else
    { 0, output_5996, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5997 },
#else
    { 0, output_5997, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5998 },
#else
    { 0, output_5998, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5999 },
#else
    { 0, output_5999, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6000 },
#else
    { 0, output_6000, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6001 },
#else
    { 0, output_6001, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6002 },
#else
    { 0, output_6002, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6003 },
#else
    { 0, output_6003, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6004 },
#else
    { 0, output_6004, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6005 },
#else
    { 0, output_6005, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6006 },
#else
    { 0, output_6006, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6007 },
#else
    { 0, output_6007, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6008 },
#else
    { 0, output_6008, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6009 },
#else
    { 0, output_6009, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6010 },
#else
    { 0, output_6010, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6011 },
#else
    { 0, output_6011, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6012 },
#else
    { 0, output_6012, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6013 },
#else
    { 0, output_6013, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6014 },
#else
    { 0, output_6014, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6015 },
#else
    { 0, output_6015, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6016 },
#else
    { 0, output_6016, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6017 },
#else
    { 0, output_6017, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6018 },
#else
    { 0, output_6018, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6019 },
#else
    { 0, output_6019, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6020 },
#else
    { 0, output_6020, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6021 },
#else
    { 0, output_6021, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6022 },
#else
    { 0, output_6022, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6023 },
#else
    { 0, output_6023, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6024 },
#else
    { 0, output_6024, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6025 },
#else
    { 0, output_6025, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6026 },
#else
    { 0, output_6026, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6027 },
#else
    { 0, output_6027, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6028 },
#else
    { 0, output_6028, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6029 },
#else
    { 0, output_6029, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6030 },
#else
    { 0, output_6030, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6031 },
#else
    { 0, output_6031, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6032 },
#else
    { 0, output_6032, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6033 },
#else
    { 0, output_6033, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6034 },
#else
    { 0, output_6034, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6035 },
#else
    { 0, output_6035, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6036 },
#else
    { 0, output_6036, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6037 },
#else
    { 0, output_6037, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6038 },
#else
    { 0, output_6038, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6039 },
#else
    { 0, output_6039, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6040 },
#else
    { 0, output_6040, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6041 },
#else
    { 0, output_6041, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6042 },
#else
    { 0, output_6042, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6043 },
#else
    { 0, output_6043, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6044 },
#else
    { 0, output_6044, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6045 },
#else
    { 0, output_6045, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6046 },
#else
    { 0, output_6046, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6047 },
#else
    { 0, output_6047, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6048 },
#else
    { 0, output_6048, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6049 },
#else
    { 0, output_6049, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6050 },
#else
    { 0, output_6050, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6051 },
#else
    { 0, output_6051, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6052 },
#else
    { 0, output_6052, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6053 },
#else
    { 0, output_6053, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6054 },
#else
    { 0, output_6054, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6055 },
#else
    { 0, output_6055, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6056 },
#else
    { 0, output_6056, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6057 },
#else
    { 0, output_6057, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6058 },
#else
    { 0, output_6058, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6059 },
#else
    { 0, output_6059, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6060 },
#else
    { 0, output_6060, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6061 },
#else
    { 0, output_6061, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6062 },
#else
    { 0, 0, output_6062 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx16qi3 },
    &operand_data[8217],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6063 },
#else
    { 0, 0, output_6063 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8qi3 },
    &operand_data[8220],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6064 },
#else
    { 0, 0, output_6064 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4qi3 },
    &operand_data[8223],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6065 },
#else
    { 0, 0, output_6065 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2qi3 },
    &operand_data[8226],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6066 },
#else
    { 0, 0, output_6066 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hi3 },
    &operand_data[8229],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6067 },
#else
    { 0, 0, output_6067 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4hi3 },
    &operand_data[8232],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6068 },
#else
    { 0, 0, output_6068 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2hi3 },
    &operand_data[8235],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6069 },
#else
    { 0, 0, output_6069 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4si3 },
    &operand_data[8238],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6070 },
#else
    { 0, 0, output_6070 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2si3 },
    &operand_data[8241],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6071 },
#else
    { 0, 0, output_6071 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2di3 },
    &operand_data[8244],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6072 },
#else
    { 0, output_6072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx16qi3 },
    &operand_data[8247],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6073 },
#else
    { 0, output_6073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8qi3 },
    &operand_data[8250],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6074 },
#else
    { 0, output_6074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4qi3 },
    &operand_data[8253],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6075 },
#else
    { 0, output_6075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2qi3 },
    &operand_data[8256],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6076 },
#else
    { 0, output_6076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hi3 },
    &operand_data[8259],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6077 },
#else
    { 0, output_6077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4hi3 },
    &operand_data[8262],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6078 },
#else
    { 0, output_6078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2hi3 },
    &operand_data[8265],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6079 },
#else
    { 0, output_6079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4si3 },
    &operand_data[8268],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6080 },
#else
    { 0, output_6080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2si3 },
    &operand_data[8271],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6081 },
#else
    { 0, output_6081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2di3 },
    &operand_data[8274],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3831 */
  {
    "aarch64_adrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3831 */
  {
    "aarch64_adrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3842 */
  {
    "*aarch64_adr_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8280],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3862 */
  {
    "*aarch64_adr_uxtw_unspec",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8284],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3875 */
  {
    "*aarch64_adr_uxtw_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8284],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8288],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8293],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8298],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8303],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx4qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8308],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx4hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8313],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8318],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3922 */
  {
    "*aarch64_adr_shift_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8323],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3946 */
  {
    "*aarch64_adr_shift_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8329],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6096 },
#else
    { 0, output_6096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx16qi },
    &operand_data[8335],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6097 },
#else
    { 0, output_6097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx16qi },
    &operand_data[8335],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6098 },
#else
    { 0, output_6098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8qi },
    &operand_data[8339],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6099 },
#else
    { 0, output_6099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8qi },
    &operand_data[8339],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6100 },
#else
    { 0, output_6100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4qi },
    &operand_data[8343],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6101 },
#else
    { 0, output_6101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4qi },
    &operand_data[8343],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6102 },
#else
    { 0, output_6102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2qi },
    &operand_data[8347],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6103 },
#else
    { 0, output_6103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2qi },
    &operand_data[8347],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6104 },
#else
    { 0, output_6104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8hi },
    &operand_data[8351],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6105 },
#else
    { 0, output_6105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8hi },
    &operand_data[8351],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6106 },
#else
    { 0, output_6106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4hi },
    &operand_data[8355],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6107 },
#else
    { 0, output_6107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4hi },
    &operand_data[8355],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6108 },
#else
    { 0, output_6108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2hi },
    &operand_data[8359],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6109 },
#else
    { 0, output_6109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2hi },
    &operand_data[8359],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6110 },
#else
    { 0, output_6110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4si },
    &operand_data[8363],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6111 },
#else
    { 0, output_6111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4si },
    &operand_data[8363],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6112 },
#else
    { 0, output_6112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2si },
    &operand_data[8367],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6113 },
#else
    { 0, output_6113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2si },
    &operand_data[8367],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6114 },
#else
    { 0, output_6114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2di },
    &operand_data[8371],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6115 },
#else
    { 0, output_6115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2di },
    &operand_data[8371],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6116 },
#else
    { 0, output_6116, 0 },
#endif
    { 0 },
    &operand_data[8375],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6117 },
#else
    { 0, output_6117, 0 },
#endif
    { 0 },
    &operand_data[8375],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6118 },
#else
    { 0, output_6118, 0 },
#endif
    { 0 },
    &operand_data[8381],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6119 },
#else
    { 0, output_6119, 0 },
#endif
    { 0 },
    &operand_data[8381],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6120 },
#else
    { 0, output_6120, 0 },
#endif
    { 0 },
    &operand_data[8387],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6121 },
#else
    { 0, output_6121, 0 },
#endif
    { 0 },
    &operand_data[8387],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6122 },
#else
    { 0, output_6122, 0 },
#endif
    { 0 },
    &operand_data[8393],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6123 },
#else
    { 0, output_6123, 0 },
#endif
    { 0 },
    &operand_data[8393],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6124 },
#else
    { 0, output_6124, 0 },
#endif
    { 0 },
    &operand_data[8399],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6125 },
#else
    { 0, output_6125, 0 },
#endif
    { 0 },
    &operand_data[8399],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6126 },
#else
    { 0, output_6126, 0 },
#endif
    { 0 },
    &operand_data[8405],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6127 },
#else
    { 0, output_6127, 0 },
#endif
    { 0 },
    &operand_data[8405],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6128 },
#else
    { 0, output_6128, 0 },
#endif
    { 0 },
    &operand_data[8411],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6129 },
#else
    { 0, output_6129, 0 },
#endif
    { 0 },
    &operand_data[8411],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6130 },
#else
    { 0, output_6130, 0 },
#endif
    { 0 },
    &operand_data[8417],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6131 },
#else
    { 0, output_6131, 0 },
#endif
    { 0 },
    &operand_data[8417],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6132 },
#else
    { 0, output_6132, 0 },
#endif
    { 0 },
    &operand_data[8423],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6133 },
#else
    { 0, output_6133, 0 },
#endif
    { 0 },
    &operand_data[8423],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6134 },
#else
    { 0, output_6134, 0 },
#endif
    { 0 },
    &operand_data[8429],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6135 },
#else
    { 0, output_6135, 0 },
#endif
    { 0 },
    &operand_data[8429],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6136 },
#else
    { 0, output_6136, 0 },
#endif
    { 0 },
    &operand_data[8435],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6137 },
#else
    { 0, output_6137, 0 },
#endif
    { 0 },
    &operand_data[8435],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6138 },
#else
    { 0, output_6138, 0 },
#endif
    { 0 },
    &operand_data[8441],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6139 },
#else
    { 0, output_6139, 0 },
#endif
    { 0 },
    &operand_data[8441],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6140 },
#else
    { 0, output_6140, 0 },
#endif
    { 0 },
    &operand_data[8447],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6141 },
#else
    { 0, output_6141, 0 },
#endif
    { 0 },
    &operand_data[8447],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6142 },
#else
    { 0, output_6142, 0 },
#endif
    { 0 },
    &operand_data[8453],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6143 },
#else
    { 0, output_6143, 0 },
#endif
    { 0 },
    &operand_data[8453],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6144 },
#else
    { 0, output_6144, 0 },
#endif
    { 0 },
    &operand_data[8459],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6145 },
#else
    { 0, output_6145, 0 },
#endif
    { 0 },
    &operand_data[8459],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6146 },
#else
    { 0, output_6146, 0 },
#endif
    { 0 },
    &operand_data[8465],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6147 },
#else
    { 0, output_6147, 0 },
#endif
    { 0 },
    &operand_data[8465],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6148 },
#else
    { 0, output_6148, 0 },
#endif
    { 0 },
    &operand_data[8471],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6149 },
#else
    { 0, output_6149, 0 },
#endif
    { 0 },
    &operand_data[8471],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6150 },
#else
    { 0, output_6150, 0 },
#endif
    { 0 },
    &operand_data[8477],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6151 },
#else
    { 0, output_6151, 0 },
#endif
    { 0 },
    &operand_data[8477],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6152 },
#else
    { 0, output_6152, 0 },
#endif
    { 0 },
    &operand_data[8483],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6153 },
#else
    { 0, output_6153, 0 },
#endif
    { 0 },
    &operand_data[8483],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6154 },
#else
    { 0, output_6154, 0 },
#endif
    { 0 },
    &operand_data[8489],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6155 },
#else
    { 0, output_6155, 0 },
#endif
    { 0 },
    &operand_data[8489],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6156 },
#else
    { 0, output_6156, 0 },
#endif
    { 0 },
    &operand_data[8495],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6157 },
#else
    { 0, output_6157, 0 },
#endif
    { 0 },
    &operand_data[8495],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6158 },
#else
    { 0, output_6158, 0 },
#endif
    { 0 },
    &operand_data[8502],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6159 },
#else
    { 0, output_6159, 0 },
#endif
    { 0 },
    &operand_data[8502],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6160 },
#else
    { 0, output_6160, 0 },
#endif
    { 0 },
    &operand_data[8509],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6161 },
#else
    { 0, output_6161, 0 },
#endif
    { 0 },
    &operand_data[8509],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6162 },
#else
    { 0, output_6162, 0 },
#endif
    { 0 },
    &operand_data[8516],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6163 },
#else
    { 0, output_6163, 0 },
#endif
    { 0 },
    &operand_data[8516],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6164 },
#else
    { 0, output_6164, 0 },
#endif
    { 0 },
    &operand_data[8523],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6165 },
#else
    { 0, output_6165, 0 },
#endif
    { 0 },
    &operand_data[8523],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6166 },
#else
    { 0, output_6166, 0 },
#endif
    { 0 },
    &operand_data[8530],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6167 },
#else
    { 0, output_6167, 0 },
#endif
    { 0 },
    &operand_data[8530],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6168 },
#else
    { 0, output_6168, 0 },
#endif
    { 0 },
    &operand_data[8537],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6169 },
#else
    { 0, output_6169, 0 },
#endif
    { 0 },
    &operand_data[8537],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6170 },
#else
    { 0, output_6170, 0 },
#endif
    { 0 },
    &operand_data[8544],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6171 },
#else
    { 0, output_6171, 0 },
#endif
    { 0 },
    &operand_data[8544],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6172 },
#else
    { 0, output_6172, 0 },
#endif
    { 0 },
    &operand_data[8551],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6173 },
#else
    { 0, output_6173, 0 },
#endif
    { 0 },
    &operand_data[8551],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6174 },
#else
    { 0, output_6174, 0 },
#endif
    { 0 },
    &operand_data[8558],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6175 },
#else
    { 0, output_6175, 0 },
#endif
    { 0 },
    &operand_data[8558],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6176 },
#else
    { 0, output_6176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx16qi },
    &operand_data[8565],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6177 },
#else
    { 0, output_6177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx16qi },
    &operand_data[8565],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6178 },
#else
    { 0, output_6178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx8hi },
    &operand_data[8568],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6179 },
#else
    { 0, output_6179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx8hi },
    &operand_data[8568],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6180 },
#else
    { 0, output_6180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx4si },
    &operand_data[8571],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6181 },
#else
    { 0, output_6181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx4si },
    &operand_data[8571],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6182 },
#else
    { 0, output_6182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx2di },
    &operand_data[8574],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6183 },
#else
    { 0, output_6183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx2di },
    &operand_data[8574],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6184 },
#else
    { 0, output_6184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx16qi },
    &operand_data[8577],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6185 },
#else
    { 0, output_6185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx16qi },
    &operand_data[8577],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6186 },
#else
    { 0, output_6186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx8hi },
    &operand_data[8580],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6187 },
#else
    { 0, output_6187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx8hi },
    &operand_data[8580],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6188 },
#else
    { 0, output_6188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx4si },
    &operand_data[8583],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6189 },
#else
    { 0, output_6189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx4si },
    &operand_data[8583],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6190 },
#else
    { 0, output_6190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx2di },
    &operand_data[8586],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6191 },
#else
    { 0, output_6191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx2di },
    &operand_data[8586],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6192 },
#else
    { 0, output_6192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx16qi },
    &operand_data[8335],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6193 },
#else
    { 0, output_6193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx16qi },
    &operand_data[8335],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6194 },
#else
    { 0, output_6194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8qi },
    &operand_data[8339],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6195 },
#else
    { 0, output_6195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8qi },
    &operand_data[8339],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6196 },
#else
    { 0, output_6196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4qi },
    &operand_data[8343],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6197 },
#else
    { 0, output_6197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4qi },
    &operand_data[8343],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6198 },
#else
    { 0, output_6198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2qi },
    &operand_data[8347],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6199 },
#else
    { 0, output_6199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2qi },
    &operand_data[8347],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6200 },
#else
    { 0, output_6200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8hi },
    &operand_data[8351],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6201 },
#else
    { 0, output_6201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8hi },
    &operand_data[8351],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6202 },
#else
    { 0, output_6202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4hi },
    &operand_data[8355],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6203 },
#else
    { 0, output_6203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4hi },
    &operand_data[8355],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6204 },
#else
    { 0, output_6204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2hi },
    &operand_data[8359],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6205 },
#else
    { 0, output_6205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2hi },
    &operand_data[8359],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6206 },
#else
    { 0, output_6206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4si },
    &operand_data[8363],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6207 },
#else
    { 0, output_6207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4si },
    &operand_data[8363],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6208 },
#else
    { 0, output_6208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2si },
    &operand_data[8367],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6209 },
#else
    { 0, output_6209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2si },
    &operand_data[8367],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6210 },
#else
    { 0, output_6210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2di },
    &operand_data[8371],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6211 },
#else
    { 0, output_6211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2di },
    &operand_data[8371],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6212 },
#else
    { 0, output_6212, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6213 },
#else
    { 0, output_6213, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6214 },
#else
    { 0, output_6214, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6215 },
#else
    { 0, output_6215, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6216 },
#else
    { 0, output_6216, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6217 },
#else
    { 0, output_6217, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6218 },
#else
    { 0, output_6218, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6219 },
#else
    { 0, output_6219, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6220 },
#else
    { 0, output_6220, 0 },
#endif
    { 0 },
    &operand_data[8589],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6221 },
#else
    { 0, output_6221, 0 },
#endif
    { 0 },
    &operand_data[8589],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6222 },
#else
    { 0, output_6222, 0 },
#endif
    { 0 },
    &operand_data[8594],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6223 },
#else
    { 0, output_6223, 0 },
#endif
    { 0 },
    &operand_data[8594],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6224 },
#else
    { 0, output_6224, 0 },
#endif
    { 0 },
    &operand_data[8599],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6225 },
#else
    { 0, output_6225, 0 },
#endif
    { 0 },
    &operand_data[8599],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6226 },
#else
    { 0, output_6226, 0 },
#endif
    { 0 },
    &operand_data[8604],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6227 },
#else
    { 0, output_6227, 0 },
#endif
    { 0 },
    &operand_data[8604],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6228 },
#else
    { 0, output_6228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6229 },
#else
    { 0, output_6229, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6230 },
#else
    { 0, output_6230, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6231 },
#else
    { 0, output_6231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_divvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6232 },
#else
    { 0, output_6232, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_udivvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6233 },
#else
    { 0, output_6233, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_divvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6234 },
#else
    { 0, output_6234, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_udivvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6235 },
#else
    { 0, output_6235, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_divvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6236 },
#else
    { 0, output_6236, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_udivvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6237 },
#else
    { 0, output_6237, 0 },
#endif
    { 0 },
    &operand_data[8155],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_divvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6238 },
#else
    { 0, output_6238, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_udivvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6239 },
#else
    { 0, output_6239, 0 },
#endif
    { 0 },
    &operand_data[8163],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_divvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6240 },
#else
    { 0, output_6240, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_udivvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6241 },
#else
    { 0, output_6241, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_divvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6242 },
#else
    { 0, output_6242, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_udivvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6243 },
#else
    { 0, output_6243, 0 },
#endif
    { 0 },
    &operand_data[8212],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6244 },
#else
    { 0, output_6244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16qi3 },
    &operand_data[8617],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6245 },
#else
    { 0, output_6245, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16qi3 },
    &operand_data[8617],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6246 },
#else
    { 0, output_6246, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16qi3 },
    &operand_data[8617],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6247 },
#else
    { 0, output_6247, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8qi3 },
    &operand_data[8620],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6248 },
#else
    { 0, output_6248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8qi3 },
    &operand_data[8620],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6249 },
#else
    { 0, output_6249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8qi3 },
    &operand_data[8620],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6250 },
#else
    { 0, output_6250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4qi3 },
    &operand_data[8623],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6251 },
#else
    { 0, output_6251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4qi3 },
    &operand_data[8623],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6252 },
#else
    { 0, output_6252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4qi3 },
    &operand_data[8623],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6253 },
#else
    { 0, output_6253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2qi3 },
    &operand_data[8626],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6254 },
#else
    { 0, output_6254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2qi3 },
    &operand_data[8626],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6255 },
#else
    { 0, output_6255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2qi3 },
    &operand_data[8626],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6256 },
#else
    { 0, output_6256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8hi3 },
    &operand_data[8629],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6257 },
#else
    { 0, output_6257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8hi3 },
    &operand_data[8629],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6258 },
#else
    { 0, output_6258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8hi3 },
    &operand_data[8629],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6259 },
#else
    { 0, output_6259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4hi3 },
    &operand_data[8632],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6260 },
#else
    { 0, output_6260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4hi3 },
    &operand_data[8632],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6261 },
#else
    { 0, output_6261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4hi3 },
    &operand_data[8632],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6262 },
#else
    { 0, output_6262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2hi3 },
    &operand_data[8635],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6263 },
#else
    { 0, output_6263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2hi3 },
    &operand_data[8635],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6264 },
#else
    { 0, output_6264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2hi3 },
    &operand_data[8635],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6265 },
#else
    { 0, output_6265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4si3 },
    &operand_data[8638],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6266 },
#else
    { 0, output_6266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4si3 },
    &operand_data[8638],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6267 },
#else
    { 0, output_6267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4si3 },
    &operand_data[8638],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6268 },
#else
    { 0, output_6268, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2si3 },
    &operand_data[8641],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6269 },
#else
    { 0, output_6269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2si3 },
    &operand_data[8641],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6270 },
#else
    { 0, output_6270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2si3 },
    &operand_data[8641],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6271 },
#else
    { 0, output_6271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2di3 },
    &operand_data[8644],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6272 },
#else
    { 0, output_6272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2di3 },
    &operand_data[8644],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6273 },
#else
    { 0, output_6273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2di3 },
    &operand_data[8644],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8655],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8659],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8663],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8667],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8671],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8280],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6284 },
#else
    { 0, output_6284, 0 },
#endif
    { 0 },
    &operand_data[8087],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6285 },
#else
    { 0, output_6285, 0 },
#endif
    { 0 },
    &operand_data[8091],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6286 },
#else
    { 0, output_6286, 0 },
#endif
    { 0 },
    &operand_data[8095],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6287 },
#else
    { 0, output_6287, 0 },
#endif
    { 0 },
    &operand_data[8099],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6288 },
#else
    { 0, output_6288, 0 },
#endif
    { 0 },
    &operand_data[8103],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6289 },
#else
    { 0, output_6289, 0 },
#endif
    { 0 },
    &operand_data[8107],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6290 },
#else
    { 0, output_6290, 0 },
#endif
    { 0 },
    &operand_data[8111],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6291 },
#else
    { 0, output_6291, 0 },
#endif
    { 0 },
    &operand_data[8115],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6292 },
#else
    { 0, output_6292, 0 },
#endif
    { 0 },
    &operand_data[8119],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6293 },
#else
    { 0, output_6293, 0 },
#endif
    { 0 },
    &operand_data[8123],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6294 },
#else
    { 0, output_6294, 0 },
#endif
    { 0 },
    &operand_data[8683],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6295 },
#else
    { 0, output_6295, 0 },
#endif
    { 0 },
    &operand_data[8688],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6296 },
#else
    { 0, output_6296, 0 },
#endif
    { 0 },
    &operand_data[8693],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6297 },
#else
    { 0, output_6297, 0 },
#endif
    { 0 },
    &operand_data[8698],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6298 },
#else
    { 0, output_6298, 0 },
#endif
    { 0 },
    &operand_data[8703],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6299 },
#else
    { 0, output_6299, 0 },
#endif
    { 0 },
    &operand_data[8708],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6300 },
#else
    { 0, output_6300, 0 },
#endif
    { 0 },
    &operand_data[8713],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6301 },
#else
    { 0, output_6301, 0 },
#endif
    { 0 },
    &operand_data[8718],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6302 },
#else
    { 0, output_6302, 0 },
#endif
    { 0 },
    &operand_data[8723],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6303 },
#else
    { 0, output_6303, 0 },
#endif
    { 0 },
    &operand_data[8728],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6304 },
#else
    { 0, output_6304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx16qi },
    &operand_data[8733],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6305 },
#else
    { 0, output_6305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx16qi },
    &operand_data[8737],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6306 },
#else
    { 0, output_6306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx16qi },
    &operand_data[8737],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6307 },
#else
    { 0, output_6307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8qi },
    &operand_data[8741],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6308 },
#else
    { 0, output_6308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8qi },
    &operand_data[8745],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6309 },
#else
    { 0, output_6309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8qi },
    &operand_data[8745],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6310 },
#else
    { 0, output_6310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4qi },
    &operand_data[8749],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6311 },
#else
    { 0, output_6311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4qi },
    &operand_data[8753],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6312 },
#else
    { 0, output_6312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4qi },
    &operand_data[8753],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6313 },
#else
    { 0, output_6313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2qi },
    &operand_data[8757],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6314 },
#else
    { 0, output_6314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2qi },
    &operand_data[8761],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6315 },
#else
    { 0, output_6315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2qi },
    &operand_data[8761],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6316 },
#else
    { 0, output_6316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8hi },
    &operand_data[8765],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6317 },
#else
    { 0, output_6317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8hi },
    &operand_data[8769],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6318 },
#else
    { 0, output_6318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8hi },
    &operand_data[8769],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6319 },
#else
    { 0, output_6319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4hi },
    &operand_data[8773],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6320 },
#else
    { 0, output_6320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4hi },
    &operand_data[8777],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6321 },
#else
    { 0, output_6321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4hi },
    &operand_data[8777],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6322 },
#else
    { 0, output_6322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2hi },
    &operand_data[8781],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6323 },
#else
    { 0, output_6323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2hi },
    &operand_data[8785],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6324 },
#else
    { 0, output_6324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2hi },
    &operand_data[8785],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6325 },
#else
    { 0, output_6325, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4si },
    &operand_data[8789],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6326 },
#else
    { 0, output_6326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4si },
    &operand_data[8793],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6327 },
#else
    { 0, output_6327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4si },
    &operand_data[8793],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6328 },
#else
    { 0, output_6328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2si },
    &operand_data[8797],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6329 },
#else
    { 0, output_6329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2si },
    &operand_data[8801],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6330 },
#else
    { 0, output_6330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2si },
    &operand_data[8801],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6331 },
#else
    { 0, output_6331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2di },
    &operand_data[8805],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6332 },
#else
    { 0, output_6332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2di },
    &operand_data[8809],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "aarch64_pred_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6333 },
#else
    { 0, output_6333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2di },
    &operand_data[8809],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8819],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8822],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8822],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8825],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8828],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8828],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8843],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8846],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8846],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8849],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8852],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8852],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8864],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8864],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8870],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4603 */
  {
    "*post_ra_vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8870],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6364 },
#else
    { 0, output_6364, 0 },
#endif
    { 0 },
    &operand_data[8873],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6365 },
#else
    { 0, output_6365, 0 },
#endif
    { 0 },
    &operand_data[8877],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6366 },
#else
    { 0, output_6366, 0 },
#endif
    { 0 },
    &operand_data[8877],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6367 },
#else
    { 0, output_6367, 0 },
#endif
    { 0 },
    &operand_data[8881],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6368 },
#else
    { 0, output_6368, 0 },
#endif
    { 0 },
    &operand_data[8885],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6369 },
#else
    { 0, output_6369, 0 },
#endif
    { 0 },
    &operand_data[8885],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6370 },
#else
    { 0, output_6370, 0 },
#endif
    { 0 },
    &operand_data[8889],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6371 },
#else
    { 0, output_6371, 0 },
#endif
    { 0 },
    &operand_data[8893],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6372 },
#else
    { 0, output_6372, 0 },
#endif
    { 0 },
    &operand_data[8893],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6373 },
#else
    { 0, output_6373, 0 },
#endif
    { 0 },
    &operand_data[8897],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6374 },
#else
    { 0, output_6374, 0 },
#endif
    { 0 },
    &operand_data[8901],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6375 },
#else
    { 0, output_6375, 0 },
#endif
    { 0 },
    &operand_data[8901],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6376 },
#else
    { 0, output_6376, 0 },
#endif
    { 0 },
    &operand_data[8905],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6377 },
#else
    { 0, output_6377, 0 },
#endif
    { 0 },
    &operand_data[8909],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6378 },
#else
    { 0, output_6378, 0 },
#endif
    { 0 },
    &operand_data[8909],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6379 },
#else
    { 0, output_6379, 0 },
#endif
    { 0 },
    &operand_data[8913],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6380 },
#else
    { 0, output_6380, 0 },
#endif
    { 0 },
    &operand_data[8917],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6381 },
#else
    { 0, output_6381, 0 },
#endif
    { 0 },
    &operand_data[8917],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6382 },
#else
    { 0, output_6382, 0 },
#endif
    { 0 },
    &operand_data[8921],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6383 },
#else
    { 0, output_6383, 0 },
#endif
    { 0 },
    &operand_data[8925],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6384 },
#else
    { 0, output_6384, 0 },
#endif
    { 0 },
    &operand_data[8925],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6385 },
#else
    { 0, output_6385, 0 },
#endif
    { 0 },
    &operand_data[8929],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6386 },
#else
    { 0, output_6386, 0 },
#endif
    { 0 },
    &operand_data[8933],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6387 },
#else
    { 0, output_6387, 0 },
#endif
    { 0 },
    &operand_data[8933],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6388 },
#else
    { 0, output_6388, 0 },
#endif
    { 0 },
    &operand_data[8937],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6389 },
#else
    { 0, output_6389, 0 },
#endif
    { 0 },
    &operand_data[8941],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6390 },
#else
    { 0, output_6390, 0 },
#endif
    { 0 },
    &operand_data[8941],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashlvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6391 },
#else
    { 0, output_6391, 0 },
#endif
    { 0 },
    &operand_data[8945],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_ashrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6392 },
#else
    { 0, output_6392, 0 },
#endif
    { 0 },
    &operand_data[8949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4613 */
  {
    "*cond_lshrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6393 },
#else
    { 0, output_6393, 0 },
#endif
    { 0 },
    &operand_data[8949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6394 },
#else
    { 0, output_6394, 0 },
#endif
    { 0 },
    &operand_data[8953],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6395 },
#else
    { 0, output_6395, 0 },
#endif
    { 0 },
    &operand_data[8958],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6396 },
#else
    { 0, output_6396, 0 },
#endif
    { 0 },
    &operand_data[8958],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6397 },
#else
    { 0, output_6397, 0 },
#endif
    { 0 },
    &operand_data[8963],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6398 },
#else
    { 0, output_6398, 0 },
#endif
    { 0 },
    &operand_data[8968],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6399 },
#else
    { 0, output_6399, 0 },
#endif
    { 0 },
    &operand_data[8968],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6400 },
#else
    { 0, output_6400, 0 },
#endif
    { 0 },
    &operand_data[8973],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6401 },
#else
    { 0, output_6401, 0 },
#endif
    { 0 },
    &operand_data[8978],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6402 },
#else
    { 0, output_6402, 0 },
#endif
    { 0 },
    &operand_data[8978],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6403 },
#else
    { 0, output_6403, 0 },
#endif
    { 0 },
    &operand_data[8983],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6404 },
#else
    { 0, output_6404, 0 },
#endif
    { 0 },
    &operand_data[8988],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6405 },
#else
    { 0, output_6405, 0 },
#endif
    { 0 },
    &operand_data[8988],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6406 },
#else
    { 0, output_6406, 0 },
#endif
    { 0 },
    &operand_data[8993],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6407 },
#else
    { 0, output_6407, 0 },
#endif
    { 0 },
    &operand_data[8998],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6408 },
#else
    { 0, output_6408, 0 },
#endif
    { 0 },
    &operand_data[8998],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6409 },
#else
    { 0, output_6409, 0 },
#endif
    { 0 },
    &operand_data[9003],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6410 },
#else
    { 0, output_6410, 0 },
#endif
    { 0 },
    &operand_data[9008],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6411 },
#else
    { 0, output_6411, 0 },
#endif
    { 0 },
    &operand_data[9008],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6412 },
#else
    { 0, output_6412, 0 },
#endif
    { 0 },
    &operand_data[9013],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6413 },
#else
    { 0, output_6413, 0 },
#endif
    { 0 },
    &operand_data[9018],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6414 },
#else
    { 0, output_6414, 0 },
#endif
    { 0 },
    &operand_data[9018],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6415 },
#else
    { 0, output_6415, 0 },
#endif
    { 0 },
    &operand_data[9023],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6416 },
#else
    { 0, output_6416, 0 },
#endif
    { 0 },
    &operand_data[9028],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6417 },
#else
    { 0, output_6417, 0 },
#endif
    { 0 },
    &operand_data[9028],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6418 },
#else
    { 0, output_6418, 0 },
#endif
    { 0 },
    &operand_data[9033],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6419 },
#else
    { 0, output_6419, 0 },
#endif
    { 0 },
    &operand_data[9038],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6420 },
#else
    { 0, output_6420, 0 },
#endif
    { 0 },
    &operand_data[9038],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashlvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6421 },
#else
    { 0, output_6421, 0 },
#endif
    { 0 },
    &operand_data[9043],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_ashrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6422 },
#else
    { 0, output_6422, 0 },
#endif
    { 0 },
    &operand_data[9048],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4630 */
  {
    "*cond_lshrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6423 },
#else
    { 0, output_6423, 0 },
#endif
    { 0 },
    &operand_data[9048],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx16qi },
    &operand_data[9053],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx16qi },
    &operand_data[9053],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx16qi },
    &operand_data[9053],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx8hi },
    &operand_data[9056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx8hi },
    &operand_data[9056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx8hi },
    &operand_data[9056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx4si },
    &operand_data[9059],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx4si },
    &operand_data[9059],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4656 */
  {
    "aarch64_sve_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx4si },
    &operand_data[9059],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_lslvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6433 },
#else
    { 0, output_6433, 0 },
#endif
    { 0 },
    &operand_data[9062],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_asrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6434 },
#else
    { 0, output_6434, 0 },
#endif
    { 0 },
    &operand_data[9062],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_lsrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6435 },
#else
    { 0, output_6435, 0 },
#endif
    { 0 },
    &operand_data[9062],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_lslvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6436 },
#else
    { 0, output_6436, 0 },
#endif
    { 0 },
    &operand_data[9066],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_asrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6437 },
#else
    { 0, output_6437, 0 },
#endif
    { 0 },
    &operand_data[9066],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_lsrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6438 },
#else
    { 0, output_6438, 0 },
#endif
    { 0 },
    &operand_data[9066],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_lslvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6439 },
#else
    { 0, output_6439, 0 },
#endif
    { 0 },
    &operand_data[9070],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_asrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6440 },
#else
    { 0, output_6440, 0 },
#endif
    { 0 },
    &operand_data[9070],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4682 */
  {
    "*cond_lsrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6441 },
#else
    { 0, output_6441, 0 },
#endif
    { 0 },
    &operand_data[9070],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_lslvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6442 },
#else
    { 0, output_6442, 0 },
#endif
    { 0 },
    &operand_data[9074],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_asrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6443 },
#else
    { 0, output_6443, 0 },
#endif
    { 0 },
    &operand_data[9074],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_lsrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6444 },
#else
    { 0, output_6444, 0 },
#endif
    { 0 },
    &operand_data[9074],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_lslvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6445 },
#else
    { 0, output_6445, 0 },
#endif
    { 0 },
    &operand_data[9079],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_asrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6446 },
#else
    { 0, output_6446, 0 },
#endif
    { 0 },
    &operand_data[9079],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_lsrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6447 },
#else
    { 0, output_6447, 0 },
#endif
    { 0 },
    &operand_data[9079],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_lslvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6448 },
#else
    { 0, output_6448, 0 },
#endif
    { 0 },
    &operand_data[9084],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_asrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6449 },
#else
    { 0, output_6449, 0 },
#endif
    { 0 },
    &operand_data[9084],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4699 */
  {
    "*cond_lsrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6450 },
#else
    { 0, output_6450, 0 },
#endif
    { 0 },
    &operand_data[9084],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6451 },
#else
    { 0, output_6451, 0 },
#endif
    { 0 },
    &operand_data[8877],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6452 },
#else
    { 0, output_6452, 0 },
#endif
    { 0 },
    &operand_data[8885],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6453 },
#else
    { 0, output_6453, 0 },
#endif
    { 0 },
    &operand_data[8893],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6454 },
#else
    { 0, output_6454, 0 },
#endif
    { 0 },
    &operand_data[8901],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6455 },
#else
    { 0, output_6455, 0 },
#endif
    { 0 },
    &operand_data[8909],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6456 },
#else
    { 0, output_6456, 0 },
#endif
    { 0 },
    &operand_data[8917],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6457 },
#else
    { 0, output_6457, 0 },
#endif
    { 0 },
    &operand_data[8925],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6458 },
#else
    { 0, output_6458, 0 },
#endif
    { 0 },
    &operand_data[8933],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6459 },
#else
    { 0, output_6459, 0 },
#endif
    { 0 },
    &operand_data[8941],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4742 */
  {
    "*sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6460 },
#else
    { 0, output_6460, 0 },
#endif
    { 0 },
    &operand_data[8949],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6461 },
#else
    { 0, output_6461, 0 },
#endif
    { 0 },
    &operand_data[9089],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6462 },
#else
    { 0, output_6462, 0 },
#endif
    { 0 },
    &operand_data[9094],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6463 },
#else
    { 0, output_6463, 0 },
#endif
    { 0 },
    &operand_data[9089],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6464 },
#else
    { 0, output_6464, 0 },
#endif
    { 0 },
    &operand_data[9089],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6465 },
#else
    { 0, output_6465, 0 },
#endif
    { 0 },
    &operand_data[9099],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6466 },
#else
    { 0, output_6466, 0 },
#endif
    { 0 },
    &operand_data[9104],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6467 },
#else
    { 0, output_6467, 0 },
#endif
    { 0 },
    &operand_data[9099],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6468 },
#else
    { 0, output_6468, 0 },
#endif
    { 0 },
    &operand_data[9099],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6469 },
#else
    { 0, output_6469, 0 },
#endif
    { 0 },
    &operand_data[9109],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6470 },
#else
    { 0, output_6470, 0 },
#endif
    { 0 },
    &operand_data[9114],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6471 },
#else
    { 0, output_6471, 0 },
#endif
    { 0 },
    &operand_data[9109],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6472 },
#else
    { 0, output_6472, 0 },
#endif
    { 0 },
    &operand_data[9109],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6473 },
#else
    { 0, output_6473, 0 },
#endif
    { 0 },
    &operand_data[9119],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6474 },
#else
    { 0, output_6474, 0 },
#endif
    { 0 },
    &operand_data[9124],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6475 },
#else
    { 0, output_6475, 0 },
#endif
    { 0 },
    &operand_data[9119],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6476 },
#else
    { 0, output_6476, 0 },
#endif
    { 0 },
    &operand_data[9119],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6477 },
#else
    { 0, output_6477, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6478 },
#else
    { 0, output_6478, 0 },
#endif
    { 0 },
    &operand_data[9134],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6479 },
#else
    { 0, output_6479, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6480 },
#else
    { 0, output_6480, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6481 },
#else
    { 0, output_6481, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6482 },
#else
    { 0, output_6482, 0 },
#endif
    { 0 },
    &operand_data[9144],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6483 },
#else
    { 0, output_6483, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6484 },
#else
    { 0, output_6484, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6485 },
#else
    { 0, output_6485, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6486 },
#else
    { 0, output_6486, 0 },
#endif
    { 0 },
    &operand_data[9154],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6487 },
#else
    { 0, output_6487, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6488 },
#else
    { 0, output_6488, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6489 },
#else
    { 0, output_6489, 0 },
#endif
    { 0 },
    &operand_data[9159],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6490 },
#else
    { 0, output_6490, 0 },
#endif
    { 0 },
    &operand_data[9164],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6491 },
#else
    { 0, output_6491, 0 },
#endif
    { 0 },
    &operand_data[9159],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6492 },
#else
    { 0, output_6492, 0 },
#endif
    { 0 },
    &operand_data[9159],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6493 },
#else
    { 0, output_6493, 0 },
#endif
    { 0 },
    &operand_data[9169],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6494 },
#else
    { 0, output_6494, 0 },
#endif
    { 0 },
    &operand_data[9174],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6495 },
#else
    { 0, output_6495, 0 },
#endif
    { 0 },
    &operand_data[9169],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6496 },
#else
    { 0, output_6496, 0 },
#endif
    { 0 },
    &operand_data[9169],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_asrdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6497 },
#else
    { 0, output_6497, 0 },
#endif
    { 0 },
    &operand_data[9179],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_sqshluvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6498 },
#else
    { 0, output_6498, 0 },
#endif
    { 0 },
    &operand_data[9184],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_srshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6499 },
#else
    { 0, output_6499, 0 },
#endif
    { 0 },
    &operand_data[9179],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4778 */
  {
    "*cond_urshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6500 },
#else
    { 0, output_6500, 0 },
#endif
    { 0 },
    &operand_data[9179],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6501 },
#else
    { 0, output_6501, 0 },
#endif
    { 0 },
    &operand_data[9189],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6502 },
#else
    { 0, output_6502, 0 },
#endif
    { 0 },
    &operand_data[9195],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6503 },
#else
    { 0, output_6503, 0 },
#endif
    { 0 },
    &operand_data[9189],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6504 },
#else
    { 0, output_6504, 0 },
#endif
    { 0 },
    &operand_data[9189],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6505 },
#else
    { 0, output_6505, 0 },
#endif
    { 0 },
    &operand_data[9201],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6506 },
#else
    { 0, output_6506, 0 },
#endif
    { 0 },
    &operand_data[9207],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6507 },
#else
    { 0, output_6507, 0 },
#endif
    { 0 },
    &operand_data[9201],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6508 },
#else
    { 0, output_6508, 0 },
#endif
    { 0 },
    &operand_data[9201],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6509 },
#else
    { 0, output_6509, 0 },
#endif
    { 0 },
    &operand_data[9213],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6510 },
#else
    { 0, output_6510, 0 },
#endif
    { 0 },
    &operand_data[9219],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6511 },
#else
    { 0, output_6511, 0 },
#endif
    { 0 },
    &operand_data[9213],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6512 },
#else
    { 0, output_6512, 0 },
#endif
    { 0 },
    &operand_data[9213],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6513 },
#else
    { 0, output_6513, 0 },
#endif
    { 0 },
    &operand_data[9225],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6514 },
#else
    { 0, output_6514, 0 },
#endif
    { 0 },
    &operand_data[9231],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6515 },
#else
    { 0, output_6515, 0 },
#endif
    { 0 },
    &operand_data[9225],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6516 },
#else
    { 0, output_6516, 0 },
#endif
    { 0 },
    &operand_data[9225],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6517 },
#else
    { 0, output_6517, 0 },
#endif
    { 0 },
    &operand_data[9237],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6518 },
#else
    { 0, output_6518, 0 },
#endif
    { 0 },
    &operand_data[9243],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6519 },
#else
    { 0, output_6519, 0 },
#endif
    { 0 },
    &operand_data[9237],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6520 },
#else
    { 0, output_6520, 0 },
#endif
    { 0 },
    &operand_data[9237],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6521 },
#else
    { 0, output_6521, 0 },
#endif
    { 0 },
    &operand_data[9249],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6522 },
#else
    { 0, output_6522, 0 },
#endif
    { 0 },
    &operand_data[9255],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6523 },
#else
    { 0, output_6523, 0 },
#endif
    { 0 },
    &operand_data[9249],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6524 },
#else
    { 0, output_6524, 0 },
#endif
    { 0 },
    &operand_data[9249],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6525 },
#else
    { 0, output_6525, 0 },
#endif
    { 0 },
    &operand_data[9261],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6526 },
#else
    { 0, output_6526, 0 },
#endif
    { 0 },
    &operand_data[9267],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6527 },
#else
    { 0, output_6527, 0 },
#endif
    { 0 },
    &operand_data[9261],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6528 },
#else
    { 0, output_6528, 0 },
#endif
    { 0 },
    &operand_data[9261],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6529 },
#else
    { 0, output_6529, 0 },
#endif
    { 0 },
    &operand_data[9273],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6530 },
#else
    { 0, output_6530, 0 },
#endif
    { 0 },
    &operand_data[9279],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6531 },
#else
    { 0, output_6531, 0 },
#endif
    { 0 },
    &operand_data[9273],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6532 },
#else
    { 0, output_6532, 0 },
#endif
    { 0 },
    &operand_data[9273],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6533 },
#else
    { 0, output_6533, 0 },
#endif
    { 0 },
    &operand_data[9285],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6534 },
#else
    { 0, output_6534, 0 },
#endif
    { 0 },
    &operand_data[9291],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6535 },
#else
    { 0, output_6535, 0 },
#endif
    { 0 },
    &operand_data[9285],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6536 },
#else
    { 0, output_6536, 0 },
#endif
    { 0 },
    &operand_data[9285],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_asrdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6537 },
#else
    { 0, output_6537, 0 },
#endif
    { 0 },
    &operand_data[9297],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_sqshluvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6538 },
#else
    { 0, output_6538, 0 },
#endif
    { 0 },
    &operand_data[9303],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_srshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6539 },
#else
    { 0, output_6539, 0 },
#endif
    { 0 },
    &operand_data[9297],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4802 */
  {
    "*cond_urshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6540 },
#else
    { 0, output_6540, 0 },
#endif
    { 0 },
    &operand_data[9297],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4842 */
  {
    "aarch64_sve_ftsmulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx8hf },
    &operand_data[9309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4842 */
  {
    "aarch64_sve_ftsselvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx8hf },
    &operand_data[9309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4842 */
  {
    "aarch64_sve_ftsmulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx4sf },
    &operand_data[9312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4842 */
  {
    "aarch64_sve_ftsselvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx4sf },
    &operand_data[9312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4842 */
  {
    "aarch64_sve_ftsmulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx2df },
    &operand_data[9315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4842 */
  {
    "aarch64_sve_ftsselvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx2df },
    &operand_data[9315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4854 */
  {
    "aarch64_pred_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6547 },
#else
    { 0, output_6547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx8hf },
    &operand_data[9318],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4854 */
  {
    "aarch64_pred_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6548 },
#else
    { 0, output_6548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx4sf },
    &operand_data[9323],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4854 */
  {
    "aarch64_pred_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6549 },
#else
    { 0, output_6549, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx2df },
    &operand_data[9328],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4888 */
  {
    "*cond_fscalevnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6550 },
#else
    { 0, output_6550, 0 },
#endif
    { 0 },
    &operand_data[9333],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4888 */
  {
    "*cond_fscalevnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6551 },
#else
    { 0, output_6551, 0 },
#endif
    { 0 },
    &operand_data[9338],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4888 */
  {
    "*cond_fscalevnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6552 },
#else
    { 0, output_6552, 0 },
#endif
    { 0 },
    &operand_data[9343],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4911 */
  {
    "*cond_fscalevnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6553 },
#else
    { 0, output_6553, 0 },
#endif
    { 0 },
    &operand_data[9318],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4911 */
  {
    "*cond_fscalevnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6554 },
#else
    { 0, output_6554, 0 },
#endif
    { 0 },
    &operand_data[9323],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4911 */
  {
    "*cond_fscalevnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6555 },
#else
    { 0, output_6555, 0 },
#endif
    { 0 },
    &operand_data[9328],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4933 */
  {
    "*cond_fscalevnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6556 },
#else
    { 0, output_6556, 0 },
#endif
    { 0 },
    &operand_data[9348],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4933 */
  {
    "*cond_fscalevnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6557 },
#else
    { 0, output_6557, 0 },
#endif
    { 0 },
    &operand_data[9354],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4933 */
  {
    "*cond_fscalevnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6558 },
#else
    { 0, output_6558, 0 },
#endif
    { 0 },
    &operand_data[9360],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4969 */
  {
    "*cond_fscalevnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6559 },
#else
    { 0, output_6559, 0 },
#endif
    { 0 },
    &operand_data[9348],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4969 */
  {
    "*cond_fscalevnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6560 },
#else
    { 0, output_6560, 0 },
#endif
    { 0 },
    &operand_data[9354],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4969 */
  {
    "*cond_fscalevnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6561 },
#else
    { 0, output_6561, 0 },
#endif
    { 0 },
    &operand_data[9360],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_faddvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_fsubvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_fmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_faddvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_fsubvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_fmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_faddvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_fsubvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5010 */
  {
    "*post_ra_fmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5038 */
  {
    "aarch64_sve_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5038 */
  {
    "aarch64_sve_frsqrtsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5038 */
  {
    "aarch64_sve_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5038 */
  {
    "aarch64_sve_frsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5038 */
  {
    "aarch64_sve_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5038 */
  {
    "aarch64_sve_frsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5065 */
  {
    "aarch64_pred_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6577 },
#else
    { 0, output_6577, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx8hf },
    &operand_data[9375],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5065 */
  {
    "aarch64_pred_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6578 },
#else
    { 0, output_6578, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx8hf },
    &operand_data[9375],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5065 */
  {
    "aarch64_pred_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6579 },
#else
    { 0, output_6579, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4sf },
    &operand_data[9380],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5065 */
  {
    "aarch64_pred_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6580 },
#else
    { 0, output_6580, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx4sf },
    &operand_data[9380],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5065 */
  {
    "aarch64_pred_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6581 },
#else
    { 0, output_6581, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2df },
    &operand_data[9385],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5065 */
  {
    "aarch64_pred_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6582 },
#else
    { 0, output_6582, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx2df },
    &operand_data[9385],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_addvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6583 },
#else
    { 0, output_6583, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_divvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6584 },
#else
    { 0, output_6584, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smax_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6585 },
#else
    { 0, output_6585, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6586 },
#else
    { 0, output_6586, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smin_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6587 },
#else
    { 0, output_6587, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_sminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6588 },
#else
    { 0, output_6588, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_mulvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6589 },
#else
    { 0, output_6589, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_mulxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6590 },
#else
    { 0, output_6590, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_subvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6591 },
#else
    { 0, output_6591, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_addvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6592 },
#else
    { 0, output_6592, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_divvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6593 },
#else
    { 0, output_6593, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smax_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6594 },
#else
    { 0, output_6594, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6595 },
#else
    { 0, output_6595, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smin_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6596 },
#else
    { 0, output_6596, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_sminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6597 },
#else
    { 0, output_6597, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_mulvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6598 },
#else
    { 0, output_6598, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_mulxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6599 },
#else
    { 0, output_6599, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_subvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6600 },
#else
    { 0, output_6600, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_addvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6601 },
#else
    { 0, output_6601, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_divvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6602 },
#else
    { 0, output_6602, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smax_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6603 },
#else
    { 0, output_6603, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6604 },
#else
    { 0, output_6604, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_smin_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6605 },
#else
    { 0, output_6605, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_sminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6606 },
#else
    { 0, output_6606, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_mulvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6607 },
#else
    { 0, output_6607, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_mulxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6608 },
#else
    { 0, output_6608, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5098 */
  {
    "*cond_subvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6609 },
#else
    { 0, output_6609, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_addvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6610 },
#else
    { 0, output_6610, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_divvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6611 },
#else
    { 0, output_6611, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smax_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6612 },
#else
    { 0, output_6612, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6613 },
#else
    { 0, output_6613, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smin_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6614 },
#else
    { 0, output_6614, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_sminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6615 },
#else
    { 0, output_6615, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_mulvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6616 },
#else
    { 0, output_6616, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_mulxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6617 },
#else
    { 0, output_6617, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_subvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6618 },
#else
    { 0, output_6618, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_addvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6619 },
#else
    { 0, output_6619, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_divvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6620 },
#else
    { 0, output_6620, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smax_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6621 },
#else
    { 0, output_6621, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6622 },
#else
    { 0, output_6622, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smin_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6623 },
#else
    { 0, output_6623, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_sminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6624 },
#else
    { 0, output_6624, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_mulvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6625 },
#else
    { 0, output_6625, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_mulxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6626 },
#else
    { 0, output_6626, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_subvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6627 },
#else
    { 0, output_6627, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_addvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6628 },
#else
    { 0, output_6628, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_divvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6629 },
#else
    { 0, output_6629, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smax_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6630 },
#else
    { 0, output_6630, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6631 },
#else
    { 0, output_6631, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_smin_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6632 },
#else
    { 0, output_6632, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_sminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6633 },
#else
    { 0, output_6633, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_mulvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6634 },
#else
    { 0, output_6634, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_mulxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6635 },
#else
    { 0, output_6635, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5121 */
  {
    "*cond_subvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6636 },
#else
    { 0, output_6636, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smax_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6637 },
#else
    { 0, output_6637, 0 },
#endif
    { 0 },
    &operand_data[9405],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smaxvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6638 },
#else
    { 0, output_6638, 0 },
#endif
    { 0 },
    &operand_data[9405],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smin_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6639 },
#else
    { 0, output_6639, 0 },
#endif
    { 0 },
    &operand_data[9405],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_sminvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6640 },
#else
    { 0, output_6640, 0 },
#endif
    { 0 },
    &operand_data[9405],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_mulvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6641 },
#else
    { 0, output_6641, 0 },
#endif
    { 0 },
    &operand_data[9410],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smax_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6642 },
#else
    { 0, output_6642, 0 },
#endif
    { 0 },
    &operand_data[9415],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smaxvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6643 },
#else
    { 0, output_6643, 0 },
#endif
    { 0 },
    &operand_data[9415],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smin_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6644 },
#else
    { 0, output_6644, 0 },
#endif
    { 0 },
    &operand_data[9415],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_sminvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6645 },
#else
    { 0, output_6645, 0 },
#endif
    { 0 },
    &operand_data[9415],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_mulvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6646 },
#else
    { 0, output_6646, 0 },
#endif
    { 0 },
    &operand_data[9420],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smax_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6647 },
#else
    { 0, output_6647, 0 },
#endif
    { 0 },
    &operand_data[9425],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smaxvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6648 },
#else
    { 0, output_6648, 0 },
#endif
    { 0 },
    &operand_data[9425],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_smin_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6649 },
#else
    { 0, output_6649, 0 },
#endif
    { 0 },
    &operand_data[9425],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_sminvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6650 },
#else
    { 0, output_6650, 0 },
#endif
    { 0 },
    &operand_data[9425],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5141 */
  {
    "*cond_mulvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6651 },
#else
    { 0, output_6651, 0 },
#endif
    { 0 },
    &operand_data[9430],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smax_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6652 },
#else
    { 0, output_6652, 0 },
#endif
    { 0 },
    &operand_data[9405],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smaxvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6653 },
#else
    { 0, output_6653, 0 },
#endif
    { 0 },
    &operand_data[9405],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smin_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6654 },
#else
    { 0, output_6654, 0 },
#endif
    { 0 },
    &operand_data[9405],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_sminvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6655 },
#else
    { 0, output_6655, 0 },
#endif
    { 0 },
    &operand_data[9405],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_mulvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6656 },
#else
    { 0, output_6656, 0 },
#endif
    { 0 },
    &operand_data[9410],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smax_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6657 },
#else
    { 0, output_6657, 0 },
#endif
    { 0 },
    &operand_data[9415],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smaxvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6658 },
#else
    { 0, output_6658, 0 },
#endif
    { 0 },
    &operand_data[9415],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smin_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6659 },
#else
    { 0, output_6659, 0 },
#endif
    { 0 },
    &operand_data[9415],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_sminvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6660 },
#else
    { 0, output_6660, 0 },
#endif
    { 0 },
    &operand_data[9415],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_mulvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6661 },
#else
    { 0, output_6661, 0 },
#endif
    { 0 },
    &operand_data[9420],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smax_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6662 },
#else
    { 0, output_6662, 0 },
#endif
    { 0 },
    &operand_data[9425],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smaxvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6663 },
#else
    { 0, output_6663, 0 },
#endif
    { 0 },
    &operand_data[9425],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_smin_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6664 },
#else
    { 0, output_6664, 0 },
#endif
    { 0 },
    &operand_data[9425],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_sminvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6665 },
#else
    { 0, output_6665, 0 },
#endif
    { 0 },
    &operand_data[9425],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5164 */
  {
    "*cond_mulvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6666 },
#else
    { 0, output_6666, 0 },
#endif
    { 0 },
    &operand_data[9430],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_addvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6667 },
#else
    { 0, output_6667, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_divvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6668 },
#else
    { 0, output_6668, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smax_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6669 },
#else
    { 0, output_6669, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6670 },
#else
    { 0, output_6670, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smin_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6671 },
#else
    { 0, output_6671, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_sminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6672 },
#else
    { 0, output_6672, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_mulvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6673 },
#else
    { 0, output_6673, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_mulxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6674 },
#else
    { 0, output_6674, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_subvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6675 },
#else
    { 0, output_6675, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_addvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6676 },
#else
    { 0, output_6676, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_divvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6677 },
#else
    { 0, output_6677, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smax_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6678 },
#else
    { 0, output_6678, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6679 },
#else
    { 0, output_6679, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smin_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6680 },
#else
    { 0, output_6680, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_sminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6681 },
#else
    { 0, output_6681, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_mulvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6682 },
#else
    { 0, output_6682, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_mulxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6683 },
#else
    { 0, output_6683, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_subvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6684 },
#else
    { 0, output_6684, 0 },
#endif
    { 0 },
    &operand_data[9440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_addvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6685 },
#else
    { 0, output_6685, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_divvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6686 },
#else
    { 0, output_6686, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smax_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6687 },
#else
    { 0, output_6687, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6688 },
#else
    { 0, output_6688, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_smin_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6689 },
#else
    { 0, output_6689, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_sminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6690 },
#else
    { 0, output_6690, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_mulvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6691 },
#else
    { 0, output_6691, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_mulxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6692 },
#else
    { 0, output_6692, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_subvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6693 },
#else
    { 0, output_6693, 0 },
#endif
    { 0 },
    &operand_data[9445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_addvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6694 },
#else
    { 0, output_6694, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_divvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6695 },
#else
    { 0, output_6695, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smax_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6696 },
#else
    { 0, output_6696, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6697 },
#else
    { 0, output_6697, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smin_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6698 },
#else
    { 0, output_6698, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_sminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6699 },
#else
    { 0, output_6699, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_mulvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6700 },
#else
    { 0, output_6700, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_mulxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6701 },
#else
    { 0, output_6701, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_subvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6702 },
#else
    { 0, output_6702, 0 },
#endif
    { 0 },
    &operand_data[9435],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_addvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6703 },
#else
    { 0, output_6703, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_divvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6704 },
#else
    { 0, output_6704, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smax_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6705 },
#else
    { 0, output_6705, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6706 },
#else
    { 0, output_6706, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smin_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6707 },
#else
    { 0, output_6707, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_sminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6708 },
#else
    { 0, output_6708, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_mulvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6709 },
#else
    { 0, output_6709, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_mulxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6710 },
#else
    { 0, output_6710, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_subvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6711 },
#else
    { 0, output_6711, 0 },
#endif
    { 0 },
    &operand_data[9440],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_addvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6712 },
#else
    { 0, output_6712, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_divvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6713 },
#else
    { 0, output_6713, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smax_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6714 },
#else
    { 0, output_6714, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6715 },
#else
    { 0, output_6715, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_smin_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6716 },
#else
    { 0, output_6716, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_sminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6717 },
#else
    { 0, output_6717, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_mulvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6718 },
#else
    { 0, output_6718, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_mulxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6719 },
#else
    { 0, output_6719, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "*cond_subvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6720 },
#else
    { 0, output_6720, 0 },
#endif
    { 0 },
    &operand_data[9445],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_addvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6721 },
#else
    { 0, output_6721, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_divvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6722 },
#else
    { 0, output_6722, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smax_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6723 },
#else
    { 0, output_6723, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6724 },
#else
    { 0, output_6724, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smin_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6725 },
#else
    { 0, output_6725, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_sminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6726 },
#else
    { 0, output_6726, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_mulvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6727 },
#else
    { 0, output_6727, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_mulxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6728 },
#else
    { 0, output_6728, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_subvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6729 },
#else
    { 0, output_6729, 0 },
#endif
    { 0 },
    &operand_data[9450],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_addvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6730 },
#else
    { 0, output_6730, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_divvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6731 },
#else
    { 0, output_6731, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smax_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6732 },
#else
    { 0, output_6732, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6733 },
#else
    { 0, output_6733, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smin_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6734 },
#else
    { 0, output_6734, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_sminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6735 },
#else
    { 0, output_6735, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_mulvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6736 },
#else
    { 0, output_6736, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_mulxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6737 },
#else
    { 0, output_6737, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_subvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6738 },
#else
    { 0, output_6738, 0 },
#endif
    { 0 },
    &operand_data[9456],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_addvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6739 },
#else
    { 0, output_6739, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_divvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6740 },
#else
    { 0, output_6740, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smax_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6741 },
#else
    { 0, output_6741, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6742 },
#else
    { 0, output_6742, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_smin_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6743 },
#else
    { 0, output_6743, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_sminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6744 },
#else
    { 0, output_6744, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_mulvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6745 },
#else
    { 0, output_6745, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_mulxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6746 },
#else
    { 0, output_6746, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5227 */
  {
    "*cond_subvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6747 },
#else
    { 0, output_6747, 0 },
#endif
    { 0 },
    &operand_data[9462],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_addvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6748 },
#else
    { 0, output_6748, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_divvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6749 },
#else
    { 0, output_6749, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smax_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6750 },
#else
    { 0, output_6750, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6751 },
#else
    { 0, output_6751, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smin_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6752 },
#else
    { 0, output_6752, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_sminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6753 },
#else
    { 0, output_6753, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_mulvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6754 },
#else
    { 0, output_6754, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_mulxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6755 },
#else
    { 0, output_6755, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_subvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6756 },
#else
    { 0, output_6756, 0 },
#endif
    { 0 },
    &operand_data[9450],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_addvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6757 },
#else
    { 0, output_6757, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_divvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6758 },
#else
    { 0, output_6758, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smax_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6759 },
#else
    { 0, output_6759, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6760 },
#else
    { 0, output_6760, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smin_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6761 },
#else
    { 0, output_6761, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_sminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6762 },
#else
    { 0, output_6762, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_mulvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6763 },
#else
    { 0, output_6763, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_mulxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6764 },
#else
    { 0, output_6764, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_subvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6765 },
#else
    { 0, output_6765, 0 },
#endif
    { 0 },
    &operand_data[9456],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_addvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6766 },
#else
    { 0, output_6766, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_divvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6767 },
#else
    { 0, output_6767, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smax_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6768 },
#else
    { 0, output_6768, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6769 },
#else
    { 0, output_6769, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_smin_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6770 },
#else
    { 0, output_6770, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_sminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6771 },
#else
    { 0, output_6771, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_mulvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6772 },
#else
    { 0, output_6772, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_mulxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6773 },
#else
    { 0, output_6773, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5266 */
  {
    "*cond_subvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6774 },
#else
    { 0, output_6774, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smax_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6775 },
#else
    { 0, output_6775, 0 },
#endif
    { 0 },
    &operand_data[9468],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smaxvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6776 },
#else
    { 0, output_6776, 0 },
#endif
    { 0 },
    &operand_data[9468],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smin_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6777 },
#else
    { 0, output_6777, 0 },
#endif
    { 0 },
    &operand_data[9468],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_sminvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6778 },
#else
    { 0, output_6778, 0 },
#endif
    { 0 },
    &operand_data[9468],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_mulvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6779 },
#else
    { 0, output_6779, 0 },
#endif
    { 0 },
    &operand_data[9474],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smax_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6780 },
#else
    { 0, output_6780, 0 },
#endif
    { 0 },
    &operand_data[9480],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smaxvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6781 },
#else
    { 0, output_6781, 0 },
#endif
    { 0 },
    &operand_data[9480],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smin_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6782 },
#else
    { 0, output_6782, 0 },
#endif
    { 0 },
    &operand_data[9480],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_sminvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6783 },
#else
    { 0, output_6783, 0 },
#endif
    { 0 },
    &operand_data[9480],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_mulvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6784 },
#else
    { 0, output_6784, 0 },
#endif
    { 0 },
    &operand_data[9486],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smax_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6785 },
#else
    { 0, output_6785, 0 },
#endif
    { 0 },
    &operand_data[9492],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smaxvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6786 },
#else
    { 0, output_6786, 0 },
#endif
    { 0 },
    &operand_data[9492],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_smin_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6787 },
#else
    { 0, output_6787, 0 },
#endif
    { 0 },
    &operand_data[9492],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_sminvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6788 },
#else
    { 0, output_6788, 0 },
#endif
    { 0 },
    &operand_data[9492],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5299 */
  {
    "*cond_mulvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6789 },
#else
    { 0, output_6789, 0 },
#endif
    { 0 },
    &operand_data[9498],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smax_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6790 },
#else
    { 0, output_6790, 0 },
#endif
    { 0 },
    &operand_data[9468],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smaxvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6791 },
#else
    { 0, output_6791, 0 },
#endif
    { 0 },
    &operand_data[9468],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smin_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6792 },
#else
    { 0, output_6792, 0 },
#endif
    { 0 },
    &operand_data[9468],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_sminvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6793 },
#else
    { 0, output_6793, 0 },
#endif
    { 0 },
    &operand_data[9468],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_mulvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6794 },
#else
    { 0, output_6794, 0 },
#endif
    { 0 },
    &operand_data[9474],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smax_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6795 },
#else
    { 0, output_6795, 0 },
#endif
    { 0 },
    &operand_data[9480],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smaxvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6796 },
#else
    { 0, output_6796, 0 },
#endif
    { 0 },
    &operand_data[9480],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smin_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6797 },
#else
    { 0, output_6797, 0 },
#endif
    { 0 },
    &operand_data[9480],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_sminvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6798 },
#else
    { 0, output_6798, 0 },
#endif
    { 0 },
    &operand_data[9480],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_mulvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6799 },
#else
    { 0, output_6799, 0 },
#endif
    { 0 },
    &operand_data[9486],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smax_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6800 },
#else
    { 0, output_6800, 0 },
#endif
    { 0 },
    &operand_data[9492],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smaxvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6801 },
#else
    { 0, output_6801, 0 },
#endif
    { 0 },
    &operand_data[9492],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_smin_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6802 },
#else
    { 0, output_6802, 0 },
#endif
    { 0 },
    &operand_data[9492],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_sminvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6803 },
#else
    { 0, output_6803, 0 },
#endif
    { 0 },
    &operand_data[9492],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5334 */
  {
    "*cond_mulvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6804 },
#else
    { 0, output_6804, 0 },
#endif
    { 0 },
    &operand_data[9498],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5371 */
  {
    "aarch64_pred_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6805 },
#else
    { 0, output_6805, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx8hf },
    &operand_data[9504],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5371 */
  {
    "aarch64_pred_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6806 },
#else
    { 0, output_6806, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx4sf },
    &operand_data[9509],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5371 */
  {
    "aarch64_pred_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6807 },
#else
    { 0, output_6807, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx2df },
    &operand_data[9514],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5400 */
  {
    "*cond_addvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6808 },
#else
    { 0, output_6808, 0 },
#endif
    { 0 },
    &operand_data[9519],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5400 */
  {
    "*cond_addvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6809 },
#else
    { 0, output_6809, 0 },
#endif
    { 0 },
    &operand_data[9524],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5400 */
  {
    "*cond_addvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6810 },
#else
    { 0, output_6810, 0 },
#endif
    { 0 },
    &operand_data[9529],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5425 */
  {
    "*cond_addvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6811 },
#else
    { 0, output_6811, 0 },
#endif
    { 0 },
    &operand_data[9519],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5425 */
  {
    "*cond_addvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6812 },
#else
    { 0, output_6812, 0 },
#endif
    { 0 },
    &operand_data[9524],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5425 */
  {
    "*cond_addvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6813 },
#else
    { 0, output_6813, 0 },
#endif
    { 0 },
    &operand_data[9529],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5448 */
  {
    "*cond_addvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6814 },
#else
    { 0, output_6814, 0 },
#endif
    { 0 },
    &operand_data[9534],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5448 */
  {
    "*cond_addvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6815 },
#else
    { 0, output_6815, 0 },
#endif
    { 0 },
    &operand_data[9540],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5448 */
  {
    "*cond_addvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6816 },
#else
    { 0, output_6816, 0 },
#endif
    { 0 },
    &operand_data[9546],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5486 */
  {
    "*cond_addvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6817 },
#else
    { 0, output_6817, 0 },
#endif
    { 0 },
    &operand_data[9534],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5486 */
  {
    "*cond_addvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6818 },
#else
    { 0, output_6818, 0 },
#endif
    { 0 },
    &operand_data[9540],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5486 */
  {
    "*cond_addvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6819 },
#else
    { 0, output_6819, 0 },
#endif
    { 0 },
    &operand_data[9546],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5527 */
  {
    "aarch64_pred_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6820 },
#else
    { 0, output_6820, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx8hf },
    &operand_data[9552],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5527 */
  {
    "aarch64_pred_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6821 },
#else
    { 0, output_6821, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx8hf },
    &operand_data[9552],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5527 */
  {
    "aarch64_pred_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6822 },
#else
    { 0, output_6822, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx4sf },
    &operand_data[9557],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5527 */
  {
    "aarch64_pred_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6823 },
#else
    { 0, output_6823, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx4sf },
    &operand_data[9557],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5527 */
  {
    "aarch64_pred_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6824 },
#else
    { 0, output_6824, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx2df },
    &operand_data[9562],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5527 */
  {
    "aarch64_pred_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6825 },
#else
    { 0, output_6825, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx2df },
    &operand_data[9562],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5573 */
  {
    "*cond_cadd90vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6826 },
#else
    { 0, output_6826, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5573 */
  {
    "*cond_cadd270vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6827 },
#else
    { 0, output_6827, 0 },
#endif
    { 0 },
    &operand_data[9390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5573 */
  {
    "*cond_cadd90vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6828 },
#else
    { 0, output_6828, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5573 */
  {
    "*cond_cadd270vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6829 },
#else
    { 0, output_6829, 0 },
#endif
    { 0 },
    &operand_data[9395],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5573 */
  {
    "*cond_cadd90vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6830 },
#else
    { 0, output_6830, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5573 */
  {
    "*cond_cadd270vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6831 },
#else
    { 0, output_6831, 0 },
#endif
    { 0 },
    &operand_data[9400],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5596 */
  {
    "*cond_cadd90vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6832 },
#else
    { 0, output_6832, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5596 */
  {
    "*cond_cadd270vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6833 },
#else
    { 0, output_6833, 0 },
#endif
    { 0 },
    &operand_data[9390],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5596 */
  {
    "*cond_cadd90vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6834 },
#else
    { 0, output_6834, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5596 */
  {
    "*cond_cadd270vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6835 },
#else
    { 0, output_6835, 0 },
#endif
    { 0 },
    &operand_data[9395],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5596 */
  {
    "*cond_cadd90vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6836 },
#else
    { 0, output_6836, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5596 */
  {
    "*cond_cadd270vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6837 },
#else
    { 0, output_6837, 0 },
#endif
    { 0 },
    &operand_data[9400],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5616 */
  {
    "*cond_cadd90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6838 },
#else
    { 0, output_6838, 0 },
#endif
    { 0 },
    &operand_data[9567],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5616 */
  {
    "*cond_cadd270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6839 },
#else
    { 0, output_6839, 0 },
#endif
    { 0 },
    &operand_data[9567],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5616 */
  {
    "*cond_cadd90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6840 },
#else
    { 0, output_6840, 0 },
#endif
    { 0 },
    &operand_data[9573],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5616 */
  {
    "*cond_cadd270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6841 },
#else
    { 0, output_6841, 0 },
#endif
    { 0 },
    &operand_data[9573],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5616 */
  {
    "*cond_cadd90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6842 },
#else
    { 0, output_6842, 0 },
#endif
    { 0 },
    &operand_data[9579],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5616 */
  {
    "*cond_cadd270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6843 },
#else
    { 0, output_6843, 0 },
#endif
    { 0 },
    &operand_data[9579],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5652 */
  {
    "*cond_cadd90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6844 },
#else
    { 0, output_6844, 0 },
#endif
    { 0 },
    &operand_data[9567],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5652 */
  {
    "*cond_cadd270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6845 },
#else
    { 0, output_6845, 0 },
#endif
    { 0 },
    &operand_data[9567],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5652 */
  {
    "*cond_cadd90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6846 },
#else
    { 0, output_6846, 0 },
#endif
    { 0 },
    &operand_data[9573],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5652 */
  {
    "*cond_cadd270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6847 },
#else
    { 0, output_6847, 0 },
#endif
    { 0 },
    &operand_data[9573],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5652 */
  {
    "*cond_cadd90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6848 },
#else
    { 0, output_6848, 0 },
#endif
    { 0 },
    &operand_data[9579],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5652 */
  {
    "*cond_cadd270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6849 },
#else
    { 0, output_6849, 0 },
#endif
    { 0 },
    &operand_data[9579],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5690 */
  {
    "aarch64_pred_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6850 },
#else
    { 0, output_6850, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx8hf },
    &operand_data[9585],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5690 */
  {
    "aarch64_pred_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6851 },
#else
    { 0, output_6851, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx4sf },
    &operand_data[9590],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5690 */
  {
    "aarch64_pred_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6852 },
#else
    { 0, output_6852, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx2df },
    &operand_data[9595],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5718 */
  {
    "*cond_subvnx8hf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6853 },
#else
    { 0, output_6853, 0 },
#endif
    { 0 },
    &operand_data[9600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5718 */
  {
    "*cond_subvnx4sf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6854 },
#else
    { 0, output_6854, 0 },
#endif
    { 0 },
    &operand_data[9605],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5718 */
  {
    "*cond_subvnx2df_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6855 },
#else
    { 0, output_6855, 0 },
#endif
    { 0 },
    &operand_data[9610],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5741 */
  {
    "*cond_subvnx8hf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6856 },
#else
    { 0, output_6856, 0 },
#endif
    { 0 },
    &operand_data[9600],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5741 */
  {
    "*cond_subvnx4sf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6857 },
#else
    { 0, output_6857, 0 },
#endif
    { 0 },
    &operand_data[9605],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5741 */
  {
    "*cond_subvnx2df_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6858 },
#else
    { 0, output_6858, 0 },
#endif
    { 0 },
    &operand_data[9610],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5762 */
  {
    "*cond_subvnx8hf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6859 },
#else
    { 0, output_6859, 0 },
#endif
    { 0 },
    &operand_data[9615],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5762 */
  {
    "*cond_subvnx4sf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6860 },
#else
    { 0, output_6860, 0 },
#endif
    { 0 },
    &operand_data[9621],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5762 */
  {
    "*cond_subvnx2df_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6861 },
#else
    { 0, output_6861, 0 },
#endif
    { 0 },
    &operand_data[9627],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5797 */
  {
    "*cond_subvnx8hf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6862 },
#else
    { 0, output_6862, 0 },
#endif
    { 0 },
    &operand_data[9615],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5797 */
  {
    "*cond_subvnx4sf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6863 },
#else
    { 0, output_6863, 0 },
#endif
    { 0 },
    &operand_data[9621],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5797 */
  {
    "*cond_subvnx2df_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6864 },
#else
    { 0, output_6864, 0 },
#endif
    { 0 },
    &operand_data[9627],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5850 */
  {
    "*aarch64_pred_abdvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6865 },
#else
    { 0, output_6865, 0 },
#endif
    { 0 },
    &operand_data[9633],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5850 */
  {
    "*aarch64_pred_abdvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6866 },
#else
    { 0, output_6866, 0 },
#endif
    { 0 },
    &operand_data[9639],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5850 */
  {
    "*aarch64_pred_abdvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6867 },
#else
    { 0, output_6867, 0 },
#endif
    { 0 },
    &operand_data[9645],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5873 */
  {
    "*aarch64_pred_abdvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6868 },
#else
    { 0, output_6868, 0 },
#endif
    { 0 },
    &operand_data[9633],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5873 */
  {
    "*aarch64_pred_abdvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6869 },
#else
    { 0, output_6869, 0 },
#endif
    { 0 },
    &operand_data[9639],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5873 */
  {
    "*aarch64_pred_abdvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6870 },
#else
    { 0, output_6870, 0 },
#endif
    { 0 },
    &operand_data[9645],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5916 */
  {
    "*aarch64_cond_abdvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6871 },
#else
    { 0, output_6871, 0 },
#endif
    { 0 },
    &operand_data[9651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5916 */
  {
    "*aarch64_cond_abdvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6872 },
#else
    { 0, output_6872, 0 },
#endif
    { 0 },
    &operand_data[9657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5916 */
  {
    "*aarch64_cond_abdvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6873 },
#else
    { 0, output_6873, 0 },
#endif
    { 0 },
    &operand_data[9663],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5945 */
  {
    "*aarch64_cond_abdvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6874 },
#else
    { 0, output_6874, 0 },
#endif
    { 0 },
    &operand_data[9669],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5945 */
  {
    "*aarch64_cond_abdvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6875 },
#else
    { 0, output_6875, 0 },
#endif
    { 0 },
    &operand_data[9675],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5945 */
  {
    "*aarch64_cond_abdvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6876 },
#else
    { 0, output_6876, 0 },
#endif
    { 0 },
    &operand_data[9681],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5970 */
  {
    "*aarch64_cond_abdvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6877 },
#else
    { 0, output_6877, 0 },
#endif
    { 0 },
    &operand_data[9687],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5970 */
  {
    "*aarch64_cond_abdvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6878 },
#else
    { 0, output_6878, 0 },
#endif
    { 0 },
    &operand_data[9693],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5970 */
  {
    "*aarch64_cond_abdvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6879 },
#else
    { 0, output_6879, 0 },
#endif
    { 0 },
    &operand_data[9699],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5999 */
  {
    "*aarch64_cond_abdvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6880 },
#else
    { 0, output_6880, 0 },
#endif
    { 0 },
    &operand_data[9705],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5999 */
  {
    "*aarch64_cond_abdvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6881 },
#else
    { 0, output_6881, 0 },
#endif
    { 0 },
    &operand_data[9711],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5999 */
  {
    "*aarch64_cond_abdvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6882 },
#else
    { 0, output_6882, 0 },
#endif
    { 0 },
    &operand_data[9717],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*aarch64_cond_abdvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6883 },
#else
    { 0, output_6883, 0 },
#endif
    { 0 },
    &operand_data[9723],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*aarch64_cond_abdvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6884 },
#else
    { 0, output_6884, 0 },
#endif
    { 0 },
    &operand_data[9730],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*aarch64_cond_abdvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6885 },
#else
    { 0, output_6885, 0 },
#endif
    { 0 },
    &operand_data[9737],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6071 */
  {
    "*aarch64_cond_abdvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6886 },
#else
    { 0, output_6886, 0 },
#endif
    { 0 },
    &operand_data[9744],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6071 */
  {
    "*aarch64_cond_abdvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6887 },
#else
    { 0, output_6887, 0 },
#endif
    { 0 },
    &operand_data[9751],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6071 */
  {
    "*aarch64_cond_abdvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6888 },
#else
    { 0, output_6888, 0 },
#endif
    { 0 },
    &operand_data[9758],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6115 */
  {
    "aarch64_pred_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6889 },
#else
    { 0, output_6889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hf },
    &operand_data[9765],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6115 */
  {
    "aarch64_pred_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6890 },
#else
    { 0, output_6890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4sf },
    &operand_data[9770],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6115 */
  {
    "aarch64_pred_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6891 },
#else
    { 0, output_6891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2df },
    &operand_data[9775],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6144 */
  {
    "aarch64_mul_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hf },
    &operand_data[9780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6144 */
  {
    "aarch64_mul_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4sf },
    &operand_data[9784],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6144 */
  {
    "aarch64_mul_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2df },
    &operand_data[9788],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*andvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*iorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*xorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*andvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*iorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*xorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*andvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*iorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6209 */
  {
    "*xorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6904 },
#else
    { 0, output_6904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx8hf },
    &operand_data[9792],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6905 },
#else
    { 0, output_6905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hf },
    &operand_data[9792],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6906 },
#else
    { 0, output_6906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx8hf },
    &operand_data[9792],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6907 },
#else
    { 0, output_6907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hf },
    &operand_data[9792],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6908 },
#else
    { 0, output_6908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx4sf },
    &operand_data[9797],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6909 },
#else
    { 0, output_6909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4sf },
    &operand_data[9797],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6910 },
#else
    { 0, output_6910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx4sf },
    &operand_data[9797],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6911 },
#else
    { 0, output_6911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4sf },
    &operand_data[9797],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6912 },
#else
    { 0, output_6912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx2df },
    &operand_data[9802],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6913 },
#else
    { 0, output_6913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2df },
    &operand_data[9802],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_smin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6914 },
#else
    { 0, output_6914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx2df },
    &operand_data[9802],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6306 */
  {
    "aarch64_pred_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6915 },
#else
    { 0, output_6915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2df },
    &operand_data[9802],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6341 */
  {
    "andvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16bi3 },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6341 */
  {
    "andvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8bi3 },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6341 */
  {
    "andvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4bi3 },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6341 */
  {
    "andvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2bi3 },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_andvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx16bi_z },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_iorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx16bi_z },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_xorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx16bi_z },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_andvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx8bi_z },
    &operand_data[9811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_iorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx8bi_z },
    &operand_data[9811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_xorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx8bi_z },
    &operand_data[9811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_andvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx4bi_z },
    &operand_data[9815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_iorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx4bi_z },
    &operand_data[9815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_xorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx4bi_z },
    &operand_data[9815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_andvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx2bi_z },
    &operand_data[9819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_iorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx2bi_z },
    &operand_data[9819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6364 */
  {
    "aarch64_pred_xorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx2bi_z },
    &operand_data[9819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*andvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9823],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*iorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9823],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*xorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9823],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*andvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9829],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*iorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9829],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*xorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9829],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*andvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9835],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*iorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9835],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*xorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9835],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*andvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9841],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*iorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9841],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "*xorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9841],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*andvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9847],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*iorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9847],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*xorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9847],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*andvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9853],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*iorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9853],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*xorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9853],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*andvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9859],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*iorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9859],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*xorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9859],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*andvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9865],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*iorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9865],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6398 */
  {
    "*xorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9865],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_bicvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx16bi_z },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_ornvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx16bi_z },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_bicvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx8bi_z },
    &operand_data[9811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_ornvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx8bi_z },
    &operand_data[9811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_bicvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx4bi_z },
    &operand_data[9815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_ornvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx4bi_z },
    &operand_data[9815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_bicvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx2bi_z },
    &operand_data[9819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6424 */
  {
    "aarch64_pred_ornvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx2bi_z },
    &operand_data[9819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*bicvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9823],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*ornvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9823],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*bicvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9829],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*ornvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9829],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*bicvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9835],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*ornvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9835],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*bicvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9841],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6436 */
  {
    "*ornvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9841],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*bicvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9847],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*ornvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9847],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*bicvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9853],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*ornvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9853],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*bicvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9859],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*ornvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9859],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*bicvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9865],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6459 */
  {
    "*ornvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9865],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_norvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx16bi_z },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_nandvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx16bi_z },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_norvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx8bi_z },
    &operand_data[9811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_nandvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx8bi_z },
    &operand_data[9811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_norvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx4bi_z },
    &operand_data[9815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_nandvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx4bi_z },
    &operand_data[9815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_norvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx2bi_z },
    &operand_data[9819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_nandvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx2bi_z },
    &operand_data[9819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*norvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9823],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*nandvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9823],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*norvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9829],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*nandvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9829],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*norvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9835],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*nandvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9835],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*norvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9841],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6498 */
  {
    "*nandvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9841],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*norvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9847],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*nandvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9847],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*norvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9853],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*nandvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9853],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*norvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9859],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*nandvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9859],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*norvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9865],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6522 */
  {
    "*nandvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9865],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7004 },
#else
    { 0, output_7004, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx16qi },
    &operand_data[9871],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7005 },
#else
    { 0, output_7005, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8qi },
    &operand_data[9876],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7006 },
#else
    { 0, output_7006, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4qi },
    &operand_data[9881],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7007 },
#else
    { 0, output_7007, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2qi },
    &operand_data[9886],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7008 },
#else
    { 0, output_7008, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hi },
    &operand_data[9891],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7009 },
#else
    { 0, output_7009, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4hi },
    &operand_data[9896],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7010 },
#else
    { 0, output_7010, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2hi },
    &operand_data[9901],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7011 },
#else
    { 0, output_7011, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4si },
    &operand_data[9906],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7012 },
#else
    { 0, output_7012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2si },
    &operand_data[9911],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "aarch64_pred_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7013 },
#else
    { 0, output_7013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2di },
    &operand_data[9916],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7014 },
#else
    { 0, output_7014, 0 },
#endif
    { 0 },
    &operand_data[9921],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7015 },
#else
    { 0, output_7015, 0 },
#endif
    { 0 },
    &operand_data[9926],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7016 },
#else
    { 0, output_7016, 0 },
#endif
    { 0 },
    &operand_data[9931],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7017 },
#else
    { 0, output_7017, 0 },
#endif
    { 0 },
    &operand_data[9936],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7018 },
#else
    { 0, output_7018, 0 },
#endif
    { 0 },
    &operand_data[9941],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7019 },
#else
    { 0, output_7019, 0 },
#endif
    { 0 },
    &operand_data[9946],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7020 },
#else
    { 0, output_7020, 0 },
#endif
    { 0 },
    &operand_data[9951],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7021 },
#else
    { 0, output_7021, 0 },
#endif
    { 0 },
    &operand_data[9956],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7022 },
#else
    { 0, output_7022, 0 },
#endif
    { 0 },
    &operand_data[9961],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6615 */
  {
    "*cond_fmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7023 },
#else
    { 0, output_7023, 0 },
#endif
    { 0 },
    &operand_data[9966],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7024 },
#else
    { 0, output_7024, 0 },
#endif
    { 0 },
    &operand_data[9971],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7025 },
#else
    { 0, output_7025, 0 },
#endif
    { 0 },
    &operand_data[9976],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7026 },
#else
    { 0, output_7026, 0 },
#endif
    { 0 },
    &operand_data[9981],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7027 },
#else
    { 0, output_7027, 0 },
#endif
    { 0 },
    &operand_data[9986],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7028 },
#else
    { 0, output_7028, 0 },
#endif
    { 0 },
    &operand_data[9991],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7029 },
#else
    { 0, output_7029, 0 },
#endif
    { 0 },
    &operand_data[9996],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7030 },
#else
    { 0, output_7030, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7031 },
#else
    { 0, output_7031, 0 },
#endif
    { 0 },
    &operand_data[10006],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7032 },
#else
    { 0, output_7032, 0 },
#endif
    { 0 },
    &operand_data[10011],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "*cond_fmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7033 },
#else
    { 0, output_7033, 0 },
#endif
    { 0 },
    &operand_data[10016],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7034 },
#else
    { 0, output_7034, 0 },
#endif
    { 0 },
    &operand_data[10021],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7035 },
#else
    { 0, output_7035, 0 },
#endif
    { 0 },
    &operand_data[10027],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7036 },
#else
    { 0, output_7036, 0 },
#endif
    { 0 },
    &operand_data[10033],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7037 },
#else
    { 0, output_7037, 0 },
#endif
    { 0 },
    &operand_data[10039],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7038 },
#else
    { 0, output_7038, 0 },
#endif
    { 0 },
    &operand_data[10045],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7039 },
#else
    { 0, output_7039, 0 },
#endif
    { 0 },
    &operand_data[10051],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7040 },
#else
    { 0, output_7040, 0 },
#endif
    { 0 },
    &operand_data[10057],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7041 },
#else
    { 0, output_7041, 0 },
#endif
    { 0 },
    &operand_data[10063],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7042 },
#else
    { 0, output_7042, 0 },
#endif
    { 0 },
    &operand_data[10069],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6653 */
  {
    "*cond_fmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7043 },
#else
    { 0, output_7043, 0 },
#endif
    { 0 },
    &operand_data[10075],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7044 },
#else
    { 0, output_7044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx16qi },
    &operand_data[9871],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7045 },
#else
    { 0, output_7045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8qi },
    &operand_data[9876],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7046 },
#else
    { 0, output_7046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4qi },
    &operand_data[9881],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7047 },
#else
    { 0, output_7047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2qi },
    &operand_data[9886],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7048 },
#else
    { 0, output_7048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hi },
    &operand_data[9891],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7049 },
#else
    { 0, output_7049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4hi },
    &operand_data[9896],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7050 },
#else
    { 0, output_7050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2hi },
    &operand_data[9901],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7051 },
#else
    { 0, output_7051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4si },
    &operand_data[9906],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7052 },
#else
    { 0, output_7052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2si },
    &operand_data[9911],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6714 */
  {
    "aarch64_pred_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7053 },
#else
    { 0, output_7053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2di },
    &operand_data[9916],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7054 },
#else
    { 0, output_7054, 0 },
#endif
    { 0 },
    &operand_data[9921],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7055 },
#else
    { 0, output_7055, 0 },
#endif
    { 0 },
    &operand_data[9926],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7056 },
#else
    { 0, output_7056, 0 },
#endif
    { 0 },
    &operand_data[9931],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7057 },
#else
    { 0, output_7057, 0 },
#endif
    { 0 },
    &operand_data[9936],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7058 },
#else
    { 0, output_7058, 0 },
#endif
    { 0 },
    &operand_data[9941],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7059 },
#else
    { 0, output_7059, 0 },
#endif
    { 0 },
    &operand_data[9946],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7060 },
#else
    { 0, output_7060, 0 },
#endif
    { 0 },
    &operand_data[9951],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7061 },
#else
    { 0, output_7061, 0 },
#endif
    { 0 },
    &operand_data[9956],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7062 },
#else
    { 0, output_7062, 0 },
#endif
    { 0 },
    &operand_data[9961],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6756 */
  {
    "*cond_fnmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7063 },
#else
    { 0, output_7063, 0 },
#endif
    { 0 },
    &operand_data[9966],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7064 },
#else
    { 0, output_7064, 0 },
#endif
    { 0 },
    &operand_data[9971],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7065 },
#else
    { 0, output_7065, 0 },
#endif
    { 0 },
    &operand_data[9976],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7066 },
#else
    { 0, output_7066, 0 },
#endif
    { 0 },
    &operand_data[9981],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7067 },
#else
    { 0, output_7067, 0 },
#endif
    { 0 },
    &operand_data[9986],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7068 },
#else
    { 0, output_7068, 0 },
#endif
    { 0 },
    &operand_data[9991],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7069 },
#else
    { 0, output_7069, 0 },
#endif
    { 0 },
    &operand_data[9996],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7070 },
#else
    { 0, output_7070, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7071 },
#else
    { 0, output_7071, 0 },
#endif
    { 0 },
    &operand_data[10006],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7072 },
#else
    { 0, output_7072, 0 },
#endif
    { 0 },
    &operand_data[10011],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6775 */
  {
    "*cond_fnmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7073 },
#else
    { 0, output_7073, 0 },
#endif
    { 0 },
    &operand_data[10016],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7074 },
#else
    { 0, output_7074, 0 },
#endif
    { 0 },
    &operand_data[10021],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7075 },
#else
    { 0, output_7075, 0 },
#endif
    { 0 },
    &operand_data[10027],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7076 },
#else
    { 0, output_7076, 0 },
#endif
    { 0 },
    &operand_data[10033],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7077 },
#else
    { 0, output_7077, 0 },
#endif
    { 0 },
    &operand_data[10039],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7078 },
#else
    { 0, output_7078, 0 },
#endif
    { 0 },
    &operand_data[10045],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7079 },
#else
    { 0, output_7079, 0 },
#endif
    { 0 },
    &operand_data[10051],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7080 },
#else
    { 0, output_7080, 0 },
#endif
    { 0 },
    &operand_data[10057],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7081 },
#else
    { 0, output_7081, 0 },
#endif
    { 0 },
    &operand_data[10063],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7082 },
#else
    { 0, output_7082, 0 },
#endif
    { 0 },
    &operand_data[10069],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6795 */
  {
    "*cond_fnmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7083 },
#else
    { 0, output_7083, 0 },
#endif
    { 0 },
    &operand_data[10075],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6839 */
  {
    "sdot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7084 },
#else
    { 0, output_7084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx16qi },
    &operand_data[10081],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6839 */
  {
    "udot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7085 },
#else
    { 0, output_7085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx16qi },
    &operand_data[10081],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6839 */
  {
    "sdot_prodvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7086 },
#else
    { 0, output_7086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx8hi },
    &operand_data[10085],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6839 */
  {
    "udot_prodvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7087 },
#else
    { 0, output_7087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx8hi },
    &operand_data[10085],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6855 */
  {
    "aarch64_sdot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7088 },
#else
    { 0, output_7088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx16qi },
    &operand_data[10089],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6855 */
  {
    "aarch64_udot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7089 },
#else
    { 0, output_7089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx16qi },
    &operand_data[10089],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6855 */
  {
    "aarch64_sdot_prod_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7090 },
#else
    { 0, output_7090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx8hi },
    &operand_data[10094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6855 */
  {
    "aarch64_udot_prod_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7091 },
#else
    { 0, output_7091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx8hi },
    &operand_data[10094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "aarch64_usdot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7092 },
#else
    { 0, output_7092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prodvnx16qi },
    &operand_data[10081],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6888 */
  {
    "aarch64_usdot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7093 },
#else
    { 0, output_7093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prod_lanevnx16qi },
    &operand_data[10089],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6888 */
  {
    "aarch64_sudot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7094 },
#else
    { 0, output_7094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_prod_lanevnx16qi },
    &operand_data[10089],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6945 */
  {
    "aarch64_sve_add_smatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7095 },
#else
    { 0, output_7095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smatmulvnx16qi },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6945 */
  {
    "aarch64_sve_add_umatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7096 },
#else
    { 0, output_7096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umatmulvnx16qi },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6945 */
  {
    "aarch64_sve_add_usmatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7097 },
#else
    { 0, output_7097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_usmatmulvnx16qi },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7098 },
#else
    { 0, output_7098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hf },
    &operand_data[10103],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7099 },
#else
    { 0, output_7099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hf },
    &operand_data[10103],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7100 },
#else
    { 0, output_7100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx8hf },
    &operand_data[10103],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7101 },
#else
    { 0, output_7101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx8hf },
    &operand_data[10103],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7102 },
#else
    { 0, output_7102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4sf },
    &operand_data[10109],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7103 },
#else
    { 0, output_7103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4sf },
    &operand_data[10109],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7104 },
#else
    { 0, output_7104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx4sf },
    &operand_data[10109],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7105 },
#else
    { 0, output_7105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx4sf },
    &operand_data[10109],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7106 },
#else
    { 0, output_7106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2df },
    &operand_data[10115],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7107 },
#else
    { 0, output_7107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2df },
    &operand_data[10115],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7108 },
#else
    { 0, output_7108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx2df },
    &operand_data[10115],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6991 */
  {
    "aarch64_pred_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7109 },
#else
    { 0, output_7109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx2df },
    &operand_data[10115],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7110 },
#else
    { 0, output_7110, 0 },
#endif
    { 0 },
    &operand_data[10121],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fnmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7111 },
#else
    { 0, output_7111, 0 },
#endif
    { 0 },
    &operand_data[10121],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fnmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7112 },
#else
    { 0, output_7112, 0 },
#endif
    { 0 },
    &operand_data[10121],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7113 },
#else
    { 0, output_7113, 0 },
#endif
    { 0 },
    &operand_data[10121],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7114 },
#else
    { 0, output_7114, 0 },
#endif
    { 0 },
    &operand_data[10127],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fnmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7115 },
#else
    { 0, output_7115, 0 },
#endif
    { 0 },
    &operand_data[10127],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fnmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7116 },
#else
    { 0, output_7116, 0 },
#endif
    { 0 },
    &operand_data[10127],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7117 },
#else
    { 0, output_7117, 0 },
#endif
    { 0 },
    &operand_data[10127],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7118 },
#else
    { 0, output_7118, 0 },
#endif
    { 0 },
    &operand_data[10133],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fnmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7119 },
#else
    { 0, output_7119, 0 },
#endif
    { 0 },
    &operand_data[10133],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fnmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7120 },
#else
    { 0, output_7120, 0 },
#endif
    { 0 },
    &operand_data[10133],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7032 */
  {
    "*cond_fmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7121 },
#else
    { 0, output_7121, 0 },
#endif
    { 0 },
    &operand_data[10133],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7122 },
#else
    { 0, output_7122, 0 },
#endif
    { 0 },
    &operand_data[10121],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fnmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7123 },
#else
    { 0, output_7123, 0 },
#endif
    { 0 },
    &operand_data[10121],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fnmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7124 },
#else
    { 0, output_7124, 0 },
#endif
    { 0 },
    &operand_data[10121],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7125 },
#else
    { 0, output_7125, 0 },
#endif
    { 0 },
    &operand_data[10121],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7126 },
#else
    { 0, output_7126, 0 },
#endif
    { 0 },
    &operand_data[10127],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fnmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7127 },
#else
    { 0, output_7127, 0 },
#endif
    { 0 },
    &operand_data[10127],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fnmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7128 },
#else
    { 0, output_7128, 0 },
#endif
    { 0 },
    &operand_data[10127],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7129 },
#else
    { 0, output_7129, 0 },
#endif
    { 0 },
    &operand_data[10127],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7130 },
#else
    { 0, output_7130, 0 },
#endif
    { 0 },
    &operand_data[10133],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fnmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7131 },
#else
    { 0, output_7131, 0 },
#endif
    { 0 },
    &operand_data[10133],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fnmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7132 },
#else
    { 0, output_7132, 0 },
#endif
    { 0 },
    &operand_data[10133],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7056 */
  {
    "*cond_fmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7133 },
#else
    { 0, output_7133, 0 },
#endif
    { 0 },
    &operand_data[10133],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7134 },
#else
    { 0, output_7134, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fnmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7135 },
#else
    { 0, output_7135, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fnmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7136 },
#else
    { 0, output_7136, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7137 },
#else
    { 0, output_7137, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7138 },
#else
    { 0, output_7138, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fnmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7139 },
#else
    { 0, output_7139, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fnmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7140 },
#else
    { 0, output_7140, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7141 },
#else
    { 0, output_7141, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7142 },
#else
    { 0, output_7142, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fnmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7143 },
#else
    { 0, output_7143, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fnmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7144 },
#else
    { 0, output_7144, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7078 */
  {
    "*cond_fmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7145 },
#else
    { 0, output_7145, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7146 },
#else
    { 0, output_7146, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fnmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7147 },
#else
    { 0, output_7147, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fnmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7148 },
#else
    { 0, output_7148, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7149 },
#else
    { 0, output_7149, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7150 },
#else
    { 0, output_7150, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fnmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7151 },
#else
    { 0, output_7151, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fnmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7152 },
#else
    { 0, output_7152, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7153 },
#else
    { 0, output_7153, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7154 },
#else
    { 0, output_7154, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fnmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7155 },
#else
    { 0, output_7155, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fnmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7156 },
#else
    { 0, output_7156, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7102 */
  {
    "*cond_fmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7157 },
#else
    { 0, output_7157, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7158 },
#else
    { 0, output_7158, 0 },
#endif
    { 0 },
    &operand_data[10157],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fnmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7159 },
#else
    { 0, output_7159, 0 },
#endif
    { 0 },
    &operand_data[10157],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fnmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7160 },
#else
    { 0, output_7160, 0 },
#endif
    { 0 },
    &operand_data[10157],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7161 },
#else
    { 0, output_7161, 0 },
#endif
    { 0 },
    &operand_data[10157],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7162 },
#else
    { 0, output_7162, 0 },
#endif
    { 0 },
    &operand_data[10164],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fnmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7163 },
#else
    { 0, output_7163, 0 },
#endif
    { 0 },
    &operand_data[10164],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fnmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7164 },
#else
    { 0, output_7164, 0 },
#endif
    { 0 },
    &operand_data[10164],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7165 },
#else
    { 0, output_7165, 0 },
#endif
    { 0 },
    &operand_data[10164],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7166 },
#else
    { 0, output_7166, 0 },
#endif
    { 0 },
    &operand_data[10171],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fnmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7167 },
#else
    { 0, output_7167, 0 },
#endif
    { 0 },
    &operand_data[10171],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fnmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7168 },
#else
    { 0, output_7168, 0 },
#endif
    { 0 },
    &operand_data[10171],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7124 */
  {
    "*cond_fmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7169 },
#else
    { 0, output_7169, 0 },
#endif
    { 0 },
    &operand_data[10171],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7170 },
#else
    { 0, output_7170, 0 },
#endif
    { 0 },
    &operand_data[10157],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fnmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7171 },
#else
    { 0, output_7171, 0 },
#endif
    { 0 },
    &operand_data[10157],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fnmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7172 },
#else
    { 0, output_7172, 0 },
#endif
    { 0 },
    &operand_data[10157],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7173 },
#else
    { 0, output_7173, 0 },
#endif
    { 0 },
    &operand_data[10157],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7174 },
#else
    { 0, output_7174, 0 },
#endif
    { 0 },
    &operand_data[10164],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fnmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7175 },
#else
    { 0, output_7175, 0 },
#endif
    { 0 },
    &operand_data[10164],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fnmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7176 },
#else
    { 0, output_7176, 0 },
#endif
    { 0 },
    &operand_data[10164],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7177 },
#else
    { 0, output_7177, 0 },
#endif
    { 0 },
    &operand_data[10164],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7178 },
#else
    { 0, output_7178, 0 },
#endif
    { 0 },
    &operand_data[10171],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fnmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7179 },
#else
    { 0, output_7179, 0 },
#endif
    { 0 },
    &operand_data[10171],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fnmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7180 },
#else
    { 0, output_7180, 0 },
#endif
    { 0 },
    &operand_data[10171],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7166 */
  {
    "*cond_fmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7181 },
#else
    { 0, output_7181, 0 },
#endif
    { 0 },
    &operand_data[10171],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7203 */
  {
    "aarch64_fma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7182 },
#else
    { 0, output_7182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx8hf },
    &operand_data[10178],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7203 */
  {
    "aarch64_fnma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7183 },
#else
    { 0, output_7183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx8hf },
    &operand_data[10178],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7203 */
  {
    "aarch64_fma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7184 },
#else
    { 0, output_7184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx4sf },
    &operand_data[10183],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7203 */
  {
    "aarch64_fnma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7185 },
#else
    { 0, output_7185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx4sf },
    &operand_data[10183],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7203 */
  {
    "aarch64_fma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7186 },
#else
    { 0, output_7186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx2df },
    &operand_data[10188],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7203 */
  {
    "aarch64_fnma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7187 },
#else
    { 0, output_7187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx2df },
    &operand_data[10188],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7188 },
#else
    { 0, output_7188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx8hf },
    &operand_data[10193],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7189 },
#else
    { 0, output_7189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx8hf },
    &operand_data[10193],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7190 },
#else
    { 0, output_7190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx8hf },
    &operand_data[10193],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7191 },
#else
    { 0, output_7191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx8hf },
    &operand_data[10193],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7192 },
#else
    { 0, output_7192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx4sf },
    &operand_data[10199],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7193 },
#else
    { 0, output_7193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx4sf },
    &operand_data[10199],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7194 },
#else
    { 0, output_7194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx4sf },
    &operand_data[10199],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7195 },
#else
    { 0, output_7195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx4sf },
    &operand_data[10199],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7196 },
#else
    { 0, output_7196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx2df },
    &operand_data[10205],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7197 },
#else
    { 0, output_7197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx2df },
    &operand_data[10205],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7198 },
#else
    { 0, output_7198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx2df },
    &operand_data[10205],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7228 */
  {
    "aarch64_pred_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7199 },
#else
    { 0, output_7199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx2df },
    &operand_data[10205],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmlavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7200 },
#else
    { 0, output_7200, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla90vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7201 },
#else
    { 0, output_7201, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla180vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7202 },
#else
    { 0, output_7202, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla270vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7203 },
#else
    { 0, output_7203, 0 },
#endif
    { 0 },
    &operand_data[10139],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmlavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7204 },
#else
    { 0, output_7204, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla90vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7205 },
#else
    { 0, output_7205, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla180vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7206 },
#else
    { 0, output_7206, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla270vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7207 },
#else
    { 0, output_7207, 0 },
#endif
    { 0 },
    &operand_data[10145],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmlavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7208 },
#else
    { 0, output_7208, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla90vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7209 },
#else
    { 0, output_7209, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla180vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7210 },
#else
    { 0, output_7210, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7318 */
  {
    "*cond_fcmla270vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7211 },
#else
    { 0, output_7211, 0 },
#endif
    { 0 },
    &operand_data[10151],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmlavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7212 },
#else
    { 0, output_7212, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla90vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7213 },
#else
    { 0, output_7213, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla180vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7214 },
#else
    { 0, output_7214, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla270vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7215 },
#else
    { 0, output_7215, 0 },
#endif
    { 0 },
    &operand_data[10139],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmlavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7216 },
#else
    { 0, output_7216, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla90vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7217 },
#else
    { 0, output_7217, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla180vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7218 },
#else
    { 0, output_7218, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla270vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7219 },
#else
    { 0, output_7219, 0 },
#endif
    { 0 },
    &operand_data[10145],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmlavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7220 },
#else
    { 0, output_7220, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla90vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7221 },
#else
    { 0, output_7221, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla180vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7222 },
#else
    { 0, output_7222, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7342 */
  {
    "*cond_fcmla270vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7223 },
#else
    { 0, output_7223, 0 },
#endif
    { 0 },
    &operand_data[10151],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmlavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7224 },
#else
    { 0, output_7224, 0 },
#endif
    { 0 },
    &operand_data[10211],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7225 },
#else
    { 0, output_7225, 0 },
#endif
    { 0 },
    &operand_data[10211],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla180vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7226 },
#else
    { 0, output_7226, 0 },
#endif
    { 0 },
    &operand_data[10211],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7227 },
#else
    { 0, output_7227, 0 },
#endif
    { 0 },
    &operand_data[10211],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmlavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7228 },
#else
    { 0, output_7228, 0 },
#endif
    { 0 },
    &operand_data[10218],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7229 },
#else
    { 0, output_7229, 0 },
#endif
    { 0 },
    &operand_data[10218],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla180vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7230 },
#else
    { 0, output_7230, 0 },
#endif
    { 0 },
    &operand_data[10218],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7231 },
#else
    { 0, output_7231, 0 },
#endif
    { 0 },
    &operand_data[10218],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmlavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7232 },
#else
    { 0, output_7232, 0 },
#endif
    { 0 },
    &operand_data[10225],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7233 },
#else
    { 0, output_7233, 0 },
#endif
    { 0 },
    &operand_data[10225],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla180vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7234 },
#else
    { 0, output_7234, 0 },
#endif
    { 0 },
    &operand_data[10225],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7363 */
  {
    "*cond_fcmla270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7235 },
#else
    { 0, output_7235, 0 },
#endif
    { 0 },
    &operand_data[10225],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmlavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7236 },
#else
    { 0, output_7236, 0 },
#endif
    { 0 },
    &operand_data[10211],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7237 },
#else
    { 0, output_7237, 0 },
#endif
    { 0 },
    &operand_data[10211],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla180vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7238 },
#else
    { 0, output_7238, 0 },
#endif
    { 0 },
    &operand_data[10211],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7239 },
#else
    { 0, output_7239, 0 },
#endif
    { 0 },
    &operand_data[10211],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmlavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7240 },
#else
    { 0, output_7240, 0 },
#endif
    { 0 },
    &operand_data[10218],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7241 },
#else
    { 0, output_7241, 0 },
#endif
    { 0 },
    &operand_data[10218],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla180vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7242 },
#else
    { 0, output_7242, 0 },
#endif
    { 0 },
    &operand_data[10218],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7243 },
#else
    { 0, output_7243, 0 },
#endif
    { 0 },
    &operand_data[10218],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmlavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7244 },
#else
    { 0, output_7244, 0 },
#endif
    { 0 },
    &operand_data[10225],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7245 },
#else
    { 0, output_7245, 0 },
#endif
    { 0 },
    &operand_data[10225],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla180vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7246 },
#else
    { 0, output_7246, 0 },
#endif
    { 0 },
    &operand_data[10225],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7400 */
  {
    "*cond_fcmla270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7247 },
#else
    { 0, output_7247, 0 },
#endif
    { 0 },
    &operand_data[10225],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7248 },
#else
    { 0, output_7248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx8hf },
    &operand_data[10178],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla90_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7249 },
#else
    { 0, output_7249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx8hf },
    &operand_data[10178],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla180_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7250 },
#else
    { 0, output_7250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx8hf },
    &operand_data[10178],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla270_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7251 },
#else
    { 0, output_7251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx8hf },
    &operand_data[10178],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7252 },
#else
    { 0, output_7252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx4sf },
    &operand_data[10232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla90_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7253 },
#else
    { 0, output_7253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx4sf },
    &operand_data[10232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla180_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7254 },
#else
    { 0, output_7254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx4sf },
    &operand_data[10232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7431 */
  {
    "aarch64_fcmla270_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7255 },
#else
    { 0, output_7255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx4sf },
    &operand_data[10232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7455 */
  {
    "aarch64_sve_tmadvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7256 },
#else
    { 0, output_7256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx8hf },
    &operand_data[10237],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7455 */
  {
    "aarch64_sve_tmadvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7257 },
#else
    { 0, output_7257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx4sf },
    &operand_data[10241],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7455 */
  {
    "aarch64_sve_tmadvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7258 },
#else
    { 0, output_7258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx2df },
    &operand_data[10245],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7479 */
  {
    "aarch64_sve_bfdotvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7259 },
#else
    { 0, output_7259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdotvnx4sf },
    &operand_data[10249],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7479 */
  {
    "aarch64_sve_bfmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7260 },
#else
    { 0, output_7260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalbvnx4sf },
    &operand_data[10249],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7479 */
  {
    "aarch64_sve_bfmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7261 },
#else
    { 0, output_7261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlaltvnx4sf },
    &operand_data[10249],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7479 */
  {
    "aarch64_sve_bfmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7262 },
#else
    { 0, output_7262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmmlavnx4sf },
    &operand_data[10249],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7494 */
  {
    "aarch64_sve_bfdot_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7263 },
#else
    { 0, output_7263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdot_lanevnx4sf },
    &operand_data[10253],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7494 */
  {
    "aarch64_sve_bfmlalb_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7264 },
#else
    { 0, output_7264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalb_lanevnx4sf },
    &operand_data[10253],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7494 */
  {
    "aarch64_sve_bfmlalt_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7265 },
#else
    { 0, output_7265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalt_lanevnx4sf },
    &operand_data[10253],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7517 */
  {
    "aarch64_sve_fmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7266 },
#else
    { 0, output_7266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx4sf },
    &operand_data[10258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7517 */
  {
    "aarch64_sve_fmmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7267 },
#else
    { 0, output_7267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx2df },
    &operand_data[10262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7268 },
#else
    { 0, output_7268, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7269 },
#else
    { 0, output_7269, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7270 },
#else
    { 0, output_7270, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7271 },
#else
    { 0, output_7271, 0 },
#endif
    { 0 },
    &operand_data[10278],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7272 },
#else
    { 0, output_7272, 0 },
#endif
    { 0 },
    &operand_data[10282],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7273 },
#else
    { 0, output_7273, 0 },
#endif
    { 0 },
    &operand_data[10286],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7274 },
#else
    { 0, output_7274, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7275 },
#else
    { 0, output_7275, 0 },
#endif
    { 0 },
    &operand_data[10294],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7276 },
#else
    { 0, output_7276, 0 },
#endif
    { 0 },
    &operand_data[10298],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7277 },
#else
    { 0, output_7277, 0 },
#endif
    { 0 },
    &operand_data[10302],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7278 },
#else
    { 0, output_7278, 0 },
#endif
    { 0 },
    &operand_data[10306],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7279 },
#else
    { 0, output_7279, 0 },
#endif
    { 0 },
    &operand_data[10310],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7280 },
#else
    { 0, output_7280, 0 },
#endif
    { 0 },
    &operand_data[10314],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7281 },
#else
    { 0, output_7281, 0 },
#endif
    { 0 },
    &operand_data[10318],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7282 },
#else
    { 0, output_7282, 0 },
#endif
    { 0 },
    &operand_data[10322],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7283 },
#else
    { 0, output_7283, 0 },
#endif
    { 0 },
    &operand_data[10326],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7284 },
#else
    { 0, output_7284, 0 },
#endif
    { 0 },
    &operand_data[10330],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7285 },
#else
    { 0, output_7285, 0 },
#endif
    { 0 },
    &operand_data[10334],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7578 */
  {
    "*vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7286 },
#else
    { 0, output_7286, 0 },
#endif
    { 0 },
    &operand_data[10338],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7287 },
#else
    { 0, output_7287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx16qi },
    &operand_data[10342],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7288 },
#else
    { 0, output_7288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8qi },
    &operand_data[10346],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7289 },
#else
    { 0, output_7289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4qi },
    &operand_data[10350],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7290 },
#else
    { 0, output_7290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2qi },
    &operand_data[10354],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7291 },
#else
    { 0, output_7291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hi },
    &operand_data[10358],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7292 },
#else
    { 0, output_7292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hi },
    &operand_data[10362],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7293 },
#else
    { 0, output_7293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hi },
    &operand_data[10366],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7294 },
#else
    { 0, output_7294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hf },
    &operand_data[10370],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7295 },
#else
    { 0, output_7295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hf },
    &operand_data[10374],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7296 },
#else
    { 0, output_7296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hf },
    &operand_data[10378],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7297 },
#else
    { 0, output_7297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8bf },
    &operand_data[10382],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7298 },
#else
    { 0, output_7298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4bf },
    &operand_data[10386],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7299 },
#else
    { 0, output_7299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2bf },
    &operand_data[10390],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7300 },
#else
    { 0, output_7300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4si },
    &operand_data[10394],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7301 },
#else
    { 0, output_7301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2si },
    &operand_data[10398],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7302 },
#else
    { 0, output_7302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4sf },
    &operand_data[10402],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7303 },
#else
    { 0, output_7303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2sf },
    &operand_data[10406],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7304 },
#else
    { 0, output_7304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2di },
    &operand_data[10410],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7603 */
  {
    "aarch64_sel_dupvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7305 },
#else
    { 0, output_7305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2df },
    &operand_data[10414],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7306 },
#else
    { 0, output_7306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi },
    &operand_data[10418],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7307 },
#else
    { 0, output_7307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi },
    &operand_data[10418],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7308 },
#else
    { 0, output_7308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi },
    &operand_data[10418],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7309 },
#else
    { 0, output_7309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi },
    &operand_data[10418],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7310 },
#else
    { 0, output_7310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi },
    &operand_data[10418],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7311 },
#else
    { 0, output_7311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi },
    &operand_data[10418],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7312 },
#else
    { 0, output_7312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi },
    &operand_data[10423],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7313 },
#else
    { 0, output_7313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi },
    &operand_data[10423],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7314 },
#else
    { 0, output_7314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi },
    &operand_data[10423],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7315 },
#else
    { 0, output_7315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi },
    &operand_data[10423],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7316 },
#else
    { 0, output_7316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8qi },
    &operand_data[10428],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7317 },
#else
    { 0, output_7317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8qi },
    &operand_data[10428],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7318 },
#else
    { 0, output_7318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8qi },
    &operand_data[10428],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7319 },
#else
    { 0, output_7319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8qi },
    &operand_data[10428],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7320 },
#else
    { 0, output_7320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8qi },
    &operand_data[10428],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7321 },
#else
    { 0, output_7321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8qi },
    &operand_data[10428],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7322 },
#else
    { 0, output_7322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8qi },
    &operand_data[10433],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7323 },
#else
    { 0, output_7323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8qi },
    &operand_data[10433],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7324 },
#else
    { 0, output_7324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8qi },
    &operand_data[10433],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7325 },
#else
    { 0, output_7325, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8qi },
    &operand_data[10433],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7326 },
#else
    { 0, output_7326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4qi },
    &operand_data[10438],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7327 },
#else
    { 0, output_7327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4qi },
    &operand_data[10438],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7328 },
#else
    { 0, output_7328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4qi },
    &operand_data[10438],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7329 },
#else
    { 0, output_7329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4qi },
    &operand_data[10438],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7330 },
#else
    { 0, output_7330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4qi },
    &operand_data[10438],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7331 },
#else
    { 0, output_7331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4qi },
    &operand_data[10438],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7332 },
#else
    { 0, output_7332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4qi },
    &operand_data[10443],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7333 },
#else
    { 0, output_7333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4qi },
    &operand_data[10443],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7334 },
#else
    { 0, output_7334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4qi },
    &operand_data[10443],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7335 },
#else
    { 0, output_7335, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4qi },
    &operand_data[10443],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7336 },
#else
    { 0, output_7336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2qi },
    &operand_data[10448],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7337 },
#else
    { 0, output_7337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2qi },
    &operand_data[10448],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7338 },
#else
    { 0, output_7338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2qi },
    &operand_data[10448],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7339 },
#else
    { 0, output_7339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2qi },
    &operand_data[10448],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7340 },
#else
    { 0, output_7340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2qi },
    &operand_data[10448],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7341 },
#else
    { 0, output_7341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2qi },
    &operand_data[10448],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7342 },
#else
    { 0, output_7342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2qi },
    &operand_data[10453],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7343 },
#else
    { 0, output_7343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2qi },
    &operand_data[10453],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7344 },
#else
    { 0, output_7344, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2qi },
    &operand_data[10453],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7345 },
#else
    { 0, output_7345, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2qi },
    &operand_data[10453],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7346 },
#else
    { 0, output_7346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi },
    &operand_data[10458],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7347 },
#else
    { 0, output_7347, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi },
    &operand_data[10458],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7348 },
#else
    { 0, output_7348, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi },
    &operand_data[10458],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7349 },
#else
    { 0, output_7349, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi },
    &operand_data[10458],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7350 },
#else
    { 0, output_7350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi },
    &operand_data[10458],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7351 },
#else
    { 0, output_7351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi },
    &operand_data[10458],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7352 },
#else
    { 0, output_7352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi },
    &operand_data[10463],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7353 },
#else
    { 0, output_7353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi },
    &operand_data[10463],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7354 },
#else
    { 0, output_7354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi },
    &operand_data[10463],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7355 },
#else
    { 0, output_7355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi },
    &operand_data[10463],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7356 },
#else
    { 0, output_7356, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4hi },
    &operand_data[10468],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7357 },
#else
    { 0, output_7357, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4hi },
    &operand_data[10468],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7358 },
#else
    { 0, output_7358, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4hi },
    &operand_data[10468],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7359 },
#else
    { 0, output_7359, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4hi },
    &operand_data[10468],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7360 },
#else
    { 0, output_7360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4hi },
    &operand_data[10468],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7361 },
#else
    { 0, output_7361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4hi },
    &operand_data[10468],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7362 },
#else
    { 0, output_7362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4hi },
    &operand_data[10473],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7363 },
#else
    { 0, output_7363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4hi },
    &operand_data[10473],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7364 },
#else
    { 0, output_7364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4hi },
    &operand_data[10473],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7365 },
#else
    { 0, output_7365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4hi },
    &operand_data[10473],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7366 },
#else
    { 0, output_7366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2hi },
    &operand_data[10478],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7367 },
#else
    { 0, output_7367, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2hi },
    &operand_data[10478],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7368 },
#else
    { 0, output_7368, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2hi },
    &operand_data[10478],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7369 },
#else
    { 0, output_7369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2hi },
    &operand_data[10478],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7370 },
#else
    { 0, output_7370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2hi },
    &operand_data[10478],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7371 },
#else
    { 0, output_7371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2hi },
    &operand_data[10478],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7372 },
#else
    { 0, output_7372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2hi },
    &operand_data[10483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7373 },
#else
    { 0, output_7373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2hi },
    &operand_data[10483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7374 },
#else
    { 0, output_7374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2hi },
    &operand_data[10483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7375 },
#else
    { 0, output_7375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2hi },
    &operand_data[10483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7376 },
#else
    { 0, output_7376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si },
    &operand_data[10488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7377 },
#else
    { 0, output_7377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si },
    &operand_data[10488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7378 },
#else
    { 0, output_7378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si },
    &operand_data[10488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7379 },
#else
    { 0, output_7379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si },
    &operand_data[10488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7380 },
#else
    { 0, output_7380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si },
    &operand_data[10488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7381 },
#else
    { 0, output_7381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si },
    &operand_data[10488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7382 },
#else
    { 0, output_7382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si },
    &operand_data[10493],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7383 },
#else
    { 0, output_7383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si },
    &operand_data[10493],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7384 },
#else
    { 0, output_7384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si },
    &operand_data[10493],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7385 },
#else
    { 0, output_7385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si },
    &operand_data[10493],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7386 },
#else
    { 0, output_7386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2si },
    &operand_data[10498],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7387 },
#else
    { 0, output_7387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2si },
    &operand_data[10498],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7388 },
#else
    { 0, output_7388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2si },
    &operand_data[10498],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7389 },
#else
    { 0, output_7389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2si },
    &operand_data[10498],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7390 },
#else
    { 0, output_7390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2si },
    &operand_data[10498],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7391 },
#else
    { 0, output_7391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2si },
    &operand_data[10498],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7392 },
#else
    { 0, output_7392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2si },
    &operand_data[10503],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7393 },
#else
    { 0, output_7393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2si },
    &operand_data[10503],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7394 },
#else
    { 0, output_7394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2si },
    &operand_data[10503],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7395 },
#else
    { 0, output_7395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2si },
    &operand_data[10503],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7396 },
#else
    { 0, output_7396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2di },
    &operand_data[10508],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7397 },
#else
    { 0, output_7397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2di },
    &operand_data[10508],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpeqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7398 },
#else
    { 0, output_7398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2di },
    &operand_data[10508],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpnevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7399 },
#else
    { 0, output_7399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2di },
    &operand_data[10508],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7400 },
#else
    { 0, output_7400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2di },
    &operand_data[10508],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmpgtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7401 },
#else
    { 0, output_7401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2di },
    &operand_data[10508],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7402 },
#else
    { 0, output_7402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2di },
    &operand_data[10513],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmplsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7403 },
#else
    { 0, output_7403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2di },
    &operand_data[10513],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7404 },
#else
    { 0, output_7404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2di },
    &operand_data[10513],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7756 */
  {
    "aarch64_pred_cmphivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7405 },
#else
    { 0, output_7405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2di },
    &operand_data[10513],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7406 },
#else
    { 0, output_7406, 0 },
#endif
    { 0 },
    &operand_data[10518],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7407 },
#else
    { 0, output_7407, 0 },
#endif
    { 0 },
    &operand_data[10518],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7408 },
#else
    { 0, output_7408, 0 },
#endif
    { 0 },
    &operand_data[10518],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7409 },
#else
    { 0, output_7409, 0 },
#endif
    { 0 },
    &operand_data[10518],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7410 },
#else
    { 0, output_7410, 0 },
#endif
    { 0 },
    &operand_data[10518],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7411 },
#else
    { 0, output_7411, 0 },
#endif
    { 0 },
    &operand_data[10518],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7412 },
#else
    { 0, output_7412, 0 },
#endif
    { 0 },
    &operand_data[10526],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7413 },
#else
    { 0, output_7413, 0 },
#endif
    { 0 },
    &operand_data[10526],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7414 },
#else
    { 0, output_7414, 0 },
#endif
    { 0 },
    &operand_data[10526],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7415 },
#else
    { 0, output_7415, 0 },
#endif
    { 0 },
    &operand_data[10526],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7416 },
#else
    { 0, output_7416, 0 },
#endif
    { 0 },
    &operand_data[10534],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7417 },
#else
    { 0, output_7417, 0 },
#endif
    { 0 },
    &operand_data[10534],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7418 },
#else
    { 0, output_7418, 0 },
#endif
    { 0 },
    &operand_data[10534],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7419 },
#else
    { 0, output_7419, 0 },
#endif
    { 0 },
    &operand_data[10534],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7420 },
#else
    { 0, output_7420, 0 },
#endif
    { 0 },
    &operand_data[10534],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7421 },
#else
    { 0, output_7421, 0 },
#endif
    { 0 },
    &operand_data[10534],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7422 },
#else
    { 0, output_7422, 0 },
#endif
    { 0 },
    &operand_data[10542],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7423 },
#else
    { 0, output_7423, 0 },
#endif
    { 0 },
    &operand_data[10542],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7424 },
#else
    { 0, output_7424, 0 },
#endif
    { 0 },
    &operand_data[10542],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7425 },
#else
    { 0, output_7425, 0 },
#endif
    { 0 },
    &operand_data[10542],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7426 },
#else
    { 0, output_7426, 0 },
#endif
    { 0 },
    &operand_data[10550],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7427 },
#else
    { 0, output_7427, 0 },
#endif
    { 0 },
    &operand_data[10550],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7428 },
#else
    { 0, output_7428, 0 },
#endif
    { 0 },
    &operand_data[10550],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7429 },
#else
    { 0, output_7429, 0 },
#endif
    { 0 },
    &operand_data[10550],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7430 },
#else
    { 0, output_7430, 0 },
#endif
    { 0 },
    &operand_data[10550],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7431 },
#else
    { 0, output_7431, 0 },
#endif
    { 0 },
    &operand_data[10550],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7432 },
#else
    { 0, output_7432, 0 },
#endif
    { 0 },
    &operand_data[10558],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7433 },
#else
    { 0, output_7433, 0 },
#endif
    { 0 },
    &operand_data[10558],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7434 },
#else
    { 0, output_7434, 0 },
#endif
    { 0 },
    &operand_data[10558],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7435 },
#else
    { 0, output_7435, 0 },
#endif
    { 0 },
    &operand_data[10558],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7436 },
#else
    { 0, output_7436, 0 },
#endif
    { 0 },
    &operand_data[10566],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7437 },
#else
    { 0, output_7437, 0 },
#endif
    { 0 },
    &operand_data[10566],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7438 },
#else
    { 0, output_7438, 0 },
#endif
    { 0 },
    &operand_data[10566],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7439 },
#else
    { 0, output_7439, 0 },
#endif
    { 0 },
    &operand_data[10566],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7440 },
#else
    { 0, output_7440, 0 },
#endif
    { 0 },
    &operand_data[10566],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7441 },
#else
    { 0, output_7441, 0 },
#endif
    { 0 },
    &operand_data[10566],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7442 },
#else
    { 0, output_7442, 0 },
#endif
    { 0 },
    &operand_data[10574],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7443 },
#else
    { 0, output_7443, 0 },
#endif
    { 0 },
    &operand_data[10574],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7444 },
#else
    { 0, output_7444, 0 },
#endif
    { 0 },
    &operand_data[10574],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7445 },
#else
    { 0, output_7445, 0 },
#endif
    { 0 },
    &operand_data[10574],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7446 },
#else
    { 0, output_7446, 0 },
#endif
    { 0 },
    &operand_data[10582],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7447 },
#else
    { 0, output_7447, 0 },
#endif
    { 0 },
    &operand_data[10582],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7448 },
#else
    { 0, output_7448, 0 },
#endif
    { 0 },
    &operand_data[10582],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7449 },
#else
    { 0, output_7449, 0 },
#endif
    { 0 },
    &operand_data[10582],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7450 },
#else
    { 0, output_7450, 0 },
#endif
    { 0 },
    &operand_data[10582],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7451 },
#else
    { 0, output_7451, 0 },
#endif
    { 0 },
    &operand_data[10582],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7452 },
#else
    { 0, output_7452, 0 },
#endif
    { 0 },
    &operand_data[10590],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7453 },
#else
    { 0, output_7453, 0 },
#endif
    { 0 },
    &operand_data[10590],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7454 },
#else
    { 0, output_7454, 0 },
#endif
    { 0 },
    &operand_data[10590],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7455 },
#else
    { 0, output_7455, 0 },
#endif
    { 0 },
    &operand_data[10590],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7456 },
#else
    { 0, output_7456, 0 },
#endif
    { 0 },
    &operand_data[10598],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7457 },
#else
    { 0, output_7457, 0 },
#endif
    { 0 },
    &operand_data[10598],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7458 },
#else
    { 0, output_7458, 0 },
#endif
    { 0 },
    &operand_data[10598],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7459 },
#else
    { 0, output_7459, 0 },
#endif
    { 0 },
    &operand_data[10598],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7460 },
#else
    { 0, output_7460, 0 },
#endif
    { 0 },
    &operand_data[10598],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7461 },
#else
    { 0, output_7461, 0 },
#endif
    { 0 },
    &operand_data[10598],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7462 },
#else
    { 0, output_7462, 0 },
#endif
    { 0 },
    &operand_data[10606],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7463 },
#else
    { 0, output_7463, 0 },
#endif
    { 0 },
    &operand_data[10606],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7464 },
#else
    { 0, output_7464, 0 },
#endif
    { 0 },
    &operand_data[10606],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7465 },
#else
    { 0, output_7465, 0 },
#endif
    { 0 },
    &operand_data[10606],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7466 },
#else
    { 0, output_7466, 0 },
#endif
    { 0 },
    &operand_data[10614],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7467 },
#else
    { 0, output_7467, 0 },
#endif
    { 0 },
    &operand_data[10614],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7468 },
#else
    { 0, output_7468, 0 },
#endif
    { 0 },
    &operand_data[10614],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7469 },
#else
    { 0, output_7469, 0 },
#endif
    { 0 },
    &operand_data[10614],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7470 },
#else
    { 0, output_7470, 0 },
#endif
    { 0 },
    &operand_data[10614],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7471 },
#else
    { 0, output_7471, 0 },
#endif
    { 0 },
    &operand_data[10614],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7472 },
#else
    { 0, output_7472, 0 },
#endif
    { 0 },
    &operand_data[10622],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7473 },
#else
    { 0, output_7473, 0 },
#endif
    { 0 },
    &operand_data[10622],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7474 },
#else
    { 0, output_7474, 0 },
#endif
    { 0 },
    &operand_data[10622],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7475 },
#else
    { 0, output_7475, 0 },
#endif
    { 0 },
    &operand_data[10622],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7476 },
#else
    { 0, output_7476, 0 },
#endif
    { 0 },
    &operand_data[10630],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7477 },
#else
    { 0, output_7477, 0 },
#endif
    { 0 },
    &operand_data[10630],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7478 },
#else
    { 0, output_7478, 0 },
#endif
    { 0 },
    &operand_data[10630],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7479 },
#else
    { 0, output_7479, 0 },
#endif
    { 0 },
    &operand_data[10630],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7480 },
#else
    { 0, output_7480, 0 },
#endif
    { 0 },
    &operand_data[10630],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7481 },
#else
    { 0, output_7481, 0 },
#endif
    { 0 },
    &operand_data[10630],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7482 },
#else
    { 0, output_7482, 0 },
#endif
    { 0 },
    &operand_data[10638],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7483 },
#else
    { 0, output_7483, 0 },
#endif
    { 0 },
    &operand_data[10638],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7484 },
#else
    { 0, output_7484, 0 },
#endif
    { 0 },
    &operand_data[10638],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7485 },
#else
    { 0, output_7485, 0 },
#endif
    { 0 },
    &operand_data[10638],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7486 },
#else
    { 0, output_7486, 0 },
#endif
    { 0 },
    &operand_data[10646],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7487 },
#else
    { 0, output_7487, 0 },
#endif
    { 0 },
    &operand_data[10646],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7488 },
#else
    { 0, output_7488, 0 },
#endif
    { 0 },
    &operand_data[10646],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7489 },
#else
    { 0, output_7489, 0 },
#endif
    { 0 },
    &operand_data[10646],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7490 },
#else
    { 0, output_7490, 0 },
#endif
    { 0 },
    &operand_data[10646],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7491 },
#else
    { 0, output_7491, 0 },
#endif
    { 0 },
    &operand_data[10646],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7492 },
#else
    { 0, output_7492, 0 },
#endif
    { 0 },
    &operand_data[10654],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7493 },
#else
    { 0, output_7493, 0 },
#endif
    { 0 },
    &operand_data[10654],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7494 },
#else
    { 0, output_7494, 0 },
#endif
    { 0 },
    &operand_data[10654],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7495 },
#else
    { 0, output_7495, 0 },
#endif
    { 0 },
    &operand_data[10654],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpltvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7496 },
#else
    { 0, output_7496, 0 },
#endif
    { 0 },
    &operand_data[10662],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7497 },
#else
    { 0, output_7497, 0 },
#endif
    { 0 },
    &operand_data[10662],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpeqvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7498 },
#else
    { 0, output_7498, 0 },
#endif
    { 0 },
    &operand_data[10662],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpnevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7499 },
#else
    { 0, output_7499, 0 },
#endif
    { 0 },
    &operand_data[10662],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7500 },
#else
    { 0, output_7500, 0 },
#endif
    { 0 },
    &operand_data[10662],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmpgtvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7501 },
#else
    { 0, output_7501, 0 },
#endif
    { 0 },
    &operand_data[10662],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplovnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7502 },
#else
    { 0, output_7502, 0 },
#endif
    { 0 },
    &operand_data[10670],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmplsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7503 },
#else
    { 0, output_7503, 0 },
#endif
    { 0 },
    &operand_data[10670],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7504 },
#else
    { 0, output_7504, 0 },
#endif
    { 0 },
    &operand_data[10670],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7774 */
  {
    "*cmphivnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7505 },
#else
    { 0, output_7505, 0 },
#endif
    { 0 },
    &operand_data[10670],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7506 },
#else
    { 0, output_7506, 0 },
#endif
    { 0 },
    &operand_data[10678],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7507 },
#else
    { 0, output_7507, 0 },
#endif
    { 0 },
    &operand_data[10678],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7508 },
#else
    { 0, output_7508, 0 },
#endif
    { 0 },
    &operand_data[10678],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7509 },
#else
    { 0, output_7509, 0 },
#endif
    { 0 },
    &operand_data[10678],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7510 },
#else
    { 0, output_7510, 0 },
#endif
    { 0 },
    &operand_data[10678],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7511 },
#else
    { 0, output_7511, 0 },
#endif
    { 0 },
    &operand_data[10678],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7512 },
#else
    { 0, output_7512, 0 },
#endif
    { 0 },
    &operand_data[10686],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7513 },
#else
    { 0, output_7513, 0 },
#endif
    { 0 },
    &operand_data[10686],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7514 },
#else
    { 0, output_7514, 0 },
#endif
    { 0 },
    &operand_data[10686],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7515 },
#else
    { 0, output_7515, 0 },
#endif
    { 0 },
    &operand_data[10686],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7516 },
#else
    { 0, output_7516, 0 },
#endif
    { 0 },
    &operand_data[10694],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7517 },
#else
    { 0, output_7517, 0 },
#endif
    { 0 },
    &operand_data[10694],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7518 },
#else
    { 0, output_7518, 0 },
#endif
    { 0 },
    &operand_data[10694],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7519 },
#else
    { 0, output_7519, 0 },
#endif
    { 0 },
    &operand_data[10694],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7520 },
#else
    { 0, output_7520, 0 },
#endif
    { 0 },
    &operand_data[10694],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7521 },
#else
    { 0, output_7521, 0 },
#endif
    { 0 },
    &operand_data[10694],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7522 },
#else
    { 0, output_7522, 0 },
#endif
    { 0 },
    &operand_data[10702],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7523 },
#else
    { 0, output_7523, 0 },
#endif
    { 0 },
    &operand_data[10702],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7524 },
#else
    { 0, output_7524, 0 },
#endif
    { 0 },
    &operand_data[10702],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7525 },
#else
    { 0, output_7525, 0 },
#endif
    { 0 },
    &operand_data[10702],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7526 },
#else
    { 0, output_7526, 0 },
#endif
    { 0 },
    &operand_data[10710],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7527 },
#else
    { 0, output_7527, 0 },
#endif
    { 0 },
    &operand_data[10710],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7528 },
#else
    { 0, output_7528, 0 },
#endif
    { 0 },
    &operand_data[10710],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7529 },
#else
    { 0, output_7529, 0 },
#endif
    { 0 },
    &operand_data[10710],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7530 },
#else
    { 0, output_7530, 0 },
#endif
    { 0 },
    &operand_data[10710],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7531 },
#else
    { 0, output_7531, 0 },
#endif
    { 0 },
    &operand_data[10710],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7532 },
#else
    { 0, output_7532, 0 },
#endif
    { 0 },
    &operand_data[10718],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7533 },
#else
    { 0, output_7533, 0 },
#endif
    { 0 },
    &operand_data[10718],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7534 },
#else
    { 0, output_7534, 0 },
#endif
    { 0 },
    &operand_data[10718],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7535 },
#else
    { 0, output_7535, 0 },
#endif
    { 0 },
    &operand_data[10718],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7536 },
#else
    { 0, output_7536, 0 },
#endif
    { 0 },
    &operand_data[10726],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7537 },
#else
    { 0, output_7537, 0 },
#endif
    { 0 },
    &operand_data[10726],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7538 },
#else
    { 0, output_7538, 0 },
#endif
    { 0 },
    &operand_data[10726],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7539 },
#else
    { 0, output_7539, 0 },
#endif
    { 0 },
    &operand_data[10726],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7540 },
#else
    { 0, output_7540, 0 },
#endif
    { 0 },
    &operand_data[10726],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7541 },
#else
    { 0, output_7541, 0 },
#endif
    { 0 },
    &operand_data[10726],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7542 },
#else
    { 0, output_7542, 0 },
#endif
    { 0 },
    &operand_data[10734],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7543 },
#else
    { 0, output_7543, 0 },
#endif
    { 0 },
    &operand_data[10734],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7544 },
#else
    { 0, output_7544, 0 },
#endif
    { 0 },
    &operand_data[10734],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7545 },
#else
    { 0, output_7545, 0 },
#endif
    { 0 },
    &operand_data[10734],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7546 },
#else
    { 0, output_7546, 0 },
#endif
    { 0 },
    &operand_data[10742],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7547 },
#else
    { 0, output_7547, 0 },
#endif
    { 0 },
    &operand_data[10742],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7548 },
#else
    { 0, output_7548, 0 },
#endif
    { 0 },
    &operand_data[10742],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7549 },
#else
    { 0, output_7549, 0 },
#endif
    { 0 },
    &operand_data[10742],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7550 },
#else
    { 0, output_7550, 0 },
#endif
    { 0 },
    &operand_data[10742],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7551 },
#else
    { 0, output_7551, 0 },
#endif
    { 0 },
    &operand_data[10742],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7552 },
#else
    { 0, output_7552, 0 },
#endif
    { 0 },
    &operand_data[10750],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7553 },
#else
    { 0, output_7553, 0 },
#endif
    { 0 },
    &operand_data[10750],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7554 },
#else
    { 0, output_7554, 0 },
#endif
    { 0 },
    &operand_data[10750],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7555 },
#else
    { 0, output_7555, 0 },
#endif
    { 0 },
    &operand_data[10750],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7556 },
#else
    { 0, output_7556, 0 },
#endif
    { 0 },
    &operand_data[10758],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7557 },
#else
    { 0, output_7557, 0 },
#endif
    { 0 },
    &operand_data[10758],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7558 },
#else
    { 0, output_7558, 0 },
#endif
    { 0 },
    &operand_data[10758],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7559 },
#else
    { 0, output_7559, 0 },
#endif
    { 0 },
    &operand_data[10758],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7560 },
#else
    { 0, output_7560, 0 },
#endif
    { 0 },
    &operand_data[10758],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7561 },
#else
    { 0, output_7561, 0 },
#endif
    { 0 },
    &operand_data[10758],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7562 },
#else
    { 0, output_7562, 0 },
#endif
    { 0 },
    &operand_data[10766],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7563 },
#else
    { 0, output_7563, 0 },
#endif
    { 0 },
    &operand_data[10766],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7564 },
#else
    { 0, output_7564, 0 },
#endif
    { 0 },
    &operand_data[10766],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7565 },
#else
    { 0, output_7565, 0 },
#endif
    { 0 },
    &operand_data[10766],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7566 },
#else
    { 0, output_7566, 0 },
#endif
    { 0 },
    &operand_data[10774],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7567 },
#else
    { 0, output_7567, 0 },
#endif
    { 0 },
    &operand_data[10774],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7568 },
#else
    { 0, output_7568, 0 },
#endif
    { 0 },
    &operand_data[10774],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7569 },
#else
    { 0, output_7569, 0 },
#endif
    { 0 },
    &operand_data[10774],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7570 },
#else
    { 0, output_7570, 0 },
#endif
    { 0 },
    &operand_data[10774],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7571 },
#else
    { 0, output_7571, 0 },
#endif
    { 0 },
    &operand_data[10774],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7572 },
#else
    { 0, output_7572, 0 },
#endif
    { 0 },
    &operand_data[10782],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7573 },
#else
    { 0, output_7573, 0 },
#endif
    { 0 },
    &operand_data[10782],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7574 },
#else
    { 0, output_7574, 0 },
#endif
    { 0 },
    &operand_data[10782],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7575 },
#else
    { 0, output_7575, 0 },
#endif
    { 0 },
    &operand_data[10782],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7576 },
#else
    { 0, output_7576, 0 },
#endif
    { 0 },
    &operand_data[10790],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7577 },
#else
    { 0, output_7577, 0 },
#endif
    { 0 },
    &operand_data[10790],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7578 },
#else
    { 0, output_7578, 0 },
#endif
    { 0 },
    &operand_data[10790],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7579 },
#else
    { 0, output_7579, 0 },
#endif
    { 0 },
    &operand_data[10790],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7580 },
#else
    { 0, output_7580, 0 },
#endif
    { 0 },
    &operand_data[10790],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7581 },
#else
    { 0, output_7581, 0 },
#endif
    { 0 },
    &operand_data[10790],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7582 },
#else
    { 0, output_7582, 0 },
#endif
    { 0 },
    &operand_data[10798],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7583 },
#else
    { 0, output_7583, 0 },
#endif
    { 0 },
    &operand_data[10798],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7584 },
#else
    { 0, output_7584, 0 },
#endif
    { 0 },
    &operand_data[10798],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7585 },
#else
    { 0, output_7585, 0 },
#endif
    { 0 },
    &operand_data[10798],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7586 },
#else
    { 0, output_7586, 0 },
#endif
    { 0 },
    &operand_data[10806],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7587 },
#else
    { 0, output_7587, 0 },
#endif
    { 0 },
    &operand_data[10806],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7588 },
#else
    { 0, output_7588, 0 },
#endif
    { 0 },
    &operand_data[10806],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7589 },
#else
    { 0, output_7589, 0 },
#endif
    { 0 },
    &operand_data[10806],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7590 },
#else
    { 0, output_7590, 0 },
#endif
    { 0 },
    &operand_data[10806],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7591 },
#else
    { 0, output_7591, 0 },
#endif
    { 0 },
    &operand_data[10806],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7592 },
#else
    { 0, output_7592, 0 },
#endif
    { 0 },
    &operand_data[10814],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7593 },
#else
    { 0, output_7593, 0 },
#endif
    { 0 },
    &operand_data[10814],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7594 },
#else
    { 0, output_7594, 0 },
#endif
    { 0 },
    &operand_data[10814],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7595 },
#else
    { 0, output_7595, 0 },
#endif
    { 0 },
    &operand_data[10814],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpltvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7596 },
#else
    { 0, output_7596, 0 },
#endif
    { 0 },
    &operand_data[10822],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7597 },
#else
    { 0, output_7597, 0 },
#endif
    { 0 },
    &operand_data[10822],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpeqvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7598 },
#else
    { 0, output_7598, 0 },
#endif
    { 0 },
    &operand_data[10822],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpnevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7599 },
#else
    { 0, output_7599, 0 },
#endif
    { 0 },
    &operand_data[10822],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7600 },
#else
    { 0, output_7600, 0 },
#endif
    { 0 },
    &operand_data[10822],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmpgtvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7601 },
#else
    { 0, output_7601, 0 },
#endif
    { 0 },
    &operand_data[10822],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplovnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7602 },
#else
    { 0, output_7602, 0 },
#endif
    { 0 },
    &operand_data[10830],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmplsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7603 },
#else
    { 0, output_7603, 0 },
#endif
    { 0 },
    &operand_data[10830],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7604 },
#else
    { 0, output_7604, 0 },
#endif
    { 0 },
    &operand_data[10830],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7810 */
  {
    "*cmphivnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7605 },
#else
    { 0, output_7605, 0 },
#endif
    { 0 },
    &operand_data[10830],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10518],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10518],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10518],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10518],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10518],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10518],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10526],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10526],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10526],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10526],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10843],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10843],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10843],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10843],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10848],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10848],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10848],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10848],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10848],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10848],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10853],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10853],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10853],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10853],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10858],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10858],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10858],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10858],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10858],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10858],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10863],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10863],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10863],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10863],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10873],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10873],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10873],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10873],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10878],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10878],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10878],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10878],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10878],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10878],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10883],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10883],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10883],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10883],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10888],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10888],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10888],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10888],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10888],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10888],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10893],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10893],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10893],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10893],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10898],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10898],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10898],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10898],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10898],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10898],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10903],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10903],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10903],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10903],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10908],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10908],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10908],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10908],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10908],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10908],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10913],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10913],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10913],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10913],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpltvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10918],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10918],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpeqvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10918],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpnevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10918],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10918],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmpgtvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10918],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplovnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10923],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmplsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10923],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10923],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7841 */
  {
    "*cmphivnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10923],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpeqvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpgevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpgtvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmphivnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmphsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplovnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpltvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpnevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi_wide },
    &operand_data[10928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpeqvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpgevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpgtvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmphivnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmphsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplovnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpltvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpnevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi_wide },
    &operand_data[10933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpeqvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpgevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpgtvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmphivnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmphsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplovnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmplsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpltvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7869 */
  {
    "aarch64_pred_cmpnevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si_wide },
    &operand_data[10938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10943],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10951],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmphivnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplovnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7886 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10959],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10967],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10975],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmphivnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplovnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7917 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_lesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ulesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi },
    &operand_data[10991],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_lesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ulesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi },
    &operand_data[10994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_lesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ulesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi },
    &operand_data[10997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_lesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ulesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi },
    &operand_data[11000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_uledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi },
    &operand_data[11003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_uledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi },
    &operand_data[11006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_uledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi },
    &operand_data[11009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ultdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_uledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ltdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_gtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_ugedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_rwdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7956 */
  {
    "while_wrdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi },
    &operand_data[11012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_lesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ulesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11015],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_lesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ulesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11020],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_lesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ulesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11025],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_lesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ulesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11030],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_uledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11035],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_uledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11040],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_uledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ultdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_uledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ltdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_gtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_ugedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_rwdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "*while_wrdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_lesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ulesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi_ptest },
    &operand_data[11055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_lesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ulesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi_ptest },
    &operand_data[11060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_lesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ulesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi_ptest },
    &operand_data[11065],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_lesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ulesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi_ptest },
    &operand_data[11070],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_uledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi_ptest },
    &operand_data[11075],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_uledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi_ptest },
    &operand_data[11080],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_uledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi_ptest },
    &operand_data[11085],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ultdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_uledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ltdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_gtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_ugedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_rwdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7996 */
  {
    "while_wrdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi_ptest },
    &operand_data[11090],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmeqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8036 },
#else
    { 0, output_8036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx8hf },
    &operand_data[11095],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8037 },
#else
    { 0, output_8037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx8hf },
    &operand_data[11095],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8038 },
#else
    { 0, output_8038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx8hf },
    &operand_data[11095],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmlevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8039 },
#else
    { 0, output_8039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx8hf },
    &operand_data[11095],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8040 },
#else
    { 0, output_8040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx8hf },
    &operand_data[11095],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmnevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8041 },
#else
    { 0, output_8041, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx8hf },
    &operand_data[11095],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmeqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8042 },
#else
    { 0, output_8042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx4sf },
    &operand_data[11100],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8043 },
#else
    { 0, output_8043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx4sf },
    &operand_data[11100],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8044 },
#else
    { 0, output_8044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx4sf },
    &operand_data[11100],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmlevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8045 },
#else
    { 0, output_8045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx4sf },
    &operand_data[11100],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8046 },
#else
    { 0, output_8046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx4sf },
    &operand_data[11100],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmnevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8047 },
#else
    { 0, output_8047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx4sf },
    &operand_data[11100],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmeqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8048 },
#else
    { 0, output_8048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx2df },
    &operand_data[11105],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8049 },
#else
    { 0, output_8049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx2df },
    &operand_data[11105],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8050 },
#else
    { 0, output_8050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx2df },
    &operand_data[11105],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmlevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8051 },
#else
    { 0, output_8051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx2df },
    &operand_data[11105],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8052 },
#else
    { 0, output_8052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx2df },
    &operand_data[11105],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8049 */
  {
    "aarch64_pred_fcmnevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8053 },
#else
    { 0, output_8053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx2df },
    &operand_data[11105],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8064 */
  {
    "aarch64_pred_fcmuovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx8hf },
    &operand_data[11110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8064 */
  {
    "aarch64_pred_fcmuovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.s, %1/z, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx4sf },
    &operand_data[11115],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8064 */
  {
    "aarch64_pred_fcmuovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.d, %1/z, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx2df },
    &operand_data[11120],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmeqvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11125],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmgevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11125],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmgtvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11125],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmlevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11125],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmltvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11125],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmnevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11125],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmeqvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11130],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmgevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11130],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmgtvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11130],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmlevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11130],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmltvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11130],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmnevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11130],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmeqvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11135],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmgevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11135],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmgtvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11135],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmlevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11135],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmltvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11135],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "*fcmnevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11135],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8107 */
  {
    "*fcmuovnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11140],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8107 */
  {
    "*fcmuovnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11145],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8107 */
  {
    "*fcmuovnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11150],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facgevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11155],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facgtvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11155],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_faclevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11155],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facltvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11155],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facgevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11162],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facgtvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11162],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_faclevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11162],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11162],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facgevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11169],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facgtvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11169],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_faclevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11169],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8159 */
  {
    "*aarch64_pred_facltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11169],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facgevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11176],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facgtvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11176],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_faclevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11176],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facltvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11176],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facgevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11183],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facgtvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11183],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_faclevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11183],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11183],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facgevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11190],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facgtvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11190],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_faclevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11190],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8185 */
  {
    "*aarch64_pred_facltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11190],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8212 */
  {
    "vcond_mask_vnx16bivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16bivnx16bi },
    &operand_data[9807],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8212 */
  {
    "vcond_mask_vnx8bivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bivnx8bi },
    &operand_data[9811],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8212 */
  {
    "vcond_mask_vnx4bivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bivnx4bi },
    &operand_data[9815],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8212 */
  {
    "vcond_mask_vnx2bivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bivnx2bi },
    &operand_data[9819],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_ptestvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx16bi },
    &operand_data[11197],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_ptestvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx8bi },
    &operand_data[11200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_ptestvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx4bi },
    &operand_data[11204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_ptestvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx2bi },
    &operand_data[11208],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8110 },
#else
    { 0, output_8110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx16qi },
    &operand_data[11212],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8111 },
#else
    { 0, output_8111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx16qi },
    &operand_data[11212],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8112 },
#else
    { 0, output_8112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hi },
    &operand_data[11216],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8113 },
#else
    { 0, output_8113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hi },
    &operand_data[11216],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8114 },
#else
    { 0, output_8114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4si },
    &operand_data[11220],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8115 },
#else
    { 0, output_8115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4si },
    &operand_data[11220],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8116 },
#else
    { 0, output_8116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2di },
    &operand_data[11224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8117 },
#else
    { 0, output_8117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2di },
    &operand_data[11224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8118 },
#else
    { 0, output_8118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8bf },
    &operand_data[11228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8119 },
#else
    { 0, output_8119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8bf },
    &operand_data[11228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8120 },
#else
    { 0, output_8120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hf },
    &operand_data[11232],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8121 },
#else
    { 0, output_8121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hf },
    &operand_data[11232],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8122 },
#else
    { 0, output_8122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4sf },
    &operand_data[11236],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8123 },
#else
    { 0, output_8123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4sf },
    &operand_data[11236],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8124 },
#else
    { 0, output_8124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2df },
    &operand_data[11240],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8287 */
  {
    "fold_extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8125 },
#else
    { 0, output_8125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2df },
    &operand_data[11240],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8126 },
#else
    { 0, output_8126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx16qi },
    &operand_data[11244],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8127 },
#else
    { 0, output_8127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx16qi },
    &operand_data[11244],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8128 },
#else
    { 0, output_8128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hi },
    &operand_data[11248],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8129 },
#else
    { 0, output_8129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hi },
    &operand_data[11248],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8130 },
#else
    { 0, output_8130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4si },
    &operand_data[11252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8131 },
#else
    { 0, output_8131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4si },
    &operand_data[11252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8132 },
#else
    { 0, output_8132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2di },
    &operand_data[11256],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8133 },
#else
    { 0, output_8133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2di },
    &operand_data[11256],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8134 },
#else
    { 0, output_8134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8bf },
    &operand_data[11260],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8135 },
#else
    { 0, output_8135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8bf },
    &operand_data[11260],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8136 },
#else
    { 0, output_8136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hf },
    &operand_data[11264],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8137 },
#else
    { 0, output_8137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hf },
    &operand_data[11264],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8138 },
#else
    { 0, output_8138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4sf },
    &operand_data[11268],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8139 },
#else
    { 0, output_8139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4sf },
    &operand_data[11268],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8140 },
#else
    { 0, output_8140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2df },
    &operand_data[11272],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8300 */
  {
    "aarch64_fold_extract_vector_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8141 },
#else
    { 0, output_8141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2df },
    &operand_data[11272],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8344 */
  {
    "aarch64_pred_reduc_sadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx16qi },
    &operand_data[11276],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8344 */
  {
    "aarch64_pred_reduc_uadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx16qi },
    &operand_data[11276],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8344 */
  {
    "aarch64_pred_reduc_sadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx8hi },
    &operand_data[11279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8344 */
  {
    "aarch64_pred_reduc_uadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx8hi },
    &operand_data[11279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8344 */
  {
    "aarch64_pred_reduc_sadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx4si },
    &operand_data[11282],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8344 */
  {
    "aarch64_pred_reduc_uadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx4si },
    &operand_data[11282],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8344 */
  {
    "aarch64_pred_reduc_uadd_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_and_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx16qi },
    &operand_data[11288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_ior_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx16qi },
    &operand_data[11288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx16qi },
    &operand_data[11288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx16qi },
    &operand_data[11288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx16qi },
    &operand_data[11288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx16qi },
    &operand_data[11288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_xor_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx16qi },
    &operand_data[11288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_and_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx8hi },
    &operand_data[11291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_ior_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx8hi },
    &operand_data[11291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hi },
    &operand_data[11291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hi },
    &operand_data[11291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx8hi },
    &operand_data[11291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx8hi },
    &operand_data[11291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_xor_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx8hi },
    &operand_data[11291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_and_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx4si },
    &operand_data[11294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_ior_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx4si },
    &operand_data[11294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4si },
    &operand_data[11294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4si },
    &operand_data[11294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx4si },
    &operand_data[11294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx4si },
    &operand_data[11294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_xor_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx4si },
    &operand_data[11294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_and_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_ior_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_smin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_umin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8366 */
  {
    "aarch64_pred_reduc_xor_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx2di },
    &operand_data[11285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx8hf },
    &operand_data[11297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smax_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx8hf },
    &operand_data[11297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smax_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hf },
    &operand_data[11297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smin_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx8hf },
    &operand_data[11297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smin_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hf },
    &operand_data[11297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx4sf },
    &operand_data[11300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smax_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx4sf },
    &operand_data[11300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smax_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4sf },
    &operand_data[11300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smin_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx4sf },
    &operand_data[11300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smin_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4sf },
    &operand_data[11300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx2df },
    &operand_data[11303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smax_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx2df },
    &operand_data[11303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smax_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2df },
    &operand_data[11303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smin_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx2df },
    &operand_data[11303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8399 */
  {
    "aarch64_pred_reduc_smin_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2df },
    &operand_data[11303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8429 */
  {
    "mask_fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%h0, %3, %h0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx8hf },
    &operand_data[11306],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8429 */
  {
    "mask_fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%s0, %3, %s0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx4sf },
    &operand_data[11310],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8429 */
  {
    "mask_fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%d0, %3, %d0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx2df },
    &operand_data[11314],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8bf },
    &operand_data[11318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hf },
    &operand_data[9309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4sf },
    &operand_data[9312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8463 */
  {
    "aarch64_sve_tblvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2df },
    &operand_data[9315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8483 */
  {
    "aarch64_sve_compactvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4si },
    &operand_data[11321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8483 */
  {
    "aarch64_sve_compactvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2di },
    &operand_data[11324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8483 */
  {
    "aarch64_sve_compactvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4sf },
    &operand_data[11327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8483 */
  {
    "aarch64_sve_compactvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2df },
    &operand_data[11330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.b, %1.b[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx16qi },
    &operand_data[11333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8qi },
    &operand_data[11336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4qi },
    &operand_data[11339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2qi },
    &operand_data[11342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hi },
    &operand_data[11345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hi },
    &operand_data[11348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hi },
    &operand_data[11351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hf },
    &operand_data[11354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hf },
    &operand_data[11357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hf },
    &operand_data[11360],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8bf },
    &operand_data[11363],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4bf },
    &operand_data[11366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2bf },
    &operand_data[11369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4si },
    &operand_data[11372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2si },
    &operand_data[11375],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4sf },
    &operand_data[11378],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2sf },
    &operand_data[11381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2di },
    &operand_data[11384],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8494 */
  {
    "aarch64_sve_dup_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2df },
    &operand_data[11387],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8226 },
#else
    { 0, 0, output_8226 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx16qi },
    &operand_data[11390],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8227 },
#else
    { 0, 0, output_8227 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hi },
    &operand_data[11393],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8228 },
#else
    { 0, 0, output_8228 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4si },
    &operand_data[11396],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8229 },
#else
    { 0, 0, output_8229 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2di },
    &operand_data[11399],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8230 },
#else
    { 0, 0, output_8230 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8bf },
    &operand_data[11402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8231 },
#else
    { 0, 0, output_8231 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hf },
    &operand_data[11405],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8232 },
#else
    { 0, 0, output_8232 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4sf },
    &operand_data[11408],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_dupq_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8233 },
#else
    { 0, 0, output_8233 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2df },
    &operand_data[11411],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16qi },
    &operand_data[8647],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8qi },
    &operand_data[8651],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4qi },
    &operand_data[8308],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2qi },
    &operand_data[8288],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hi },
    &operand_data[8663],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hi },
    &operand_data[8313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hi },
    &operand_data[8293],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hf },
    &operand_data[7890],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hf },
    &operand_data[11357],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hf },
    &operand_data[11360],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bf },
    &operand_data[11318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bf },
    &operand_data[11366],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bf },
    &operand_data[11369],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4si },
    &operand_data[8277],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2si },
    &operand_data[8298],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4sf },
    &operand_data[7892],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2sf },
    &operand_data[11381],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2di },
    &operand_data[8280],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8542 */
  {
    "aarch64_sve_revvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2df },
    &operand_data[7894],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8253 },
#else
    { 0, output_8253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx16qi },
    &operand_data[8087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8254 },
#else
    { 0, output_8254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hi },
    &operand_data[8103],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8255 },
#else
    { 0, output_8255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4si },
    &operand_data[8115],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8256 },
#else
    { 0, output_8256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2di },
    &operand_data[8123],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8257 },
#else
    { 0, output_8257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8bf },
    &operand_data[11414],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8258 },
#else
    { 0, output_8258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hf },
    &operand_data[9390],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8259 },
#else
    { 0, output_8259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4sf },
    &operand_data[9395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8565 */
  {
    "aarch64_sve_splicevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8260 },
#else
    { 0, output_8260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2df },
    &operand_data[9400],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8qi },
    &operand_data[8651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8qi },
    &operand_data[8651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8qi },
    &operand_data[8651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8qi },
    &operand_data[8651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8qi },
    &operand_data[8651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8qi },
    &operand_data[8651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4qi },
    &operand_data[8308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4qi },
    &operand_data[8308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4qi },
    &operand_data[8308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4qi },
    &operand_data[8308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4qi },
    &operand_data[8308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4qi },
    &operand_data[8308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2qi },
    &operand_data[8288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2qi },
    &operand_data[8288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2qi },
    &operand_data[8288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2qi },
    &operand_data[8288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2qi },
    &operand_data[8288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2qi },
    &operand_data[8288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hi },
    &operand_data[8313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hi },
    &operand_data[8313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hi },
    &operand_data[8313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hi },
    &operand_data[8313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hi },
    &operand_data[8313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hi },
    &operand_data[8313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hi },
    &operand_data[8293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hi },
    &operand_data[8293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hi },
    &operand_data[8293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hi },
    &operand_data[8293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hi },
    &operand_data[8293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hi },
    &operand_data[8293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hf },
    &operand_data[11418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hf },
    &operand_data[11418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hf },
    &operand_data[11418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hf },
    &operand_data[11418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hf },
    &operand_data[11418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hf },
    &operand_data[11418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hf },
    &operand_data[11421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hf },
    &operand_data[11421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hf },
    &operand_data[11421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hf },
    &operand_data[11421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hf },
    &operand_data[11421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hf },
    &operand_data[11421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bf },
    &operand_data[11427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bf },
    &operand_data[11427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bf },
    &operand_data[11427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bf },
    &operand_data[11427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bf },
    &operand_data[11427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bf },
    &operand_data[11427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bf },
    &operand_data[11430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bf },
    &operand_data[11430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bf },
    &operand_data[11430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bf },
    &operand_data[11430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bf },
    &operand_data[11430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bf },
    &operand_data[11430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2si },
    &operand_data[8298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2si },
    &operand_data[8298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2si },
    &operand_data[8298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2si },
    &operand_data[8298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2si },
    &operand_data[8298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2si },
    &operand_data[8298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2sf },
    &operand_data[11433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2sf },
    &operand_data[11433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2sf },
    &operand_data[11433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2sf },
    &operand_data[11433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2sf },
    &operand_data[11433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2sf },
    &operand_data[11433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_zip2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_trn2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8581 */
  {
    "aarch64_sve_uzp2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8bf },
    &operand_data[11424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hf },
    &operand_data[9366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4sf },
    &operand_data[9369],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_zip2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_trn2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8593 */
  {
    "aarch64_sve_uzp2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2df },
    &operand_data[9372],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8423 },
#else
    { 0, 0, output_8423 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx16qi },
    &operand_data[11436],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8424 },
#else
    { 0, 0, output_8424 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8qi },
    &operand_data[11440],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8425 },
#else
    { 0, 0, output_8425 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4qi },
    &operand_data[11444],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8426 },
#else
    { 0, 0, output_8426 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2qi },
    &operand_data[11448],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8427 },
#else
    { 0, 0, output_8427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hi },
    &operand_data[11452],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8428 },
#else
    { 0, 0, output_8428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hi },
    &operand_data[11456],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8429 },
#else
    { 0, 0, output_8429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hi },
    &operand_data[11460],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8430 },
#else
    { 0, 0, output_8430 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hf },
    &operand_data[11464],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8431 },
#else
    { 0, 0, output_8431 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hf },
    &operand_data[11468],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8432 },
#else
    { 0, 0, output_8432 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hf },
    &operand_data[11472],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8433 },
#else
    { 0, 0, output_8433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8bf },
    &operand_data[11476],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8434 },
#else
    { 0, 0, output_8434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4bf },
    &operand_data[11480],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8435 },
#else
    { 0, 0, output_8435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2bf },
    &operand_data[11484],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8436 },
#else
    { 0, 0, output_8436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4si },
    &operand_data[11488],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8437 },
#else
    { 0, 0, output_8437 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2si },
    &operand_data[11492],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8438 },
#else
    { 0, 0, output_8438 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4sf },
    &operand_data[11496],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8439 },
#else
    { 0, 0, output_8439 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2sf },
    &operand_data[11500],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8440 },
#else
    { 0, 0, output_8440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2di },
    &operand_data[11504],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "aarch64_sve_extvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8441 },
#else
    { 0, 0, output_8441 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2df },
    &operand_data[11508],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8630 */
  {
    "aarch64_sve_revvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16bi },
    &operand_data[5567],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8630 */
  {
    "aarch64_sve_revvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bi },
    &operand_data[7938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8630 */
  {
    "aarch64_sve_revvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bi },
    &operand_data[7941],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8630 */
  {
    "aarch64_sve_revvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bi },
    &operand_data[7944],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16bi },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16bi },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16bi },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16bi },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16bi },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16bi },
    &operand_data[7935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bi },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bi },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bi },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bi },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bi },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bi },
    &operand_data[7938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bi },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bi },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bi },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bi },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bi },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bi },
    &operand_data[7941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bi },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_zip2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bi },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bi },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_trn2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bi },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bi },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8651 */
  {
    "aarch64_sve_uzp2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bi },
    &operand_data[7944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8664 */
  {
    "aarch64_sve_trn1_convvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx16bi },
    &operand_data[11512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8664 */
  {
    "aarch64_sve_trn1_convvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx8bi },
    &operand_data[11516],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8664 */
  {
    "aarch64_sve_trn1_convvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx4bi },
    &operand_data[11520],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8664 */
  {
    "aarch64_sve_trn1_convvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx2bi },
    &operand_data[11524],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8687 */
  {
    "vec_pack_trunc_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8hi },
    &operand_data[11528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8687 */
  {
    "vec_pack_trunc_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4si },
    &operand_data[11531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8687 */
  {
    "vec_pack_trunc_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2di },
    &operand_data[11534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_sunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx16qi },
    &operand_data[11537],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_uunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx16qi },
    &operand_data[11537],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_sunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx16qi },
    &operand_data[11537],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_uunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx16qi },
    &operand_data[11537],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_sunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx8hi },
    &operand_data[11539],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_uunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx8hi },
    &operand_data[11539],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_sunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx8hi },
    &operand_data[11539],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_uunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx8hi },
    &operand_data[11539],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_sunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx4si },
    &operand_data[11541],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_uunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx4si },
    &operand_data[11541],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_sunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx4si },
    &operand_data[11541],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8724 */
  {
    "aarch64_sve_uunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx4si },
    &operand_data[11541],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8489 },
#else
    { 0, output_8489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[11543],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8490 },
#else
    { 0, output_8490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[11543],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8491 },
#else
    { 0, output_8491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[11547],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8492 },
#else
    { 0, output_8492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[11547],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8493 },
#else
    { 0, output_8493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[11551],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8494 },
#else
    { 0, output_8494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[11551],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8495 },
#else
    { 0, output_8495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[11555],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8496 },
#else
    { 0, output_8496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[11555],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8497 },
#else
    { 0, output_8497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[11559],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8498 },
#else
    { 0, output_8498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[11559],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8499 },
#else
    { 0, output_8499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[11563],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8500 },
#else
    { 0, output_8500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[11563],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8772 */
  {
    "aarch64_sve_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8501 },
#else
    { 0, output_8501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[11567],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8772 */
  {
    "aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8502 },
#else
    { 0, output_8502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[11567],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8503 },
#else
    { 0, output_8503, 0 },
#endif
    { 0 },
    &operand_data[11571],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8504 },
#else
    { 0, output_8504, 0 },
#endif
    { 0 },
    &operand_data[11571],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8505 },
#else
    { 0, output_8505, 0 },
#endif
    { 0 },
    &operand_data[11576],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8506 },
#else
    { 0, output_8506, 0 },
#endif
    { 0 },
    &operand_data[11576],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8507 },
#else
    { 0, output_8507, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8508 },
#else
    { 0, output_8508, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8509 },
#else
    { 0, output_8509, 0 },
#endif
    { 0 },
    &operand_data[11586],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8510 },
#else
    { 0, output_8510, 0 },
#endif
    { 0 },
    &operand_data[11586],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8511 },
#else
    { 0, output_8511, 0 },
#endif
    { 0 },
    &operand_data[11591],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8512 },
#else
    { 0, output_8512, 0 },
#endif
    { 0 },
    &operand_data[11591],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8513 },
#else
    { 0, output_8513, 0 },
#endif
    { 0 },
    &operand_data[11596],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8807 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8514 },
#else
    { 0, output_8514, 0 },
#endif
    { 0 },
    &operand_data[11596],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8515 },
#else
    { 0, output_8515, 0 },
#endif
    { 0 },
    &operand_data[11571],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8516 },
#else
    { 0, output_8516, 0 },
#endif
    { 0 },
    &operand_data[11571],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8517 },
#else
    { 0, output_8517, 0 },
#endif
    { 0 },
    &operand_data[11576],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8518 },
#else
    { 0, output_8518, 0 },
#endif
    { 0 },
    &operand_data[11576],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8519 },
#else
    { 0, output_8519, 0 },
#endif
    { 0 },
    &operand_data[11581],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8520 },
#else
    { 0, output_8520, 0 },
#endif
    { 0 },
    &operand_data[11581],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8521 },
#else
    { 0, output_8521, 0 },
#endif
    { 0 },
    &operand_data[11586],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8522 },
#else
    { 0, output_8522, 0 },
#endif
    { 0 },
    &operand_data[11586],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8523 },
#else
    { 0, output_8523, 0 },
#endif
    { 0 },
    &operand_data[11591],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8524 },
#else
    { 0, output_8524, 0 },
#endif
    { 0 },
    &operand_data[11591],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8525 },
#else
    { 0, output_8525, 0 },
#endif
    { 0 },
    &operand_data[11596],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8830 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8526 },
#else
    { 0, output_8526, 0 },
#endif
    { 0 },
    &operand_data[11596],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8864 */
  {
    "*cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8527 },
#else
    { 0, output_8527, 0 },
#endif
    { 0 },
    &operand_data[11601],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8864 */
  {
    "*cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8528 },
#else
    { 0, output_8528, 0 },
#endif
    { 0 },
    &operand_data[11601],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8529 },
#else
    { 0, output_8529, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx8hf },
    &operand_data[11606],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8530 },
#else
    { 0, output_8530, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[11606],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8531 },
#else
    { 0, output_8531, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx8hf },
    &operand_data[11610],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8532 },
#else
    { 0, output_8532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[11610],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8533 },
#else
    { 0, output_8533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx4sf },
    &operand_data[11614],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8534 },
#else
    { 0, output_8534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[11614],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8535 },
#else
    { 0, output_8535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx8hf },
    &operand_data[11618],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8536 },
#else
    { 0, output_8536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx8hf },
    &operand_data[11618],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8537 },
#else
    { 0, output_8537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx4sf },
    &operand_data[11622],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8538 },
#else
    { 0, output_8538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx4sf },
    &operand_data[11622],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8539 },
#else
    { 0, output_8539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx2df },
    &operand_data[11626],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8944 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8540 },
#else
    { 0, output_8540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx2df },
    &operand_data[11626],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8959 */
  {
    "aarch64_sve_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8541 },
#else
    { 0, output_8541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_extendvnx4sivnx2df },
    &operand_data[11630],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8959 */
  {
    "aarch64_sve_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8542 },
#else
    { 0, output_8542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_extendvnx4sivnx2df },
    &operand_data[11630],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8543 },
#else
    { 0, output_8543, 0 },
#endif
    { 0 },
    &operand_data[11634],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8544 },
#else
    { 0, output_8544, 0 },
#endif
    { 0 },
    &operand_data[11634],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8545 },
#else
    { 0, output_8545, 0 },
#endif
    { 0 },
    &operand_data[11639],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8546 },
#else
    { 0, output_8546, 0 },
#endif
    { 0 },
    &operand_data[11639],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8547 },
#else
    { 0, output_8547, 0 },
#endif
    { 0 },
    &operand_data[11644],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8548 },
#else
    { 0, output_8548, 0 },
#endif
    { 0 },
    &operand_data[11644],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_float_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8549 },
#else
    { 0, output_8549, 0 },
#endif
    { 0 },
    &operand_data[11649],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8550 },
#else
    { 0, output_8550, 0 },
#endif
    { 0 },
    &operand_data[11649],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_float_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8551 },
#else
    { 0, output_8551, 0 },
#endif
    { 0 },
    &operand_data[11654],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8552 },
#else
    { 0, output_8552, 0 },
#endif
    { 0 },
    &operand_data[11654],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_float_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8553 },
#else
    { 0, output_8553, 0 },
#endif
    { 0 },
    &operand_data[11659],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8994 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8554 },
#else
    { 0, output_8554, 0 },
#endif
    { 0 },
    &operand_data[11659],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8555 },
#else
    { 0, output_8555, 0 },
#endif
    { 0 },
    &operand_data[11634],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8556 },
#else
    { 0, output_8556, 0 },
#endif
    { 0 },
    &operand_data[11634],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8557 },
#else
    { 0, output_8557, 0 },
#endif
    { 0 },
    &operand_data[11639],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8558 },
#else
    { 0, output_8558, 0 },
#endif
    { 0 },
    &operand_data[11639],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8559 },
#else
    { 0, output_8559, 0 },
#endif
    { 0 },
    &operand_data[11644],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8560 },
#else
    { 0, output_8560, 0 },
#endif
    { 0 },
    &operand_data[11644],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_float_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8561 },
#else
    { 0, output_8561, 0 },
#endif
    { 0 },
    &operand_data[11649],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8562 },
#else
    { 0, output_8562, 0 },
#endif
    { 0 },
    &operand_data[11649],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_float_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8563 },
#else
    { 0, output_8563, 0 },
#endif
    { 0 },
    &operand_data[11654],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8564 },
#else
    { 0, output_8564, 0 },
#endif
    { 0 },
    &operand_data[11654],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_float_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8565 },
#else
    { 0, output_8565, 0 },
#endif
    { 0 },
    &operand_data[11659],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9017 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8566 },
#else
    { 0, output_8566, 0 },
#endif
    { 0 },
    &operand_data[11659],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9051 */
  {
    "*cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8567 },
#else
    { 0, output_8567, 0 },
#endif
    { 0 },
    &operand_data[11664],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9051 */
  {
    "*cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8568 },
#else
    { 0, output_8568, 0 },
#endif
    { 0 },
    &operand_data[11664],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9142 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8569 },
#else
    { 0, output_8569, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8hf },
    &operand_data[11669],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9142 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8570 },
#else
    { 0, output_8570, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx8hf },
    &operand_data[11673],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9142 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8571 },
#else
    { 0, output_8571, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx4sf },
    &operand_data[11677],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9171 */
  {
    "*cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8572 },
#else
    { 0, output_8572, 0 },
#endif
    { 0 },
    &operand_data[11681],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9171 */
  {
    "*cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8573 },
#else
    { 0, output_8573, 0 },
#endif
    { 0 },
    &operand_data[11686],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9171 */
  {
    "*cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8574 },
#else
    { 0, output_8574, 0 },
#endif
    { 0 },
    &operand_data[11691],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9199 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8575 },
#else
    { 0, output_8575, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8bf },
    &operand_data[11696],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9228 */
  {
    "*cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8576 },
#else
    { 0, output_8576, 0 },
#endif
    { 0 },
    &operand_data[11700],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9252 */
  {
    "aarch64_sve_cvtntvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8bf },
    &operand_data[11705],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9299 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8578 },
#else
    { 0, output_8578, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[11709],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9299 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8579 },
#else
    { 0, output_8579, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[11713],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9299 */
  {
    "aarch64_sve_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8580 },
#else
    { 0, output_8580, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[11717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9328 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8581 },
#else
    { 0, output_8581, 0 },
#endif
    { 0 },
    &operand_data[11721],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9328 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8582 },
#else
    { 0, output_8582, 0 },
#endif
    { 0 },
    &operand_data[11726],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9328 */
  {
    "*cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8583 },
#else
    { 0, output_8583, 0 },
#endif
    { 0 },
    &operand_data[11731],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9356 */
  {
    "vec_pack_trunc_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8bi },
    &operand_data[11736],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9356 */
  {
    "vec_pack_trunc_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4bi },
    &operand_data[11739],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9356 */
  {
    "vec_pack_trunc_vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2bi },
    &operand_data[11742],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9391 */
  {
    "aarch64_sve_punpklo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx16bi },
    &operand_data[9829],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9391 */
  {
    "aarch64_sve_punpkhi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx16bi },
    &operand_data[9829],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9391 */
  {
    "aarch64_sve_punpklo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx8bi },
    &operand_data[11745],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9391 */
  {
    "aarch64_sve_punpkhi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx8bi },
    &operand_data[11745],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9391 */
  {
    "aarch64_sve_punpklo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx4bi },
    &operand_data[11747],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9391 */
  {
    "aarch64_sve_punpkhi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx4bi },
    &operand_data[11747],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9416 */
  {
    "aarch64_brka",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8593 },
#else
    { 0, output_8593, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brka },
    &operand_data[11749],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9416 */
  {
    "aarch64_brkb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8594 },
#else
    { 0, output_8594, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkb },
    &operand_data[11749],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9430 */
  {
    "*aarch64_brka_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkas\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11753],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9430 */
  {
    "*aarch64_brkb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkbs\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11753],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9453 */
  {
    "*aarch64_brka_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkas\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11758],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9453 */
  {
    "*aarch64_brkb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkbs\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11758],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9483 */
  {
    "aarch64_brkn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkn\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkn },
    &operand_data[11763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9483 */
  {
    "aarch64_brkpa",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpa\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpa },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9483 */
  {
    "aarch64_brkpb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpb\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpb },
    &operand_data[9807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9496 */
  {
    "*aarch64_brkn_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11763],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9525 */
  {
    "*aarch64_brkn_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11769],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9549 */
  {
    "*aarch64_brkpa_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpas\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11775],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9549 */
  {
    "*aarch64_brkpb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpbs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11775],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9572 */
  {
    "*aarch64_brkpa_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpas\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11780],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9572 */
  {
    "*aarch64_brkpb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpbs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11780],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9597 */
  {
    "aarch64_sve_pfirstvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx16bi },
    &operand_data[11785],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9597 */
  {
    "aarch64_sve_pnextvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx16bi },
    &operand_data[11785],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9597 */
  {
    "aarch64_sve_pnextvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx8bi },
    &operand_data[11789],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9597 */
  {
    "aarch64_sve_pnextvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx4bi },
    &operand_data[11793],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9597 */
  {
    "aarch64_sve_pnextvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx2bi },
    &operand_data[11797],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9610 */
  {
    "*aarch64_sve_pfirstvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11801],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9610 */
  {
    "*aarch64_sve_pnextvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11801],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9610 */
  {
    "*aarch64_sve_pnextvnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11808],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9610 */
  {
    "*aarch64_sve_pnextvnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11815],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9610 */
  {
    "*aarch64_sve_pnextvnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11822],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9640 */
  {
    "*aarch64_sve_pfirstvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11829],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9640 */
  {
    "*aarch64_sve_pnextvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11829],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9640 */
  {
    "*aarch64_sve_pnextvnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11836],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9640 */
  {
    "*aarch64_sve_pnextvnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11843],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9640 */
  {
    "*aarch64_sve_pnextvnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11850],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9683 */
  {
    "aarch64_sve_cnt_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8623 },
#else
    { 0, 0, output_8623 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cnt_pat },
    &operand_data[11857],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9707 */
  {
    "aarch64_sve_incdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8624 },
#else
    { 0, 0, output_8624 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdi_pat },
    &operand_data[11861],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9707 */
  {
    "aarch64_sve_sqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8625 },
#else
    { 0, 0, output_8625 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdi_pat },
    &operand_data[11861],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9707 */
  {
    "aarch64_sve_uqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8626 },
#else
    { 0, 0, output_8626 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdi_pat },
    &operand_data[11861],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9725 */
  {
    "*aarch64_sve_incsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8627 },
#else
    { 0, 0, output_8627 },
#endif
    { 0 },
    &operand_data[11866],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9742 */
  {
    "aarch64_sve_sqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8628 },
#else
    { 0, 0, output_8628 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsi_pat },
    &operand_data[11871],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9742 */
  {
    "aarch64_sve_uqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8629 },
#else
    { 0, 0, output_8629 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsi_pat },
    &operand_data[11871],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9770 */
  {
    "aarch64_sve_incvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8630 },
#else
    { 0, 0, output_8630 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_pat },
    &operand_data[11876],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9770 */
  {
    "aarch64_sve_sqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8631 },
#else
    { 0, 0, output_8631 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_pat },
    &operand_data[11876],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9770 */
  {
    "aarch64_sve_uqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8632 },
#else
    { 0, 0, output_8632 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_pat },
    &operand_data[11876],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9792 */
  {
    "aarch64_sve_incvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8633 },
#else
    { 0, 0, output_8633 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_pat },
    &operand_data[11881],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9792 */
  {
    "aarch64_sve_sqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8634 },
#else
    { 0, 0, output_8634 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_pat },
    &operand_data[11881],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9792 */
  {
    "aarch64_sve_uqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8635 },
#else
    { 0, 0, output_8635 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_pat },
    &operand_data[11881],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9826 */
  {
    "*aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8636 },
#else
    { 0, 0, output_8636 },
#endif
    { 0 },
    &operand_data[11886],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9826 */
  {
    "*aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8637 },
#else
    { 0, 0, output_8637 },
#endif
    { 0 },
    &operand_data[11886],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9826 */
  {
    "*aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8638 },
#else
    { 0, 0, output_8638 },
#endif
    { 0 },
    &operand_data[11886],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9857 */
  {
    "aarch64_sve_decdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8639 },
#else
    { 0, 0, output_8639 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdi_pat },
    &operand_data[11861],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9857 */
  {
    "aarch64_sve_sqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8640 },
#else
    { 0, 0, output_8640 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdi_pat },
    &operand_data[11861],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9857 */
  {
    "aarch64_sve_uqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8641 },
#else
    { 0, 0, output_8641 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdi_pat },
    &operand_data[11861],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9875 */
  {
    "*aarch64_sve_decsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8642 },
#else
    { 0, 0, output_8642 },
#endif
    { 0 },
    &operand_data[11866],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9892 */
  {
    "aarch64_sve_sqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8643 },
#else
    { 0, 0, output_8643 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsi_pat },
    &operand_data[11871],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9892 */
  {
    "aarch64_sve_uqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8644 },
#else
    { 0, 0, output_8644 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsi_pat },
    &operand_data[11871],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9920 */
  {
    "aarch64_sve_decvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8645 },
#else
    { 0, 0, output_8645 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_pat },
    &operand_data[11876],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9920 */
  {
    "aarch64_sve_sqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8646 },
#else
    { 0, 0, output_8646 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_pat },
    &operand_data[11876],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9920 */
  {
    "aarch64_sve_uqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8647 },
#else
    { 0, 0, output_8647 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_pat },
    &operand_data[11876],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9942 */
  {
    "aarch64_sve_decvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8648 },
#else
    { 0, 0, output_8648 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_pat },
    &operand_data[11881],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9942 */
  {
    "aarch64_sve_sqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8649 },
#else
    { 0, 0, output_8649 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_pat },
    &operand_data[11881],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9942 */
  {
    "aarch64_sve_uqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8650 },
#else
    { 0, 0, output_8650 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_pat },
    &operand_data[11881],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9976 */
  {
    "*aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8651 },
#else
    { 0, 0, output_8651 },
#endif
    { 0 },
    &operand_data[11886],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9976 */
  {
    "*aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8652 },
#else
    { 0, 0, output_8652 },
#endif
    { 0 },
    &operand_data[11886],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9976 */
  {
    "*aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8653 },
#else
    { 0, 0, output_8653 },
#endif
    { 0 },
    &operand_data[11886],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10005 */
  {
    "aarch64_pred_cntpvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx16bi },
    &operand_data[11892],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10005 */
  {
    "aarch64_pred_cntpvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx8bi },
    &operand_data[11896],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10005 */
  {
    "aarch64_pred_cntpvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx4bi },
    &operand_data[11900],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10005 */
  {
    "aarch64_pred_cntpvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx2bi },
    &operand_data[11904],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10041 */
  {
    "*aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10061 */
  {
    "*aarch64_incsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10061 */
  {
    "*aarch64_incsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11928],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10061 */
  {
    "*aarch64_incsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11932],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10061 */
  {
    "*aarch64_incsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11936],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8674 },
#else
    { 0, 0, output_8674 },
#endif
    { 0 },
    &operand_data[11940],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8675 },
#else
    { 0, 0, output_8675 },
#endif
    { 0 },
    &operand_data[11940],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8676 },
#else
    { 0, 0, output_8676 },
#endif
    { 0 },
    &operand_data[11944],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8677 },
#else
    { 0, 0, output_8677 },
#endif
    { 0 },
    &operand_data[11944],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8678 },
#else
    { 0, 0, output_8678 },
#endif
    { 0 },
    &operand_data[11948],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8679 },
#else
    { 0, 0, output_8679 },
#endif
    { 0 },
    &operand_data[11948],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8680 },
#else
    { 0, 0, output_8680 },
#endif
    { 0 },
    &operand_data[11952],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10096 */
  {
    "*aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8681 },
#else
    { 0, 0, output_8681 },
#endif
    { 0 },
    &operand_data[11952],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10146 */
  {
    "*aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8682 },
#else
    { 0, output_8682, 0 },
#endif
    { 0 },
    &operand_data[11956],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10146 */
  {
    "*aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8683 },
#else
    { 0, output_8683, 0 },
#endif
    { 0 },
    &operand_data[11956],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10146 */
  {
    "*aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8684 },
#else
    { 0, output_8684, 0 },
#endif
    { 0 },
    &operand_data[11956],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10186 */
  {
    "*aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8685 },
#else
    { 0, output_8685, 0 },
#endif
    { 0 },
    &operand_data[11960],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10186 */
  {
    "*aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8686 },
#else
    { 0, output_8686, 0 },
#endif
    { 0 },
    &operand_data[11960],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10186 */
  {
    "*aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8687 },
#else
    { 0, output_8687, 0 },
#endif
    { 0 },
    &operand_data[11960],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10226 */
  {
    "*aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8688 },
#else
    { 0, output_8688, 0 },
#endif
    { 0 },
    &operand_data[11964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10226 */
  {
    "*aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8689 },
#else
    { 0, output_8689, 0 },
#endif
    { 0 },
    &operand_data[11964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10226 */
  {
    "*aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8690 },
#else
    { 0, output_8690, 0 },
#endif
    { 0 },
    &operand_data[11964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11908],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10274 */
  {
    "*aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10294 */
  {
    "*aarch64_decsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10294 */
  {
    "*aarch64_decsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11928],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10294 */
  {
    "*aarch64_decsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11932],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10294 */
  {
    "*aarch64_decsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11936],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8707 },
#else
    { 0, 0, output_8707 },
#endif
    { 0 },
    &operand_data[11940],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8708 },
#else
    { 0, 0, output_8708 },
#endif
    { 0 },
    &operand_data[11940],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8709 },
#else
    { 0, 0, output_8709 },
#endif
    { 0 },
    &operand_data[11944],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8710 },
#else
    { 0, 0, output_8710 },
#endif
    { 0 },
    &operand_data[11944],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8711 },
#else
    { 0, 0, output_8711 },
#endif
    { 0 },
    &operand_data[11948],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8712 },
#else
    { 0, 0, output_8712 },
#endif
    { 0 },
    &operand_data[11948],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8713 },
#else
    { 0, 0, output_8713 },
#endif
    { 0 },
    &operand_data[11952],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10329 */
  {
    "*aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8714 },
#else
    { 0, 0, output_8714 },
#endif
    { 0 },
    &operand_data[11952],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10379 */
  {
    "*aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8715 },
#else
    { 0, output_8715, 0 },
#endif
    { 0 },
    &operand_data[11956],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10379 */
  {
    "*aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8716 },
#else
    { 0, output_8716, 0 },
#endif
    { 0 },
    &operand_data[11956],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10379 */
  {
    "*aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8717 },
#else
    { 0, output_8717, 0 },
#endif
    { 0 },
    &operand_data[11956],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10419 */
  {
    "*aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8718 },
#else
    { 0, output_8718, 0 },
#endif
    { 0 },
    &operand_data[11960],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10419 */
  {
    "*aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8719 },
#else
    { 0, output_8719, 0 },
#endif
    { 0 },
    &operand_data[11960],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10419 */
  {
    "*aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8720 },
#else
    { 0, output_8720, 0 },
#endif
    { 0 },
    &operand_data[11960],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10459 */
  {
    "*aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8721 },
#else
    { 0, output_8721, 0 },
#endif
    { 0 },
    &operand_data[11964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10459 */
  {
    "*aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8722 },
#else
    { 0, output_8722, 0 },
#endif
    { 0 },
    &operand_data[11964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10459 */
  {
    "*aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8723 },
#else
    { 0, output_8723, 0 },
#endif
    { 0 },
    &operand_data[11964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8724 },
#else
    { 0, output_8724, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4si },
    &operand_data[11969],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8725 },
#else
    { 0, output_8725, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2di },
    &operand_data[11973],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8726 },
#else
    { 0, output_8726, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4sf },
    &operand_data[11977],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8727 },
#else
    { 0, output_8727, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2df },
    &operand_data[11981],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8728 },
#else
    { 0, output_8728, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4qi },
    &operand_data[11985],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8729 },
#else
    { 0, output_8729, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4qi },
    &operand_data[11985],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8730 },
#else
    { 0, output_8730, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2qi },
    &operand_data[11990],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8731 },
#else
    { 0, output_8731, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2qi },
    &operand_data[11990],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8732 },
#else
    { 0, output_8732, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4hi },
    &operand_data[11985],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8733 },
#else
    { 0, output_8733, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4hi },
    &operand_data[11985],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8734 },
#else
    { 0, output_8734, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2hi },
    &operand_data[11990],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8735 },
#else
    { 0, output_8735, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2hi },
    &operand_data[11990],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8736 },
#else
    { 0, output_8736, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2si },
    &operand_data[11990],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8737 },
#else
    { 0, output_8737, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2si },
    &operand_data[11990],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8738 },
#else
    { 0, output_8738, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4si },
    &operand_data[11995],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8739 },
#else
    { 0, output_8739, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2di },
    &operand_data[11999],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8740 },
#else
    { 0, output_8740, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4sf },
    &operand_data[12003],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8741 },
#else
    { 0, output_8741, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2df },
    &operand_data[12007],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8742 },
#else
    { 0, output_8742, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4qi },
    &operand_data[11995],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8743 },
#else
    { 0, output_8743, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2qi },
    &operand_data[11999],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8744 },
#else
    { 0, output_8744, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4hi },
    &operand_data[11995],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8745 },
#else
    { 0, output_8745, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2hi },
    &operand_data[11999],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8746 },
#else
    { 0, output_8746, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2si },
    &operand_data[11999],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hi },
    &operand_data[12011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4si },
    &operand_data[12015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2di },
    &operand_data[12019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx16qi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8750 },
#else
    { 0, output_8750, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx16qi_const },
    &operand_data[12023],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx8hi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8751 },
#else
    { 0, output_8751, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx8hi_const },
    &operand_data[12026],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx4si_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8752 },
#else
    { 0, output_8752, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx4si_const },
    &operand_data[12029],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx2di_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8753 },
#else
    { 0, output_8753, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx2di_const },
    &operand_data[12032],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8754 },
#else
    { 0, output_8754, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8755 },
#else
    { 0, output_8755, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8756 },
#else
    { 0, output_8756, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8757 },
#else
    { 0, output_8757, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8758 },
#else
    { 0, output_8758, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8759 },
#else
    { 0, output_8759, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8760 },
#else
    { 0, output_8760, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8761 },
#else
    { 0, output_8761, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8762 },
#else
    { 0, output_8762, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8763 },
#else
    { 0, output_8763, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx16qi },
    &operand_data[12035],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8764 },
#else
    { 0, output_8764, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8765 },
#else
    { 0, output_8765, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8766 },
#else
    { 0, output_8766, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8767 },
#else
    { 0, output_8767, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8768 },
#else
    { 0, output_8768, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8769 },
#else
    { 0, output_8769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8770 },
#else
    { 0, output_8770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8771 },
#else
    { 0, output_8771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8772 },
#else
    { 0, output_8772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8773 },
#else
    { 0, output_8773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx8hi },
    &operand_data[12039],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8774 },
#else
    { 0, output_8774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8775 },
#else
    { 0, output_8775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8776 },
#else
    { 0, output_8776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8777 },
#else
    { 0, output_8777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8778 },
#else
    { 0, output_8778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8779 },
#else
    { 0, output_8779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8780 },
#else
    { 0, output_8780, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8781 },
#else
    { 0, output_8781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8782 },
#else
    { 0, output_8782, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8783 },
#else
    { 0, output_8783, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx4si },
    &operand_data[8609],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8784 },
#else
    { 0, output_8784, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8785 },
#else
    { 0, output_8785, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8786 },
#else
    { 0, output_8786, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8787 },
#else
    { 0, output_8787, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8788 },
#else
    { 0, output_8788, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8789 },
#else
    { 0, output_8789, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8790 },
#else
    { 0, output_8790, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8791 },
#else
    { 0, output_8791, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8792 },
#else
    { 0, output_8792, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8793 },
#else
    { 0, output_8793, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx2di },
    &operand_data[8613],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8794 },
#else
    { 0, output_8794, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8795 },
#else
    { 0, output_8795, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8796 },
#else
    { 0, output_8796, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8797 },
#else
    { 0, output_8797, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8798 },
#else
    { 0, output_8798, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8799 },
#else
    { 0, output_8799, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8800 },
#else
    { 0, output_8800, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8801 },
#else
    { 0, output_8801, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8802 },
#else
    { 0, output_8802, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8803 },
#else
    { 0, output_8803, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8804 },
#else
    { 0, output_8804, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8805 },
#else
    { 0, output_8805, 0 },
#endif
    { 0 },
    &operand_data[8375],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8806 },
#else
    { 0, output_8806, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8807 },
#else
    { 0, output_8807, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8808 },
#else
    { 0, output_8808, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8809 },
#else
    { 0, output_8809, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8810 },
#else
    { 0, output_8810, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8811 },
#else
    { 0, output_8811, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8812 },
#else
    { 0, output_8812, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8813 },
#else
    { 0, output_8813, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8814 },
#else
    { 0, output_8814, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8815 },
#else
    { 0, output_8815, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8816 },
#else
    { 0, output_8816, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8817 },
#else
    { 0, output_8817, 0 },
#endif
    { 0 },
    &operand_data[8399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8818 },
#else
    { 0, output_8818, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8819 },
#else
    { 0, output_8819, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8820 },
#else
    { 0, output_8820, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8821 },
#else
    { 0, output_8821, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8822 },
#else
    { 0, output_8822, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8823 },
#else
    { 0, output_8823, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8824 },
#else
    { 0, output_8824, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8825 },
#else
    { 0, output_8825, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8826 },
#else
    { 0, output_8826, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8827 },
#else
    { 0, output_8827, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8828 },
#else
    { 0, output_8828, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8829 },
#else
    { 0, output_8829, 0 },
#endif
    { 0 },
    &operand_data[8417],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8830 },
#else
    { 0, output_8830, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8831 },
#else
    { 0, output_8831, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8832 },
#else
    { 0, output_8832, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8833 },
#else
    { 0, output_8833, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8834 },
#else
    { 0, output_8834, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8835 },
#else
    { 0, output_8835, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8836 },
#else
    { 0, output_8836, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8837 },
#else
    { 0, output_8837, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8838 },
#else
    { 0, output_8838, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8839 },
#else
    { 0, output_8839, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8840 },
#else
    { 0, output_8840, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8841 },
#else
    { 0, output_8841, 0 },
#endif
    { 0 },
    &operand_data[8429],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8842 },
#else
    { 0, output_8842, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8843 },
#else
    { 0, output_8843, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8844 },
#else
    { 0, output_8844, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8845 },
#else
    { 0, output_8845, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8846 },
#else
    { 0, output_8846, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8847 },
#else
    { 0, output_8847, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8848 },
#else
    { 0, output_8848, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8849 },
#else
    { 0, output_8849, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8850 },
#else
    { 0, output_8850, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8851 },
#else
    { 0, output_8851, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8852 },
#else
    { 0, output_8852, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8853 },
#else
    { 0, output_8853, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8854 },
#else
    { 0, output_8854, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8855 },
#else
    { 0, output_8855, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8856 },
#else
    { 0, output_8856, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8857 },
#else
    { 0, output_8857, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8858 },
#else
    { 0, output_8858, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8859 },
#else
    { 0, output_8859, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8860 },
#else
    { 0, output_8860, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8861 },
#else
    { 0, output_8861, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8862 },
#else
    { 0, output_8862, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8863 },
#else
    { 0, output_8863, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8864 },
#else
    { 0, output_8864, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8865 },
#else
    { 0, output_8865, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8866 },
#else
    { 0, output_8866, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8867 },
#else
    { 0, output_8867, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8868 },
#else
    { 0, output_8868, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8869 },
#else
    { 0, output_8869, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8870 },
#else
    { 0, output_8870, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8871 },
#else
    { 0, output_8871, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8872 },
#else
    { 0, output_8872, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8873 },
#else
    { 0, output_8873, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8874 },
#else
    { 0, output_8874, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8875 },
#else
    { 0, output_8875, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8876 },
#else
    { 0, output_8876, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8877 },
#else
    { 0, output_8877, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8878 },
#else
    { 0, output_8878, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8879 },
#else
    { 0, output_8879, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8880 },
#else
    { 0, output_8880, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8881 },
#else
    { 0, output_8881, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8882 },
#else
    { 0, output_8882, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8883 },
#else
    { 0, output_8883, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8884 },
#else
    { 0, output_8884, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8885 },
#else
    { 0, output_8885, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8886 },
#else
    { 0, output_8886, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8887 },
#else
    { 0, output_8887, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8888 },
#else
    { 0, output_8888, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8889 },
#else
    { 0, output_8889, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8890 },
#else
    { 0, output_8890, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8891 },
#else
    { 0, output_8891, 0 },
#endif
    { 0 },
    &operand_data[8495],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8892 },
#else
    { 0, output_8892, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8893 },
#else
    { 0, output_8893, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8894 },
#else
    { 0, output_8894, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8895 },
#else
    { 0, output_8895, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8896 },
#else
    { 0, output_8896, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8897 },
#else
    { 0, output_8897, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8898 },
#else
    { 0, output_8898, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8899 },
#else
    { 0, output_8899, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8900 },
#else
    { 0, output_8900, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8901 },
#else
    { 0, output_8901, 0 },
#endif
    { 0 },
    &operand_data[8523],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8902 },
#else
    { 0, output_8902, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8903 },
#else
    { 0, output_8903, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8904 },
#else
    { 0, output_8904, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8905 },
#else
    { 0, output_8905, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8906 },
#else
    { 0, output_8906, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8907 },
#else
    { 0, output_8907, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8908 },
#else
    { 0, output_8908, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8909 },
#else
    { 0, output_8909, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8910 },
#else
    { 0, output_8910, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8911 },
#else
    { 0, output_8911, 0 },
#endif
    { 0 },
    &operand_data[8544],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8912 },
#else
    { 0, output_8912, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8913 },
#else
    { 0, output_8913, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8914 },
#else
    { 0, output_8914, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8915 },
#else
    { 0, output_8915, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8916 },
#else
    { 0, output_8916, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8917 },
#else
    { 0, output_8917, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8918 },
#else
    { 0, output_8918, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8919 },
#else
    { 0, output_8919, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8920 },
#else
    { 0, output_8920, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8921 },
#else
    { 0, output_8921, 0 },
#endif
    { 0 },
    &operand_data[8558],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8922 },
#else
    { 0, output_8922, 0 },
#endif
    { 0 },
    &operand_data[12043],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8923 },
#else
    { 0, output_8923, 0 },
#endif
    { 0 },
    &operand_data[12043],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8924 },
#else
    { 0, output_8924, 0 },
#endif
    { 0 },
    &operand_data[12049],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8925 },
#else
    { 0, output_8925, 0 },
#endif
    { 0 },
    &operand_data[12049],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8926 },
#else
    { 0, output_8926, 0 },
#endif
    { 0 },
    &operand_data[12055],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8927 },
#else
    { 0, output_8927, 0 },
#endif
    { 0 },
    &operand_data[12055],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8928 },
#else
    { 0, output_8928, 0 },
#endif
    { 0 },
    &operand_data[12061],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8929 },
#else
    { 0, output_8929, 0 },
#endif
    { 0 },
    &operand_data[12061],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx8hi },
    &operand_data[12011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx8hi },
    &operand_data[12011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx4si },
    &operand_data[12015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx4si },
    &operand_data[12015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx2di },
    &operand_data[12019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx2di },
    &operand_data[12019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8944 },
#else
    { 0, output_8944, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx16qi },
    &operand_data[12067],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8945 },
#else
    { 0, output_8945, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx16qi },
    &operand_data[12067],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8946 },
#else
    { 0, output_8946, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx8hi },
    &operand_data[12071],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8947 },
#else
    { 0, output_8947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx8hi },
    &operand_data[12071],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8948 },
#else
    { 0, output_8948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx4si },
    &operand_data[12075],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8949 },
#else
    { 0, output_8949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx4si },
    &operand_data[12075],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8950 },
#else
    { 0, output_8950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx2di },
    &operand_data[12079],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8951 },
#else
    { 0, output_8951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx2di },
    &operand_data[12079],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8952 },
#else
    { 0, output_8952, 0 },
#endif
    { 0 },
    &operand_data[12083],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8953 },
#else
    { 0, output_8953, 0 },
#endif
    { 0 },
    &operand_data[12083],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8954 },
#else
    { 0, output_8954, 0 },
#endif
    { 0 },
    &operand_data[12088],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8955 },
#else
    { 0, output_8955, 0 },
#endif
    { 0 },
    &operand_data[12088],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8956 },
#else
    { 0, output_8956, 0 },
#endif
    { 0 },
    &operand_data[12093],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8957 },
#else
    { 0, output_8957, 0 },
#endif
    { 0 },
    &operand_data[12093],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8958 },
#else
    { 0, output_8958, 0 },
#endif
    { 0 },
    &operand_data[12098],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8959 },
#else
    { 0, output_8959, 0 },
#endif
    { 0 },
    &operand_data[12098],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8960 },
#else
    { 0, output_8960, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8961 },
#else
    { 0, output_8961, 0 },
#endif
    { 0 },
    &operand_data[8435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8962 },
#else
    { 0, output_8962, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8963 },
#else
    { 0, output_8963, 0 },
#endif
    { 0 },
    &operand_data[8459],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8964 },
#else
    { 0, output_8964, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8965 },
#else
    { 0, output_8965, 0 },
#endif
    { 0 },
    &operand_data[8477],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8966 },
#else
    { 0, output_8966, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8967 },
#else
    { 0, output_8967, 0 },
#endif
    { 0 },
    &operand_data[8489],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8968 },
#else
    { 0, output_8968, 0 },
#endif
    { 0 },
    &operand_data[12103],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8969 },
#else
    { 0, output_8969, 0 },
#endif
    { 0 },
    &operand_data[12103],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8970 },
#else
    { 0, output_8970, 0 },
#endif
    { 0 },
    &operand_data[12109],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8971 },
#else
    { 0, output_8971, 0 },
#endif
    { 0 },
    &operand_data[12109],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8972 },
#else
    { 0, output_8972, 0 },
#endif
    { 0 },
    &operand_data[12115],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8973 },
#else
    { 0, output_8973, 0 },
#endif
    { 0 },
    &operand_data[12115],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8974 },
#else
    { 0, output_8974, 0 },
#endif
    { 0 },
    &operand_data[12121],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8975 },
#else
    { 0, output_8975, 0 },
#endif
    { 0 },
    &operand_data[12121],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8976 },
#else
    { 0, output_8976, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8977 },
#else
    { 0, output_8977, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8978 },
#else
    { 0, output_8978, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8979 },
#else
    { 0, output_8979, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8980 },
#else
    { 0, output_8980, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8981 },
#else
    { 0, output_8981, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8982 },
#else
    { 0, output_8982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8983 },
#else
    { 0, output_8983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8984 },
#else
    { 0, output_8984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8985 },
#else
    { 0, output_8985, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8986 },
#else
    { 0, output_8986, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8987 },
#else
    { 0, output_8987, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8988 },
#else
    { 0, output_8988, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8989 },
#else
    { 0, output_8989, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8990 },
#else
    { 0, output_8990, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8991 },
#else
    { 0, output_8991, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8992 },
#else
    { 0, output_8992, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8993 },
#else
    { 0, output_8993, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8994 },
#else
    { 0, output_8994, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8995 },
#else
    { 0, output_8995, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8996 },
#else
    { 0, output_8996, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8997 },
#else
    { 0, output_8997, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8998 },
#else
    { 0, output_8998, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8999 },
#else
    { 0, output_8999, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9000 },
#else
    { 0, output_9000, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9001 },
#else
    { 0, output_9001, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9002 },
#else
    { 0, output_9002, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9003 },
#else
    { 0, output_9003, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9004 },
#else
    { 0, output_9004, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9005 },
#else
    { 0, output_9005, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9006 },
#else
    { 0, output_9006, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9007 },
#else
    { 0, output_9007, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9008 },
#else
    { 0, output_9008, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9009 },
#else
    { 0, output_9009, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9010 },
#else
    { 0, output_9010, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9011 },
#else
    { 0, output_9011, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9012 },
#else
    { 0, output_9012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx2di },
    &operand_data[12153],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9013 },
#else
    { 0, output_9013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx2di },
    &operand_data[12153],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9014 },
#else
    { 0, output_9014, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9015 },
#else
    { 0, output_9015, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9016 },
#else
    { 0, output_9016, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx2di },
    &operand_data[12153],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9017 },
#else
    { 0, output_9017, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9018 },
#else
    { 0, output_9018, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9019 },
#else
    { 0, output_9019, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx2di },
    &operand_data[12153],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9020 },
#else
    { 0, output_9020, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx16qi },
    &operand_data[12158],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9021 },
#else
    { 0, output_9021, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx8hi },
    &operand_data[12162],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9022 },
#else
    { 0, output_9022, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx4si },
    &operand_data[12166],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9023 },
#else
    { 0, output_9023, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx2di },
    &operand_data[12170],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9024 },
#else
    { 0, output_9024, 0 },
#endif
    { 0 },
    &operand_data[12174],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9025 },
#else
    { 0, output_9025, 0 },
#endif
    { 0 },
    &operand_data[12179],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9026 },
#else
    { 0, output_9026, 0 },
#endif
    { 0 },
    &operand_data[12184],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9027 },
#else
    { 0, output_9027, 0 },
#endif
    { 0 },
    &operand_data[12189],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9028 },
#else
    { 0, output_9028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx16qi },
    &operand_data[12194],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9029 },
#else
    { 0, output_9029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx8hi },
    &operand_data[12198],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9030 },
#else
    { 0, output_9030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx4si },
    &operand_data[12202],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9031 },
#else
    { 0, output_9031, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx2di },
    &operand_data[12206],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9032 },
#else
    { 0, output_9032, 0 },
#endif
    { 0 },
    &operand_data[12210],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9033 },
#else
    { 0, output_9033, 0 },
#endif
    { 0 },
    &operand_data[12214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9034 },
#else
    { 0, output_9034, 0 },
#endif
    { 0 },
    &operand_data[12218],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9035 },
#else
    { 0, output_9035, 0 },
#endif
    { 0 },
    &operand_data[12222],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9036 },
#else
    { 0, output_9036, 0 },
#endif
    { 0 },
    &operand_data[12210],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9037 },
#else
    { 0, output_9037, 0 },
#endif
    { 0 },
    &operand_data[12214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9038 },
#else
    { 0, output_9038, 0 },
#endif
    { 0 },
    &operand_data[12218],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9039 },
#else
    { 0, output_9039, 0 },
#endif
    { 0 },
    &operand_data[12222],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9040 },
#else
    { 0, output_9040, 0 },
#endif
    { 0 },
    &operand_data[12226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9041 },
#else
    { 0, output_9041, 0 },
#endif
    { 0 },
    &operand_data[12127],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9042 },
#else
    { 0, output_9042, 0 },
#endif
    { 0 },
    &operand_data[12230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9043 },
#else
    { 0, output_9043, 0 },
#endif
    { 0 },
    &operand_data[12131],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9044 },
#else
    { 0, output_9044, 0 },
#endif
    { 0 },
    &operand_data[12234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9045 },
#else
    { 0, output_9045, 0 },
#endif
    { 0 },
    &operand_data[12135],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9046 },
#else
    { 0, output_9046, 0 },
#endif
    { 0 },
    &operand_data[12238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9047 },
#else
    { 0, output_9047, 0 },
#endif
    { 0 },
    &operand_data[12139],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9048 },
#else
    { 0, output_9048, 0 },
#endif
    { 0 },
    &operand_data[12242],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9049 },
#else
    { 0, output_9049, 0 },
#endif
    { 0 },
    &operand_data[12174],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9050 },
#else
    { 0, output_9050, 0 },
#endif
    { 0 },
    &operand_data[12247],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9051 },
#else
    { 0, output_9051, 0 },
#endif
    { 0 },
    &operand_data[12179],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9052 },
#else
    { 0, output_9052, 0 },
#endif
    { 0 },
    &operand_data[12252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9053 },
#else
    { 0, output_9053, 0 },
#endif
    { 0 },
    &operand_data[12184],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9054 },
#else
    { 0, output_9054, 0 },
#endif
    { 0 },
    &operand_data[12257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9055 },
#else
    { 0, output_9055, 0 },
#endif
    { 0 },
    &operand_data[12189],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9056 },
#else
    { 0, output_9056, 0 },
#endif
    { 0 },
    &operand_data[12242],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9057 },
#else
    { 0, output_9057, 0 },
#endif
    { 0 },
    &operand_data[12174],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9058 },
#else
    { 0, output_9058, 0 },
#endif
    { 0 },
    &operand_data[12247],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9059 },
#else
    { 0, output_9059, 0 },
#endif
    { 0 },
    &operand_data[12179],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9060 },
#else
    { 0, output_9060, 0 },
#endif
    { 0 },
    &operand_data[12252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9061 },
#else
    { 0, output_9061, 0 },
#endif
    { 0 },
    &operand_data[12184],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9062 },
#else
    { 0, output_9062, 0 },
#endif
    { 0 },
    &operand_data[12257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9063 },
#else
    { 0, output_9063, 0 },
#endif
    { 0 },
    &operand_data[12189],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9064 },
#else
    { 0, output_9064, 0 },
#endif
    { 0 },
    &operand_data[12242],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9065 },
#else
    { 0, output_9065, 0 },
#endif
    { 0 },
    &operand_data[12174],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9066 },
#else
    { 0, output_9066, 0 },
#endif
    { 0 },
    &operand_data[12247],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9067 },
#else
    { 0, output_9067, 0 },
#endif
    { 0 },
    &operand_data[12179],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9068 },
#else
    { 0, output_9068, 0 },
#endif
    { 0 },
    &operand_data[12252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9069 },
#else
    { 0, output_9069, 0 },
#endif
    { 0 },
    &operand_data[12184],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9070 },
#else
    { 0, output_9070, 0 },
#endif
    { 0 },
    &operand_data[12257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9071 },
#else
    { 0, output_9071, 0 },
#endif
    { 0 },
    &operand_data[12189],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9072 },
#else
    { 0, output_9072, 0 },
#endif
    { 0 },
    &operand_data[12242],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9073 },
#else
    { 0, output_9073, 0 },
#endif
    { 0 },
    &operand_data[12174],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9074 },
#else
    { 0, output_9074, 0 },
#endif
    { 0 },
    &operand_data[12247],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9075 },
#else
    { 0, output_9075, 0 },
#endif
    { 0 },
    &operand_data[12179],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9076 },
#else
    { 0, output_9076, 0 },
#endif
    { 0 },
    &operand_data[12252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9077 },
#else
    { 0, output_9077, 0 },
#endif
    { 0 },
    &operand_data[12184],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9078 },
#else
    { 0, output_9078, 0 },
#endif
    { 0 },
    &operand_data[12257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9079 },
#else
    { 0, output_9079, 0 },
#endif
    { 0 },
    &operand_data[12189],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9080 },
#else
    { 0, output_9080, 0 },
#endif
    { 0 },
    &operand_data[12262],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9081 },
#else
    { 0, output_9081, 0 },
#endif
    { 0 },
    &operand_data[12262],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9082 },
#else
    { 0, output_9082, 0 },
#endif
    { 0 },
    &operand_data[12267],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9083 },
#else
    { 0, output_9083, 0 },
#endif
    { 0 },
    &operand_data[12267],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9084 },
#else
    { 0, output_9084, 0 },
#endif
    { 0 },
    &operand_data[12272],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9085 },
#else
    { 0, output_9085, 0 },
#endif
    { 0 },
    &operand_data[12272],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9086 },
#else
    { 0, output_9086, 0 },
#endif
    { 0 },
    &operand_data[12277],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9087 },
#else
    { 0, output_9087, 0 },
#endif
    { 0 },
    &operand_data[12277],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9088 },
#else
    { 0, output_9088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx16qi },
    &operand_data[12262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9089 },
#else
    { 0, output_9089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx16qi },
    &operand_data[12262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9090 },
#else
    { 0, output_9090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx8hi },
    &operand_data[12267],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9091 },
#else
    { 0, output_9091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx8hi },
    &operand_data[12267],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9092 },
#else
    { 0, output_9092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx4si },
    &operand_data[12272],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9093 },
#else
    { 0, output_9093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx4si },
    &operand_data[12272],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9094 },
#else
    { 0, output_9094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx2di },
    &operand_data[12277],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9095 },
#else
    { 0, output_9095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx2di },
    &operand_data[12277],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx16qi },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx16qi },
    &operand_data[12286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx8hi },
    &operand_data[12290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx8hi },
    &operand_data[12294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx4si },
    &operand_data[12298],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx4si },
    &operand_data[12302],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx2di },
    &operand_data[12306],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx2di },
    &operand_data[12310],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9104 },
#else
    { 0, output_9104, 0 },
#endif
    { 0 },
    &operand_data[12314],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9105 },
#else
    { 0, output_9105, 0 },
#endif
    { 0 },
    &operand_data[12314],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9106 },
#else
    { 0, output_9106, 0 },
#endif
    { 0 },
    &operand_data[12320],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9107 },
#else
    { 0, output_9107, 0 },
#endif
    { 0 },
    &operand_data[12320],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9108 },
#else
    { 0, output_9108, 0 },
#endif
    { 0 },
    &operand_data[12326],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9109 },
#else
    { 0, output_9109, 0 },
#endif
    { 0 },
    &operand_data[12326],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9110 },
#else
    { 0, output_9110, 0 },
#endif
    { 0 },
    &operand_data[12332],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9111 },
#else
    { 0, output_9111, 0 },
#endif
    { 0 },
    &operand_data[12332],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx8hi },
    &operand_data[12338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx4si },
    &operand_data[12341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx2di },
    &operand_data[12344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx4si },
    &operand_data[12350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx4si },
    &operand_data[12356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx4si },
    &operand_data[12356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx4si },
    &operand_data[12356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx4si },
    &operand_data[12356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx4si },
    &operand_data[12356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx4si },
    &operand_data[12356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx2di },
    &operand_data[12360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx2di },
    &operand_data[12360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx2di },
    &operand_data[12360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx2di },
    &operand_data[12360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx2di },
    &operand_data[12360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx2di },
    &operand_data[12360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx8hi },
    &operand_data[12364],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx8hi },
    &operand_data[12364],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx8hi },
    &operand_data[12364],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx8hi },
    &operand_data[12364],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx4si },
    &operand_data[12367],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx4si },
    &operand_data[12367],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx4si },
    &operand_data[12367],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx4si },
    &operand_data[12367],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx2di },
    &operand_data[12370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx2di },
    &operand_data[12370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx2di },
    &operand_data[12370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx2di },
    &operand_data[12370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9223 },
#else
    { 0, output_9223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9224 },
#else
    { 0, output_9224, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9225 },
#else
    { 0, output_9225, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9226 },
#else
    { 0, output_9226, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9227 },
#else
    { 0, output_9227, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9228 },
#else
    { 0, output_9228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9229 },
#else
    { 0, output_9229, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9230 },
#else
    { 0, output_9230, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9231 },
#else
    { 0, output_9231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9232 },
#else
    { 0, output_9232, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9233 },
#else
    { 0, output_9233, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9234 },
#else
    { 0, output_9234, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9235 },
#else
    { 0, output_9235, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9236 },
#else
    { 0, output_9236, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9237 },
#else
    { 0, output_9237, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9238 },
#else
    { 0, output_9238, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9239 },
#else
    { 0, output_9239, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9240 },
#else
    { 0, output_9240, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9241 },
#else
    { 0, output_9241, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9242 },
#else
    { 0, output_9242, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9243 },
#else
    { 0, output_9243, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9244 },
#else
    { 0, output_9244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9245 },
#else
    { 0, output_9245, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9246 },
#else
    { 0, output_9246, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9247 },
#else
    { 0, output_9247, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9248 },
#else
    { 0, output_9248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9249 },
#else
    { 0, output_9249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9250 },
#else
    { 0, output_9250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9251 },
#else
    { 0, output_9251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9252 },
#else
    { 0, output_9252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9253 },
#else
    { 0, output_9253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9254 },
#else
    { 0, output_9254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9255 },
#else
    { 0, output_9255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9256 },
#else
    { 0, output_9256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9257 },
#else
    { 0, output_9257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9258 },
#else
    { 0, output_9258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9259 },
#else
    { 0, output_9259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9260 },
#else
    { 0, output_9260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9261 },
#else
    { 0, output_9261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9262 },
#else
    { 0, output_9262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9263 },
#else
    { 0, output_9263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9264 },
#else
    { 0, output_9264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9265 },
#else
    { 0, output_9265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9266 },
#else
    { 0, output_9266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9267 },
#else
    { 0, output_9267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9268 },
#else
    { 0, output_9268, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9269 },
#else
    { 0, output_9269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9270 },
#else
    { 0, output_9270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9271 },
#else
    { 0, output_9271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9272 },
#else
    { 0, output_9272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9273 },
#else
    { 0, output_9273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9274 },
#else
    { 0, output_9274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9275 },
#else
    { 0, output_9275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9276 },
#else
    { 0, output_9276, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9277 },
#else
    { 0, output_9277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9278 },
#else
    { 0, output_9278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9279 },
#else
    { 0, output_9279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9280 },
#else
    { 0, output_9280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9281 },
#else
    { 0, output_9281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9282 },
#else
    { 0, output_9282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9283 },
#else
    { 0, output_9283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9284 },
#else
    { 0, output_9284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9285 },
#else
    { 0, output_9285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9286 },
#else
    { 0, output_9286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9287 },
#else
    { 0, output_9287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9288 },
#else
    { 0, output_9288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9289 },
#else
    { 0, output_9289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9290 },
#else
    { 0, output_9290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx8hi },
    &operand_data[12373],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9291 },
#else
    { 0, output_9291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9292 },
#else
    { 0, output_9292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9293 },
#else
    { 0, output_9293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx4si },
    &operand_data[12377],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9294 },
#else
    { 0, output_9294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9295 },
#else
    { 0, output_9295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9296 },
#else
    { 0, output_9296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx2di },
    &operand_data[12381],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9297 },
#else
    { 0, output_9297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9298 },
#else
    { 0, output_9298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx4si },
    &operand_data[12385],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9299 },
#else
    { 0, output_9299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9300 },
#else
    { 0, output_9300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx2di },
    &operand_data[12390],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9301 },
#else
    { 0, output_9301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlalbvnx4sf },
    &operand_data[12395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9302 },
#else
    { 0, output_9302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlaltvnx4sf },
    &operand_data[12395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlslbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9303 },
#else
    { 0, output_9303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlslbvnx4sf },
    &operand_data[12395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlsltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9304 },
#else
    { 0, output_9304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlsltvnx4sf },
    &operand_data[12395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlalb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9305 },
#else
    { 0, output_9305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalb_lane_vnx4sf },
    &operand_data[12399],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlalt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9306 },
#else
    { 0, output_9306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalt_lane_vnx4sf },
    &operand_data[12399],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlslb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9307 },
#else
    { 0, output_9307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslb_lane_vnx4sf },
    &operand_data[12399],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlslt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9308 },
#else
    { 0, output_9308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslt_lane_vnx4sf },
    &operand_data[12399],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx8hi },
    &operand_data[11528],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx8hi },
    &operand_data[11528],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx8hi },
    &operand_data[11528],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx4si },
    &operand_data[11531],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx4si },
    &operand_data[11531],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx4si },
    &operand_data[11531],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx2di },
    &operand_data[11534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx2di },
    &operand_data[11534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx2di },
    &operand_data[11534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx8hi },
    &operand_data[12404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx8hi },
    &operand_data[12404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx8hi },
    &operand_data[12404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx4si },
    &operand_data[12407],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx4si },
    &operand_data[12407],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx4si },
    &operand_data[12407],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx2di },
    &operand_data[12410],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx2di },
    &operand_data[12410],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx2di },
    &operand_data[12410],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx8hi },
    &operand_data[11528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx8hi },
    &operand_data[11528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx8hi },
    &operand_data[11528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx8hi },
    &operand_data[11528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx4si },
    &operand_data[11531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx4si },
    &operand_data[11531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx4si },
    &operand_data[11531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx4si },
    &operand_data[11531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx2di },
    &operand_data[11534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx2di },
    &operand_data[11534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx2di },
    &operand_data[11534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx2di },
    &operand_data[11534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx8hi },
    &operand_data[12413],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx8hi },
    &operand_data[12413],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx8hi },
    &operand_data[12413],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx8hi },
    &operand_data[12413],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx4si },
    &operand_data[12417],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx4si },
    &operand_data[12417],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx4si },
    &operand_data[12417],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx4si },
    &operand_data[12417],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx2di },
    &operand_data[12421],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx2di },
    &operand_data[12421],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx2di },
    &operand_data[12421],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx2di },
    &operand_data[12421],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx8hi },
    &operand_data[12425],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx4si },
    &operand_data[12428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx2di },
    &operand_data[12431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx8hi },
    &operand_data[12434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx4si },
    &operand_data[12438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx2di },
    &operand_data[12442],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9399 },
#else
    { 0, output_9399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx16qi },
    &operand_data[8087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9400 },
#else
    { 0, output_9400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx16qi },
    &operand_data[8087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9401 },
#else
    { 0, output_9401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx16qi },
    &operand_data[8087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9402 },
#else
    { 0, output_9402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx16qi },
    &operand_data[8087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9403 },
#else
    { 0, output_9403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx16qi },
    &operand_data[8087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9404 },
#else
    { 0, output_9404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx8hi },
    &operand_data[8103],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9405 },
#else
    { 0, output_9405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx8hi },
    &operand_data[8103],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9406 },
#else
    { 0, output_9406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx8hi },
    &operand_data[8103],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9407 },
#else
    { 0, output_9407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx8hi },
    &operand_data[8103],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9408 },
#else
    { 0, output_9408, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx8hi },
    &operand_data[8103],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9409 },
#else
    { 0, output_9409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx4si },
    &operand_data[8115],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9410 },
#else
    { 0, output_9410, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx4si },
    &operand_data[8115],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9411 },
#else
    { 0, output_9411, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx4si },
    &operand_data[8115],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9412 },
#else
    { 0, output_9412, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx4si },
    &operand_data[8115],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9413 },
#else
    { 0, output_9413, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx4si },
    &operand_data[8115],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9414 },
#else
    { 0, output_9414, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx2di },
    &operand_data[8123],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9415 },
#else
    { 0, output_9415, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx2di },
    &operand_data[8123],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9416 },
#else
    { 0, output_9416, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx2di },
    &operand_data[8123],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9417 },
#else
    { 0, output_9417, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx2di },
    &operand_data[8123],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9418 },
#else
    { 0, output_9418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx2di },
    &operand_data[8123],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9419 },
#else
    { 0, output_9419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx8hf },
    &operand_data[9390],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9420 },
#else
    { 0, output_9420, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx8hf },
    &operand_data[9390],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9421 },
#else
    { 0, output_9421, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx8hf },
    &operand_data[9390],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9422 },
#else
    { 0, output_9422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx8hf },
    &operand_data[9390],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9423 },
#else
    { 0, output_9423, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx8hf },
    &operand_data[9390],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9424 },
#else
    { 0, output_9424, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx4sf },
    &operand_data[9395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9425 },
#else
    { 0, output_9425, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx4sf },
    &operand_data[9395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9426 },
#else
    { 0, output_9426, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx4sf },
    &operand_data[9395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9427 },
#else
    { 0, output_9427, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx4sf },
    &operand_data[9395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9428 },
#else
    { 0, output_9428, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx4sf },
    &operand_data[9395],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9429 },
#else
    { 0, output_9429, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx2df },
    &operand_data[9400],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9430 },
#else
    { 0, output_9430, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx2df },
    &operand_data[9400],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9431 },
#else
    { 0, output_9431, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx2df },
    &operand_data[9400],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9432 },
#else
    { 0, output_9432, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx2df },
    &operand_data[9400],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9433 },
#else
    { 0, output_9433, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx2df },
    &operand_data[9400],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9434 },
#else
    { 0, output_9434, 0 },
#endif
    { 0 },
    &operand_data[12446],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9435 },
#else
    { 0, output_9435, 0 },
#endif
    { 0 },
    &operand_data[12446],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9436 },
#else
    { 0, output_9436, 0 },
#endif
    { 0 },
    &operand_data[12451],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9437 },
#else
    { 0, output_9437, 0 },
#endif
    { 0 },
    &operand_data[12451],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9438 },
#else
    { 0, output_9438, 0 },
#endif
    { 0 },
    &operand_data[12456],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9439 },
#else
    { 0, output_9439, 0 },
#endif
    { 0 },
    &operand_data[12456],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9440 },
#else
    { 0, output_9440, 0 },
#endif
    { 0 },
    &operand_data[12461],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9441 },
#else
    { 0, output_9441, 0 },
#endif
    { 0 },
    &operand_data[12461],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9442 },
#else
    { 0, output_9442, 0 },
#endif
    { 0 },
    &operand_data[12467],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9443 },
#else
    { 0, output_9443, 0 },
#endif
    { 0 },
    &operand_data[12467],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9444 },
#else
    { 0, output_9444, 0 },
#endif
    { 0 },
    &operand_data[12473],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9445 },
#else
    { 0, output_9445, 0 },
#endif
    { 0 },
    &operand_data[12473],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9446 },
#else
    { 0, output_9446, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx16qi },
    &operand_data[11436],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9447 },
#else
    { 0, output_9447, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx16qi },
    &operand_data[11436],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9448 },
#else
    { 0, output_9448, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx16qi },
    &operand_data[11436],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9449 },
#else
    { 0, output_9449, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx16qi },
    &operand_data[11436],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9450 },
#else
    { 0, output_9450, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx8hi },
    &operand_data[11452],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9451 },
#else
    { 0, output_9451, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx8hi },
    &operand_data[11452],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9452 },
#else
    { 0, output_9452, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx8hi },
    &operand_data[11452],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9453 },
#else
    { 0, output_9453, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx8hi },
    &operand_data[11452],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9454 },
#else
    { 0, output_9454, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx4si },
    &operand_data[11488],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9455 },
#else
    { 0, output_9455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx4si },
    &operand_data[11488],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9456 },
#else
    { 0, output_9456, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx4si },
    &operand_data[11488],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9457 },
#else
    { 0, output_9457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx4si },
    &operand_data[11488],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9458 },
#else
    { 0, output_9458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx2di },
    &operand_data[11504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9459 },
#else
    { 0, output_9459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx2di },
    &operand_data[11504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9460 },
#else
    { 0, output_9460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx2di },
    &operand_data[11504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9461 },
#else
    { 0, output_9461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx2di },
    &operand_data[11504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9462 },
#else
    { 0, output_9462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9463 },
#else
    { 0, output_9463, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9464 },
#else
    { 0, output_9464, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9465 },
#else
    { 0, output_9465, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9466 },
#else
    { 0, output_9466, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9467 },
#else
    { 0, output_9467, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9468 },
#else
    { 0, output_9468, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9469 },
#else
    { 0, output_9469, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx16qi },
    &operand_data[12127],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9470 },
#else
    { 0, output_9470, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9471 },
#else
    { 0, output_9471, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9472 },
#else
    { 0, output_9472, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9473 },
#else
    { 0, output_9473, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9474 },
#else
    { 0, output_9474, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9475 },
#else
    { 0, output_9475, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9476 },
#else
    { 0, output_9476, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9477 },
#else
    { 0, output_9477, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx8hi },
    &operand_data[12131],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9478 },
#else
    { 0, output_9478, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9479 },
#else
    { 0, output_9479, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9480 },
#else
    { 0, output_9480, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9481 },
#else
    { 0, output_9481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9482 },
#else
    { 0, output_9482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9483 },
#else
    { 0, output_9483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9484 },
#else
    { 0, output_9484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9485 },
#else
    { 0, output_9485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx4si },
    &operand_data[12135],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9486 },
#else
    { 0, output_9486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9487 },
#else
    { 0, output_9487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9488 },
#else
    { 0, output_9488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9489 },
#else
    { 0, output_9489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9490 },
#else
    { 0, output_9490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9491 },
#else
    { 0, output_9491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9492 },
#else
    { 0, output_9492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9493 },
#else
    { 0, output_9493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx2di },
    &operand_data[12139],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9494 },
#else
    { 0, output_9494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9495 },
#else
    { 0, output_9495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9496 },
#else
    { 0, output_9496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9497 },
#else
    { 0, output_9497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9498 },
#else
    { 0, output_9498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9499 },
#else
    { 0, output_9499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9500 },
#else
    { 0, output_9500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9501 },
#else
    { 0, output_9501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx8hi },
    &operand_data[12143],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9502 },
#else
    { 0, output_9502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9503 },
#else
    { 0, output_9503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9504 },
#else
    { 0, output_9504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9505 },
#else
    { 0, output_9505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9506 },
#else
    { 0, output_9506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9507 },
#else
    { 0, output_9507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9508 },
#else
    { 0, output_9508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9509 },
#else
    { 0, output_9509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx4si },
    &operand_data[12148],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9510 },
#else
    { 0, output_9510, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx4si },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9511 },
#else
    { 0, output_9511, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx4si },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9512 },
#else
    { 0, output_9512, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx4si },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9513 },
#else
    { 0, output_9513, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx4si },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9514 },
#else
    { 0, output_9514, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx2di },
    &operand_data[12479],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9515 },
#else
    { 0, output_9515, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx2di },
    &operand_data[12479],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9516 },
#else
    { 0, output_9516, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx2di },
    &operand_data[12479],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9517 },
#else
    { 0, output_9517, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx2di },
    &operand_data[12479],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9518 },
#else
    { 0, output_9518, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx4si },
    &operand_data[12483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9519 },
#else
    { 0, output_9519, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx4si },
    &operand_data[12483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9520 },
#else
    { 0, output_9520, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx4si },
    &operand_data[12483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9521 },
#else
    { 0, output_9521, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx4si },
    &operand_data[12483],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9522 },
#else
    { 0, output_9522, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx2di },
    &operand_data[12488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot90_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9523 },
#else
    { 0, output_9523, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx2di },
    &operand_data[12488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot180_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9524 },
#else
    { 0, output_9524, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx2di },
    &operand_data[12488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot270_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9525 },
#else
    { 0, output_9525, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx2di },
    &operand_data[12488],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1943 */
  {
    "aarch64_pred_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx4sf },
    &operand_data[12493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1943 */
  {
    "aarch64_pred_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx2df },
    &operand_data[12497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1970 */
  {
    "*cond_fcvtltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12501],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1970 */
  {
    "*cond_fcvtltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12506],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1989 */
  {
    "*cond_fcvtltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12501],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1989 */
  {
    "*cond_fcvtltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12506],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2018 */
  {
    "aarch64_sve_cvtntvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8hf },
    &operand_data[12511],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2018 */
  {
    "aarch64_sve_cvtntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx4sf },
    &operand_data[12515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2032 */
  {
    "aarch64_pred_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9534 },
#else
    { 0, output_9534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtxvnx4sf },
    &operand_data[11677],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2061 */
  {
    "*cond_fcvtxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9535 },
#else
    { 0, output_9535, 0 },
#endif
    { 0 },
    &operand_data[12519],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2084 */
  {
    "*cond_fcvtxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9536 },
#else
    { 0, output_9536, 0 },
#endif
    { 0 },
    &operand_data[12519],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2108 */
  {
    "aarch64_sve2_cvtxntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_cvtxntvnx2df },
    &operand_data[12515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2133 */
  {
    "aarch64_pred_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9538 },
#else
    { 0, output_9538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urecpevnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2133 */
  {
    "aarch64_pred_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9539 },
#else
    { 0, output_9539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ursqrtevnx4si },
    &operand_data[7438],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2167 */
  {
    "*cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9540 },
#else
    { 0, output_9540, 0 },
#endif
    { 0 },
    &operand_data[12524],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2167 */
  {
    "*cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9541 },
#else
    { 0, output_9541, 0 },
#endif
    { 0 },
    &operand_data[12524],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "aarch64_pred_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9542 },
#else
    { 0, output_9542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx8hf },
    &operand_data[11543],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "aarch64_pred_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9543 },
#else
    { 0, output_9543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx4sf },
    &operand_data[11551],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "aarch64_pred_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9544 },
#else
    { 0, output_9544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx2df },
    &operand_data[11563],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2228 */
  {
    "*cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9545 },
#else
    { 0, output_9545, 0 },
#endif
    { 0 },
    &operand_data[12529],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2228 */
  {
    "*cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9546 },
#else
    { 0, output_9546, 0 },
#endif
    { 0 },
    &operand_data[12534],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2228 */
  {
    "*cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9547 },
#else
    { 0, output_9547, 0 },
#endif
    { 0 },
    &operand_data[12539],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2251 */
  {
    "*cond_flogbvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9548 },
#else
    { 0, output_9548, 0 },
#endif
    { 0 },
    &operand_data[12529],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2251 */
  {
    "*cond_flogbvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9549 },
#else
    { 0, output_9549, 0 },
#endif
    { 0 },
    &operand_data[12534],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2251 */
  {
    "*cond_flogbvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9550 },
#else
    { 0, output_9550, 0 },
#endif
    { 0 },
    &operand_data[12539],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2280 */
  {
    "aarch64_sve2_pmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_pmulvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx8hi },
    &operand_data[12347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx2di },
    &operand_data[12353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullb_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullt_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullb_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullt_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullb_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullt_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx16qi },
    &operand_data[12544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hi },
    &operand_data[12547],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4si },
    &operand_data[12550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2di },
    &operand_data[12553],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8bf },
    &operand_data[12556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hf },
    &operand_data[12559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4sf },
    &operand_data[12562],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2df },
    &operand_data[12565],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.b, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx16qi },
    &operand_data[12568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hi },
    &operand_data[12572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4si },
    &operand_data[12576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2di },
    &operand_data[12580],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8bf },
    &operand_data[12584],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hf },
    &operand_data[12588],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4sf },
    &operand_data[12592],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2df },
    &operand_data[12596],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx8hi },
    &operand_data[8663],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx4si },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx2di },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2422 */
  {
    "aarch64_sve2_histcntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx4si },
    &operand_data[12600],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2422 */
  {
    "aarch64_sve2_histcntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx2di },
    &operand_data[12604],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2433 */
  {
    "aarch64_sve2_histsegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histseg\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histsegvnx16qi },
    &operand_data[8647],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_matchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx16qi },
    &operand_data[12608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_nmatchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx16qi },
    &operand_data[12608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_matchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx8hi },
    &operand_data[12613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_nmatchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx8hi },
    &operand_data[12613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_matchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12618],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_nmatchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12618],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_matchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12626],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_nmatchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12626],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_matchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12634],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_nmatchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12634],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_matchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12642],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_nmatchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12642],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2545 */
  {
    "aarch64_sve2_aese",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aese },
    &operand_data[12650],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2545 */
  {
    "aarch64_sve2_aesd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesd },
    &operand_data[12650],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2558 */
  {
    "aarch64_sve2_aesmc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesmc },
    &operand_data[12282],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2558 */
  {
    "aarch64_sve2_aesimc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesimc },
    &operand_data[12282],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2573 */
  {
    "*aarch64_sve2_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b\n\taesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12650],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2588 */
  {
    "*aarch64_sve2_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b\n\taesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12650],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2610 */
  {
    "aarch64_sve2_rax1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_rax1 },
    &operand_data[8280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2631 */
  {
    "aarch64_sve2_sm4e",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.s, %0.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4e },
    &operand_data[12298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2642 */
  {
    "aarch64_sve2_sm4ekey",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4ekey },
    &operand_data[8277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:494 */
  {
    "cbranchsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsi4 },
    &operand_data[12653],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:494 */
  {
    "cbranchdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdi4 },
    &operand_data[12657],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:508 */
  {
    "cbranchsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsf4 },
    &operand_data[12661],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:508 */
  {
    "cbranchdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdf4 },
    &operand_data[12665],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:522 */
  {
    "cbranchcc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchcc4 },
    &operand_data[12669],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:613 */
  {
    "modsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_modsi3 },
    &operand_data[12673],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:613 */
  {
    "moddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_moddi3 },
    &operand_data[12676],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:727 */
  {
    "casesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi },
    &operand_data[12679],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:779 */
  {
    "casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi_dispatch },
    &operand_data[12683],
    2,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:850 */
  {
    "prologue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prologue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:859 */
  {
    "epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:868 */
  {
    "sibcall_epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:900 */
  {
    "return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1025 */
  {
    "call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call },
    &operand_data[12687],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1050 */
  {
    "call_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call_value },
    &operand_data[12690],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1078 */
  {
    "sibcall",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall },
    &operand_data[12687],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1091 */
  {
    "sibcall_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_value },
    &operand_data[12690],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1145 */
  {
    "untyped_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_untyped_call },
    &operand_data[12694],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1176 */
  {
    "movqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqi },
    &operand_data[12697],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1176 */
  {
    "movhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhi },
    &operand_data[12699],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1233 */
  {
    "movsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsi },
    &operand_data[12701],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1233 */
  {
    "movdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdi },
    &operand_data[12703],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1367 */
  {
    "movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movti },
    &operand_data[12705],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1423 */
  {
    "movhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhf },
    &operand_data[12707],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1423 */
  {
    "movbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movbf },
    &operand_data[12709],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1423 */
  {
    "movsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsf },
    &operand_data[12711],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1423 */
  {
    "movdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdf },
    &operand_data[12713],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1423 */
  {
    "movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtf },
    &operand_data[12715],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1577 */
  {
    "cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cpymemdi },
    &operand_data[12717],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1595 */
  {
    "setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_setmemdi },
    &operand_data[12721],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1812 */
  {
    "extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsidi2 },
    &operand_data[12725],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1812 */
  {
    "zero_extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendsidi2 },
    &operand_data[12725],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqisi2 },
    &operand_data[12727],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "zero_extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqisi2 },
    &operand_data[12727],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhisi2 },
    &operand_data[12729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "zero_extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhisi2 },
    &operand_data[12729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqidi2 },
    &operand_data[12731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "zero_extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqidi2 },
    &operand_data[12731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhidi2 },
    &operand_data[12733],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1872 */
  {
    "zero_extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhidi2 },
    &operand_data[12733],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1900 */
  {
    "extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqihi2 },
    &operand_data[12735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1900 */
  {
    "zero_extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqihi2 },
    &operand_data[12735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "addsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3 },
    &operand_data[12737],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1930 */
  {
    "adddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3 },
    &operand_data[12740],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2107 */
  {
    "addvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvsi4 },
    &operand_data[12743],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2107 */
  {
    "addvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvdi4 },
    &operand_data[12747],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2124 */
  {
    "uaddvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvsi4 },
    &operand_data[12751],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2124 */
  {
    "uaddvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvdi4 },
    &operand_data[12755],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2137 */
  {
    "addti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addti3 },
    &operand_data[12759],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2170 */
  {
    "addvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvti4 },
    &operand_data[12759],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2204 */
  {
    "uaddvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvti4 },
    &operand_data[12759],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2561 */
  {
    "addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryin },
    &operand_data[12763],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2561 */
  {
    "adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryin },
    &operand_data[12766],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2601 */
  {
    "addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinC },
    &operand_data[12751],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2601 */
  {
    "adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinC },
    &operand_data[12755],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2664 */
  {
    "addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinV },
    &operand_data[12751],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2664 */
  {
    "adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinV },
    &operand_data[12755],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2794 */
  {
    "subvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi4 },
    &operand_data[12743],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2794 */
  {
    "subvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi4 },
    &operand_data[12747],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2844 */
  {
    "negvsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi3 },
    &operand_data[12752],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2844 */
  {
    "negvdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi3 },
    &operand_data[12756],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2897 */
  {
    "usubvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvsi4 },
    &operand_data[12769],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2897 */
  {
    "usubvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvdi4 },
    &operand_data[12773],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2910 */
  {
    "subti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subti3 },
    &operand_data[12777],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2930 */
  {
    "subvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvti4 },
    &operand_data[12759],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2949 */
  {
    "usubvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvti4 },
    &operand_data[12759],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2968 */
  {
    "negvti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvti3 },
    &operand_data[12779],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3239 */
  {
    "subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryin },
    &operand_data[12782],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3239 */
  {
    "subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryin },
    &operand_data[12785],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3304 */
  {
    "usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubsi3_carryinC },
    &operand_data[12782],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3304 */
  {
    "usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubdi3_carryinC },
    &operand_data[12785],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3371 */
  {
    "subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryinV },
    &operand_data[12782],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3371 */
  {
    "subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryinV },
    &operand_data[12785],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3466 */
  {
    "abssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssi2 },
    &operand_data[12673],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3466 */
  {
    "absdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdi2 },
    &operand_data[12676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3720 */
  {
    "mulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulditi3 },
    &operand_data[12788],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3720 */
  {
    "umulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulditi3 },
    &operand_data[12788],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3739 */
  {
    "multi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_multi3 },
    &operand_data[12791],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3870 */
  {
    "cstoresi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi4 },
    &operand_data[12794],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3870 */
  {
    "cstoredi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi4 },
    &operand_data[12798],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3883 */
  {
    "cstorecc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorecc4 },
    &operand_data[12802],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3895 */
  {
    "cstoresf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresf4 },
    &operand_data[12806],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3895 */
  {
    "cstoredf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredf4 },
    &operand_data[12810],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3983 */
  {
    "cmovsi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsi6 },
    &operand_data[12814],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3983 */
  {
    "cmovdi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdi6 },
    &operand_data[12820],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3999 */
  {
    "cmovsf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsf6 },
    &operand_data[12826],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3999 */
  {
    "cmovdf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdf6 },
    &operand_data[12832],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4083 */
  {
    "movqicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqicc },
    &operand_data[12838],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4083 */
  {
    "movhicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhicc },
    &operand_data[12842],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4083 */
  {
    "movsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsicc },
    &operand_data[12846],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4083 */
  {
    "movdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdicc },
    &operand_data[12850],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4102 */
  {
    "movsfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfsicc },
    &operand_data[12854],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4102 */
  {
    "movdfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfsicc },
    &operand_data[12858],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4102 */
  {
    "movsfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfdicc },
    &operand_data[12862],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4102 */
  {
    "movdfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfdicc },
    &operand_data[12866],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4121 */
  {
    "movsfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfcc },
    &operand_data[12870],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4121 */
  {
    "movdfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfcc },
    &operand_data[12874],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4140 */
  {
    "negsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsicc },
    &operand_data[12846],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4140 */
  {
    "notsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notsicc },
    &operand_data[12846],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4140 */
  {
    "negdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdicc },
    &operand_data[12850],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4140 */
  {
    "notdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notdicc },
    &operand_data[12850],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4294 */
  {
    "umaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxsi3 },
    &operand_data[12878],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4294 */
  {
    "umaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxdi3 },
    &operand_data[12881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4759 */
  {
    "ffssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffssi2 },
    &operand_data[12673],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4759 */
  {
    "ffsdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffsdi2 },
    &operand_data[12676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4781 */
  {
    "popcountsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountsi2 },
    &operand_data[12673],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4781 */
  {
    "popcountdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountdi2 },
    &operand_data[12676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlsi3 },
    &operand_data[12884],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrsi3 },
    &operand_data[12884],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrsi3 },
    &operand_data[12884],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashldi3 },
    &operand_data[12887],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrdi3 },
    &operand_data[12887],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrdi3 },
    &operand_data[12887],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4969 */
  {
    "ashlqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlqi3 },
    &operand_data[12890],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4969 */
  {
    "ashlhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlhi3 },
    &operand_data[12893],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4985 */
  {
    "rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrsi3 },
    &operand_data[12884],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4985 */
  {
    "rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrdi3 },
    &operand_data[12887],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5005 */
  {
    "rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotlsi3 },
    &operand_data[12884],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5005 */
  {
    "rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotldi3 },
    &operand_data[12887],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5486 */
  {
    "extv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extv },
    &operand_data[12896],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5486 */
  {
    "extzv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extzv },
    &operand_data[12896],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5535 */
  {
    "insvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvsi },
    &operand_data[12900],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5535 */
  {
    "insvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvdi },
    &operand_data[12904],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5976 */
  {
    "fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmahf4 },
    &operand_data[12908],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5976 */
  {
    "fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmasf4 },
    &operand_data[12912],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5976 */
  {
    "fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmadf4 },
    &operand_data[12916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5994 */
  {
    "fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmahf4 },
    &operand_data[12908],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5994 */
  {
    "fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmasf4 },
    &operand_data[12912],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5994 */
  {
    "fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmadf4 },
    &operand_data[12916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6015 */
  {
    "fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmssf4 },
    &operand_data[12912],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6015 */
  {
    "fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsdf4 },
    &operand_data[12916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6033 */
  {
    "fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmssf4 },
    &operand_data[12912],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6033 */
  {
    "fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsdf4 },
    &operand_data[12916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6232 */
  {
    "floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsihf2 },
    &operand_data[12920],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6232 */
  {
    "floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssihf2 },
    &operand_data[12920],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6261 */
  {
    "floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdihf2 },
    &operand_data[12922],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6261 */
  {
    "floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdihf2 },
    &operand_data[12922],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6401 */
  {
    "divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divhf3 },
    &operand_data[12924],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6401 */
  {
    "divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsf3 },
    &operand_data[12927],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6401 */
  {
    "divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdf3 },
    &operand_data[12930],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6430 */
  {
    "sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrthf2 },
    &operand_data[12908],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6430 */
  {
    "sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtsf2 },
    &operand_data[12830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6430 */
  {
    "sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtdf2 },
    &operand_data[12836],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6490 */
  {
    "lrintsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfsi2 },
    &operand_data[12933],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6490 */
  {
    "lrintdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfsi2 },
    &operand_data[12935],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6490 */
  {
    "lrintsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfdi2 },
    &operand_data[12825],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6490 */
  {
    "lrintdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfdi2 },
    &operand_data[12937],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6519 */
  {
    "copysignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3 },
    &operand_data[12912],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6519 */
  {
    "copysigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3 },
    &operand_data[12916],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6557 */
  {
    "xorsignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignsf3 },
    &operand_data[12912],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6557 */
  {
    "xorsigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsigndf3 },
    &operand_data[12916],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6592 */
  {
    "aarch64_reload_movcpsfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfsi },
    &operand_data[12939],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6592 */
  {
    "aarch64_reload_movcpdfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfsi },
    &operand_data[12942],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6592 */
  {
    "aarch64_reload_movcptfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfsi },
    &operand_data[12945],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6592 */
  {
    "aarch64_reload_movcpsfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfdi },
    &operand_data[12948],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6592 */
  {
    "aarch64_reload_movcpdfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfdi },
    &operand_data[12951],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6592 */
  {
    "aarch64_reload_movcptfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfdi },
    &operand_data[12954],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv8qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qisi },
    &operand_data[12957],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv8qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qidi },
    &operand_data[12960],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv16qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qisi },
    &operand_data[12963],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv16qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qidi },
    &operand_data[12966],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv4hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hisi },
    &operand_data[12969],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv4hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hidi },
    &operand_data[12972],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv8hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hisi },
    &operand_data[12975],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv8hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hidi },
    &operand_data[12978],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sisi },
    &operand_data[12981],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sidi },
    &operand_data[12984],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sisi },
    &operand_data[12987],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv4sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sidi },
    &operand_data[12990],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2disi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2disi },
    &operand_data[12993],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2didi },
    &operand_data[12996],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfsi },
    &operand_data[12999],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfdi },
    &operand_data[13002],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv4sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfsi },
    &operand_data[13005],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv4sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfdi },
    &operand_data[13008],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2dfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfsi },
    &operand_data[13011],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6605 */
  {
    "aarch64_reload_movcpv2dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfdi },
    &operand_data[13014],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "aarch64_reload_movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movti },
    &operand_data[13017],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "aarch64_reload_movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtf },
    &operand_data[13020],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6691 */
  {
    "add_losym",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym },
    &operand_data[13023],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6792 */
  {
    "tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_si },
    &operand_data[13026],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6792 */
  {
    "tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_di },
    &operand_data[13028],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6902 */
  {
    "tlsdesc_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_si },
    &operand_data[1360],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6902 */
  {
    "tlsdesc_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_di },
    &operand_data[1360],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7046 */
  {
    "get_thread_pointerdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_thread_pointerdi },
    &operand_data[1335],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7059 */
  {
    "stack_protect_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set },
    &operand_data[13030],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7068 */
  {
    "stack_protect_combined_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_set },
    &operand_data[13030],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "stack_protect_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test },
    &operand_data[13030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7123 */
  {
    "stack_protect_combined_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_test },
    &operand_data[13030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7173 */
  {
    "doloop_end",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_doloop_end },
    &operand_data[5520],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7279 */
  {
    "despeculate_copyqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyqi },
    &operand_data[13033],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7279 */
  {
    "despeculate_copyhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyhi },
    &operand_data[13036],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7279 */
  {
    "despeculate_copysi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copysi },
    &operand_data[13039],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7279 */
  {
    "despeculate_copydi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copydi },
    &operand_data[13042],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7279 */
  {
    "despeculate_copyti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyti },
    &operand_data[13045],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8qi },
    &operand_data[13048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv16qi },
    &operand_data[13050],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hi },
    &operand_data[13052],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hi },
    &operand_data[13054],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2si },
    &operand_data[13056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4si },
    &operand_data[13058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2di },
    &operand_data[13060],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hf },
    &operand_data[13062],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hf },
    &operand_data[13064],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4bf },
    &operand_data[13066],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8bf },
    &operand_data[13068],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2sf },
    &operand_data[13070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4sf },
    &operand_data[13072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2df },
    &operand_data[13074],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8qi },
    &operand_data[13048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv16qi },
    &operand_data[13050],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hi },
    &operand_data[13052],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hi },
    &operand_data[13054],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2si },
    &operand_data[13056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4si },
    &operand_data[13058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2di },
    &operand_data[13060],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2sf },
    &operand_data[13070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4sf },
    &operand_data[13072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:52 */
  {
    "movmisalignv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2df },
    &operand_data[13074],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv16qi },
    &operand_data[13076],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hi },
    &operand_data[13078],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4si },
    &operand_data[13080],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2di },
    &operand_data[13082],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hf },
    &operand_data[13084],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8bf },
    &operand_data[13086],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4sf },
    &operand_data[13088],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:271 */
  {
    "aarch64_split_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2df },
    &operand_data[13090],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv16qi },
    &operand_data[13092],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hi },
    &operand_data[13095],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4si },
    &operand_data[13098],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2di },
    &operand_data[13101],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hf },
    &operand_data[13104],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8bf },
    &operand_data[13107],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4sf },
    &operand_data[13110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:303 */
  {
    "aarch64_get_halfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2df },
    &operand_data[13113],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv16qi },
    &operand_data[13092],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv8hi },
    &operand_data[13095],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv4si },
    &operand_data[13098],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv2di },
    &operand_data[13101],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv8hf },
    &operand_data[13104],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv8bf },
    &operand_data[13107],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv4sf },
    &operand_data[13110],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:311 */
  {
    "aarch64_get_lowv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lowv2df },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv16qi },
    &operand_data[13092],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv8hi },
    &operand_data[13095],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv4si },
    &operand_data[13098],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv2di },
    &operand_data[13101],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv8hf },
    &operand_data[13104],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv8bf },
    &operand_data[13107],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv4sf },
    &operand_data[13110],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:322 */
  {
    "aarch64_get_highv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_highv2df },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:426 */
  {
    "ctzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv2si2 },
    &operand_data[13116],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:426 */
  {
    "ctzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv4si2 },
    &operand_data[13118],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:440 */
  {
    "xorsignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4hf3 },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:440 */
  {
    "xorsignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv8hf3 },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:440 */
  {
    "xorsignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2sf3 },
    &operand_data[13126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:440 */
  {
    "xorsignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4sf3 },
    &operand_data[13129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:440 */
  {
    "xorsignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2df3 },
    &operand_data[13132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd90v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4hf3 },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd270v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4hf3 },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd90v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v8hf3 },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd270v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v8hf3 },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd90v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2sf3 },
    &operand_data[13126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd270v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2sf3 },
    &operand_data[13126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd90v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4sf3 },
    &operand_data[13129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd270v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4sf3 },
    &operand_data[13129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd90v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2df3 },
    &operand_data[13132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:485 */
  {
    "cadd270v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2df3 },
    &operand_data[13132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4hf4 },
    &operand_data[13135],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlsv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4hf4 },
    &operand_data[13135],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmla_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4hf4 },
    &operand_data[13135],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmls_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4hf4 },
    &operand_data[13135],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav8hf4 },
    &operand_data[13139],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlsv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv8hf4 },
    &operand_data[13139],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmla_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv8hf4 },
    &operand_data[13139],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmls_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv8hf4 },
    &operand_data[13139],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2sf4 },
    &operand_data[13143],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlsv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2sf4 },
    &operand_data[13143],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmla_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2sf4 },
    &operand_data[13143],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmls_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2sf4 },
    &operand_data[13143],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4sf4 },
    &operand_data[13147],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlsv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4sf4 },
    &operand_data[13147],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmla_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4sf4 },
    &operand_data[13147],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmls_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4sf4 },
    &operand_data[13147],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2df4 },
    &operand_data[13151],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmlsv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2df4 },
    &operand_data[13151],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmla_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2df4 },
    &operand_data[13151],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:555 */
  {
    "cmls_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2df4 },
    &operand_data[13151],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4hf3 },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmul_conjv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4hf3 },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv8hf3 },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmul_conjv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv8hf3 },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2sf3 },
    &operand_data[13126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmul_conjv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2sf3 },
    &operand_data[13126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4sf3 },
    &operand_data[13129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmul_conjv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4sf3 },
    &operand_data[13129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2df3 },
    &operand_data[13132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "cmul_conjv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2df3 },
    &operand_data[13132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:636 */
  {
    "sdot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv8qi },
    &operand_data[13155],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:636 */
  {
    "udot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv8qi },
    &operand_data[13155],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:636 */
  {
    "sdot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv16qi },
    &operand_data[13159],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:636 */
  {
    "udot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv16qi },
    &operand_data[13159],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:703 */
  {
    "copysignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4hf3 },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:703 */
  {
    "copysignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv8hf3 },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:703 */
  {
    "copysignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2sf3 },
    &operand_data[13126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:703 */
  {
    "copysignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4sf3 },
    &operand_data[13129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:703 */
  {
    "copysignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2df3 },
    &operand_data[13132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "rsqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2sf2 },
    &operand_data[13126],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "rsqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv4sf2 },
    &operand_data[13129],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "rsqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2df2 },
    &operand_data[13132],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "rsqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtsf2 },
    &operand_data[12830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "rsqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtdf2 },
    &operand_data[12836],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "ssadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadv16qi },
    &operand_data[13159],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "usadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadv16qi },
    &operand_data[13159],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1118 */
  {
    "signbitv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv2sf2 },
    &operand_data[13163],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1118 */
  {
    "signbitv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv4sf2 },
    &operand_data[13165],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1201 */
  {
    "ashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8qi3 },
    &operand_data[13167],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1201 */
  {
    "ashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv16qi3 },
    &operand_data[13170],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1201 */
  {
    "ashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4hi3 },
    &operand_data[13173],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1201 */
  {
    "ashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8hi3 },
    &operand_data[13176],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1201 */
  {
    "ashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2si3 },
    &operand_data[13179],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1201 */
  {
    "ashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4si3 },
    &operand_data[13182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1201 */
  {
    "ashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2di3 },
    &operand_data[13185],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "lshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8qi3 },
    &operand_data[13167],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "lshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv16qi3 },
    &operand_data[13170],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "lshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4hi3 },
    &operand_data[13173],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "lshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8hi3 },
    &operand_data[13176],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "lshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2si3 },
    &operand_data[13179],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "lshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4si3 },
    &operand_data[13182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "lshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2di3 },
    &operand_data[13185],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1269 */
  {
    "ashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8qi3 },
    &operand_data[13167],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1269 */
  {
    "ashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv16qi3 },
    &operand_data[13170],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1269 */
  {
    "ashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4hi3 },
    &operand_data[13173],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1269 */
  {
    "ashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8hi3 },
    &operand_data[13176],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1269 */
  {
    "ashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2si3 },
    &operand_data[13179],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1269 */
  {
    "ashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4si3 },
    &operand_data[13182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1269 */
  {
    "ashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2di3 },
    &operand_data[13185],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1304 */
  {
    "vashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8qi3 },
    &operand_data[13188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1304 */
  {
    "vashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv16qi3 },
    &operand_data[13191],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1304 */
  {
    "vashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4hi3 },
    &operand_data[13194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1304 */
  {
    "vashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8hi3 },
    &operand_data[13197],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1304 */
  {
    "vashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2si3 },
    &operand_data[13200],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1304 */
  {
    "vashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4si3 },
    &operand_data[13203],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1304 */
  {
    "vashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2di3 },
    &operand_data[13206],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1318 */
  {
    "vashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8qi3 },
    &operand_data[13188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1318 */
  {
    "vashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv16qi3 },
    &operand_data[13191],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1318 */
  {
    "vashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4hi3 },
    &operand_data[13194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1318 */
  {
    "vashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8hi3 },
    &operand_data[13197],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1318 */
  {
    "vashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2si3 },
    &operand_data[13200],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1318 */
  {
    "vashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4si3 },
    &operand_data[13203],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1332 */
  {
    "aarch64_ashr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ashr_simddi },
    &operand_data[13209],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "vlshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8qi3 },
    &operand_data[13188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "vlshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv16qi3 },
    &operand_data[13191],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "vlshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4hi3 },
    &operand_data[13194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "vlshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8hi3 },
    &operand_data[13197],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "vlshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2si3 },
    &operand_data[13200],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "vlshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4si3 },
    &operand_data[13203],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1361 */
  {
    "aarch64_lshr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lshr_simddi },
    &operand_data[13209],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8qi },
    &operand_data[13212],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv16qi },
    &operand_data[13215],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hi },
    &operand_data[13218],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hi },
    &operand_data[13221],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2si },
    &operand_data[13224],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4si },
    &operand_data[13227],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2di },
    &operand_data[13230],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hf },
    &operand_data[13233],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hf },
    &operand_data[13236],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4bf },
    &operand_data[13239],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8bf },
    &operand_data[13242],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2sf },
    &operand_data[13245],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4sf },
    &operand_data[13248],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1391 */
  {
    "vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2df },
    &operand_data[13251],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2di3 },
    &operand_data[13206],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2di3 },
    &operand_data[13206],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2di3 },
    &operand_data[13206],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1534 */
  {
    "uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2di3 },
    &operand_data[13206],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v16qi },
    &operand_data[13254],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hi },
    &operand_data[13256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4si },
    &operand_data[13162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2di },
    &operand_data[13208],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hf },
    &operand_data[13258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8bf },
    &operand_data[13260],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4sf },
    &operand_data[13262],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1629 */
  {
    "move_lo_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2df },
    &operand_data[13251],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v16qi },
    &operand_data[13254],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hi },
    &operand_data[13256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4si },
    &operand_data[13162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2di },
    &operand_data[13208],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hf },
    &operand_data[13258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8bf },
    &operand_data[13260],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4sf },
    &operand_data[13262],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1676 */
  {
    "move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2df },
    &operand_data[13251],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "vec_pack_trunc_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4hi },
    &operand_data[13264],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "vec_pack_trunc_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2si },
    &operand_data[13266],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "vec_pack_trunc_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_di },
    &operand_data[13268],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1742 */
  {
    "aarch64_shrnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv8hi },
    &operand_data[13271],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1742 */
  {
    "aarch64_shrnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv4si },
    &operand_data[13274],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1742 */
  {
    "aarch64_shrnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrnv2di },
    &operand_data[13277],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1791 */
  {
    "aarch64_rshrnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv8hi },
    &operand_data[13271],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1791 */
  {
    "aarch64_rshrnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv4si },
    &operand_data[13274],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1791 */
  {
    "aarch64_rshrnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrnv2di },
    &operand_data[13277],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_shrn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v8hi },
    &operand_data[13280],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_shrn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v4si },
    &operand_data[13284],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_shrn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn2v2di },
    &operand_data[13288],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1883 */
  {
    "aarch64_rshrn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v8hi },
    &operand_data[13280],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1883 */
  {
    "aarch64_rshrn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v4si },
    &operand_data[13284],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1883 */
  {
    "aarch64_rshrn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2v2di },
    &operand_data[13288],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v16qi },
    &operand_data[13292],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v16qi },
    &operand_data[13292],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hi },
    &operand_data[13294],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v8hi },
    &operand_data[13294],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4si },
    &operand_data[13296],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v4si },
    &operand_data[13296],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1956 */
  {
    "vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v16qi },
    &operand_data[13292],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1956 */
  {
    "vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v16qi },
    &operand_data[13292],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1956 */
  {
    "vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hi },
    &operand_data[13294],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1956 */
  {
    "vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v8hi },
    &operand_data[13294],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1956 */
  {
    "vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4si },
    &operand_data[13296],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1956 */
  {
    "vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v4si },
    &operand_data[13296],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "aarch64_smlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv16qi },
    &operand_data[13298],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "aarch64_umlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv16qi },
    &operand_data[13298],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "aarch64_smlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv8hi },
    &operand_data[13302],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "aarch64_umlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv8hi },
    &operand_data[13302],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "aarch64_smlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv4si },
    &operand_data[13306],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2002 */
  {
    "aarch64_umlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv4si },
    &operand_data[13306],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2031 */
  {
    "aarch64_smlal_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv8hi },
    &operand_data[13308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2031 */
  {
    "aarch64_umlal_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv8hi },
    &operand_data[13308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2031 */
  {
    "aarch64_smlal_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv4si },
    &operand_data[13312],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2031 */
  {
    "aarch64_umlal_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv4si },
    &operand_data[13312],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2077 */
  {
    "aarch64_smlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi },
    &operand_data[13298],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2077 */
  {
    "aarch64_umlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi },
    &operand_data[13298],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2077 */
  {
    "aarch64_smlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi },
    &operand_data[13302],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2077 */
  {
    "aarch64_umlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi },
    &operand_data[13302],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2077 */
  {
    "aarch64_smlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si },
    &operand_data[13306],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2077 */
  {
    "aarch64_umlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si },
    &operand_data[13306],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2106 */
  {
    "aarch64_smlsl_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv8hi },
    &operand_data[13308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2106 */
  {
    "aarch64_umlsl_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv8hi },
    &operand_data[13308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2106 */
  {
    "aarch64_smlsl_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv4si },
    &operand_data[13312],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2106 */
  {
    "aarch64_umlsl_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv4si },
    &operand_data[13312],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2202 */
  {
    "vec_widen_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2202 */
  {
    "vec_widen_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2202 */
  {
    "vec_widen_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2202 */
  {
    "vec_widen_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2202 */
  {
    "vec_widen_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2202 */
  {
    "vec_widen_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2229 */
  {
    "vec_widen_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2229 */
  {
    "vec_widen_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2229 */
  {
    "vec_widen_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2229 */
  {
    "vec_widen_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2229 */
  {
    "vec_widen_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2229 */
  {
    "vec_widen_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2281 */
  {
    "aarch64_smull_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev8hi },
    &operand_data[13316],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2281 */
  {
    "aarch64_umull_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev8hi },
    &operand_data[13316],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2281 */
  {
    "aarch64_smull_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev4si },
    &operand_data[13320],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2281 */
  {
    "aarch64_umull_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev4si },
    &operand_data[13320],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2313 */
  {
    "aarch64_smull_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv8hi },
    &operand_data[13324],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2313 */
  {
    "aarch64_umull_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv8hi },
    &operand_data[13324],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2313 */
  {
    "aarch64_smull_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv4si },
    &operand_data[13328],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2313 */
  {
    "aarch64_umull_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv4si },
    &operand_data[13328],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2354 */
  {
    "aarch64_smull_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv8hi },
    &operand_data[13309],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2354 */
  {
    "aarch64_umull_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv8hi },
    &operand_data[13309],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2354 */
  {
    "aarch64_smull_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv4si },
    &operand_data[13313],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2354 */
  {
    "aarch64_umull_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv4si },
    &operand_data[13313],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2408 */
  {
    "aarch64_smlal_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev8hi },
    &operand_data[13332],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2408 */
  {
    "aarch64_umlal_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev8hi },
    &operand_data[13332],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2408 */
  {
    "aarch64_smlal_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev4si },
    &operand_data[13337],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2408 */
  {
    "aarch64_umlal_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev4si },
    &operand_data[13337],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2443 */
  {
    "aarch64_smlal_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv8hi },
    &operand_data[13342],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2443 */
  {
    "aarch64_umlal_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv8hi },
    &operand_data[13342],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2443 */
  {
    "aarch64_smlal_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv4si },
    &operand_data[13347],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2443 */
  {
    "aarch64_umlal_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv4si },
    &operand_data[13347],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2499 */
  {
    "aarch64_smlsl_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev8hi },
    &operand_data[13332],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2499 */
  {
    "aarch64_umlsl_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev8hi },
    &operand_data[13332],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2499 */
  {
    "aarch64_smlsl_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev4si },
    &operand_data[13337],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2499 */
  {
    "aarch64_umlsl_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev4si },
    &operand_data[13337],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_smlsl_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv8hi },
    &operand_data[13342],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_umlsl_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv8hi },
    &operand_data[13342],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_smlsl_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv4si },
    &operand_data[13347],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_umlsl_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv4si },
    &operand_data[13347],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2602 */
  {
    "divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4hf3 },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2602 */
  {
    "divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv8hf3 },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2602 */
  {
    "divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2sf3 },
    &operand_data[13126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2602 */
  {
    "divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4sf3 },
    &operand_data[13129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2602 */
  {
    "divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2df3 },
    &operand_data[13132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4hfv4hi2 },
    &operand_data[13352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixunsv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4hfv4hi2 },
    &operand_data[13352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv8hfv8hi2 },
    &operand_data[13354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixunsv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv8hfv8hi2 },
    &operand_data[13354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2sfv2si2 },
    &operand_data[13163],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixunsv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2sfv2si2 },
    &operand_data[13163],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4sfv4si2 },
    &operand_data[13165],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixunsv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4sfv4si2 },
    &operand_data[13165],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2dfv2di2 },
    &operand_data[13356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2857 */
  {
    "fixunsv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2dfv2di2 },
    &operand_data[13356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fix_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4hfv4hi2 },
    &operand_data[13352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fixuns_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4hfv4hi2 },
    &operand_data[13352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fix_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv8hfv8hi2 },
    &operand_data[13354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fixuns_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv8hfv8hi2 },
    &operand_data[13354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fix_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2sfv2si2 },
    &operand_data[13163],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fixuns_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2sfv2si2 },
    &operand_data[13163],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fix_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4sfv4si2 },
    &operand_data[13165],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fixuns_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4sfv4si2 },
    &operand_data[13165],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fix_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2dfv2di2 },
    &operand_data[13356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2865 */
  {
    "fixuns_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2dfv2di2 },
    &operand_data[13356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2873 */
  {
    "ftruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4hf2 },
    &operand_data[13120],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2873 */
  {
    "ftruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv8hf2 },
    &operand_data[13123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2873 */
  {
    "ftruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2sf2 },
    &operand_data[13126],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2873 */
  {
    "ftruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4sf2 },
    &operand_data[13129],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2873 */
  {
    "ftruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2df2 },
    &operand_data[13132],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2939 */
  {
    "vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hf },
    &operand_data[13358],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2939 */
  {
    "vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4sf },
    &operand_data[13357],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2962 */
  {
    "vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hf },
    &operand_data[13358],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2962 */
  {
    "vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4sf },
    &operand_data[13357],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3015 */
  {
    "aarch64_float_truncate_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf },
    &operand_data[13360],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3015 */
  {
    "aarch64_float_truncate_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf },
    &operand_data[13363],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3029 */
  {
    "vec_pack_trunc_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2df },
    &operand_data[13131],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "vec_pack_trunc_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_df },
    &operand_data[13366],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3110 */
  {
    "reduc_plus_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8qi },
    &operand_data[13369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3110 */
  {
    "reduc_plus_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v16qi },
    &operand_data[13371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3110 */
  {
    "reduc_plus_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4hi },
    &operand_data[13373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3110 */
  {
    "reduc_plus_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8hi },
    &operand_data[13375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3110 */
  {
    "reduc_plus_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2si },
    &operand_data[13377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3110 */
  {
    "reduc_plus_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4si },
    &operand_data[13315],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3110 */
  {
    "reduc_plus_scal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2di },
    &operand_data[13101],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3181 */
  {
    "reduc_plus_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4sf },
    &operand_data[13379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4hf },
    &operand_data[13381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4hf },
    &operand_data[13381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hf },
    &operand_data[13381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hf },
    &operand_data[13381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v8hf },
    &operand_data[13383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v8hf },
    &operand_data[13383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hf },
    &operand_data[13383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hf },
    &operand_data[13383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2sf },
    &operand_data[13385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2sf },
    &operand_data[13385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2sf },
    &operand_data[13385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2sf },
    &operand_data[13385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4sf },
    &operand_data[13379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4sf },
    &operand_data[13379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4sf },
    &operand_data[13379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4sf },
    &operand_data[13379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2df },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2df },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2df },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "reduc_smin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2df },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8qi },
    &operand_data[13369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8qi },
    &operand_data[13369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8qi },
    &operand_data[13369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8qi },
    &operand_data[13369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v16qi },
    &operand_data[13371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v16qi },
    &operand_data[13371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v16qi },
    &operand_data[13371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v16qi },
    &operand_data[13371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4hi },
    &operand_data[13373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4hi },
    &operand_data[13373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hi },
    &operand_data[13373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hi },
    &operand_data[13373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8hi },
    &operand_data[13375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8hi },
    &operand_data[13375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hi },
    &operand_data[13375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hi },
    &operand_data[13375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v2si },
    &operand_data[13377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v2si },
    &operand_data[13377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2si },
    &operand_data[13377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2si },
    &operand_data[13377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4si },
    &operand_data[13315],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_umin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4si },
    &operand_data[13315],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4si },
    &operand_data[13315],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3239 */
  {
    "reduc_smin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4si },
    &operand_data[13315],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi },
    &operand_data[13387],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi },
    &operand_data[13391],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi },
    &operand_data[13395],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi },
    &operand_data[13399],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si },
    &operand_data[13403],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si },
    &operand_data[13407],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4bf },
    &operand_data[13411],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8bf },
    &operand_data[13415],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di },
    &operand_data[13419],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hf },
    &operand_data[13423],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hf },
    &operand_data[13427],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2sf },
    &operand_data[13431],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4sf },
    &operand_data[13435],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bslv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2df },
    &operand_data[13439],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bsldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi },
    &operand_data[13443],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3436 */
  {
    "aarch64_simd_bsldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldf },
    &operand_data[13447],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8qiv8qi },
    &operand_data[13451],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v16qiv16qi },
    &operand_data[13455],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4hiv4hi },
    &operand_data[13459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8hiv8hi },
    &operand_data[13463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2siv2si },
    &operand_data[13467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4siv4si },
    &operand_data[13471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2div2di },
    &operand_data[13475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2sfv2si },
    &operand_data[13479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4sfv4si },
    &operand_data[13483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_v2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2dfv2di },
    &operand_data[13487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3462 */
  {
    "vcond_mask_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_didi },
    &operand_data[13491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8qiv8qi },
    &operand_data[13495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv16qiv16qi },
    &operand_data[13499],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4hiv4hi },
    &operand_data[13503],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8hiv8hi },
    &operand_data[13507],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2siv2si },
    &operand_data[13511],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4siv4si },
    &operand_data[13515],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2div2di },
    &operand_data[13519],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_cmpdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpdidi },
    &operand_data[13523],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3573 */
  {
    "vec_cmpv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2sfv2si },
    &operand_data[13527],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3573 */
  {
    "vec_cmpv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4sfv4si },
    &operand_data[13531],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3573 */
  {
    "vec_cmpv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2dfv2di },
    &operand_data[13535],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpuv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8qiv8qi },
    &operand_data[13495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpuv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv16qiv16qi },
    &operand_data[13499],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpuv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4hiv4hi },
    &operand_data[13503],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpuv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8hiv8hi },
    &operand_data[13507],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpuv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2siv2si },
    &operand_data[13511],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpuv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4siv4si },
    &operand_data[13515],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpuv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2div2di },
    &operand_data[13519],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "vec_cmpudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpudidi },
    &operand_data[13523],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8qiv8qi },
    &operand_data[13539],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv16qiv16qi },
    &operand_data[13545],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4hiv4hi },
    &operand_data[13551],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8hiv8hi },
    &operand_data[13557],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2si },
    &operand_data[13563],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4si },
    &operand_data[13569],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2di },
    &operand_data[13575],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2sf },
    &operand_data[13581],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4sf },
    &operand_data[13587],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vcondv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2df },
    &operand_data[13593],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3758 */
  {
    "vconddidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconddidi },
    &operand_data[13599],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3788 */
  {
    "vcondv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2sf },
    &operand_data[13605],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3788 */
  {
    "vcondv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2si },
    &operand_data[13609],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3788 */
  {
    "vcondv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4sf },
    &operand_data[13615],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3788 */
  {
    "vcondv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4si },
    &operand_data[13619],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3788 */
  {
    "vcondv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2df },
    &operand_data[13625],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3788 */
  {
    "vcondv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2di },
    &operand_data[13629],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vconduv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8qiv8qi },
    &operand_data[13539],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vconduv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv16qiv16qi },
    &operand_data[13545],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vconduv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4hiv4hi },
    &operand_data[13551],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vconduv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8hiv8hi },
    &operand_data[13557],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vconduv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2siv2si },
    &operand_data[13563],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vconduv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4siv4si },
    &operand_data[13569],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vconduv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2div2di },
    &operand_data[13575],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "vcondudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondudidi },
    &operand_data[13599],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3848 */
  {
    "vconduv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2sfv2si },
    &operand_data[13609],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3848 */
  {
    "vconduv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4sfv4si },
    &operand_data[13619],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3848 */
  {
    "vconduv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2dfv2di },
    &operand_data[13629],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev8qi },
    &operand_data[13635],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hi },
    &operand_data[13638],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4bf },
    &operand_data[13641],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hf },
    &operand_data[13644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2si },
    &operand_data[13647],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2sf },
    &operand_data[13650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedi },
    &operand_data[13653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4002 */
  {
    "aarch64_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedf },
    &operand_data[13656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev8qi },
    &operand_data[13659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hi },
    &operand_data[13662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4bf },
    &operand_data[13665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hf },
    &operand_data[13668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2si },
    &operand_data[13671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2sf },
    &operand_data[13674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedi },
    &operand_data[13208],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4023 */
  {
    "aarch64_simd_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedf },
    &operand_data[13677],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4064 */
  {
    "vec_widen_saddl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_lo_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4064 */
  {
    "vec_widen_uaddl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_lo_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4064 */
  {
    "vec_widen_saddl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_lo_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4064 */
  {
    "vec_widen_uaddl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_lo_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4064 */
  {
    "vec_widen_saddl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_lo_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4064 */
  {
    "vec_widen_uaddl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_lo_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4076 */
  {
    "vec_widen_saddl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_hi_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4076 */
  {
    "vec_widen_uaddl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_hi_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4076 */
  {
    "vec_widen_saddl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_hi_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4076 */
  {
    "vec_widen_uaddl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_hi_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4076 */
  {
    "vec_widen_saddl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_hi_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4076 */
  {
    "vec_widen_uaddl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_hi_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4088 */
  {
    "vec_widen_ssubl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_lo_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4088 */
  {
    "vec_widen_usubl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_lo_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4088 */
  {
    "vec_widen_ssubl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_lo_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4088 */
  {
    "vec_widen_usubl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_lo_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4088 */
  {
    "vec_widen_ssubl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_lo_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4088 */
  {
    "vec_widen_usubl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_lo_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4100 */
  {
    "vec_widen_ssubl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_hi_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4100 */
  {
    "vec_widen_usubl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_hi_v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4100 */
  {
    "vec_widen_ssubl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_hi_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4100 */
  {
    "vec_widen_usubl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_hi_v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4100 */
  {
    "vec_widen_ssubl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_hi_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4100 */
  {
    "vec_widen_usubl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_hi_v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_saddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_saddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_saddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4124 */
  {
    "aarch64_uaddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4124 */
  {
    "aarch64_uaddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4124 */
  {
    "aarch64_uaddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4136 */
  {
    "aarch64_ssubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4136 */
  {
    "aarch64_ssubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4136 */
  {
    "aarch64_ssubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4148 */
  {
    "aarch64_usubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v16qi },
    &operand_data[13299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4148 */
  {
    "aarch64_usubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4148 */
  {
    "aarch64_usubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4173 */
  {
    "widen_ssumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv16qi3 },
    &operand_data[13680],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4173 */
  {
    "widen_ssumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8hi3 },
    &operand_data[13683],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4173 */
  {
    "widen_ssumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4si3 },
    &operand_data[13686],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "widen_ssumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8qi3 },
    &operand_data[13689],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "widen_ssumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4hi3 },
    &operand_data[13692],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "widen_ssumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv2si3 },
    &operand_data[13695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4201 */
  {
    "widen_usumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv16qi3 },
    &operand_data[13680],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4201 */
  {
    "widen_usumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8hi3 },
    &operand_data[13683],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4201 */
  {
    "widen_usumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4si3 },
    &operand_data[13686],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4218 */
  {
    "widen_usumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8qi3 },
    &operand_data[13689],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4218 */
  {
    "widen_usumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4hi3 },
    &operand_data[13692],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4218 */
  {
    "widen_usumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv2si3 },
    &operand_data[13695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4299 */
  {
    "aarch64_saddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi },
    &operand_data[13298],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4299 */
  {
    "aarch64_saddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi },
    &operand_data[13302],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4299 */
  {
    "aarch64_saddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si },
    &operand_data[13306],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4311 */
  {
    "aarch64_uaddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi },
    &operand_data[13298],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4311 */
  {
    "aarch64_uaddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi },
    &operand_data[13302],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4311 */
  {
    "aarch64_uaddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si },
    &operand_data[13306],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4324 */
  {
    "aarch64_ssubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi },
    &operand_data[13298],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4324 */
  {
    "aarch64_ssubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi },
    &operand_data[13302],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4324 */
  {
    "aarch64_ssubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si },
    &operand_data[13306],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4336 */
  {
    "aarch64_usubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi },
    &operand_data[13298],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4336 */
  {
    "aarch64_usubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi },
    &operand_data[13302],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4336 */
  {
    "aarch64_usubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si },
    &operand_data[13306],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "avgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_floor },
    &operand_data[13188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "uavgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_floor },
    &operand_data[13188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "avgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_floor },
    &operand_data[13191],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "uavgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_floor },
    &operand_data[13191],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "avgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_floor },
    &operand_data[13194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "uavgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_floor },
    &operand_data[13194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "avgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_floor },
    &operand_data[13197],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "uavgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_floor },
    &operand_data[13197],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "avgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_floor },
    &operand_data[13200],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "uavgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_floor },
    &operand_data[13200],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "avgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_floor },
    &operand_data[13203],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4350 */
  {
    "uavgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_floor },
    &operand_data[13203],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "avgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_ceil },
    &operand_data[13188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "uavgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_ceil },
    &operand_data[13188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "avgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_ceil },
    &operand_data[13191],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "uavgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_ceil },
    &operand_data[13191],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "avgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_ceil },
    &operand_data[13194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "uavgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_ceil },
    &operand_data[13194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "avgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_ceil },
    &operand_data[13197],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "uavgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_ceil },
    &operand_data[13197],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "avgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_ceil },
    &operand_data[13200],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "uavgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_ceil },
    &operand_data[13200],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "avgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_ceil },
    &operand_data[13203],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4358 */
  {
    "uavgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_ceil },
    &operand_data[13203],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4562 */
  {
    "aarch64_sqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi },
    &operand_data[13254],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4562 */
  {
    "aarch64_uqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi },
    &operand_data[13254],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4562 */
  {
    "aarch64_sqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si },
    &operand_data[13284],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4562 */
  {
    "aarch64_uqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si },
    &operand_data[13284],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4562 */
  {
    "aarch64_sqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di },
    &operand_data[13288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4562 */
  {
    "aarch64_uqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di },
    &operand_data[13288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "aarch64_sqxtun2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi },
    &operand_data[13254],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "aarch64_sqxtun2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si },
    &operand_data[13284],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "aarch64_sqxtun2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di },
    &operand_data[13288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5100 */
  {
    "aarch64_sqdmlal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi },
    &operand_data[13302],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5100 */
  {
    "aarch64_sqdmlal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si },
    &operand_data[13306],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_sqdmlsl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi },
    &operand_data[13302],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "aarch64_sqdmlsl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si },
    &operand_data[13306],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_sqdmlal2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi },
    &operand_data[13332],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_sqdmlal2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si },
    &operand_data[13337],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5195 */
  {
    "aarch64_sqdmlal2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi },
    &operand_data[13342],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5195 */
  {
    "aarch64_sqdmlal2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si },
    &operand_data[13347],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5210 */
  {
    "aarch64_sqdmlsl2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi },
    &operand_data[13332],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5210 */
  {
    "aarch64_sqdmlsl2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si },
    &operand_data[13337],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5225 */
  {
    "aarch64_sqdmlsl2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi },
    &operand_data[13342],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5225 */
  {
    "aarch64_sqdmlsl2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si },
    &operand_data[13347],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_sqdmlal2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi },
    &operand_data[13308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_sqdmlal2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si },
    &operand_data[13312],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5273 */
  {
    "aarch64_sqdmlsl2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi },
    &operand_data[13308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5273 */
  {
    "aarch64_sqdmlsl2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si },
    &operand_data[13312],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5428 */
  {
    "aarch64_sqdmull2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi },
    &operand_data[13297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5428 */
  {
    "aarch64_sqdmull2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si },
    &operand_data[13307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5488 */
  {
    "aarch64_sqdmull2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi },
    &operand_data[13316],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5488 */
  {
    "aarch64_sqdmull2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si },
    &operand_data[13320],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5502 */
  {
    "aarch64_sqdmull2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi },
    &operand_data[13324],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5502 */
  {
    "aarch64_sqdmull2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si },
    &operand_data[13328],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5536 */
  {
    "aarch64_sqdmull2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi },
    &operand_data[13309],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5536 */
  {
    "aarch64_sqdmull2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si },
    &operand_data[13313],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5575 */
  {
    "vec_widen_sshiftl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_lo_v16qi },
    &operand_data[13698],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5575 */
  {
    "vec_widen_ushiftl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_lo_v16qi },
    &operand_data[13698],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5575 */
  {
    "vec_widen_sshiftl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_lo_v8hi },
    &operand_data[13701],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5575 */
  {
    "vec_widen_ushiftl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_lo_v8hi },
    &operand_data[13701],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5575 */
  {
    "vec_widen_sshiftl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_lo_v4si },
    &operand_data[13704],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5575 */
  {
    "vec_widen_ushiftl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_lo_v4si },
    &operand_data[13704],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5590 */
  {
    "vec_widen_sshiftl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_hi_v16qi },
    &operand_data[13707],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5590 */
  {
    "vec_widen_ushiftl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_hi_v16qi },
    &operand_data[13707],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5590 */
  {
    "vec_widen_sshiftl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_hi_v8hi },
    &operand_data[13710],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5590 */
  {
    "vec_widen_ushiftl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_hi_v8hi },
    &operand_data[13710],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5590 */
  {
    "vec_widen_sshiftl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_hi_v4si },
    &operand_data[13713],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5590 */
  {
    "vec_widen_ushiftl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_hi_v4si },
    &operand_data[13713],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6017 */
  {
    "sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4hf2 },
    &operand_data[13120],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6017 */
  {
    "sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv8hf2 },
    &operand_data[13123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6017 */
  {
    "sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2sf2 },
    &operand_data[13126],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6017 */
  {
    "sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4sf2 },
    &operand_data[13129],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6017 */
  {
    "sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2df2 },
    &operand_data[13132],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv16qi },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hi },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4si },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2di },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hf },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4sf },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2df },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_load_lanesoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8bf },
    &operand_data[13716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv16qi },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hi },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4si },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2di },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hf },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4sf },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2df },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6115 */
  {
    "vec_store_lanesoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8bf },
    &operand_data[13717],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv16qi },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hi },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4si },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2di },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hf },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4sf },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2df },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "vec_load_lanesciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8bf },
    &operand_data[13719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv16qi },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hi },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4si },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2di },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hf },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4sf },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2df },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6213 */
  {
    "vec_store_lanesciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8bf },
    &operand_data[13720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv16qi },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hi },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4si },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2di },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hf },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4sf },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2df },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "vec_load_lanesxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8bf },
    &operand_data[13722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv16qi },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hi },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4si },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2di },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hf },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4sf },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2df },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6311 */
  {
    "vec_store_lanesxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8bf },
    &operand_data[13723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6357 */
  {
    "movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movoi },
    &operand_data[13725],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6357 */
  {
    "movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movci },
    &operand_data[13727],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6357 */
  {
    "movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movxi },
    &operand_data[13729],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8qi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v16qi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2si },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4si },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4bf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8bf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2di },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2sf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4sf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2df },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3di },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6370 */
  {
    "aarch64_ld1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3df },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8qi },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v16qi },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hi },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hi },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2si },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4si },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4bf },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8bf },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2di },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hf },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hf },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2sf },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4sf },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2df },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4di },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6391 */
  {
    "aarch64_ld1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4df },
    &operand_data[13733],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8qi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v16qi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2si },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4si },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4bf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8bf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2di },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2sf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4sf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2df },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2di },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_st1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2df },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8qi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v16qi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2si },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4si },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4bf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8bf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2di },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2sf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4sf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2df },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3di },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6434 */
  {
    "aarch64_st1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3df },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8qi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v16qi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2si },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4si },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4bf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8bf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2di },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2sf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4sf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2df },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4di },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6455 */
  {
    "aarch64_st1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4df },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8qi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8qi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8qi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv16qi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv16qi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv16qi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2si },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2si },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2si },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4si },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4si },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4si },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4bf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4bf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4bf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8bf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8bf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8bf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2di },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2di },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2di },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2sf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2sf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2sf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4sf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4sf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4sf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2df },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2df },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2df },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6609 */
  {
    "aarch64_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6684 */
  {
    "aarch64_ld4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8qi },
    &operand_data[13742],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v16qi },
    &operand_data[13744],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hi },
    &operand_data[13746],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hi },
    &operand_data[13748],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2si },
    &operand_data[13268],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4si },
    &operand_data[13750],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2di },
    &operand_data[13208],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hf },
    &operand_data[13752],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hf },
    &operand_data[13754],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4bf },
    &operand_data[13756],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8bf },
    &operand_data[13758],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2sf },
    &operand_data[13760],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4sf },
    &operand_data[13762],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6697 */
  {
    "aarch64_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2df },
    &operand_data[13442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v16qi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v16qi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v16qi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hi },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hi },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4si },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4si },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4si },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2di },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2di },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2di },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4sf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4sf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4sf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2df },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2df },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2df },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8bf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8bf },
    &operand_data[13731],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6712 */
  {
    "aarch64_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8bf },
    &operand_data[13740],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v16qi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4si },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2di },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4sf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2df },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6725 */
  {
    "aarch64_ld1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8bf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8qi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hi },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4bf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2si },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2sf },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2di },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6738 */
  {
    "aarch64_ld1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2df },
    &operand_data[13736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8qi },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8qi },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8qi },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev16qi },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev16qi },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev16qi },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hi },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hi },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hi },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hi },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hi },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hi },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2si },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2si },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2si },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4si },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4si },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4si },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4bf },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4bf },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4bf },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8bf },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8bf },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8bf },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2di },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2di },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2di },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hf },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hf },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hf },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hf },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hf },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hf },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2sf },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2sf },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2sf },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4sf },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4sf },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4sf },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2df },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2df },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2df },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedi },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedi },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedi },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedf },
    &operand_data[13764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedf },
    &operand_data[13768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6752 */
  {
    "aarch64_ld4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedf },
    &operand_data[13772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv8qi },
    &operand_data[13776],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hi },
    &operand_data[13779],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoiv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4bf },
    &operand_data[13782],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hf },
    &operand_data[13785],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2si },
    &operand_data[13788],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2sf },
    &operand_data[13791],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidi },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregoidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidf },
    &operand_data[13794],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregciv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv8qi },
    &operand_data[13797],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregciv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hi },
    &operand_data[13800],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregciv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4bf },
    &operand_data[13803],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregciv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hf },
    &operand_data[13806],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregciv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2si },
    &operand_data[13809],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregciv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2sf },
    &operand_data[13812],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregcidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidi },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregcidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidf },
    &operand_data[13815],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv8qi },
    &operand_data[13818],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hi },
    &operand_data[13821],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxiv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4bf },
    &operand_data[13824],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hf },
    &operand_data[13827],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2si },
    &operand_data[13830],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2sf },
    &operand_data[13833],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidi },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6775 */
  {
    "aarch64_get_dregxidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidf },
    &operand_data[13836],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv16qi },
    &operand_data[13839],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv16qi },
    &operand_data[13842],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv16qi },
    &operand_data[13845],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hi },
    &operand_data[13848],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hi },
    &operand_data[13851],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hi },
    &operand_data[13854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4si },
    &operand_data[13857],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4si },
    &operand_data[13860],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4si },
    &operand_data[13863],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2di },
    &operand_data[13866],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2di },
    &operand_data[13869],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2di },
    &operand_data[13872],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hf },
    &operand_data[13875],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hf },
    &operand_data[13878],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hf },
    &operand_data[13881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4sf },
    &operand_data[13884],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4sf },
    &operand_data[13887],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4sf },
    &operand_data[13890],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2df },
    &operand_data[13893],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2df },
    &operand_data[13896],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2df },
    &operand_data[13899],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8bf },
    &operand_data[13902],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8bf },
    &operand_data[13905],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6792 */
  {
    "aarch64_get_qregxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8bf },
    &operand_data[13908],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6812 */
  {
    "vec_permv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv8qi },
    &operand_data[13387],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6812 */
  {
    "vec_permv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv16qi },
    &operand_data[13391],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_st4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v16qi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v16qi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v16qi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hi },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hi },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hi },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4si },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4si },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4si },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2di },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2di },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2di },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4sf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4sf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4sf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2df },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2df },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2df },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8bf },
    &operand_data[13735],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8bf },
    &operand_data[13737],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7046 */
  {
    "aarch64_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8bf },
    &operand_data[13739],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8qi },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8qi },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8qi },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev16qi },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev16qi },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev16qi },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hi },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hi },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hi },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hi },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hi },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hi },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2si },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2si },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2si },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4si },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4si },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4si },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4bf },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4bf },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4bf },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8bf },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8bf },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8bf },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2di },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2di },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2di },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hf },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hf },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hf },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hf },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hf },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hf },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2sf },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2sf },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2sf },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4sf },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4sf },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4sf },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2df },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2df },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2df },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedi },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedi },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedi },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedf },
    &operand_data[13765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedf },
    &operand_data[13769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7059 */
  {
    "aarch64_st4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedf },
    &operand_data[13773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8qi },
    &operand_data[13270],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v16qi },
    &operand_data[13743],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hi },
    &operand_data[13745],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hi },
    &operand_data[13747],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2si },
    &operand_data[13911],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4si },
    &operand_data[13749],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2di },
    &operand_data[13101],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hf },
    &operand_data[13751],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hf },
    &operand_data[13753],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4bf },
    &operand_data[13755],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8bf },
    &operand_data[13757],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2sf },
    &operand_data[13759],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4sf },
    &operand_data[13761],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7075 */
  {
    "aarch64_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2df },
    &operand_data[13913],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv16qi },
    &operand_data[13915],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv16qi },
    &operand_data[13919],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv16qi },
    &operand_data[13923],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hi },
    &operand_data[13927],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hi },
    &operand_data[13931],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hi },
    &operand_data[13935],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4si },
    &operand_data[13939],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4si },
    &operand_data[13943],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4si },
    &operand_data[13947],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2di },
    &operand_data[13951],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2di },
    &operand_data[13955],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2di },
    &operand_data[13959],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hf },
    &operand_data[13963],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hf },
    &operand_data[13967],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hf },
    &operand_data[13971],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4sf },
    &operand_data[13975],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4sf },
    &operand_data[13979],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4sf },
    &operand_data[13983],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2df },
    &operand_data[13987],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2df },
    &operand_data[13991],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2df },
    &operand_data[13995],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8bf },
    &operand_data[13999],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8bf },
    &operand_data[14003],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7096 */
  {
    "aarch64_set_qregxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8bf },
    &operand_data[14007],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8qiqi },
    &operand_data[14011],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiqi },
    &operand_data[14013],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hihi },
    &operand_data[14015],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hihi },
    &operand_data[14017],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sisi },
    &operand_data[14019],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sisi },
    &operand_data[14021],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2didi },
    &operand_data[14023],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hfhf },
    &operand_data[14025],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfhf },
    &operand_data[14027],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4bfbf },
    &operand_data[14029],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfbf },
    &operand_data[14031],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sfsf },
    &operand_data[14033],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfsf },
    &operand_data[14035],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7114 */
  {
    "vec_initv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2dfdf },
    &operand_data[14037],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "vec_initv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiv8qi },
    &operand_data[14013],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "vec_initv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hiv4hi },
    &operand_data[14017],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "vec_initv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4siv2si },
    &operand_data[14021],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "vec_initv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfv4hf },
    &operand_data[14027],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "vec_initv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfv2sf },
    &operand_data[14035],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "vec_initv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfv4bf },
    &operand_data[14031],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8qiqi },
    &operand_data[14039],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiqi },
    &operand_data[14042],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hihi },
    &operand_data[14045],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hihi },
    &operand_data[14048],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sisi },
    &operand_data[14051],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sisi },
    &operand_data[14054],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2didi },
    &operand_data[14057],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hfhf },
    &operand_data[14060],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfhf },
    &operand_data[14063],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4bfbf },
    &operand_data[14066],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfbf },
    &operand_data[14069],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sfsf },
    &operand_data[14072],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfsf },
    &operand_data[14075],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7202 */
  {
    "vec_extractv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfdf },
    &operand_data[14078],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7214 */
  {
    "vec_extractv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiv8qi },
    &operand_data[14081],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7214 */
  {
    "vec_extractv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hiv4hi },
    &operand_data[14084],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7214 */
  {
    "vec_extractv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4siv2si },
    &operand_data[14087],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7214 */
  {
    "vec_extractv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfv4hf },
    &operand_data[14090],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7214 */
  {
    "vec_extractv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfv4bf },
    &operand_data[14093],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7214 */
  {
    "vec_extractv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfv2sf },
    &operand_data[14096],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7229 */
  {
    "vec_extractv2dfv1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfv1df },
    &operand_data[14099],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7550 */
  {
    "aarch64_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lowv2sf },
    &operand_data[14102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7550 */
  {
    "aarch64_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lowv2sf },
    &operand_data[14102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7550 */
  {
    "aarch64_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lowv4sf },
    &operand_data[14106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7550 */
  {
    "aarch64_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lowv4sf },
    &operand_data[14106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7573 */
  {
    "aarch64_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_highv2sf },
    &operand_data[14102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7573 */
  {
    "aarch64_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_highv2sf },
    &operand_data[14102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7573 */
  {
    "aarch64_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_highv4sf },
    &operand_data[14106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7573 */
  {
    "aarch64_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_highv4sf },
    &operand_data[14106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7663 */
  {
    "aarch64_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_lowv2sf },
    &operand_data[14110],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7663 */
  {
    "aarch64_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_lowv2sf },
    &operand_data[14110],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7684 */
  {
    "aarch64_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_highv2sf },
    &operand_data[14110],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7684 */
  {
    "aarch64_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_highv2sf },
    &operand_data[14110],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7778 */
  {
    "aarch64_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_lowv4sf },
    &operand_data[14115],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7778 */
  {
    "aarch64_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_lowv4sf },
    &operand_data[14115],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7798 */
  {
    "aarch64_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_highv4sf },
    &operand_data[14115],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7798 */
  {
    "aarch64_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_highv4sf },
    &operand_data[14115],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7892 */
  {
    "aarch64_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_lowv2sf },
    &operand_data[14120],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7892 */
  {
    "aarch64_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_lowv2sf },
    &operand_data[14120],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7913 */
  {
    "aarch64_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_highv2sf },
    &operand_data[14120],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7913 */
  {
    "aarch64_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_highv2sf },
    &operand_data[14120],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8008 */
  {
    "aarch64_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_lowv4sf },
    &operand_data[14125],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8008 */
  {
    "aarch64_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_lowv4sf },
    &operand_data[14125],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8028 */
  {
    "aarch64_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_highv4sf },
    &operand_data[14125],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8028 */
  {
    "aarch64_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_highv4sf },
    &operand_data[14125],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8153 */
  {
    "aarch64_sxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv8hi },
    &operand_data[2670],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8153 */
  {
    "aarch64_uxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv8hi },
    &operand_data[2670],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8153 */
  {
    "aarch64_sxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv4si },
    &operand_data[2673],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8153 */
  {
    "aarch64_uxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv4si },
    &operand_data[2673],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8153 */
  {
    "aarch64_sxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv2di },
    &operand_data[2676],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8153 */
  {
    "aarch64_uxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv2di },
    &operand_data[2676],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8160 */
  {
    "aarch64_xtnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv8hi },
    &operand_data[3134],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8160 */
  {
    "aarch64_xtnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv4si },
    &operand_data[3136],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8160 */
  {
    "aarch64_xtnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv2di },
    &operand_data[3138],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8196 */
  {
    "aarch64_xtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi },
    &operand_data[13254],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8196 */
  {
    "aarch64_xtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si },
    &operand_data[13284],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8196 */
  {
    "aarch64_xtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di },
    &operand_data[13288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8245 */
  {
    "aarch64_vget_lo_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vget_lo_halfv8bf },
    &operand_data[13107],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:8255 */
  {
    "aarch64_vget_hi_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vget_hi_halfv8bf },
    &operand_data[13107],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapqi },
    &operand_data[14130],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swaphi },
    &operand_data[14138],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapsi },
    &operand_data[14146],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapdi },
    &operand_data[14154],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapti },
    &operand_data[14162],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangeqi },
    &operand_data[14170],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangehi },
    &operand_data[14174],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangesi },
    &operand_data[14178],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangedi },
    &operand_data[14182],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addqi },
    &operand_data[14186],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subqi },
    &operand_data[14186],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orqi },
    &operand_data[14189],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorqi },
    &operand_data[14189],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andqi },
    &operand_data[14189],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addhi },
    &operand_data[14192],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subhi },
    &operand_data[14192],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orhi },
    &operand_data[14195],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorhi },
    &operand_data[14195],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andhi },
    &operand_data[14195],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addsi },
    &operand_data[14198],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subsi },
    &operand_data[14198],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orsi },
    &operand_data[14201],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorsi },
    &operand_data[14201],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andsi },
    &operand_data[14201],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_adddi },
    &operand_data[14204],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subdi },
    &operand_data[14204],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_ordi },
    &operand_data[14207],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xordi },
    &operand_data[14207],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_anddi },
    &operand_data[14207],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addqi },
    &operand_data[14210],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subqi },
    &operand_data[14210],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orqi },
    &operand_data[14214],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorqi },
    &operand_data[14214],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andqi },
    &operand_data[14214],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addhi },
    &operand_data[14218],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subhi },
    &operand_data[14218],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orhi },
    &operand_data[14222],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorhi },
    &operand_data[14222],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andhi },
    &operand_data[14222],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addsi },
    &operand_data[14226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subsi },
    &operand_data[14226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orsi },
    &operand_data[14230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorsi },
    &operand_data[14230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andsi },
    &operand_data[14230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_adddi },
    &operand_data[14234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subdi },
    &operand_data[14234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_ordi },
    &operand_data[14238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xordi },
    &operand_data[14238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_anddi },
    &operand_data[14238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchqi },
    &operand_data[14210],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchqi },
    &operand_data[14210],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchqi },
    &operand_data[14214],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchqi },
    &operand_data[14214],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchqi },
    &operand_data[14214],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchhi },
    &operand_data[14218],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchhi },
    &operand_data[14218],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchhi },
    &operand_data[14222],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchhi },
    &operand_data[14222],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchhi },
    &operand_data[14222],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchsi },
    &operand_data[14226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchsi },
    &operand_data[14226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchsi },
    &operand_data[14230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchsi },
    &operand_data[14230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchsi },
    &operand_data[14230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchdi },
    &operand_data[14234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchdi },
    &operand_data[14234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchdi },
    &operand_data[14238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchdi },
    &operand_data[14238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchdi },
    &operand_data[14238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:766 */
  {
    "mem_thread_fence",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mem_thread_fence },
    &operand_data[92],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:777 */
  {
    "dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_dmb },
    &operand_data[92],
    1,
    1,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16qi },
    &operand_data[14242],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8qi },
    &operand_data[14244],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4qi },
    &operand_data[14246],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2qi },
    &operand_data[14248],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hi },
    &operand_data[14250],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hi },
    &operand_data[14252],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hi },
    &operand_data[14254],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hf },
    &operand_data[14256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hf },
    &operand_data[14258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hf },
    &operand_data[14260],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bf },
    &operand_data[14262],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bf },
    &operand_data[14264],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bf },
    &operand_data[14266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4si },
    &operand_data[14268],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2si },
    &operand_data[14270],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4sf },
    &operand_data[14272],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2sf },
    &operand_data[14274],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2di },
    &operand_data[14276],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2df },
    &operand_data[14278],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx16qi },
    &operand_data[14242],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8qi },
    &operand_data[14244],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4qi },
    &operand_data[14246],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2qi },
    &operand_data[14248],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hi },
    &operand_data[14250],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hi },
    &operand_data[14252],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hi },
    &operand_data[14254],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hf },
    &operand_data[14256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hf },
    &operand_data[14258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hf },
    &operand_data[14260],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8bf },
    &operand_data[14262],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4bf },
    &operand_data[14264],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2bf },
    &operand_data[14266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4si },
    &operand_data[14268],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2si },
    &operand_data[14270],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4sf },
    &operand_data[14272],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2sf },
    &operand_data[14274],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2di },
    &operand_data[14276],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2df },
    &operand_data[14278],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:722 */
  {
    "aarch64_sve_reload_mem",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reload_mem },
    &operand_data[14280],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16qi },
    &operand_data[14283],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8qi },
    &operand_data[14285],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4qi },
    &operand_data[14287],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2qi },
    &operand_data[14289],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hi },
    &operand_data[14291],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hi },
    &operand_data[14293],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hi },
    &operand_data[14295],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hf },
    &operand_data[14297],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hf },
    &operand_data[14299],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hf },
    &operand_data[14301],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8bf },
    &operand_data[14303],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4bf },
    &operand_data[14305],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2bf },
    &operand_data[14307],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4si },
    &operand_data[14309],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2si },
    &operand_data[14311],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4sf },
    &operand_data[14313],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2sf },
    &operand_data[14315],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2di },
    &operand_data[14317],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2df },
    &operand_data[14319],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32qi },
    &operand_data[14321],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hi },
    &operand_data[14323],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8si },
    &operand_data[14325],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4di },
    &operand_data[14327],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bf },
    &operand_data[14329],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hf },
    &operand_data[14331],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8sf },
    &operand_data[14333],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4df },
    &operand_data[14335],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx48qi },
    &operand_data[14337],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hi },
    &operand_data[14339],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12si },
    &operand_data[14341],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6di },
    &operand_data[14343],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24bf },
    &operand_data[14345],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hf },
    &operand_data[14347],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12sf },
    &operand_data[14349],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6df },
    &operand_data[14351],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx64qi },
    &operand_data[14353],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hi },
    &operand_data[14355],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16si },
    &operand_data[14357],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8di },
    &operand_data[14359],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32bf },
    &operand_data[14361],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hf },
    &operand_data[14363],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16sf },
    &operand_data[14365],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8df },
    &operand_data[14367],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bi },
    &operand_data[14369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bi },
    &operand_data[14371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bi },
    &operand_data[14373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bi },
    &operand_data[14375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32qivnx16qi },
    &operand_data[14377],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hivnx8hi },
    &operand_data[14379],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sivnx4si },
    &operand_data[14381],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4divnx2di },
    &operand_data[14383],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16bfvnx8bf },
    &operand_data[14385],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hfvnx8hf },
    &operand_data[14387],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sfvnx4sf },
    &operand_data[14389],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4dfvnx2df },
    &operand_data[14391],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx48qivnx16qi },
    &operand_data[14393],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hivnx8hi },
    &operand_data[14395],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sivnx4si },
    &operand_data[14397],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6divnx2di },
    &operand_data[14399],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24bfvnx8bf },
    &operand_data[14401],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hfvnx8hf },
    &operand_data[14403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sfvnx4sf },
    &operand_data[14405],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6dfvnx2df },
    &operand_data[14407],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx64qivnx16qi },
    &operand_data[14409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hivnx8hi },
    &operand_data[14411],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sivnx4si },
    &operand_data[14413],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8divnx2di },
    &operand_data[14415],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32bfvnx8bf },
    &operand_data[14417],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hfvnx8hf },
    &operand_data[14419],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sfvnx4sf },
    &operand_data[14421],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8dfvnx2df },
    &operand_data[14423],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2qivnx2di },
    &operand_data[14425],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hivnx2di },
    &operand_data[14430],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hfvnx2di },
    &operand_data[14435],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2bfvnx2di },
    &operand_data[14440],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sivnx2di },
    &operand_data[14445],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sfvnx2di },
    &operand_data[14450],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2divnx2di },
    &operand_data[14455],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2dfvnx2di },
    &operand_data[14460],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4qivnx4si },
    &operand_data[14465],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hivnx4si },
    &operand_data[14470],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hfvnx4si },
    &operand_data[14475],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4bfvnx4si },
    &operand_data[14480],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sivnx4si },
    &operand_data[14485],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sfvnx4si },
    &operand_data[14490],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32qivnx16qi },
    &operand_data[14495],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hivnx8hi },
    &operand_data[14497],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sivnx4si },
    &operand_data[14499],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4divnx2di },
    &operand_data[14501],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16bfvnx8bf },
    &operand_data[14503],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hfvnx8hf },
    &operand_data[14505],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sfvnx4sf },
    &operand_data[14507],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4dfvnx2df },
    &operand_data[14509],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx48qivnx16qi },
    &operand_data[14511],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hivnx8hi },
    &operand_data[14513],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sivnx4si },
    &operand_data[14515],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6divnx2di },
    &operand_data[14517],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24bfvnx8bf },
    &operand_data[14519],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hfvnx8hf },
    &operand_data[14521],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sfvnx4sf },
    &operand_data[14523],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6dfvnx2df },
    &operand_data[14525],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx64qivnx16qi },
    &operand_data[14527],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hivnx8hi },
    &operand_data[14529],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sivnx4si },
    &operand_data[14531],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8divnx2di },
    &operand_data[14533],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32bfvnx8bf },
    &operand_data[14535],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hfvnx8hf },
    &operand_data[14537],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sfvnx4sf },
    &operand_data[14539],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8dfvnx2df },
    &operand_data[14541],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2qivnx2di },
    &operand_data[14543],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hivnx2di },
    &operand_data[14548],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hfvnx2di },
    &operand_data[14431],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2bfvnx2di },
    &operand_data[14436],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sivnx2di },
    &operand_data[14553],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sfvnx2di },
    &operand_data[14446],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2divnx2di },
    &operand_data[14558],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2dfvnx2di },
    &operand_data[14456],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4qivnx4si },
    &operand_data[14563],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hivnx4si },
    &operand_data[14568],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hfvnx4si },
    &operand_data[14471],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4bfvnx4si },
    &operand_data[14476],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sivnx4si },
    &operand_data[14573],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sfvnx4si },
    &operand_data[14486],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16qi },
    &operand_data[14578],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8qi },
    &operand_data[14580],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4qi },
    &operand_data[14582],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2qi },
    &operand_data[14584],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hi },
    &operand_data[14586],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hi },
    &operand_data[14588],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hi },
    &operand_data[14590],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hf },
    &operand_data[14592],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hf },
    &operand_data[14594],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hf },
    &operand_data[14596],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bf },
    &operand_data[14598],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bf },
    &operand_data[14600],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bf },
    &operand_data[14602],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4si },
    &operand_data[14604],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2si },
    &operand_data[14606],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4sf },
    &operand_data[14608],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2sf },
    &operand_data[14610],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2di },
    &operand_data[14612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2df },
    &operand_data[14614],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qiqi },
    &operand_data[14616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hihi },
    &operand_data[14618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sisi },
    &operand_data[14620],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2didi },
    &operand_data[14622],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8bfbf },
    &operand_data[14624],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hfhf },
    &operand_data[14626],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sfsf },
    &operand_data[14628],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2dfdf },
    &operand_data[14630],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16bi },
    &operand_data[14632],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bi },
    &operand_data[14634],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bi },
    &operand_data[14636],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bi },
    &operand_data[14638],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16qiqi },
    &operand_data[14639],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hihi },
    &operand_data[14642],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sisi },
    &operand_data[14645],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2didi },
    &operand_data[14648],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bfbf },
    &operand_data[14651],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hfhf },
    &operand_data[14654],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sfsf },
    &operand_data[14657],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2dfdf },
    &operand_data[14660],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx16biqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16biqi },
    &operand_data[14663],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx8bihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bihi },
    &operand_data[14666],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx4bisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4bisi },
    &operand_data[14669],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx2bidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2bidi },
    &operand_data[14672],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx16qi2 },
    &operand_data[14675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8qi2 },
    &operand_data[14677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4qi2 },
    &operand_data[14679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2qi2 },
    &operand_data[14681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8hi2 },
    &operand_data[14683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4hi2 },
    &operand_data[14685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2hi2 },
    &operand_data[14687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4si2 },
    &operand_data[14689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2si2 },
    &operand_data[14691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2di2 },
    &operand_data[14693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx16qi },
    &operand_data[14695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8qi },
    &operand_data[14699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4qi },
    &operand_data[14703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2qi },
    &operand_data[14707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8hi },
    &operand_data[14711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4hi },
    &operand_data[14715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2hi },
    &operand_data[14719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4si },
    &operand_data[14723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2si },
    &operand_data[14727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2di },
    &operand_data[14731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx8hi2 },
    &operand_data[14735],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx8hi2 },
    &operand_data[14735],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4hi2 },
    &operand_data[14737],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4hi2 },
    &operand_data[14737],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2hi2 },
    &operand_data[14739],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2hi2 },
    &operand_data[14739],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4si2 },
    &operand_data[14741],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4si2 },
    &operand_data[14741],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx4si2 },
    &operand_data[14743],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx4si2 },
    &operand_data[14743],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2si2 },
    &operand_data[14745],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2si2 },
    &operand_data[14745],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2si2 },
    &operand_data[14747],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2si2 },
    &operand_data[14747],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2di2 },
    &operand_data[14749],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2di2 },
    &operand_data[14749],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2di2 },
    &operand_data[14751],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2di2 },
    &operand_data[14751],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2di2 },
    &operand_data[14753],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2di2 },
    &operand_data[14753],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx16qi },
    &operand_data[14755],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx8hi },
    &operand_data[14759],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx4si },
    &operand_data[14763],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx2di },
    &operand_data[14767],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx16qi },
    &operand_data[14695],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx8hi },
    &operand_data[14711],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx4si },
    &operand_data[14723],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx2di },
    &operand_data[14731],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "absvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "negvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frecpxvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "roundvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "nearbyintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "floorvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frintnvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "ceilvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "rintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "btruncvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "absvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "negvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frecpxvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "roundvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "nearbyintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "floorvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frintnvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "ceilvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "rintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "btruncvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "absvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "negvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frecpxvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "roundvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "nearbyintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "floorvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frintnvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "ceilvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "rintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "btruncvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx8hf },
    &operand_data[14777],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx4sf },
    &operand_data[14781],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx2df },
    &operand_data[14785],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3527 */
  {
    "sqrtvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx8hf2 },
    &operand_data[14771],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3527 */
  {
    "sqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3527 */
  {
    "sqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx2df2 },
    &operand_data[14775],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3545 */
  {
    "rsqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx4sf2 },
    &operand_data[14773],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3545 */
  {
    "rsqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx2df2 },
    &operand_data[14775],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3556 */
  {
    "aarch64_rsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx4sf },
    &operand_data[14773],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3556 */
  {
    "aarch64_rsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx2df },
    &operand_data[14775],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3564 */
  {
    "aarch64_rsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx4sf },
    &operand_data[14789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3564 */
  {
    "aarch64_rsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx2df },
    &operand_data[14792],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx16bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16bi2 },
    &operand_data[14795],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx8bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8bi2 },
    &operand_data[14797],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx4bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4bi2 },
    &operand_data[14799],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx2bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2bi2 },
    &operand_data[14801],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx16qi3 },
    &operand_data[14803],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16qi3 },
    &operand_data[14803],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16qi3 },
    &operand_data[14803],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16qi3 },
    &operand_data[14806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16qi3 },
    &operand_data[14806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8qi3 },
    &operand_data[14809],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8qi3 },
    &operand_data[14809],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8qi3 },
    &operand_data[14809],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8qi3 },
    &operand_data[14812],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8qi3 },
    &operand_data[14812],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4qi3 },
    &operand_data[14815],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4qi3 },
    &operand_data[14815],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4qi3 },
    &operand_data[14815],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4qi3 },
    &operand_data[14818],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4qi3 },
    &operand_data[14818],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2qi3 },
    &operand_data[14821],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2qi3 },
    &operand_data[14821],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2qi3 },
    &operand_data[14821],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2qi3 },
    &operand_data[14824],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2qi3 },
    &operand_data[14824],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hi3 },
    &operand_data[14827],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hi3 },
    &operand_data[14827],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hi3 },
    &operand_data[14827],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8hi3 },
    &operand_data[14830],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8hi3 },
    &operand_data[14830],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4hi3 },
    &operand_data[14833],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4hi3 },
    &operand_data[14833],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4hi3 },
    &operand_data[14833],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4hi3 },
    &operand_data[14836],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4hi3 },
    &operand_data[14836],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2hi3 },
    &operand_data[14839],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2hi3 },
    &operand_data[14839],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2hi3 },
    &operand_data[14839],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2hi3 },
    &operand_data[14842],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2hi3 },
    &operand_data[14842],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4si3 },
    &operand_data[14845],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4si3 },
    &operand_data[14845],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4si3 },
    &operand_data[14845],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4si3 },
    &operand_data[14848],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4si3 },
    &operand_data[14848],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2si3 },
    &operand_data[14851],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2si3 },
    &operand_data[14851],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2si3 },
    &operand_data[14851],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2si3 },
    &operand_data[14854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2si3 },
    &operand_data[14854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2di3 },
    &operand_data[14857],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2di3 },
    &operand_data[14857],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2di3 },
    &operand_data[14857],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2di3 },
    &operand_data[14860],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2di3 },
    &operand_data[14860],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx16qi },
    &operand_data[14868],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx16qi },
    &operand_data[14873],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx16qi },
    &operand_data[14873],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx16qi },
    &operand_data[14878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8qi },
    &operand_data[14888],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8qi },
    &operand_data[14893],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8qi },
    &operand_data[14893],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8qi },
    &operand_data[14898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8qi },
    &operand_data[14883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4qi },
    &operand_data[14908],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4qi },
    &operand_data[14913],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4qi },
    &operand_data[14913],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4qi },
    &operand_data[14918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4qi },
    &operand_data[14903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2qi },
    &operand_data[14928],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2qi },
    &operand_data[14933],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2qi },
    &operand_data[14933],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2qi },
    &operand_data[14938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2qi },
    &operand_data[14923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8hi },
    &operand_data[14948],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8hi },
    &operand_data[14953],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8hi },
    &operand_data[14953],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8hi },
    &operand_data[14958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4hi },
    &operand_data[14968],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4hi },
    &operand_data[14973],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4hi },
    &operand_data[14973],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4hi },
    &operand_data[14978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4hi },
    &operand_data[14963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2hi },
    &operand_data[14988],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2hi },
    &operand_data[14993],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2hi },
    &operand_data[14993],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2hi },
    &operand_data[14998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2hi },
    &operand_data[14983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4si },
    &operand_data[15008],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4si },
    &operand_data[15013],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4si },
    &operand_data[15013],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4si },
    &operand_data[15018],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2si },
    &operand_data[15028],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2si },
    &operand_data[15033],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2si },
    &operand_data[15033],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2si },
    &operand_data[15038],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2si },
    &operand_data[15023],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2di },
    &operand_data[15048],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2di },
    &operand_data[15053],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2di },
    &operand_data[15053],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2di },
    &operand_data[15058],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3887 */
  {
    "aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si_shift },
    &operand_data[15063],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3887 */
  {
    "aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di_shift },
    &operand_data[15067],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx16qi_3 },
    &operand_data[15071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx16qi_3 },
    &operand_data[15071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8qi_3 },
    &operand_data[15074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8qi_3 },
    &operand_data[15074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4qi_3 },
    &operand_data[15077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4qi_3 },
    &operand_data[15077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2qi_3 },
    &operand_data[15080],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2qi_3 },
    &operand_data[15080],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8hi_3 },
    &operand_data[15083],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8hi_3 },
    &operand_data[15083],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4hi_3 },
    &operand_data[15086],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4hi_3 },
    &operand_data[15086],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2hi_3 },
    &operand_data[15089],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2hi_3 },
    &operand_data[15089],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4si_3 },
    &operand_data[15063],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4si_3 },
    &operand_data[15063],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2si_3 },
    &operand_data[15092],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2si_3 },
    &operand_data[15092],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2di_3 },
    &operand_data[15067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2di_3 },
    &operand_data[15067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx16qi },
    &operand_data[14863],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx16qi },
    &operand_data[14863],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx8hi },
    &operand_data[14943],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx8hi },
    &operand_data[14943],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx4si },
    &operand_data[15003],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx4si },
    &operand_data[15003],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx2di },
    &operand_data[15043],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx2di },
    &operand_data[15043],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx16qi3_highpart },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx16qi3_highpart },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8qi3_highpart },
    &operand_data[15074],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8qi3_highpart },
    &operand_data[15074],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4qi3_highpart },
    &operand_data[15077],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4qi3_highpart },
    &operand_data[15077],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2qi3_highpart },
    &operand_data[15080],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2qi3_highpart },
    &operand_data[15080],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8hi3_highpart },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8hi3_highpart },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4hi3_highpart },
    &operand_data[15086],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4hi3_highpart },
    &operand_data[15086],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2hi3_highpart },
    &operand_data[15089],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2hi3_highpart },
    &operand_data[15089],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4si3_highpart },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4si3_highpart },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2si3_highpart },
    &operand_data[15092],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2si3_highpart },
    &operand_data[15092],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2di3_highpart },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2di3_highpart },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "divvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4si3 },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "udivvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx4si3 },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "divvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2di3 },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "udivvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx2di3 },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx16qi },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx8qi },
    &operand_data[15074],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx4qi },
    &operand_data[15077],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2qi },
    &operand_data[15080],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx8hi },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx4hi },
    &operand_data[15086],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2hi },
    &operand_data[15089],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx4si },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2si },
    &operand_data[15092],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2di },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx16qi },
    &operand_data[14863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx8hi },
    &operand_data[14943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx4si },
    &operand_data[15003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx16qi3 },
    &operand_data[15095],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx16qi3 },
    &operand_data[15095],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx16qi3 },
    &operand_data[15095],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8qi3 },
    &operand_data[15098],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8qi3 },
    &operand_data[15098],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8qi3 },
    &operand_data[15098],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4qi3 },
    &operand_data[15101],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4qi3 },
    &operand_data[15101],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4qi3 },
    &operand_data[15101],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2qi3 },
    &operand_data[15104],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2qi3 },
    &operand_data[15104],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2qi3 },
    &operand_data[15104],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8hi3 },
    &operand_data[15107],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8hi3 },
    &operand_data[15107],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8hi3 },
    &operand_data[15107],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4hi3 },
    &operand_data[15110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4hi3 },
    &operand_data[15110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4hi3 },
    &operand_data[15110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2hi3 },
    &operand_data[15113],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2hi3 },
    &operand_data[15113],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2hi3 },
    &operand_data[15113],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4si3 },
    &operand_data[15116],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4si3 },
    &operand_data[15116],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4si3 },
    &operand_data[15116],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2si3 },
    &operand_data[15119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2si3 },
    &operand_data[15119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2si3 },
    &operand_data[15119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2di3 },
    &operand_data[15122],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2di3 },
    &operand_data[15122],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2di3 },
    &operand_data[15122],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx16qi3 },
    &operand_data[15125],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx16qi3 },
    &operand_data[15128],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx16qi3 },
    &operand_data[15128],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8qi3 },
    &operand_data[15131],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8qi3 },
    &operand_data[15134],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8qi3 },
    &operand_data[15134],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4qi3 },
    &operand_data[15137],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4qi3 },
    &operand_data[15140],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4qi3 },
    &operand_data[15140],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2qi3 },
    &operand_data[15143],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2qi3 },
    &operand_data[15146],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2qi3 },
    &operand_data[15146],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8hi3 },
    &operand_data[15149],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8hi3 },
    &operand_data[15152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8hi3 },
    &operand_data[15152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4hi3 },
    &operand_data[15155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4hi3 },
    &operand_data[15158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4hi3 },
    &operand_data[15158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2hi3 },
    &operand_data[15161],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2hi3 },
    &operand_data[15164],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2hi3 },
    &operand_data[15164],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4si3 },
    &operand_data[15167],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4si3 },
    &operand_data[15170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4si3 },
    &operand_data[15170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2si3 },
    &operand_data[15173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2si3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2si3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2di3 },
    &operand_data[15179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2di3 },
    &operand_data[15182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4561 */
  {
    "vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2di3 },
    &operand_data[15182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx16qi },
    &operand_data[15185],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx16qi },
    &operand_data[15185],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx16qi },
    &operand_data[15185],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx8hi },
    &operand_data[15190],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx8hi },
    &operand_data[15190],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx8hi },
    &operand_data[15190],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx4si },
    &operand_data[15195],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx4si },
    &operand_data[15195],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4667 */
  {
    "cond_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx4si },
    &operand_data[15195],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx16qi3 },
    &operand_data[15200],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8qi3 },
    &operand_data[15203],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4qi3 },
    &operand_data[15206],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2qi3 },
    &operand_data[15209],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8hi3 },
    &operand_data[15212],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4hi3 },
    &operand_data[15215],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2hi3 },
    &operand_data[15218],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4si3 },
    &operand_data[15221],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2si3 },
    &operand_data[15224],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4726 */
  {
    "sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2di3 },
    &operand_data[15227],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx16qi },
    &operand_data[15230],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx16qi },
    &operand_data[15235],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx16qi },
    &operand_data[15230],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx16qi },
    &operand_data[15230],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8qi },
    &operand_data[15240],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8qi },
    &operand_data[15245],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8qi },
    &operand_data[15240],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8qi },
    &operand_data[15240],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4qi },
    &operand_data[15250],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4qi },
    &operand_data[15255],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4qi },
    &operand_data[15250],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4qi },
    &operand_data[15250],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2qi },
    &operand_data[15260],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2qi },
    &operand_data[15265],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2qi },
    &operand_data[15260],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2qi },
    &operand_data[15260],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8hi },
    &operand_data[15270],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8hi },
    &operand_data[15275],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8hi },
    &operand_data[15270],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8hi },
    &operand_data[15270],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4hi },
    &operand_data[15280],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4hi },
    &operand_data[15285],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4hi },
    &operand_data[15280],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4hi },
    &operand_data[15280],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2hi },
    &operand_data[15290],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2hi },
    &operand_data[15295],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2hi },
    &operand_data[15290],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2hi },
    &operand_data[15290],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4si },
    &operand_data[15300],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4si },
    &operand_data[15305],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4si },
    &operand_data[15300],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4si },
    &operand_data[15300],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2si },
    &operand_data[15310],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2si },
    &operand_data[15315],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2si },
    &operand_data[15310],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2si },
    &operand_data[15310],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_asrdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2di },
    &operand_data[15320],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_sqshluvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2di },
    &operand_data[15325],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2di },
    &operand_data[15320],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4758 */
  {
    "cond_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2di },
    &operand_data[15320],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4871 */
  {
    "cond_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx8hf },
    &operand_data[15330],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4871 */
  {
    "cond_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx4sf },
    &operand_data[15335],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4871 */
  {
    "cond_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx2df },
    &operand_data[15340],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "addvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hf3 },
    &operand_data[15345],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smax_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx8hf3 },
    &operand_data[15348],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hf3 },
    &operand_data[15348],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smin_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx8hf3 },
    &operand_data[15348],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "sminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hf3 },
    &operand_data[15348],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "mulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hf3 },
    &operand_data[15351],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "mulxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx8hf3 },
    &operand_data[15354],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "subvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hf3 },
    &operand_data[15356],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "addvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4sf3 },
    &operand_data[15359],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smax_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx4sf3 },
    &operand_data[15362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4sf3 },
    &operand_data[15362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smin_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx4sf3 },
    &operand_data[15362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "sminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4sf3 },
    &operand_data[15362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "mulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4sf3 },
    &operand_data[15365],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "mulxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx4sf3 },
    &operand_data[14789],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "subvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4sf3 },
    &operand_data[15368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "addvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2df3 },
    &operand_data[15371],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smax_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx2df3 },
    &operand_data[15374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2df3 },
    &operand_data[15374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "smin_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx2df3 },
    &operand_data[15374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "sminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2df3 },
    &operand_data[15374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "mulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2df3 },
    &operand_data[15377],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "mulxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx2df3 },
    &operand_data[14792],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5050 */
  {
    "subvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2df3 },
    &operand_data[15380],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hf },
    &operand_data[15383],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx8hf },
    &operand_data[15388],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx8hf },
    &operand_data[15393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hf },
    &operand_data[15393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx8hf },
    &operand_data[15393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hf },
    &operand_data[15393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hf },
    &operand_data[15398],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx8hf },
    &operand_data[15388],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hf },
    &operand_data[15403],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4sf },
    &operand_data[15408],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4sf },
    &operand_data[15413],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx4sf },
    &operand_data[15418],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4sf },
    &operand_data[15418],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx4sf },
    &operand_data[15418],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4sf },
    &operand_data[15418],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4sf },
    &operand_data[15423],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx4sf },
    &operand_data[15413],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4sf },
    &operand_data[15428],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2df },
    &operand_data[15433],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2df },
    &operand_data[15438],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx2df },
    &operand_data[15443],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2df },
    &operand_data[15443],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_smin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx2df },
    &operand_data[15443],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2df },
    &operand_data[15443],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2df },
    &operand_data[15448],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx2df },
    &operand_data[15438],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5082 */
  {
    "cond_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2df },
    &operand_data[15453],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5543 */
  {
    "cond_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx8hf },
    &operand_data[15388],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5543 */
  {
    "cond_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx8hf },
    &operand_data[15388],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5543 */
  {
    "cond_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx4sf },
    &operand_data[15413],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5543 */
  {
    "cond_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx4sf },
    &operand_data[15413],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5543 */
  {
    "cond_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx2df },
    &operand_data[15438],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5543 */
  {
    "cond_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx2df },
    &operand_data[15438],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5559 */
  {
    "cadd90vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hf3 },
    &operand_data[15354],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5559 */
  {
    "cadd270vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hf3 },
    &operand_data[15354],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5559 */
  {
    "cadd90vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4sf3 },
    &operand_data[14789],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5559 */
  {
    "cadd270vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4sf3 },
    &operand_data[14789],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5559 */
  {
    "cadd90vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2df3 },
    &operand_data[14792],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5559 */
  {
    "cadd270vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2df3 },
    &operand_data[14792],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5834 */
  {
    "aarch64_pred_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx8hf },
    &operand_data[15458],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5834 */
  {
    "aarch64_pred_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx4sf },
    &operand_data[15463],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5834 */
  {
    "aarch64_pred_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx2df },
    &operand_data[15468],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5892 */
  {
    "aarch64_cond_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx8hf },
    &operand_data[15388],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5892 */
  {
    "aarch64_cond_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx4sf },
    &operand_data[15413],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5892 */
  {
    "aarch64_cond_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx2df },
    &operand_data[15438],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6162 */
  {
    "divvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx8hf3 },
    &operand_data[15473],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6162 */
  {
    "divvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4sf3 },
    &operand_data[15476],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6162 */
  {
    "divvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2df3 },
    &operand_data[15479],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6180 */
  {
    "aarch64_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx8hf },
    &operand_data[14771],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6180 */
  {
    "aarch64_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx4sf },
    &operand_data[14773],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6180 */
  {
    "aarch64_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx2df },
    &operand_data[14775],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6188 */
  {
    "aarch64_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx8hf },
    &operand_data[15354],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6188 */
  {
    "aarch64_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx4sf },
    &operand_data[14789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6188 */
  {
    "aarch64_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx2df },
    &operand_data[14792],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6225 */
  {
    "copysignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx8hf3 },
    &operand_data[15354],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6225 */
  {
    "copysignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx4sf3 },
    &operand_data[14789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6225 */
  {
    "copysignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx2df3 },
    &operand_data[14792],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6255 */
  {
    "xorsignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx8hf3 },
    &operand_data[15354],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6255 */
  {
    "xorsignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx4sf3 },
    &operand_data[14789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6255 */
  {
    "xorsignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx2df3 },
    &operand_data[14792],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6291 */
  {
    "fmaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx8hf3 },
    &operand_data[15348],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6291 */
  {
    "fminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx8hf3 },
    &operand_data[15348],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6291 */
  {
    "fmaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx4sf3 },
    &operand_data[15362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6291 */
  {
    "fminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx4sf3 },
    &operand_data[15362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6291 */
  {
    "fmaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx2df3 },
    &operand_data[15374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6291 */
  {
    "fminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx2df3 },
    &operand_data[15374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "iorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16bi3 },
    &operand_data[15482],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "xorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16bi3 },
    &operand_data[15482],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "iorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8bi3 },
    &operand_data[15485],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "xorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8bi3 },
    &operand_data[15485],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "iorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4bi3 },
    &operand_data[15488],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "xorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4bi3 },
    &operand_data[15488],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "iorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2bi3 },
    &operand_data[15491],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6350 */
  {
    "xorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2bi3 },
    &operand_data[15491],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx16qi4 },
    &operand_data[15494],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8qi4 },
    &operand_data[15498],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4qi4 },
    &operand_data[15502],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2qi4 },
    &operand_data[15506],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hi4 },
    &operand_data[15510],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4hi4 },
    &operand_data[15514],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2hi4 },
    &operand_data[15518],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4si4 },
    &operand_data[15522],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2si4 },
    &operand_data[15526],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6554 */
  {
    "fmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2di4 },
    &operand_data[15530],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx16qi },
    &operand_data[15534],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8qi },
    &operand_data[15540],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4qi },
    &operand_data[15546],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2qi },
    &operand_data[15552],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hi },
    &operand_data[15558],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4hi },
    &operand_data[15564],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2hi },
    &operand_data[15570],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4si },
    &operand_data[15576],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2si },
    &operand_data[15582],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6592 */
  {
    "cond_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2di },
    &operand_data[15588],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx16qi4 },
    &operand_data[15594],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8qi4 },
    &operand_data[15598],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4qi4 },
    &operand_data[15602],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2qi4 },
    &operand_data[15606],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hi4 },
    &operand_data[15610],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4hi4 },
    &operand_data[15614],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2hi4 },
    &operand_data[15618],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4si4 },
    &operand_data[15622],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2si4 },
    &operand_data[15626],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6695 */
  {
    "fnmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2di4 },
    &operand_data[15630],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx16qi },
    &operand_data[15534],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8qi },
    &operand_data[15540],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4qi },
    &operand_data[15546],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2qi },
    &operand_data[15552],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hi },
    &operand_data[15558],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4hi },
    &operand_data[15564],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2hi },
    &operand_data[15570],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4si },
    &operand_data[15576],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2si },
    &operand_data[15582],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6733 */
  {
    "cond_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2di },
    &operand_data[15588],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6921 */
  {
    "ssadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx16qi },
    &operand_data[15634],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6921 */
  {
    "usadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx16qi },
    &operand_data[15634],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6921 */
  {
    "ssadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx8hi },
    &operand_data[15638],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6921 */
  {
    "usadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx8hi },
    &operand_data[15638],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hf4 },
    &operand_data[15642],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fnmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hf4 },
    &operand_data[15642],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fnmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx8hf4 },
    &operand_data[15642],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx8hf4 },
    &operand_data[15642],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4sf4 },
    &operand_data[15646],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fnmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4sf4 },
    &operand_data[15646],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fnmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx4sf4 },
    &operand_data[15646],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx4sf4 },
    &operand_data[15646],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2df4 },
    &operand_data[15650],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fnmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2df4 },
    &operand_data[15650],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fnmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx2df4 },
    &operand_data[15650],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6975 */
  {
    "fmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx2df4 },
    &operand_data[15650],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7009 */
  {
    "cond_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmlavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hf4 },
    &operand_data[15642],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmlsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hf4 },
    &operand_data[15642],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmla_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hf4 },
    &operand_data[15642],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmls_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hf4 },
    &operand_data[15642],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmlavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4sf4 },
    &operand_data[15646],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmlsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4sf4 },
    &operand_data[15646],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmla_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4sf4 },
    &operand_data[15646],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmls_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4sf4 },
    &operand_data[15646],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmlavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2df4 },
    &operand_data[15650],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmlsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2df4 },
    &operand_data[15650],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmla_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2df4 },
    &operand_data[15650],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7248 */
  {
    "cmls_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2df4 },
    &operand_data[15650],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7277 */
  {
    "cmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hf3 },
    &operand_data[15354],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7277 */
  {
    "cmul_conjvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hf3 },
    &operand_data[15354],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7277 */
  {
    "cmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4sf3 },
    &operand_data[14789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7277 */
  {
    "cmul_conjvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4sf3 },
    &operand_data[14789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7277 */
  {
    "cmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2df3 },
    &operand_data[14792],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7277 */
  {
    "cmul_conjvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2df3 },
    &operand_data[14792],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx8hf },
    &operand_data[15654],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx4sf },
    &operand_data[15660],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7301 */
  {
    "cond_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx2df },
    &operand_data[15666],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16qivnx16bi },
    &operand_data[15672],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8qivnx8bi },
    &operand_data[15676],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4qivnx4bi },
    &operand_data[15680],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2qivnx2bi },
    &operand_data[15684],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hivnx8bi },
    &operand_data[15688],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hivnx4bi },
    &operand_data[15692],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hivnx2bi },
    &operand_data[15696],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hfvnx8bi },
    &operand_data[15700],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hfvnx4bi },
    &operand_data[15704],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hfvnx2bi },
    &operand_data[15708],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bfvnx8bi },
    &operand_data[15712],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bfvnx4bi },
    &operand_data[15716],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bfvnx2bi },
    &operand_data[15720],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sivnx4bi },
    &operand_data[15724],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sivnx2bi },
    &operand_data[15728],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sfvnx4bi },
    &operand_data[15732],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sfvnx2bi },
    &operand_data[15736],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2divnx2bi },
    &operand_data[15740],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7547 */
  {
    "vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2dfvnx2bi },
    &operand_data[15744],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx16qi },
    &operand_data[15748],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx8qi },
    &operand_data[15754],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8qi },
    &operand_data[15760],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8qi },
    &operand_data[15766],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8qi },
    &operand_data[15772],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4qi },
    &operand_data[15778],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4qi },
    &operand_data[15784],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4qi },
    &operand_data[15790],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4qi },
    &operand_data[15796],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4qi },
    &operand_data[15802],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4qi },
    &operand_data[15808],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2qi },
    &operand_data[15814],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2qi },
    &operand_data[15820],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2qi },
    &operand_data[15826],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2qi },
    &operand_data[15832],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2qi },
    &operand_data[15838],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2qi },
    &operand_data[15844],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2qi },
    &operand_data[15850],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2dfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2qi },
    &operand_data[15856],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx8hi },
    &operand_data[15862],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hi },
    &operand_data[15866],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hi },
    &operand_data[15872],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hi },
    &operand_data[15878],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4hi },
    &operand_data[15884],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4hi },
    &operand_data[15888],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4hi },
    &operand_data[15894],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4hi },
    &operand_data[15900],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4hi },
    &operand_data[15906],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4hi },
    &operand_data[15912],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2hi },
    &operand_data[15918],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2hi },
    &operand_data[15922],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2hi },
    &operand_data[15928],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2hi },
    &operand_data[15934],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2hi },
    &operand_data[15940],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2hi },
    &operand_data[15946],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2hi },
    &operand_data[15952],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2dfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2hi },
    &operand_data[15958],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4si },
    &operand_data[15964],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4si },
    &operand_data[15970],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4si },
    &operand_data[15976],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4si },
    &operand_data[15982],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4si },
    &operand_data[15986],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4si },
    &operand_data[15992],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2si },
    &operand_data[15998],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2si },
    &operand_data[16004],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2si },
    &operand_data[16010],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2si },
    &operand_data[16016],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2si },
    &operand_data[16020],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2si },
    &operand_data[16026],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2si },
    &operand_data[16032],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2dfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2si },
    &operand_data[16038],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2di },
    &operand_data[16044],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2di },
    &operand_data[16050],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2di },
    &operand_data[16056],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2di },
    &operand_data[16062],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2di },
    &operand_data[16068],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2di },
    &operand_data[16074],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2di },
    &operand_data[16078],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7630 */
  {
    "vcondvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2di },
    &operand_data[16084],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx16qi },
    &operand_data[15748],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx8qi },
    &operand_data[15754],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8qi },
    &operand_data[15760],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8qi },
    &operand_data[15766],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx8qi },
    &operand_data[15772],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4qi },
    &operand_data[15778],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4qi },
    &operand_data[15784],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4qi },
    &operand_data[15790],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4qi },
    &operand_data[15796],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4qi },
    &operand_data[15802],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4qi },
    &operand_data[15808],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2qi },
    &operand_data[15814],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2qi },
    &operand_data[15820],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2qi },
    &operand_data[15826],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2qi },
    &operand_data[15832],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2qi },
    &operand_data[15838],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2qi },
    &operand_data[15844],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2qi },
    &operand_data[15850],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2dfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2qi },
    &operand_data[15856],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx8hi },
    &operand_data[15862],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8hi },
    &operand_data[15866],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8hi },
    &operand_data[15872],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx8hi },
    &operand_data[15878],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4hi },
    &operand_data[15884],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4hi },
    &operand_data[15888],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4hi },
    &operand_data[15894],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4hi },
    &operand_data[15900],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4hi },
    &operand_data[15906],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4hi },
    &operand_data[15912],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2hi },
    &operand_data[15918],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2hi },
    &operand_data[15922],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2hi },
    &operand_data[15928],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2hi },
    &operand_data[15934],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2hi },
    &operand_data[15940],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2hi },
    &operand_data[15946],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2hi },
    &operand_data[15952],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2dfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2hi },
    &operand_data[15958],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4si },
    &operand_data[15964],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4si },
    &operand_data[15970],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4si },
    &operand_data[15976],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4si },
    &operand_data[15982],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4si },
    &operand_data[15986],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4si },
    &operand_data[15992],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2si },
    &operand_data[15998],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2si },
    &operand_data[16004],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2si },
    &operand_data[16010],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2si },
    &operand_data[16016],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2si },
    &operand_data[16020],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2si },
    &operand_data[16026],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2si },
    &operand_data[16032],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2dfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2si },
    &operand_data[16038],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2di },
    &operand_data[16044],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2di },
    &operand_data[16050],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2di },
    &operand_data[16056],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2di },
    &operand_data[16062],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2di },
    &operand_data[16068],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2di },
    &operand_data[16074],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2di },
    &operand_data[16078],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7647 */
  {
    "vconduvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2di },
    &operand_data[16084],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7664 */
  {
    "vcondvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hf },
    &operand_data[16090],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7664 */
  {
    "vcondvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4sf },
    &operand_data[16096],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7664 */
  {
    "vcondvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2df },
    &operand_data[16102],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7664 */
  {
    "vcondvnx8bfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hf },
    &operand_data[16108],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7664 */
  {
    "vcondvnx8hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hf },
    &operand_data[16114],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7664 */
  {
    "vcondvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4sf },
    &operand_data[16120],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7664 */
  {
    "vcondvnx2dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2df },
    &operand_data[16126],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx16qivnx16bi },
    &operand_data[16132],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8qivnx8bi },
    &operand_data[16136],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4qivnx4bi },
    &operand_data[16140],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2qivnx2bi },
    &operand_data[16144],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hivnx8bi },
    &operand_data[16148],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4hivnx4bi },
    &operand_data[16152],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2hivnx2bi },
    &operand_data[16156],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sivnx4bi },
    &operand_data[16160],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2sivnx2bi },
    &operand_data[16164],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7698 */
  {
    "vec_cmpvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2divnx2bi },
    &operand_data[16168],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx16qivnx16bi },
    &operand_data[16132],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8qivnx8bi },
    &operand_data[16136],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4qivnx4bi },
    &operand_data[16140],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2qivnx2bi },
    &operand_data[16144],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8hivnx8bi },
    &operand_data[16148],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4hivnx4bi },
    &operand_data[16152],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2hivnx2bi },
    &operand_data[16156],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4sivnx4bi },
    &operand_data[16160],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2sivnx2bi },
    &operand_data[16164],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "vec_cmpuvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2divnx2bi },
    &operand_data[16168],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8035 */
  {
    "vec_cmpvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hfvnx8bi },
    &operand_data[16172],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8035 */
  {
    "vec_cmpvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sfvnx4bi },
    &operand_data[16176],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8035 */
  {
    "vec_cmpvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2dfvnx2bi },
    &operand_data[16180],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx8hf },
    &operand_data[16184],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx8hf },
    &operand_data[16184],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_faclevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx8hf },
    &operand_data[16184],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx8hf },
    &operand_data[16184],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx4sf },
    &operand_data[16189],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx4sf },
    &operand_data[16189],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_faclevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx4sf },
    &operand_data[16189],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx4sf },
    &operand_data[16189],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx2df },
    &operand_data[16194],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx2df },
    &operand_data[16194],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_faclevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx2df },
    &operand_data[16194],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8140 */
  {
    "aarch64_pred_facltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx2df },
    &operand_data[16194],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8233 */
  {
    "cbranchvnx16bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx16bi4 },
    &operand_data[16199],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8233 */
  {
    "cbranchvnx8bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx8bi4 },
    &operand_data[16203],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8233 */
  {
    "cbranchvnx4bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx4bi4 },
    &operand_data[16207],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8233 */
  {
    "cbranchvnx2bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx2bi4 },
    &operand_data[16211],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8329 */
  {
    "reduc_plus_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8329 */
  {
    "reduc_plus_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8329 */
  {
    "reduc_plus_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8329 */
  {
    "reduc_plus_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_and_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_ior_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_xor_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx16qi },
    &operand_data[14639],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_and_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_ior_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_xor_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx8hi },
    &operand_data[14642],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_and_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_ior_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_xor_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx4si },
    &operand_data[14645],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_and_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_ior_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_smin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_umin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8354 */
  {
    "reduc_xor_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx2di },
    &operand_data[14648],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_plus_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hf },
    &operand_data[14654],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smax_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx8hf },
    &operand_data[14654],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hf },
    &operand_data[14654],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smin_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx8hf },
    &operand_data[14654],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hf },
    &operand_data[14654],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_plus_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4sf },
    &operand_data[14657],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smax_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx4sf },
    &operand_data[14657],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4sf },
    &operand_data[14657],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smin_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx4sf },
    &operand_data[14657],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4sf },
    &operand_data[14657],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_plus_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2df },
    &operand_data[14660],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smax_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx2df },
    &operand_data[14660],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2df },
    &operand_data[14660],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smin_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx2df },
    &operand_data[14660],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8387 */
  {
    "reduc_smin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2df },
    &operand_data[14660],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8416 */
  {
    "fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx8hf },
    &operand_data[16215],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8416 */
  {
    "fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx4sf },
    &operand_data[16218],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8416 */
  {
    "fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx2df },
    &operand_data[16221],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx16qi },
    &operand_data[16224],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hi },
    &operand_data[16228],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4si },
    &operand_data[16232],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2di },
    &operand_data[16236],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8bf },
    &operand_data[16240],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hf },
    &operand_data[16244],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4sf },
    &operand_data[16248],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "vec_permvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2df },
    &operand_data[16252],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacks_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16qi },
    &operand_data[16256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacku_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16qi },
    &operand_data[16256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacks_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16qi },
    &operand_data[16256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacku_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16qi },
    &operand_data[16256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacks_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hi },
    &operand_data[16258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacku_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8hi },
    &operand_data[16258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacks_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hi },
    &operand_data[16258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacku_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8hi },
    &operand_data[16258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacks_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4si },
    &operand_data[15633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacku_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4si },
    &operand_data[15633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacks_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4si },
    &operand_data[15633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8710 */
  {
    "vec_unpacku_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4si },
    &operand_data[15633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8743 */
  {
    "fix_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx8hfvnx8hi2 },
    &operand_data[16259],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8743 */
  {
    "fixuns_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx8hfvnx8hi2 },
    &operand_data[16259],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8743 */
  {
    "fix_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx4sfvnx4si2 },
    &operand_data[16261],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8743 */
  {
    "fixuns_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx4sfvnx4si2 },
    &operand_data[16261],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8743 */
  {
    "fix_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx2dfvnx2di2 },
    &operand_data[16263],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8743 */
  {
    "fixuns_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx2dfvnx2di2 },
    &operand_data[16263],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[16265],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[16265],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[16269],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[16269],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[16273],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[16273],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[16277],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[16277],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[16281],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[16281],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[16285],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8788 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[16285],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8850 */
  {
    "cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[16289],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8850 */
  {
    "cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[16289],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8890 */
  {
    "vec_pack_sfix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_sfix_trunc_vnx2df },
    &operand_data[16293],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8890 */
  {
    "vec_pack_ufix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_ufix_trunc_vnx2df },
    &operand_data[16293],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8929 */
  {
    "floatvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8hivnx8hf2 },
    &operand_data[15332],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8929 */
  {
    "floatunsvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8hivnx8hf2 },
    &operand_data[15332],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8929 */
  {
    "floatvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx4sivnx4sf2 },
    &operand_data[15337],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8929 */
  {
    "floatunsvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx4sivnx4sf2 },
    &operand_data[15337],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8929 */
  {
    "floatvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx2divnx2df2 },
    &operand_data[15342],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8929 */
  {
    "floatunsvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx2divnx2df2 },
    &operand_data[15342],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx8hf },
    &operand_data[16296],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[16296],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx8hf },
    &operand_data[16300],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[16300],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx4sf },
    &operand_data[16304],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[16304],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx8hf },
    &operand_data[16308],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx8hf },
    &operand_data[16308],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx4sf },
    &operand_data[16312],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx4sf },
    &operand_data[16312],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx2df },
    &operand_data[16316],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8975 */
  {
    "cond_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx2df },
    &operand_data[16316],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9037 */
  {
    "cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_extendvnx4sivnx2df },
    &operand_data[16320],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9037 */
  {
    "cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_extendvnx4sivnx2df },
    &operand_data[16320],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9085 */
  {
    "vec_unpacks_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_lo_vnx4si },
    &operand_data[16324],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9085 */
  {
    "vec_unpacks_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_hi_vnx4si },
    &operand_data[16324],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9085 */
  {
    "vec_unpacku_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_lo_vnx4si },
    &operand_data[16324],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9085 */
  {
    "vec_unpacku_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_hi_vnx4si },
    &operand_data[16324],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "vec_pack_trunc_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4sf },
    &operand_data[14772],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "vec_pack_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2df },
    &operand_data[14774],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9157 */
  {
    "cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8hf },
    &operand_data[16326],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9157 */
  {
    "cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx8hf },
    &operand_data[16330],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9157 */
  {
    "cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx4sf },
    &operand_data[16334],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9214 */
  {
    "cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8bf },
    &operand_data[16338],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9274 */
  {
    "vec_unpacks_lo_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hf },
    &operand_data[16342],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9274 */
  {
    "vec_unpacks_hi_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hf },
    &operand_data[16342],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9274 */
  {
    "vec_unpacks_lo_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4sf },
    &operand_data[16344],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9274 */
  {
    "vec_unpacks_hi_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4sf },
    &operand_data[16344],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9314 */
  {
    "cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[16345],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9314 */
  {
    "cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[16349],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9314 */
  {
    "cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[16353],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacks_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16bi },
    &operand_data[16357],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacku_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16bi },
    &operand_data[16357],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacks_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16bi },
    &operand_data[16357],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacku_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16bi },
    &operand_data[16357],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacks_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8bi },
    &operand_data[16359],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacku_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8bi },
    &operand_data[16359],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacks_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8bi },
    &operand_data[16359],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacku_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8bi },
    &operand_data[16359],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacks_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4bi },
    &operand_data[16361],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacku_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4bi },
    &operand_data[16361],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacks_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4bi },
    &operand_data[16361],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9377 */
  {
    "vec_unpacku_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4bi },
    &operand_data[16361],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9813 */
  {
    "aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_pat },
    &operand_data[16363],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9813 */
  {
    "aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_pat },
    &operand_data[16363],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9813 */
  {
    "aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_pat },
    &operand_data[16363],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9963 */
  {
    "aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_pat },
    &operand_data[16363],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9963 */
  {
    "aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_pat },
    &operand_data[16363],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9963 */
  {
    "aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_pat },
    &operand_data[16363],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx16bi_cntp },
    &operand_data[16368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx16bi_cntp },
    &operand_data[16368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx16bi_cntp },
    &operand_data[16368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx8bi_cntp },
    &operand_data[16371],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx8bi_cntp },
    &operand_data[16371],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx8bi_cntp },
    &operand_data[16371],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx4bi_cntp },
    &operand_data[16374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx4bi_cntp },
    &operand_data[16374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx4bi_cntp },
    &operand_data[16374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx2bi_cntp },
    &operand_data[16377],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx2bi_cntp },
    &operand_data[16377],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10026 */
  {
    "aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx2bi_cntp },
    &operand_data[16377],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx16bi_cntp },
    &operand_data[16380],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx16bi_cntp },
    &operand_data[16380],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx8bi_cntp },
    &operand_data[16383],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx8bi_cntp },
    &operand_data[16383],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx4bi_cntp },
    &operand_data[16386],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx4bi_cntp },
    &operand_data[16386],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx2bi_cntp },
    &operand_data[16389],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10081 */
  {
    "aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx2bi_cntp },
    &operand_data[16389],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10129 */
  {
    "aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_cntp },
    &operand_data[16392],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10129 */
  {
    "aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_cntp },
    &operand_data[16392],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10129 */
  {
    "aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_cntp },
    &operand_data[16392],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10170 */
  {
    "aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_cntp },
    &operand_data[16395],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10170 */
  {
    "aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_cntp },
    &operand_data[16395],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10170 */
  {
    "aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_cntp },
    &operand_data[16395],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10209 */
  {
    "aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_cntp },
    &operand_data[16398],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10209 */
  {
    "aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_cntp },
    &operand_data[16398],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10209 */
  {
    "aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_cntp },
    &operand_data[16398],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx16bi_cntp },
    &operand_data[16368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx16bi_cntp },
    &operand_data[16368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx16bi_cntp },
    &operand_data[16368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx8bi_cntp },
    &operand_data[16371],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx8bi_cntp },
    &operand_data[16371],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx8bi_cntp },
    &operand_data[16371],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx4bi_cntp },
    &operand_data[16374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx4bi_cntp },
    &operand_data[16374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx4bi_cntp },
    &operand_data[16374],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx2bi_cntp },
    &operand_data[16377],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx2bi_cntp },
    &operand_data[16377],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10259 */
  {
    "aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx2bi_cntp },
    &operand_data[16377],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx16bi_cntp },
    &operand_data[16380],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx16bi_cntp },
    &operand_data[16380],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx8bi_cntp },
    &operand_data[16383],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx8bi_cntp },
    &operand_data[16383],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx4bi_cntp },
    &operand_data[16386],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx4bi_cntp },
    &operand_data[16386],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx2bi_cntp },
    &operand_data[16389],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10314 */
  {
    "aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx2bi_cntp },
    &operand_data[16389],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10362 */
  {
    "aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_cntp },
    &operand_data[16392],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10362 */
  {
    "aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_cntp },
    &operand_data[16392],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10362 */
  {
    "aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_cntp },
    &operand_data[16392],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10403 */
  {
    "aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_cntp },
    &operand_data[16395],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10403 */
  {
    "aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_cntp },
    &operand_data[16395],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10403 */
  {
    "aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_cntp },
    &operand_data[16395],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10442 */
  {
    "aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_cntp },
    &operand_data[16398],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10442 */
  {
    "aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_cntp },
    &operand_data[16398],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10442 */
  {
    "aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_cntp },
    &operand_data[16398],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx16qi3 },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx16qi3 },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx16qi3 },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx16qi3 },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx8hi3 },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx8hi3 },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx8hi3 },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx8hi3 },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx4si3 },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx4si3 },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx4si3 },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx4si3 },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_floor },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_floor },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_floor },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_floor },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_floor },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_floor },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_floor },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_floor },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_ceil },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_ceil },
    &operand_data[15071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_ceil },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_ceil },
    &operand_data[15083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_ceil },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_ceil },
    &operand_data[15063],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_ceil },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_ceil },
    &operand_data[15067],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx16qi },
    &operand_data[14863],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx8hi },
    &operand_data[14943],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx4si },
    &operand_data[15003],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx2di },
    &operand_data[15043],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx16qi },
    &operand_data[16401],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx16qi },
    &operand_data[16401],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx8hi },
    &operand_data[16406],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx8hi },
    &operand_data[16406],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx4si },
    &operand_data[16411],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx4si },
    &operand_data[16411],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx2di },
    &operand_data[16416],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx2di },
    &operand_data[16416],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx16qi },
    &operand_data[16421],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx8hi },
    &operand_data[16425],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx4si },
    &operand_data[16429],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx2di },
    &operand_data[16433],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx16qi },
    &operand_data[16421],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx8hi },
    &operand_data[16425],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx4si },
    &operand_data[16429],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx2di },
    &operand_data[16433],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx16qi },
    &operand_data[16421],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx8hi },
    &operand_data[16425],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx4si },
    &operand_data[16429],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx2di },
    &operand_data[16433],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx16qi },
    &operand_data[16421],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx8hi },
    &operand_data[16425],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx4si },
    &operand_data[16429],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx2di },
    &operand_data[16433],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx16qi },
    &operand_data[16421],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx8hi },
    &operand_data[16425],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx4si },
    &operand_data[16429],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx2di },
    &operand_data[16433],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx16qi },
    &operand_data[16437],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx16qi },
    &operand_data[16437],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx8hi },
    &operand_data[16441],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx8hi },
    &operand_data[16441],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx4si },
    &operand_data[16445],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx4si },
    &operand_data[16445],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx2di },
    &operand_data[16449],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx2di },
    &operand_data[16449],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx16qi },
    &operand_data[12127],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx16qi },
    &operand_data[12127],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx8hi },
    &operand_data[12131],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx8hi },
    &operand_data[12131],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx4si },
    &operand_data[12135],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx4si },
    &operand_data[12135],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx2di },
    &operand_data[12139],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx2di },
    &operand_data[12139],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx8hi },
    &operand_data[16453],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx8hi },
    &operand_data[16453],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx4si },
    &operand_data[16458],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx4si },
    &operand_data[16458],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx2di },
    &operand_data[16463],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx2di },
    &operand_data[16463],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx16qi3 },
    &operand_data[15071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx16qi3 },
    &operand_data[15071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hi3 },
    &operand_data[15083],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hi3 },
    &operand_data[15083],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4si3 },
    &operand_data[15063],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4si3 },
    &operand_data[15063],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2di3 },
    &operand_data[15067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2di3 },
    &operand_data[15067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx16qi4 },
    &operand_data[16421],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx16qi4 },
    &operand_data[16421],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx16qi4 },
    &operand_data[16421],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx16qi4 },
    &operand_data[16421],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hi4 },
    &operand_data[16425],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hi4 },
    &operand_data[16425],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hi4 },
    &operand_data[16425],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hi4 },
    &operand_data[16425],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4si4 },
    &operand_data[16429],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4si4 },
    &operand_data[16429],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4si4 },
    &operand_data[16429],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4si4 },
    &operand_data[16429],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2di4 },
    &operand_data[16433],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2di4 },
    &operand_data[16433],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2di4 },
    &operand_data[16433],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2di4 },
    &operand_data[16433],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx16qi3 },
    &operand_data[15071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx16qi3 },
    &operand_data[15071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hi3 },
    &operand_data[15083],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hi3 },
    &operand_data[15083],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4si3 },
    &operand_data[15063],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4si3 },
    &operand_data[15063],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2di3 },
    &operand_data[15067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2di3 },
    &operand_data[15067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1955 */
  {
    "cond_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx4sf },
    &operand_data[16468],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1955 */
  {
    "cond_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx2df },
    &operand_data[16472],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2047 */
  {
    "cond_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtxvnx4sf },
    &operand_data[16334],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2149 */
  {
    "cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urecpevnx4si },
    &operand_data[14723],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2149 */
  {
    "cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ursqrtevnx4si },
    &operand_data[14723],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2214 */
  {
    "cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx8hf },
    &operand_data[16265],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2214 */
  {
    "cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx4sf },
    &operand_data[16273],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2214 */
  {
    "cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx2df },
    &operand_data[16285],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_raw_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrssi },
    &operand_data[16476],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_war_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrssi },
    &operand_data[16476],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_raw_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrsdi },
    &operand_data[16481],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_war_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrsdi },
    &operand_data[16481],
    5,
    5,
    0,
    0,
    0
  },
};


const char *
get_insn_name (int code)
{
  if (code == NOOP_MOVE_INSN_CODE)
    return "NOOP_MOVE";
  else
    return insn_data[code].name;
}
